<?php
// event_add.php - Страница добавления нового события

// Включаем отображение ошибок для отладки
error_reporting(E_ALL);
ini_set('display_errors', 1);

// Подключаем конфигурацию
$CONFIG = [
    'DB_HOST' => 'localhost',
    'DB_NAME' => 'stavka',
    'DB_USER' => 'stavka_usr',
    'DB_PASS' => 'a3vhGiC98aj3U1hP',
    'ADMIN_IDS' => [7351775721, 7128006917],
    'BOT_TOKEN' => '7893265907:AAFN5SORIWrw_bLrffadUJCDlQWJH036uE4'
];

// Простая аутентификация
session_start();
$is_admin = isset($_SESSION['admin_authenticated']) && $_SESSION['admin_authenticated'] === true;

if (!$is_admin && isset($_POST['admin_password'])) {
    if ($_POST['admin_password'] === 'admin123') {
        $_SESSION['admin_authenticated'] = true;
        $is_admin = true;
    } else {
        $login_error = "Неверный пароль!";
    }
}

if (!$is_admin) {
    ?>
    <!DOCTYPE html>
    <html lang="ru">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Вход - Добавление события</title>
        <style>
            body { font-family: Arial, sans-serif; background: linear-gradient(135deg, #667eea 0%, #764ba2 100%); display: flex; justify-content: center; align-items: center; height: 100vh; margin: 0; }
            .login-form { background: white; padding: 40px; border-radius: 15px; box-shadow: 0 10px 30px rgba(0,0,0,0.2); max-width: 400px; width: 90%; }
            .login-form h2 { margin-bottom: 20px; color: #333; text-align: center; }
            .login-form input { width: 100%; padding: 12px; margin: 10px 0; border: 1px solid #ddd; border-radius: 8px; box-sizing: border-box; font-size: 16px; }
            .login-form button { width: 100%; padding: 12px; background: linear-gradient(45deg, #FF416C, #FF4B2B); color: white; border: none; border-radius: 8px; cursor: pointer; font-size: 16px; font-weight: bold; }
            .error { color: red; margin-top: 10px; text-align: center; }
        </style>
    </head>
    <body>
        <form method="POST" class="login-form">
            <h2>🔐 Вход в систему</h2>
            <p style="text-align: center; color: #666;">Добавление нового события</p>
            <input type="password" name="admin_password" placeholder="Пароль администратора" required>
            <button type="submit">Войти</button>
            <?php if (isset($login_error)): ?>
                <div class="error"><?= htmlspecialchars($login_error) ?></div>
            <?php endif; ?>
        </form>
    </body>
    </html>
    <?php
    exit;
}

// Подключение к базе данных
try {
    $dsn = "mysql:host={$CONFIG['DB_HOST']};dbname={$CONFIG['DB_NAME']};charset=utf8mb4";
    $pdo = new PDO($dsn, $CONFIG['DB_USER'], $CONFIG['DB_PASS'], [
        PDO::ATTR_ERRMODE => PDO::ERRMODE_EXCEPTION,
        PDO::ATTR_DEFAULT_FETCH_MODE => PDO::FETCH_ASSOC,
        PDO::ATTR_EMULATE_PREPARES => false
    ]);
} catch (PDOException $e) {
    die("Ошибка подключения к базе данных: " . $e->getMessage());
}

// Функция отправки Telegram уведомлений
function sendTelegramNotification($text) {
    global $CONFIG;
    
    if (empty($CONFIG['BOT_TOKEN']) || empty($CONFIG['ADMIN_IDS'])) {
        return false;
    }
    
    $url = "https://api.telegram.org/bot{$CONFIG['BOT_TOKEN']}/sendMessage";
    
    foreach ($CONFIG['ADMIN_IDS'] as $admin_id) {
        $data = [
            'chat_id' => $admin_id,
            'text' => $text,
            'parse_mode' => 'HTML'
        ];
        
        $ch = curl_init();
        curl_setopt_array($ch, [
            CURLOPT_URL => $url,
            CURLOPT_POST => true,
            CURLOPT_POSTFIELDS => http_build_query($data),
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_SSL_VERIFYPEER => false,
            CURLOPT_TIMEOUT => 10
        ]);
        
        curl_exec($ch);
        curl_close($ch);
    }
    
    return true;
}

// Обработка формы
$message = '';
$error = '';
$event_id = null;

if ($_POST && isset($_POST['action']) && $_POST['action'] === 'create_event') {
    try {
        // Валидация данных
        $title = trim($_POST['title'] ?? '');
        $team1 = trim($_POST['team1'] ?? '');
        $team2 = trim($_POST['team2'] ?? '');
        $league = trim($_POST['league'] ?? '');
        $event_date = trim($_POST['event_date'] ?? '');
        $event_type = $_POST['event_type'] ?? 'upcoming';
        
        // Проверка обязательных полей
        if (empty($title) || empty($team1) || empty($team2) || empty($event_date)) {
            throw new Exception("Заполните все обязательные поля!");
        }
        
        // Проверка формата даты
        $date_obj = DateTime::createFromFormat('Y-m-d\TH:i', $event_date);
        if (!$date_obj) {
            throw new Exception("Неверный формат даты!");
        }
        
        // Проверка что команды не одинаковые
        if (strcasecmp($team1, $team2) === 0) {
            throw new Exception("Команды не могут быть одинаковыми!");
        }
        
        // Получаем ID админа
        $stmt = $pdo->query("SELECT user_id FROM users WHERE user_id IN (" . implode(',', $CONFIG['ADMIN_IDS']) . ") LIMIT 1");
        $admin = $stmt->fetch();
        $created_by = $admin ? $admin['user_id'] : null;
        
        // Создаем событие
        if ($event_type === 'past') {
            // Прошедшее событие
            $winner = $_POST['winner'] ?? '';
            $score = $_POST['score'] ?? '';
            $total_goals = (int)($_POST['total_goals'] ?? 0);
            
            if (empty($winner) || empty($score)) {
                throw new Exception("Для прошедшего события укажите результат!");
            }
            
            $result_data = [
                'winner' => $winner,
                'score' => $score,
                'total_goals' => $total_goals
            ];
            
            // Дополнительные параметры
            if (!empty($_POST['first_goal'])) {
                $result_data['first_goal'] = $_POST['first_goal'];
            }
            if (isset($_POST['red_card'])) {
                $result_data['red_card'] = true;
            }
            if (isset($_POST['penalty'])) {
                $result_data['penalty'] = true;
            }
            if (isset($_POST['own_goal'])) {
                $result_data['own_goal'] = true;
            }
            if (!empty($_POST['corners_winner'])) {
                $result_data['corners_winner'] = $_POST['corners_winner'];
            }
            
            $stmt = $pdo->prepare("
                INSERT INTO events (title, team1, team2, league, event_date, status, result, created_by, created_at) 
                VALUES (?, ?, ?, ?, ?, 'finished', ?, ?, NOW())
            ");
            $stmt->execute([$title, $team1, $team2, $league, $event_date, json_encode($result_data), $created_by]);
            
        } else {
            // Предстоящее событие
            $stmt = $pdo->prepare("
                INSERT INTO events (title, team1, team2, league, event_date, status, created_by, created_at) 
                VALUES (?, ?, ?, ?, ?, 'upcoming', ?, NOW())
            ");
            $stmt->execute([$title, $team1, $team2, $league, $event_date, $created_by]);
        }
        
        $event_id = $pdo->lastInsertId();
        
        // Отправляем уведомление в Telegram
        $event_type_text = $event_type === 'past' ? 'завершенное' : 'предстоящее';
        $telegram_message = "🆕 <b>Новое {$event_type_text} событие создано!</b>\n\n";
        $telegram_message .= "🆔 ID: {$event_id}\n";
        $telegram_message .= "🏟 <b>{$title}</b>\n";
        $telegram_message .= "⚽ {$team1} vs {$team2}\n";
        $telegram_message .= "📅 " . $date_obj->format('d.m.Y H:i') . "\n";
        
        if (!empty($league)) {
            $telegram_message .= "🏆 {$league}\n";
        }
        
        if ($event_type === 'past' && isset($result_data)) {
            $telegram_message .= "\n📊 <b>Результат:</b>\n";
            $telegram_message .= "🎯 Счет: {$result_data['score']}\n";
            $telegram_message .= "🏆 Победитель: " . ($result_data['winner'] === 'team1' ? $team1 : ($result_data['winner'] === 'team2' ? $team2 : 'Ничья')) . "\n";
        }
        
        sendTelegramNotification($telegram_message);
        
        $message = "✅ Событие успешно создано! (ID: {$event_id})";
        
    } catch (Exception $e) {
        $error = $e->getMessage();
    }
}

// Получаем статистику для отображения
try {
    $stats = [];
    $stmt = $pdo->query("SELECT COUNT(*) as total FROM events");
    $stats['total_events'] = $stmt->fetch()['total'];
    
    $stmt = $pdo->query("SELECT COUNT(*) as upcoming FROM events WHERE status = 'upcoming'");
    $stats['upcoming_events'] = $stmt->fetch()['upcoming'];
    
    $stmt = $pdo->query("SELECT COUNT(*) as finished FROM events WHERE status = 'finished'");
    $stats['finished_events'] = $stmt->fetch()['finished'];
} catch (Exception $e) {
    $stats = ['total_events' => 0, 'upcoming_events' => 0, 'finished_events' => 0];
}
?>

<!DOCTYPE html>
<html lang="ru">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Добавление нового события</title>
    <style>
        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
        }
        
        body {
            font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
            line-height: 1.6;
            color: #333;
            background: linear-gradient(135deg, #667eea 0%, #764ba2 100%);
            min-height: 100vh;
            padding: 20px;
        }
        
        .container {
            max-width: 1000px;
            margin: 0 auto;
            background: white;
            border-radius: 15px;
            box-shadow: 0 10px 30px rgba(0,0,0,0.2);
            overflow: hidden;
        }
        
        .header {
            background: linear-gradient(45deg, #FF416C, #FF4B2B);
            color: white;
            padding: 30px;
            text-align: center;
        }
        
        .header h1 {
            font-size: 2.5em;
            margin-bottom: 10px;
            text-shadow: 2px 2px 4px rgba(0,0,0,0.3);
        }
        
        .nav-links {
            text-align: center;
            margin-bottom: 20px;
        }
        
        .nav-links a {
            color: white;
            text-decoration: none;
            margin: 0 15px;
            padding: 8px 16px;
            border: 2px solid rgba(255,255,255,0.3);
            border-radius: 20px;
            transition: all 0.3s;
        }
        
        .nav-links a:hover {
            background: rgba(255,255,255,0.2);
            transform: translateY(-2px);
        }
        
        .content {
            padding: 30px;
        }
        
        .alert {
            padding: 15px;
            margin: 20px 0;
            border-radius: 8px;
            font-weight: bold;
        }
        
        .alert-success {
            background: #d4edda;
            color: #155724;
            border: 1px solid #c3e6cb;
        }
        
        .alert-error {
            background: #f8d7da;
            color: #721c24;
            border: 1px solid #f5c6cb;
        }
        
        .alert-info {
            background: #e3f2fd;
            color: #1565c0;
            border: 1px solid #bbdefb;
        }
        
        .stats-row {
            display: grid;
            grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
            gap: 20px;
            margin: 20px 0;
        }
        
        .stat-card {
            background: linear-gradient(45deg, #667eea, #764ba2);
            color: white;
            padding: 20px;
            border-radius: 10px;
            text-align: center;
        }
        
        .stat-number {
            font-size: 2em;
            font-weight: bold;
            margin-bottom: 5px;
        }
        
        .event-type-selector {
            display: flex;
            gap: 10px;
            margin: 20px 0;
            justify-content: center;
        }
        
        .event-type-btn {
            padding: 12px 24px;
            border: 2px solid #FF416C;
            background: white;
            color: #FF416C;
            border-radius: 25px;
            cursor: pointer;
            font-weight: bold;
            transition: all 0.3s;
        }
        
        .event-type-btn.active {
            background: #FF416C;
            color: white;
        }
        
        .event-type-btn:hover {
            transform: translateY(-2px);
            box-shadow: 0 4px 8px rgba(0,0,0,0.2);
        }
        
        .form-section {
            background: #f8f9fa;
            padding: 20px;
            border-radius: 10px;
            margin: 20px 0;
        }
        
        .form-section h3 {
            margin-bottom: 15px;
            color: #333;
        }
        
        .form-row {
            display: grid;
            grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
            gap: 20px;
            margin-bottom: 20px;
        }
        
        .form-group {
            margin-bottom: 20px;
        }
        
        .form-group label {
            display: block;
            margin-bottom: 8px;
            font-weight: bold;
            color: #333;
        }
        
        .form-group input,
        .form-group select,
        .form-group textarea {
            width: 100%;
            padding: 12px;
            border: 2px solid #ddd;
            border-radius: 8px;
            font-size: 16px;
            transition: border-color 0.3s;
        }
        
        .form-group input:focus,
        .form-group select:focus {
            outline: none;
            border-color: #FF416C;
        }
        
        .checkbox-group {
            display: grid;
            grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
            gap: 15px;
            margin: 15px 0;
        }
        
        .checkbox-item {
            display: flex;
            align-items: center;
            gap: 8px;
        }
        
        .checkbox-item input[type="checkbox"] {
            width: auto;
            margin: 0;
        }
        
        .btn {
            background: linear-gradient(45deg, #FF416C, #FF4B2B);
            color: white;
            border: none;
            padding: 15px 30px;
            border-radius: 8px;
            cursor: pointer;
            font-weight: bold;
            font-size: 16px;
            transition: all 0.3s;
            margin: 10px;
        }
        
        .btn:hover {
            transform: translateY(-2px);
            box-shadow: 0 6px 12px rgba(0,0,0,0.2);
        }
        
        .btn-secondary {
            background: linear-gradient(45deg, #6c757d, #495057);
        }
        
        .hidden {
            display: none;
        }
        
        .datetime-info {
            font-size: 0.9em;
            color: #666;
            margin-top: 5px;
        }
        
        @media (max-width: 768px) {
            .form-row {
                grid-template-columns: 1fr;
            }
            
            .event-type-selector {
                flex-direction: column;
                align-items: center;
            }
            
            .nav-links a {
                display: block;
                margin: 5px 0;
            }
        }
    </style>
</head>
<body>
    <div class="container">
        <div class="header">
            <h1>➕ Добавление события</h1>
            <p>Создание новых спортивных событий для системы ставок</p>
            
            <div class="nav-links">
                <a href="admin_panel.php">📊 Админ панель</a>
                <a href="?action=logout">🚪 Выйти</a>
            </div>
        </div>
        
        <div class="content">
            <?php if ($message): ?>
                <div class="alert alert-success">
                    <?= htmlspecialchars($message) ?>
                    <?php if ($event_id): ?>
                        <br><br>
                        <strong>🎉 Что дальше?</strong><br>
                        • Событие добавлено в систему<br>
                        • Админы получили уведомление в Telegram<br>
                        • Пользователи могут делать ставки (если событие предстоящее)
                    <?php endif; ?>
                </div>
            <?php endif; ?>
            
            <?php if ($error): ?>
                <div class="alert alert-error">
                    <?= htmlspecialchars($error) ?>
                </div>
            <?php endif; ?>
            
            <div class="alert alert-info">
                <strong>ℹ️ Инструкция:</strong><br>
                1. Выберите тип события (предстоящее или прошедшее)<br>
                2. Заполните основную информацию о матче<br>
                3. Для прошедших событий укажите результат<br>
                4. Система автоматически уведомит админов в Telegram
            </div>
            
            <!-- Статистика -->
            <div class="stats-row">
                <div class="stat-card">
                    <div class="stat-number"><?= $stats['total_events'] ?></div>
                    <div>Всего событий</div>
                </div>
                <div class="stat-card">
                    <div class="stat-number"><?= $stats['upcoming_events'] ?></div>
                    <div>Предстоящих</div>
                </div>
                <div class="stat-card">
                    <div class="stat-number"><?= $stats['finished_events'] ?></div>
                    <div>Завершенных</div>
                </div>
            </div>
            
            <!-- Форма создания события -->
            <form method="POST" id="eventForm">
                <input type="hidden" name="action" value="create_event">
                
                <!-- Выбор типа события -->
                <div class="event-type-selector">
                    <button type="button" class="event-type-btn active" onclick="setEventType('upcoming')">
                        ⏳ Предстоящее событие
                    </button>
                    <button type="button" class="event-type-btn" onclick="setEventType('past')">
                        📅 Прошедшее событие
                    </button>
                </div>
                
                <input type="hidden" name="event_type" id="event_type" value="upcoming">
                
                <!-- Основная информация -->
                <div class="form-section">
                    <h3>🏟 Основная информация</h3>
                    
                    <div class="form-row">
                        <div class="form-group">
                            <label for="title">Название события *</label>
                            <input type="text" id="title" name="title" required 
                                   placeholder="Финал Кубка мира, Матч 15-го тура, Дерби" maxlength="100">
                        </div>
                        
                        <div class="form-group">
                            <label for="league">Лига/Турнир</label>
                            <input type="text" id="league" name="league" 
                                   placeholder="Премьер-лига, Лига Чемпионов, ЧМ 2026" maxlength="100">
                        </div>
                    </div>
                    
                    <div class="form-row">
                        <div class="form-group">
                            <label for="team1">Команда 1 (домашняя) *</label>
                            <input type="text" id="team1" name="team1" required 
                                   placeholder="Реал Мадрид, Манчестер Сити" maxlength="50">
                        </div>
                        
                        <div class="form-group">
                            <label for="team2">Команда 2 (гостевая) *</label>
                            <input type="text" id="team2" name="team2" required 
                                   placeholder="Барселона, Ливерпуль" maxlength="50">
                        </div>
                    </div>
                    
                    <div class="form-row">
                        <div class="form-group">
                            <label for="event_date">Дата и время *</label>
                            <input type="datetime-local" id="event_date" name="event_date" required>
                            <div class="datetime-info">
                                🕐 Указывайте местное время. Для прошедших событий можно указать любую дату.
                            </div>
                        </div>
                    </div>
                </div>
                
                <!-- Результат (только для прошедших событий) -->
                <div class="form-section hidden" id="result_section">
                    <h3>📊 Результат матча</h3>
                    
                    <div class="form-row">
                        <div class="form-group">
                            <label for="score">Счет *</label>
                            <input type="text" id="score" name="score" 
                                   placeholder="2-1, 0-0, 3-3" pattern="^\d+-\d+$">
                        </div>
                        
                        <div class="form-group">
                            <label for="winner">Победитель *</label>
                            <select id="winner" name="winner">
                                <option value="">Выберите победителя</option>
                                <option value="team1">Команда 1 (домашняя)</option>
                                <option value="team2">Команда 2 (гостевая)</option>
                                <option value="draw">Ничья</option>
                            </select>
                        </div>
                        
                        <div class="form-group">
                            <label for="total_goals">Общее количество голов *</label>
                            <input type="number" id="total_goals" name="total_goals" 
                                   min="0" max="20" placeholder="0, 1, 2, 3...">
                        </div>
                    </div>
                    
                    <h4 style="margin: 20px 0 10px 0;">🎯 Дополнительные события (опционально)</h4>
                    
                    <div class="form-row">
                        <div class="form-group">
                            <label for="first_goal">Первый гол</label>
                            <select id="first_goal" name="first_goal">
                                <option value="">Не указывать</option>
                                <option value="team1">Команда 1</option>
                                <option value="team2">Команда 2</option>
                            </select>
                        </div>
                        
                        <div class="form-group">
                            <label for="corners_winner">Больше угловых</label>
                            <select id="corners_winner" name="corners_winner">
                                <option value="">Не указывать</option>
                                <option value="team1">Команда 1</option>
                                <option value="team2">Команда 2</option>
                                <option value="draw">Поровну</option>
                            </select>
                        </div>
                    </div>
                    
                    <div class="checkbox-group">
                        <div class="checkbox-item">
                            <input type="checkbox" id="red_card" name="red_card" value="1">
                            <label for="red_card">🟥 Было удаление</label>
                        </div>
                        
                        <div class="checkbox-item">
                            <input type="checkbox" id="penalty" name="penalty" value="1">
                            <label for="penalty">🎯 Был пенальти</label>
                        </div>
                        
                        <div class="checkbox-item">
                            <input type="checkbox" id="own_goal" name="own_goal" value="1">
                            <label for="own_goal">🤦 Был автогол</label>
                        </div>
                    </div>
                </div>
                
                <!-- Кнопки -->
                <div style="text-align: center; margin: 30px 0;">
                    <button type="submit" class="btn" id="submit_btn">
                        ⚽ Создать предстоящее событие
                    </button>
                    
                    <button type="button" class="btn btn-secondary" onclick="clearForm()">
                        🔄 Очистить форму
                    </button>
                </div>
            </form>
        </div>
    </div>

    <script>
        // Текущий тип события
        let currentEventType = 'upcoming';
        
        // Смена типа события
        function setEventType(type) {
            currentEventType = type;
            document.getElementById('event_type').value = type;
            
            // Обновляем кнопки
            document.querySelectorAll('.event-type-btn').forEach(btn => {
                btn.classList.remove('active');
            });
            event.target.classList.add('active');
            
            // Показываем/скрываем секцию результата
            const resultSection = document.getElementById('result_section');
            const submitBtn = document.getElementById('submit_btn');
            
            if (type === 'past') {
                resultSection.classList.remove('hidden');
                submitBtn.textContent = '📅 Создать прошедшее событие';
                
                // Делаем поля результата обязательными
                document.getElementById('score').required = true;
                document.getElementById('winner').required = true;
                document.getElementById('total_goals').required = true;
            } else {
                resultSection.classList.add('hidden');
                submitBtn.textContent = '⚽ Создать предстоящее событие';
                
                // Убираем обязательность полей результата
                document.getElementById('score').required = false;
                document.getElementById('winner').required = false;
                document.getElementById('total_goals').required = false;
            }
        }
        
        // Автозаполнение общего количества голов по счету
        document.getElementById('score').addEventListener('input', function() {
            const score = this.value;
            const match = score.match(/^(\d+)-(\d+)$/);
            if (match) {
                const total = parseInt(match[1]) + parseInt(match[2]);
                document.getElementById('total_goals').value = total;
            }
        });
        
        // Очистка формы
        function clearForm() {
            if (confirm('Очистить все поля формы?')) {
                document.getElementById('eventForm').reset();
                setEventType('upcoming');
            }
        }
        
        // Установка текущего времени по умолчанию
        window.addEventListener('load', function() {
            const now = new Date();
            now.setMinutes(now.getMinutes() - now.getTimezoneOffset());
            document.getElementById('event_date').value = now.toISOString().slice(0, 16);
        });
        
        // Валидация команд (не должны быть одинаковыми)
        function validateTeams() {
            const team1 = document.getElementById('team1').value.trim();
            const team2 = document.getElementById('team2').value.trim();
            
            if (team1 && team2 && team1.toLowerCase() === team2.toLowerCase()) {
                alert('Команды не могут быть одинаковыми!');
                return false;
            }
            return true;
        }
        
        // Валидация формы при отправке
        document.getElementById('eventForm').addEventListener('submit', function(e) {
            if (!validateTeams()) {
                e.preventDefault();
                return false;
            }
        });
    </script>
</body>
</html>

<?php
// Обработка выхода
if (isset($_GET['action']) && $_GET['action'] === 'logout') {
    session_destroy();
    header('Location: ' . $_SERVER['PHP_SELF']);
    exit;
}
?>