<?php
// event_edit.php - Страница редактирования событий

// Включаем отображение ошибок для отладки
error_reporting(E_ALL);
ini_set('display_errors', 1);

// Подключаем конфигурацию
$CONFIG = [
    'DB_HOST' => 'localhost',
    'DB_NAME' => 'stavka',
    'DB_USER' => 'stavka_usr',
    'DB_PASS' => 'a3vhGiC98aj3U1hP',
    'ADMIN_IDS' => [7351775721, 7128006917],
    'BOT_TOKEN' => '7893265907:AAFN5SORIWrw_bLrffadUJCDlQWJH036uE4',
    'BET_LOSS_PENALTY' => 2
];

// Простая аутентификация
session_start();
$is_admin = isset($_SESSION['admin_authenticated']) && $_SESSION['admin_authenticated'] === true;

if (!$is_admin && isset($_POST['admin_password'])) {
    if ($_POST['admin_password'] === 'admin123') {
        $_SESSION['admin_authenticated'] = true;
        $is_admin = true;
    } else {
        $login_error = "Неверный пароль!";
    }
}

if (!$is_admin) {
    ?>
    <!DOCTYPE html>
    <html lang="ru">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Вход - Редактирование событий</title>
        <style>
            body { font-family: Arial, sans-serif; background: linear-gradient(135deg, #667eea 0%, #764ba2 100%); display: flex; justify-content: center; align-items: center; height: 100vh; margin: 0; }
            .login-form { background: white; padding: 40px; border-radius: 15px; box-shadow: 0 10px 30px rgba(0,0,0,0.2); max-width: 400px; width: 90%; }
            .login-form h2 { margin-bottom: 20px; color: #333; text-align: center; }
            .login-form input { width: 100%; padding: 12px; margin: 10px 0; border: 1px solid #ddd; border-radius: 8px; box-sizing: border-box; font-size: 16px; }
            .login-form button { width: 100%; padding: 12px; background: linear-gradient(45deg, #FF416C, #FF4B2B); color: white; border: none; border-radius: 8px; cursor: pointer; font-size: 16px; font-weight: bold; }
            .error { color: red; margin-top: 10px; text-align: center; }
        </style>
    </head>
    <body>
        <form method="POST" class="login-form">
            <h2>🔐 Вход в систему</h2>
            <p style="text-align: center; color: #666;">Редактирование событий</p>
            <input type="password" name="admin_password" placeholder="Пароль администратора" required>
            <button type="submit">Войти</button>
            <?php if (isset($login_error)): ?>
                <div class="error"><?= htmlspecialchars($login_error) ?></div>
            <?php endif; ?>
        </form>
    </body>
    </html>
    <?php
    exit;
}

// Подключение к базе данных
try {
    $dsn = "mysql:host={$CONFIG['DB_HOST']};dbname={$CONFIG['DB_NAME']};charset=utf8mb4";
    $pdo = new PDO($dsn, $CONFIG['DB_USER'], $CONFIG['DB_PASS'], [
        PDO::ATTR_ERRMODE => PDO::ERRMODE_EXCEPTION,
        PDO::ATTR_DEFAULT_FETCH_MODE => PDO::FETCH_ASSOC,
        PDO::ATTR_EMULATE_PREPARES => false
    ]);
} catch (PDOException $e) {
    die("Ошибка подключения к базе данных: " . $e->getMessage());
}

// Функция отправки Telegram уведомлений
function sendTelegramNotification($text) {
    global $CONFIG;
    
    if (empty($CONFIG['BOT_TOKEN']) || empty($CONFIG['ADMIN_IDS'])) {
        return false;
    }
    
    $url = "https://api.telegram.org/bot{$CONFIG['BOT_TOKEN']}/sendMessage";
    
    foreach ($CONFIG['ADMIN_IDS'] as $admin_id) {
        $data = [
            'chat_id' => $admin_id,
            'text' => $text,
            'parse_mode' => 'HTML'
        ];
        
        $ch = curl_init();
        curl_setopt_array($ch, [
            CURLOPT_URL => $url,
            CURLOPT_POST => true,
            CURLOPT_POSTFIELDS => http_build_query($data),
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_SSL_VERIFYPEER => false,
            CURLOPT_TIMEOUT => 10
        ]);
        
        curl_exec($ch);
        curl_close($ch);
    }
    
    return true;
}

// Функция получения всех событий
function getAllEvents($pdo) {
    try {
        $stmt = $pdo->query("
            SELECT e.*, 
                   COUNT(DISTINCT b.user_id) as participants_count,
                   COUNT(b.bet_id) as total_bets,
                   COUNT(CASE WHEN b.status = 'pending' THEN 1 END) as pending_bets
            FROM events e 
            LEFT JOIN bets b ON e.event_id = b.event_id 
            GROUP BY e.event_id 
            ORDER BY e.event_date DESC, e.event_id DESC
        ");
        return $stmt->fetchAll();
    } catch (Exception $e) {
        return [];
    }
}

// Функция получения события по ID
function getEventById($pdo, $event_id) {
    try {
        $stmt = $pdo->prepare("
            SELECT e.*, 
                   COUNT(DISTINCT b.user_id) as participants_count,
                   COUNT(b.bet_id) as total_bets,
                   COUNT(CASE WHEN b.status = 'pending' THEN 1 END) as pending_bets
            FROM events e 
            LEFT JOIN bets b ON e.event_id = b.event_id 
            WHERE e.event_id = ?
            GROUP BY e.event_id
        ");
        $stmt->execute([$event_id]);
        return $stmt->fetch();
    } catch (Exception $e) {
        return false;
    }
}

// Функция получения ставок на событие
function getEventBets($pdo, $event_id) {
    try {
        $stmt = $pdo->prepare("
            SELECT b.*, u.first_name, u.username 
            FROM bets b 
            LEFT JOIN users u ON b.user_id = u.user_id 
            WHERE b.event_id = ?
            ORDER BY b.created_at DESC
        ");
        $stmt->execute([$event_id]);
        return $stmt->fetchAll();
    } catch (Exception $e) {
        return [];
    }
}

// Обработка действий
$message = '';
$error = '';
$event_id = $_GET['event_id'] ?? null;
$selected_event = null;
$event_bets = [];

// Получаем событие для редактирования
if ($event_id) {
    $selected_event = getEventById($pdo, $event_id);
    if (!$selected_event) {
        $error = "Событие с ID {$event_id} не найдено!";
        $event_id = null;
    } else {
        $event_bets = getEventBets($pdo, $event_id);
    }
}

// Обработка формы редактирования
if ($_POST && isset($_POST['action'])) {
    try {
        $action = $_POST['action'];
        
        switch ($action) {
            case 'update_event':
                if (!$event_id || !$selected_event) {
                    throw new Exception("Событие не выбрано!");
                }
                
                // Валидация данных
                $title = trim($_POST['title'] ?? '');
                $team1 = trim($_POST['team1'] ?? '');
                $team2 = trim($_POST['team2'] ?? '');
                $league = trim($_POST['league'] ?? '');
                $event_date = trim($_POST['event_date'] ?? '');
                $status = $_POST['status'] ?? '';
                
                if (empty($title) || empty($team1) || empty($team2) || empty($event_date)) {
                    throw new Exception("Заполните все обязательные поля!");
                }
                
                if (strcasecmp($team1, $team2) === 0) {
                    throw new Exception("Команды не могут быть одинаковыми!");
                }
                
                $date_obj = DateTime::createFromFormat('Y-m-d\TH:i', $event_date);
                if (!$date_obj) {
                    throw new Exception("Неверный формат даты!");
                }
                
                $valid_statuses = ['upcoming', 'live', 'finished', 'cancelled'];
                if (!in_array($status, $valid_statuses)) {
                    throw new Exception("Неверный статус события!");
                }
                
                // Обновляем событие
                $stmt = $pdo->prepare("
                    UPDATE events 
                    SET title = ?, team1 = ?, team2 = ?, league = ?, event_date = ?, status = ?, updated_at = NOW()
                    WHERE event_id = ?
                ");
                $stmt->execute([$title, $team1, $team2, $league, $event_date, $status, $event_id]);
                
                // Если статус изменился на cancelled, отменяем все pending ставки
                if ($status === 'cancelled' && $selected_event['status'] !== 'cancelled') {
                    $stmt = $pdo->prepare("
                        UPDATE bets 
                        SET status = 'cancelled', resolved_at = NOW() 
                        WHERE event_id = ? AND status = 'pending'
                    ");
                    $stmt->execute([$event_id]);
                }
                
                $message = "✅ Событие успешно обновлено!";
                
                // Отправляем уведомление
                $status_names = [
                    'upcoming' => 'Предстоящее',
                    'live' => 'В эфире', 
                    'finished' => 'Завершено',
                    'cancelled' => 'Отменено'
                ];
                
                $telegram_message = "📝 <b>Событие обновлено!</b>\n\n";
                $telegram_message .= "🆔 ID: {$event_id}\n";
                $telegram_message .= "🏟 <b>{$title}</b>\n";
                $telegram_message .= "⚽ {$team1} vs {$team2}\n";
                $telegram_message .= "📅 " . $date_obj->format('d.m.Y H:i') . "\n";
                if (!empty($league)) {
                    $telegram_message .= "🏆 {$league}\n";
                }
                $telegram_message .= "📊 Статус: {$status_names[$status]}";
                
                sendTelegramNotification($telegram_message);
                
                // Обновляем данные события
                $selected_event = getEventById($pdo, $event_id);
                break;
                
            case 'update_result':
                if (!$event_id || !$selected_event) {
                    throw new Exception("Событие не выбрано!");
                }
                
                if ($selected_event['status'] !== 'finished') {
                    throw new Exception("Можно изменять результат только у завершенных событий!");
                }
                
                $winner = $_POST['winner'] ?? '';
                $score = $_POST['score'] ?? '';
                $total_goals = (int)($_POST['total_goals'] ?? 0);
                
                if (empty($winner) || empty($score)) {
                    throw new Exception("Укажите победителя и счет!");
                }
                
                $result_data = [
                    'winner' => $winner,
                    'score' => $score,
                    'total_goals' => $total_goals
                ];
                
                // Дополнительные параметры
                if (!empty($_POST['first_goal'])) {
                    $result_data['first_goal'] = $_POST['first_goal'];
                }
                if (isset($_POST['red_card'])) {
                    $result_data['red_card'] = true;
                }
                if (isset($_POST['penalty'])) {
                    $result_data['penalty'] = true;
                }
                if (isset($_POST['own_goal'])) {
                    $result_data['own_goal'] = true;
                }
                if (!empty($_POST['corners_winner'])) {
                    $result_data['corners_winner'] = $_POST['corners_winner'];
                }
                
                $stmt = $pdo->prepare("
                    UPDATE events 
                    SET result = ?, updated_at = NOW()
                    WHERE event_id = ?
                ");
                $stmt->execute([json_encode($result_data), $event_id]);
                
                $message = "✅ Результат события обновлен! Используйте /fix_balances {$event_id} в боте для пересчета ставок.";
                
                // Уведомление админам
                sendTelegramNotification("📊 Результат события #{$event_id} обновлен. Запустите /fix_balances {$event_id} для пересчета ставок.");
                
                // Обновляем данные события
                $selected_event = getEventById($pdo, $event_id);
                break;
                
            case 'delete_event':
                if (!$event_id || !$selected_event) {
                    throw new Exception("Событие не выбрано!");
                }
                
                $pdo->beginTransaction();
                
                // Отменяем все ставки
                $stmt = $pdo->prepare("
                    UPDATE bets 
                    SET status = 'cancelled', resolved_at = NOW() 
                    WHERE event_id = ? AND status = 'pending'
                ");
                $stmt->execute([$event_id]);
                $cancelled_bets = $stmt->rowCount();
                
                // Удаляем событие
                $stmt = $pdo->prepare("DELETE FROM events WHERE event_id = ?");
                $stmt->execute([$event_id]);
                
                $pdo->commit();
                
                $message = "✅ Событие удалено! Отменено ставок: {$cancelled_bets}";
                
                sendTelegramNotification("🗑 Событие #{$event_id} ({$selected_event['title']}) удалено. Отменено ставок: {$cancelled_bets}");
                
                // Сбрасываем выбранное событие
                $event_id = null;
                $selected_event = null;
                $event_bets = [];
                break;
        }
        
    } catch (Exception $e) {
        if (isset($pdo) && $pdo->inTransaction()) {
            $pdo->rollBack();
        }
        $error = $e->getMessage();
    }
}

// Получаем все события для списка
$events = getAllEvents($pdo);

// Статистика
$stats = [
    'total_events' => count($events),
    'upcoming_events' => count(array_filter($events, function($e) { return $e['status'] === 'upcoming'; })),
    'live_events' => count(array_filter($events, function($e) { return $e['status'] === 'live'; })),
    'finished_events' => count(array_filter($events, function($e) { return $e['status'] === 'finished'; })),
    'cancelled_events' => count(array_filter($events, function($e) { return $e['status'] === 'cancelled'; }))
];

// Обработка выхода
if (isset($_GET['action']) && $_GET['action'] === 'logout') {
    session_destroy();
    header('Location: ' . $_SERVER['PHP_SELF']);
    exit;
}
?>

<!DOCTYPE html>
<html lang="ru">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Редактирование событий</title>
    <style>
        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
        }
        
        body {
            font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
            line-height: 1.6;
            color: #333;
            background: linear-gradient(135deg, #667eea 0%, #764ba2 100%);
            min-height: 100vh;
            padding: 20px;
        }
        
        .container {
            max-width: 1400px;
            margin: 0 auto;
            background: white;
            border-radius: 15px;
            box-shadow: 0 10px 30px rgba(0,0,0,0.2);
            overflow: hidden;
        }
        
        .header {
            background: linear-gradient(45deg, #FF416C, #FF4B2B);
            color: white;
            padding: 30px;
            text-align: center;
        }
        
        .header h1 {
            font-size: 2.5em;
            margin-bottom: 10px;
            text-shadow: 2px 2px 4px rgba(0,0,0,0.3);
        }
        
        .nav-links {
            text-align: center;
            margin-bottom: 20px;
        }
        
        .nav-links a {
            color: white;
            text-decoration: none;
            margin: 0 15px;
            padding: 8px 16px;
            border: 2px solid rgba(255,255,255,0.3);
            border-radius: 20px;
            transition: all 0.3s;
        }
        
        .nav-links a:hover {
            background: rgba(255,255,255,0.2);
            transform: translateY(-2px);
        }
        
        .content {
            padding: 30px;
        }
        
        .alert {
            padding: 15px;
            margin: 20px 0;
            border-radius: 8px;
            font-weight: bold;
        }
        
        .alert-success {
            background: #d4edda;
            color: #155724;
            border: 1px solid #c3e6cb;
        }
        
        .alert-error {
            background: #f8d7da;
            color: #721c24;
            border: 1px solid #f5c6cb;
        }
        
        .alert-info {
            background: #e3f2fd;
            color: #1565c0;
            border: 1px solid #bbdefb;
        }
        
        .stats-row {
            display: grid;
            grid-template-columns: repeat(auto-fit, minmax(180px, 1fr));
            gap: 20px;
            margin: 20px 0;
        }
        
        .stat-card {
            background: linear-gradient(45deg, #667eea, #764ba2);
            color: white;
            padding: 20px;
            border-radius: 10px;
            text-align: center;
        }
        
        .stat-number {
            font-size: 2em;
            font-weight: bold;
            margin-bottom: 5px;
        }
        
        .main-grid {
            display: grid;
            grid-template-columns: 1fr 1fr;
            gap: 30px;
            margin-top: 30px;
        }
        
        .events-list,
        .event-editor {
            background: #f8f9fa;
            padding: 20px;
            border-radius: 10px;
        }
        
        .events-list h3,
        .event-editor h3 {
            margin-bottom: 20px;
            color: #333;
        }
        
        .event-item {
            background: white;
            padding: 15px;
            margin-bottom: 10px;
            border-radius: 8px;
            border-left: 4px solid #667eea;
            cursor: pointer;
            transition: all 0.3s;
        }
        
        .event-item:hover {
            transform: translateX(5px);
            box-shadow: 0 4px 8px rgba(0,0,0,0.1);
        }
        
        .event-item.selected {
            border-left-color: #FF416C;
            background: #fff5f5;
        }
        
        .event-title {
            font-weight: bold;
            margin-bottom: 5px;
        }
        
        .event-teams {
            color: #666;
            margin-bottom: 5px;
        }
        
        .event-meta {
            font-size: 0.9em;
            color: #888;
            display: flex;
            justify-content: space-between;
            align-items: center;
        }
        
        .status-badge {
            padding: 3px 8px;
            border-radius: 12px;
            font-size: 0.8em;
            font-weight: bold;
        }
        
        .status-upcoming { background: #fff3cd; color: #856404; }
        .status-live { background: #f8d7da; color: #721c24; }
        .status-finished { background: #d4edda; color: #155724; }
        .status-cancelled { background: #f8f9fa; color: #6c757d; }
        
        .form-section {
            background: white;
            padding: 20px;
            border-radius: 10px;
            margin: 20px 0;
        }
        
        .form-section h4 {
            margin-bottom: 15px;
            color: #333;
        }
        
        .form-row {
            display: grid;
            grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
            gap: 20px;
            margin-bottom: 20px;
        }
        
        .form-group {
            margin-bottom: 20px;
        }
        
        .form-group label {
            display: block;
            margin-bottom: 8px;
            font-weight: bold;
            color: #333;
        }
        
        .form-group input,
        .form-group select,
        .form-group textarea {
            width: 100%;
            padding: 12px;
            border: 2px solid #ddd;
            border-radius: 8px;
            font-size: 16px;
            transition: border-color 0.3s;
        }
        
        .form-group input:focus,
        .form-group select:focus {
            outline: none;
            border-color: #FF416C;
        }
        
        .checkbox-group {
            display: grid;
            grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
            gap: 15px;
            margin: 15px 0;
        }
        
        .checkbox-item {
            display: flex;
            align-items: center;
            gap: 8px;
        }
        
        .checkbox-item input[type="checkbox"] {
            width: auto;
            margin: 0;
        }
        
        .btn {
            background: linear-gradient(45deg, #FF416C, #FF4B2B);
            color: white;
            border: none;
            padding: 15px 30px;
            border-radius: 8px;
            cursor: pointer;
            font-weight: bold;
            font-size: 16px;
            transition: all 0.3s;
            margin: 10px 5px;
            text-decoration: none;
            display: inline-block;
        }
        
        .btn:hover {
            transform: translateY(-2px);
            box-shadow: 0 6px 12px rgba(0,0,0,0.2);
        }
        
        .btn-secondary {
            background: linear-gradient(45deg, #6c757d, #495057);
        }
        
        .btn-success {
            background: linear-gradient(45deg, #28a745, #20c997);
        }
        
        .btn-danger {
            background: linear-gradient(45deg, #dc3545, #c82333);
        }
        
        .btn-warning {
            background: linear-gradient(45deg, #ffc107, #fd7e14);
        }
        
        .event-details {
            background: white;
            padding: 20px;
            border-radius: 10px;
            margin-bottom: 20px;
        }
        
        .bets-table {
            width: 100%;
            border-collapse: collapse;
            margin-top: 20px;
        }
        
        .bets-table th,
        .bets-table td {
            padding: 10px;
            text-align: left;
            border-bottom: 1px solid #ddd;
        }
        
        .bets-table th {
            background: #f8f9fa;
            font-weight: bold;
        }
        
        .bet-status-won { color: #28a745; font-weight: bold; }
        .bet-status-lost { color: #dc3545; font-weight: bold; }
        .bet-status-pending { color: #ffc107; font-weight: bold; }
        .bet-status-cancelled { color: #6c757d; font-weight: bold; }
        
        .no-event-selected {
            text-align: center;
            padding: 50px;
            color: #666;
        }
        
        .datetime-info {
            font-size: 0.9em;
            color: #666;
            margin-top: 5px;
        }
        
        @media (max-width: 1024px) {
            .main-grid {
                grid-template-columns: 1fr;
            }
            
            .form-row {
                grid-template-columns: 1fr;
            }
            
            .stats-row {
                grid-template-columns: repeat(3, 1fr);
            }
        }
        
        @media (max-width: 768px) {
            .stats-row {
                grid-template-columns: repeat(2, 1fr);
            }
            
            .nav-links a {
                display: block;
                margin: 5px 0;
            }
            
            .checkbox-group {
                grid-template-columns: 1fr;
            }
        }
    </style>
</head>
<body>
    <div class="container">
        <div class="header">
            <h1>📝 Редактирование событий</h1>
            <p>Управление спортивными событиями и их результатами</p>
            
            <div class="nav-links">
                <a href="admin_panel.php">📊 Админ панель</a>
                <a href="event_add.php">➕ Добавить событие</a>
                <a href="?action=logout">🚪 Выйти</a>
            </div>
        </div>
        
        <div class="content">
            <?php if ($message): ?>
                <div class="alert alert-success">
                    <?= htmlspecialchars($message) ?>
                </div>
            <?php endif; ?>
            
            <?php if ($error): ?>
                <div class="alert alert-error">
                    <?= htmlspecialchars($error) ?>
                </div>
            <?php endif; ?>
            
            <div class="alert alert-info">
                <strong>ℹ️ Инструкция:</strong><br>
                1. Выберите событие из списка слева<br>
                2. Редактируйте основную информацию или результат<br>
                3. Изменения автоматически уведомят админов в Telegram<br>
                4. При изменении результата используйте /fix_balances в боте для пересчета ставок
            </div>
            
            <!-- Статистика -->
            <div class="stats-row">
                <div class="stat-card">
                    <div class="stat-number"><?= $stats['total_events'] ?></div>
                    <div>Всего событий</div>
                </div>
                <div class="stat-card">
                    <div class="stat-number"><?= $stats['upcoming_events'] ?></div>
                    <div>Предстоящих</div>
                </div>
                <div class="stat-card">
                    <div class="stat-number"><?= $stats['live_events'] ?></div>
                    <div>В эфире</div>
                </div>
                <div class="stat-card">
                    <div class="stat-number"><?= $stats['finished_events'] ?></div>
                    <div>Завершенных</div>
                </div>
                <div class="stat-card">
                    <div class="stat-number"><?= $stats['cancelled_events'] ?></div>
                    <div>Отмененных</div>
                </div>
            </div>
            
            <div class="main-grid">
                <!-- Список событий -->
                <div class="events-list">
                    <h3>📋 Все события (<?= count($events) ?>)</h3>
                    
                    <?php if (empty($events)): ?>
                        <div style="text-align: center; padding: 30px; color: #666;">
                            🤷‍♂️ Нет событий для редактирования<br>
                            <a href="event_add.php" class="btn" style="margin-top: 15px;">➕ Создать первое событие</a>
                        </div>
                    <?php else: ?>
                        <?php foreach ($events as $event): ?>
                            <div class="event-item <?= $event['event_id'] == $event_id ? 'selected' : '' ?>" 
                                 onclick="selectEvent(<?= $event['event_id'] ?>)">
                                <div class="event-title">
                                    #<?= $event['event_id'] ?> - <?= htmlspecialchars($event['title']) ?>
                                </div>
                                <div class="event-teams">
                                    ⚽ <?= htmlspecialchars($event['team1']) ?> vs <?= htmlspecialchars($event['team2']) ?>
                                </div>
                                <div class="event-meta">
                                    <span>
                                        📅 <?= date('d.m.Y H:i', strtotime($event['event_date'])) ?>
                                        <?php if ($event['league']): ?>
                                            <br>🏆 <?= htmlspecialchars($event['league']) ?>
                                        <?php endif; ?>
                                    </span>
                                    <span class="status-badge status-<?= $event['status'] ?>">
                                        <?= ucfirst($event['status']) ?>
                                    </span>
                                </div>
                                <?php if ($event['total_bets'] > 0): ?>
                                    <div style="margin-top: 5px; font-size: 0.9em; color: #666;">
                                        👥 <?= $event['participants_count'] ?> участников, 🎯 <?= $event['total_bets'] ?> ставок
                                        <?php if ($event['pending_bets'] > 0): ?>
                                            | ⏳ <?= $event['pending_bets'] ?> активных
                                        <?php endif; ?>
                                    </div>
                                <?php endif; ?>
                            </div>
                        <?php endforeach; ?>
                    <?php endif; ?>
                </div>
                
                <!-- Редактор события -->
                <div class="event-editor">
                    <?php if (!$selected_event): ?>
                        <div class="no-event-selected">
                            <h3>🎯 Выберите событие для редактирования</h3>
                            <p>Кликните на событие в списке слева</p>
                        </div>
                    <?php else: ?>
                        <h3>📝 Редактирование события #<?= $selected_event['event_id'] ?></h3>
                        
                        <!-- Информация о событии -->
                        <div class="event-details">
                            <h4>📊 Текущая информация</h4>
                            <p><strong>Название:</strong> <?= htmlspecialchars($selected_event['title']) ?></p>
                            <p><strong>Команды:</strong> <?= htmlspecialchars($selected_event['team1']) ?> vs <?= htmlspecialchars($selected_event['team2']) ?></p>
                            <p><strong>Дата:</strong> <?= date('d.m.Y H:i', strtotime($selected_event['event_date'])) ?></p>
                            <p><strong>Статус:</strong> 
                                <span class="status-badge status-<?= $selected_event['status'] ?>">
                                    <?= ucfirst($selected_event['status']) ?>
                                </span>
                            </p>
                            <?php if ($selected_event['league']): ?>
                                <p><strong>Лига:</strong> <?= htmlspecialchars($selected_event['league']) ?></p>
                            <?php endif; ?>
                            <p><strong>Участников:</strong> <?= $selected_event['participants_count'] ?></p>
                            <p><strong>Ставок:</strong> <?= $selected_event['total_bets'] ?> (активных: <?= $selected_event['pending_bets'] ?>)</p>
                            
                            <?php if ($selected_event['result']): ?>
                                <?php $result = json_decode($selected_event['result'], true); ?>
                                <p><strong>Результат:</strong> 
                                    Счет: <?= htmlspecialchars($result['score'] ?? 'Не указан') ?>, 
                                    Победитель: <?= htmlspecialchars($result['winner'] ?? 'Не указан') ?>,
                                    Голов: <?= htmlspecialchars($result['total_goals'] ?? 'Не указано') ?>
                                </p>
                            <?php endif; ?>
                        </div>
                        
                        <!-- Форма редактирования основной информации -->
                        <div class="form-section">
                            <h4>🏟 Основная информация</h4>
                            
                            <form method="POST" id="updateEventForm">
                                <input type="hidden" name="action" value="update_event">
                                
                                <div class="form-row">
                                    <div class="form-group">
                                        <label for="title">Название события *</label>
                                        <input type="text" id="title" name="title" required 
                                               value="<?= htmlspecialchars($selected_event['title']) ?>" 
                                               maxlength="100">
                                    </div>
                                    
                                    <div class="form-group">
                                        <label for="league">Лига/Турнир</label>
                                        <input type="text" id="league" name="league" 
                                               value="<?= htmlspecialchars($selected_event['league'] ?? '') ?>" 
                                               maxlength="100">
                                    </div>
                                </div>
                                
                                <div class="form-row">
                                    <div class="form-group">
                                        <label for="team1">Команда 1 *</label>
                                        <input type="text" id="team1" name="team1" required 
                                               value="<?= htmlspecialchars($selected_event['team1']) ?>" 
                                               maxlength="50">
                                    </div>
                                    
                                    <div class="form-group">
                                        <label for="team2">Команда 2 *</label>
                                        <input type="text" id="team2" name="team2" required 
                                               value="<?= htmlspecialchars($selected_event['team2']) ?>" 
                                               maxlength="50">
                                    </div>
                                </div>
                                
                                <div class="form-row">
                                    <div class="form-group">
                                        <label for="event_date">Дата и время *</label>
                                        <input type="datetime-local" id="event_date" name="event_date" required 
                                               value="<?= date('Y-m-d\TH:i', strtotime($selected_event['event_date'])) ?>">
                                        <div class="datetime-info">
                                            🕐 Изменение времени повлияет на отображение для пользователей
                                        </div>
                                    </div>
                                    
                                    <div class="form-group">
                                        <label for="status">Статус *</label>
                                        <select id="status" name="status" required>
                                            <option value="upcoming" <?= $selected_event['status'] === 'upcoming' ? 'selected' : '' ?>>⏳ Предстоящее</option>
                                            <option value="live" <?= $selected_event['status'] === 'live' ? 'selected' : '' ?>>🔴 В эфире</option>
                                            <option value="finished" <?= $selected_event['status'] === 'finished' ? 'selected' : '' ?>>✅ Завершено</option>
                                            <option value="cancelled" <?= $selected_event['status'] === 'cancelled' ? 'selected' : '' ?>>🚫 Отменено</option>
                                        </select>
                                        <div class="datetime-info">
                                            ⚠️ При смене на "Отменено" все активные ставки будут отменены
                                        </div>
                                    </div>
                                </div>
                                
                                <div style="text-align: center;">
                                    <button type="submit" class="btn">
                                        💾 Сохранить изменения
                                    </button>
                                    
                                    <button type="button" class="btn btn-secondary" onclick="resetForm()">
                                        🔄 Сбросить
                                    </button>
                                </div>
                            </form>
                        </div>
                        
                        <!-- Редактирование результата (только для завершенных событий) -->
                        <?php if ($selected_event['status'] === 'finished'): ?>
                            <div class="form-section">
                                <h4>📊 Результат матча</h4>
                                
                                <?php 
                                $result = $selected_event['result'] ? json_decode($selected_event['result'], true) : [];
                                ?>
                                
                                <form method="POST" id="updateResultForm">
                                    <input type="hidden" name="action" value="update_result">
                                    
                                    <div class="form-row">
                                        <div class="form-group">
                                            <label for="score">Счет *</label>
                                            <input type="text" id="score" name="score" required 
                                                   value="<?= htmlspecialchars($result['score'] ?? '') ?>" 
                                                   placeholder="2-1, 0-0, 3-3" pattern="^\d+-\d+$">
                                        </div>
                                        
                                        <div class="form-group">
                                            <label for="winner">Победитель *</label>
                                            <select id="winner" name="winner" required>
                                                <option value="">Выберите победителя</option>
                                                <option value="team1" <?= ($result['winner'] ?? '') === 'team1' ? 'selected' : '' ?>>
                                                    Команда 1 (<?= htmlspecialchars($selected_event['team1']) ?>)
                                                </option>
                                                <option value="team2" <?= ($result['winner'] ?? '') === 'team2' ? 'selected' : '' ?>>
                                                    Команда 2 (<?= htmlspecialchars($selected_event['team2']) ?>)
                                                </option>
                                                <option value="draw" <?= ($result['winner'] ?? '') === 'draw' ? 'selected' : '' ?>>
                                                    Ничья
                                                </option>
                                            </select>
                                        </div>
                                        
                                        <div class="form-group">
                                            <label for="total_goals">Общее количество голов *</label>
                                            <input type="number" id="total_goals" name="total_goals" required 
                                                   value="<?= htmlspecialchars($result['total_goals'] ?? '') ?>" 
                                                   min="0" max="20">
                                        </div>
                                    </div>
                                    
                                    <h5 style="margin: 20px 0 10px 0;">🎯 Дополнительные события</h5>
                                    
                                    <div class="form-row">
                                        <div class="form-group">
                                            <label for="first_goal">Первый гол</label>
                                            <select id="first_goal" name="first_goal">
                                                <option value="">Не указывать</option>
                                                <option value="team1" <?= ($result['first_goal'] ?? '') === 'team1' ? 'selected' : '' ?>>
                                                    <?= htmlspecialchars($selected_event['team1']) ?>
                                                </option>
                                                <option value="team2" <?= ($result['first_goal'] ?? '') === 'team2' ? 'selected' : '' ?>>
                                                    <?= htmlspecialchars($selected_event['team2']) ?>
                                                </option>
                                            </select>
                                        </div>
                                        
                                        <div class="form-group">
                                            <label for="corners_winner">Больше угловых</label>
                                            <select id="corners_winner" name="corners_winner">
                                                <option value="">Не указывать</option>
                                                <option value="team1" <?= ($result['corners_winner'] ?? '') === 'team1' ? 'selected' : '' ?>>
                                                    <?= htmlspecialchars($selected_event['team1']) ?>
                                                </option>
                                                <option value="team2" <?= ($result['corners_winner'] ?? '') === 'team2' ? 'selected' : '' ?>>
                                                    <?= htmlspecialchars($selected_event['team2']) ?>
                                                </option>
                                                <option value="draw" <?= ($result['corners_winner'] ?? '') === 'draw' ? 'selected' : '' ?>>
                                                    Поровну
                                                </option>
                                            </select>
                                        </div>
                                    </div>
                                    
                                    <div class="checkbox-group">
                                        <div class="checkbox-item">
                                            <input type="checkbox" id="red_card" name="red_card" value="1" 
                                                   <?= !empty($result['red_card']) ? 'checked' : '' ?>>
                                            <label for="red_card">🟥 Было удаление</label>
                                        </div>
                                        
                                        <div class="checkbox-item">
                                            <input type="checkbox" id="penalty" name="penalty" value="1" 
                                                   <?= !empty($result['penalty']) ? 'checked' : '' ?>>
                                            <label for="penalty">🎯 Был пенальти</label>
                                        </div>
                                        
                                        <div class="checkbox-item">
                                            <input type="checkbox" id="own_goal" name="own_goal" value="1" 
                                                   <?= !empty($result['own_goal']) ? 'checked' : '' ?>>
                                            <label for="own_goal">🤦 Был автогол</label>
                                        </div>
                                    </div>
                                    
                                    <div style="text-align: center;">
                                        <button type="submit" class="btn btn-warning">
                                            📊 Обновить результат
                                        </button>
                                    </div>
                                </form>
                            </div>
                        <?php endif; ?>
                        
                        <!-- Ставки на событие -->
                        <?php if (!empty($event_bets)): ?>
                            <div class="form-section">
                                <h4>🎯 Ставки на событие (<?= count($event_bets) ?>)</h4>
                                
                                <div style="overflow-x: auto;">
                                    <table class="bets-table">
                                        <thead>
                                            <tr>
                                                <th>Игрок</th>
                                                <th>Тип ставки</th>
                                                <th>Прогноз</th>
                                                <th>Статус</th>
                                                <th>Баллы</th>
                                                <th>Дата</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php foreach ($event_bets as $bet): ?>
                                                <tr>
                                                    <td>
                                                        <strong><?= htmlspecialchars($bet['first_name']) ?></strong>
                                                        <?php if ($bet['username']): ?>
                                                            <br><small>@<?= htmlspecialchars($bet['username']) ?></small>
                                                        <?php endif; ?>
                                                    </td>
                                                    <td>
                                                        <?php
                                                        $bet_types = [
                                                            'winner' => '🏆 Победитель',
                                                            'exact_score' => '⚽ Точный счет',
                                                            'first_goal' => '🥅 Первый гол',
                                                            'total_goals' => '📊 Тотал голов',
                                                            'red_card' => '🟥 Удаление',
                                                            'penalty' => '🎯 Пенальти',
                                                            'own_goal' => '🤦 Автогол',
                                                            'corners_winner' => '📐 Угловые'
                                                        ];
                                                        echo $bet_types[$bet['bet_type']] ?? $bet['bet_type'];
                                                        ?>
                                                    </td>
                                                    <td>
                                                        <?php
                                                        // Форматируем отображение ставки
                                                        switch ($bet['bet_type']) {
                                                            case 'winner':
                                                                switch ($bet['bet_answer']) {
                                                                    case 'team1': echo "П1 ({$selected_event['team1']})"; break;
                                                                    case 'team2': echo "П2 ({$selected_event['team2']})"; break;
                                                                    case 'draw': echo "Ничья"; break;
                                                                    default: echo htmlspecialchars($bet['bet_answer']);
                                                                }
                                                                break;
                                                            case 'exact_score':
                                                                echo $bet['bet_answer'] === 'other' ? "Другой счет" : "Счет {$bet['bet_answer']}";
                                                                break;
                                                            case 'first_goal':
                                                                switch ($bet['bet_answer']) {
                                                                    case 'team1': echo "Первый гол - {$selected_event['team1']}"; break;
                                                                    case 'team2': echo "Первый гол - {$selected_event['team2']}"; break;
                                                                    default: echo htmlspecialchars($bet['bet_answer']);
                                                                }
                                                                break;
                                                            case 'total_goals':
                                                                echo $bet['bet_answer'] === 'over' ? "Больше 4.5 голов" : "Меньше 4.5 голов";
                                                                break;
                                                            case 'corners_winner':
                                                                switch ($bet['bet_answer']) {
                                                                    case 'team1': echo "Больше угловых - {$selected_event['team1']}"; break;
                                                                    case 'team2': echo "Больше угловых - {$selected_event['team2']}"; break;
                                                                    case 'draw': echo "Равное количество угловых"; break;
                                                                    default: echo htmlspecialchars($bet['bet_answer']);
                                                                }
                                                                break;
                                                            default:
                                                                echo htmlspecialchars($bet['bet_answer']);
                                                        }
                                                        ?>
                                                    </td>
                                                    <td>
                                                        <span class="bet-status-<?= $bet['status'] ?>">
                                                            <?php
                                                            switch ($bet['status']) {
                                                                case 'won': echo '✅ Выиграл'; break;
                                                                case 'lost': echo '❌ Проиграл'; break;
                                                                case 'pending': echo '⏳ Ожидание'; break;
                                                                case 'cancelled': echo '🚫 Отменена'; break;
                                                                default: echo htmlspecialchars($bet['status']);
                                                            }
                                                            ?>
                                                        </span>
                                                    </td>
                                                    <td>
                                                        <?php if ($bet['status'] === 'won'): ?>
                                                            +<?= $bet['points_earned'] ?>
                                                        <?php elseif ($bet['status'] === 'lost'): ?>
                                                            -<?= $CONFIG['BET_LOSS_PENALTY'] ?>
                                                        <?php elseif ($bet['status'] === 'pending'): ?>
                                                            ±<?= $bet['potential_win'] ?>
                                                        <?php else: ?>
                                                            —
                                                        <?php endif; ?>
                                                    </td>
                                                    <td><?= date('d.m H:i', strtotime($bet['created_at'])) ?></td>
                                                </tr>
                                            <?php endforeach; ?>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        <?php endif; ?>
                        
                        <!-- Опасные действия -->
                        <div class="form-section" style="border: 2px solid #dc3545; background: #fff5f5;">
                            <h4 style="color: #dc3545;">⚠️ Опасная зона</h4>
                            
                            <p style="color: #721c24; margin-bottom: 20px;">
                                <strong>Внимание!</strong> Удаление события нельзя отменить. 
                                Все связанные ставки будут отменены без возврата баллов.
                            </p>
                            
                            <button type="button" class="btn btn-danger" onclick="confirmDelete()">
                                🗑️ Удалить событие
                            </button>
                        </div>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>

    <script>
        // Выбор события
        function selectEvent(eventId) {
            window.location.href = '?event_id=' + eventId;
        }
        
        // Сброс формы
        function resetForm() {
            document.getElementById('updateEventForm').reset();
            // Восстанавливаем оригинальные значения
            <?php if ($selected_event): ?>
                document.getElementById('title').value = <?= json_encode($selected_event['title']) ?>;
                document.getElementById('team1').value = <?= json_encode($selected_event['team1']) ?>;
                document.getElementById('team2').value = <?= json_encode($selected_event['team2']) ?>;
                document.getElementById('league').value = <?= json_encode($selected_event['league'] ?? '') ?>;
                document.getElementById('event_date').value = <?= json_encode(date('Y-m-d\TH:i', strtotime($selected_event['event_date']))) ?>;
                document.getElementById('status').value = <?= json_encode($selected_event['status']) ?>;
            <?php endif; ?>
        }
        
        // Подтверждение удаления
        function confirmDelete() {
            if (confirm('⚠️ ВЫ УВЕРЕНЫ?\n\nЭто действие нельзя отменить!\n\n' +
                       '• Событие будет удалено навсегда\n' +
                       '• Все ставки будут отменены\n' +
                       '• Баллы НЕ вернутся игрокам\n\n' +
                       'Продолжить удаление?')) {
                
                const form = document.createElement('form');
                form.method = 'POST';
                form.innerHTML = '<input type="hidden" name="action" value="delete_event">';
                document.body.appendChild(form);
                form.submit();
            }
        }
        
        // Автозаполнение общего количества голов по счету
        document.getElementById('score')?.addEventListener('input', function() {
            const score = this.value;
            const match = score.match(/^(\d+)-(\d+)$/);
            if (match) {
                const total = parseInt(match[1]) + parseInt(match[2]);
                document.getElementById('total_goals').value = total;
            }
        });
        
        // Валидация команд
        function validateTeams() {
            const team1 = document.getElementById('team1').value.trim();
            const team2 = document.getElementById('team2').value.trim();
            
            if (team1 && team2 && team1.toLowerCase() === team2.toLowerCase()) {
                alert('Команды не могут быть одинаковыми!');
                return false;
            }
            return true;
        }
        
        // Валидация при отправке формы
        document.getElementById('updateEventForm')?.addEventListener('submit', function(e) {
            if (!validateTeams()) {
                e.preventDefault();
                return false;
            }
            
            // Предупреждение при изменении статуса на cancelled
            const status = document.getElementById('status').value;
            const originalStatus = <?= json_encode($selected_event['status'] ?? '') ?>;
            
            if (status === 'cancelled' && originalStatus !== 'cancelled') {
                const pendingBets = <?= $selected_event['pending_bets'] ?? 0 ?>;
                if (pendingBets > 0) {
                    if (!confirm(`⚠️ Внимание!\n\nПри смене статуса на "Отменено" будут отменены ${pendingBets} активных ставок.\n\nПродолжить?`)) {
                        e.preventDefault();
                        return false;
                    }
                }
            }
        });
        
        // Подсветка изменений
        document.querySelectorAll('#updateEventForm input, #updateEventForm select').forEach(function(input) {
            const originalValue = input.value;
            
            input.addEventListener('input', function() {
                if (this.value !== originalValue) {
                    this.style.borderColor = '#FF416C';
                    this.style.backgroundColor = '#fff5f5';
                } else {
                    this.style.borderColor = '#ddd';
                    this.style.backgroundColor = 'white';
                }
            });
        });
    </script>
</body>
</html>