<?php
// admin_panel.php - Админская панель управления

// Включаем отображение ошибок для отладки
error_reporting(E_ALL);
ini_set('display_errors', 1);

// Подключаем конфигурацию
$CONFIG = [
    'DB_HOST' => 'localhost',
    'DB_NAME' => 'stavka',
    'DB_USER' => 'stavka_usr',
    'DB_PASS' => 'a3vhGiC98aj3U1hP',
    'BET_LOSS_PENALTY' => 2,
    'START_BALANCE' => 10,
    'ADMIN_IDS' => [7351775721, 7128006917], // ID админов из основного файла
    'BOT_TOKEN' => '7893265907:AAFN5SORIWrw_bLrffadUJCDlQWJH036uE4' // Токен бота для отправки уведомлений
];

// Простая аутентификация (в реальном проекте используйте более безопасную)
session_start();

// ИСПРАВЛЕНО: Обработка выхода
if (isset($_GET['action']) && $_GET['action'] === 'logout') {
    session_destroy();
    header('Location: ' . $_SERVER['PHP_SELF']);
    exit;
}

$is_admin = isset($_SESSION['admin_authenticated']) && $_SESSION['admin_authenticated'] === true;

if (!$is_admin && isset($_POST['admin_password'])) {
    // Простая проверка пароля (замените на более безопасную)
    if ($_POST['admin_password'] === 'admin123') {
        $_SESSION['admin_authenticated'] = true;
        $is_admin = true;
    } else {
        $login_error = "Неверный пароль!";
    }
}

if (!$is_admin) {
    // Показываем форму входа
    ?>
    <!DOCTYPE html>
    <html lang="ru">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Вход в админ панель</title>
        <style>
            body { font-family: Arial, sans-serif; background: #f0f0f0; display: flex; justify-content: center; align-items: center; height: 100vh; margin: 0; }
            .login-form { background: white; padding: 40px; border-radius: 10px; box-shadow: 0 4px 6px rgba(0,0,0,0.1); }
            .login-form h2 { margin-bottom: 20px; color: #333; }
            .login-form input { width: 100%; padding: 10px; margin: 10px 0; border: 1px solid #ddd; border-radius: 5px; box-sizing: border-box; }
            .login-form button { width: 100%; padding: 12px; background: #007bff; color: white; border: none; border-radius: 5px; cursor: pointer; }
            .error { color: red; margin-top: 10px; }
        </style>
    </head>
    <body>
        <form method="POST" class="login-form">
            <h2>🔐 Вход в админ панель</h2>
            <input type="password" name="admin_password" placeholder="Пароль администратора" required>
            <button type="submit">Войти</button>
            <?php if (isset($login_error)): ?>
                <div class="error"><?= htmlspecialchars($login_error) ?></div>
            <?php endif; ?>
        </form>
    </body>
    </html>
    <?php
    exit;
}

// ИСПРАВЛЕНО: Подключение к базе данных с обработкой ошибок
try {
    $dsn = "mysql:host={$CONFIG['DB_HOST']};dbname={$CONFIG['DB_NAME']};charset=utf8mb4";
    $pdo = new PDO($dsn, $CONFIG['DB_USER'], $CONFIG['DB_PASS'], [
        PDO::ATTR_ERRMODE => PDO::ERRMODE_EXCEPTION,
        PDO::ATTR_DEFAULT_FETCH_MODE => PDO::FETCH_ASSOC,
        PDO::ATTR_EMULATE_PREPARES => false
    ]);
} catch (PDOException $e) {
    die("Ошибка подключения к базе данных: " . $e->getMessage());
}

// Обработка действий
$action = $_POST['action'] ?? $_GET['action'] ?? '';
$message = '';
$error = '';

// Функция отправки сообщения в Telegram
function sendTelegramMessage($chat_id, $text, $keyboard = null) {
    global $CONFIG;
    
    if (empty($CONFIG['BOT_TOKEN'])) {
        return false;
    }
    
    $url = "https://api.telegram.org/bot{$CONFIG['BOT_TOKEN']}/sendMessage";
    
    $data = [
        'chat_id' => $chat_id,
        'text' => $text,
        'parse_mode' => 'HTML'
    ];
    
    if ($keyboard) {
        $data['reply_markup'] = json_encode($keyboard);
    }
    
    $ch = curl_init();
    curl_setopt_array($ch, [
        CURLOPT_URL => $url,
        CURLOPT_POST => true,
        CURLOPT_POSTFIELDS => http_build_query($data),
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_SSL_VERIFYPEER => false,
        CURLOPT_TIMEOUT => 15
    ]);
    
    $result = curl_exec($ch);
    $http_code = curl_getinfo($ch, CURLINFO_HTTP_CODE);
    curl_close($ch);
    
    return $http_code === 200;
}

// Функции для работы с базой данных
function getAllUsers($pdo) {
    try {
        $stmt = $pdo->query("
            SELECT user_id, first_name, username, balance, total_bets, correct_bets, is_banned, created_at
            FROM users 
            ORDER BY created_at DESC
        ");
        return $stmt->fetchAll();
    } catch (Exception $e) {
        return [];
    }
}

function getAllEvents($pdo, $status = null) {
    try {
        $where = $status ? "WHERE status = ?" : "";
        $stmt = $pdo->prepare("
            SELECT e.*, 
                   COUNT(DISTINCT b.user_id) as participants_count,
                   COUNT(b.bet_id) as total_bets
            FROM events e 
            LEFT JOIN bets b ON e.event_id = b.event_id 
            {$where}
            GROUP BY e.event_id 
            ORDER BY e.created_at DESC
        ");
        
        if ($status) {
            $stmt->execute([$status]);
        } else {
            $stmt->execute();
        }
        
        return $stmt->fetchAll();
    } catch (Exception $e) {
        return [];
    }
}

function getEventBets($pdo, $event_id) {
    try {
        $stmt = $pdo->prepare("
            SELECT b.*, u.first_name, u.username 
            FROM bets b 
            LEFT JOIN users u ON b.user_id = u.user_id 
            WHERE b.event_id = ?
            ORDER BY b.created_at DESC
        ");
        $stmt->execute([$event_id]);
        return $stmt->fetchAll();
    } catch (Exception $e) {
        return [];
    }
}

function getBetTypeName($bet_type) {
    $types = [
        'winner' => '🏆 Победитель',
        'exact_score' => '⚽ Точный счет',
        'first_goal' => '🥅 Первый гол',
        'total_goals' => '📊 Тотал голов',
        'red_card' => '🟥 Удаление',
        'penalty' => '🎯 Пенальти',
        'own_goal' => '🤦 Автогол',
        'corners_winner' => '📐 Угловые'
    ];
    return $types[$bet_type] ?? $bet_type;
}

function formatBetDisplay($bet_type, $bet_answer, $team1 = '', $team2 = '') {
    switch ($bet_type) {
        case 'winner':
            switch ($bet_answer) {
                case 'team1': return $team1 ? "П1 ({$team1})" : "П1";
                case 'team2': return $team2 ? "П2 ({$team2})" : "П2";
                case 'draw': return "Ничья";
                default: return $bet_answer;
            }
        case 'exact_score':
            return $bet_answer === 'other' ? "Другой счет" : "Счет {$bet_answer}";
        case 'first_goal':
            switch ($bet_answer) {
                case 'team1': return $team1 ? "Первый гол - {$team1}" : "Первый гол - П1";
                case 'team2': return $team2 ? "Первый гол - {$team2}" : "Первый гол - П2";
                default: return $bet_answer;
            }
        case 'total_goals':
            return $bet_answer === 'over' ? "Больше 4.5 голов" : "Меньше 4.5 голов";
        case 'red_card': return "Будет удаление";
        case 'penalty': return "Будет пенальти";
        case 'own_goal': return "Будет автогол";
        case 'corners_winner':
            switch ($bet_answer) {
                case 'team1': return $team1 ? "Больше угловых - {$team1}" : "Больше угловых - П1";
                case 'team2': return $team2 ? "Больше угловых - {$team2}" : "Больше угловых - П2";
                case 'draw': return "Равное количество угловых";
                default: return $bet_answer;
            }
        default: return $bet_answer;
    }
}

// Обработка различных действий
switch ($action) {
    case 'create_past_event':
        if ($_POST) {
            try {
                $stmt = $pdo->prepare("
                    INSERT INTO events (title, team1, team2, league, event_date, status, result, created_by, created_at) 
                    VALUES (?, ?, ?, ?, ?, 'finished', ?, 1, NOW())
                ");
                
                $result_data = [
                    'winner' => $_POST['winner'],
                    'score' => $_POST['score'],
                    'total_goals' => (int)$_POST['total_goals']
                ];
                
                // Добавляем дополнительные параметры если указаны
                if (!empty($_POST['first_goal'])) {
                    $result_data['first_goal'] = $_POST['first_goal'];
                }
                if (isset($_POST['red_card'])) {
                    $result_data['red_card'] = true;
                }
                if (isset($_POST['penalty'])) {
                    $result_data['penalty'] = true;
                }
                if (isset($_POST['own_goal'])) {
                    $result_data['own_goal'] = true;
                }
                if (!empty($_POST['corners_winner'])) {
                    $result_data['corners_winner'] = $_POST['corners_winner'];
                }
                
                $stmt->execute([
                    $_POST['title'],
                    $_POST['team1'],
                    $_POST['team2'],
                    $_POST['league'],
                    $_POST['event_date'],
                    json_encode($result_data)
                ]);
                
                $message = "✅ Прошедшее событие успешно создано!";
            } catch (Exception $e) {
                $error = "Ошибка: " . $e->getMessage();
            }
        }
        break;
        
    case 'make_bet_for_user':
        if ($_POST) {
            try {
                $pdo->beginTransaction();
                
                // Получаем информацию о пользователе
                $stmt = $pdo->prepare("SELECT first_name, balance FROM users WHERE user_id = ?");
                $stmt->execute([$_POST['user_id']]);
                $user = $stmt->fetch();
                
                if (!$user) {
                    throw new Exception("Пользователь не найден");
                }
                
                // Получаем информацию о событии
                $stmt = $pdo->prepare("SELECT title, team1, team2, event_date FROM events WHERE event_id = ?");
                $stmt->execute([$_POST['event_id']]);
                $event = $stmt->fetch();
                
                if (!$event) {
                    throw new Exception("Событие не найдено");
                }
                
                // Получаем награду за ставку
                $stmt = $pdo->prepare("
                    SELECT points_reward FROM bet_settings 
                    WHERE bet_type = ? AND bet_option = ?
                ");
                $stmt->execute([$_POST['bet_type'], $_POST['bet_answer']]);
                $setting = $stmt->fetch();
                $potential_win = $setting ? $setting['points_reward'] : 4;
                
                // Создаем ставку
                $stmt = $pdo->prepare("
                    INSERT INTO bets (user_id, event_id, bet_type, bet_answer, potential_win, status, points_earned, created_at, resolved_at, resolved_by) 
                    VALUES (?, ?, ?, ?, ?, ?, ?, NOW(), NOW(), 1)
                ");
                
                $is_won = $_POST['bet_result'] === 'won';
                $points_earned = $is_won ? $potential_win : 0;
                
                $stmt->execute([
                    $_POST['user_id'],
                    $_POST['event_id'],
                    $_POST['bet_type'],
                    $_POST['bet_answer'],
                    $potential_win,
                    $_POST['bet_result'],
                    $points_earned
                ]);
                
                $bet_id = $pdo->lastInsertId();
                
                // Обновляем баланс пользователя
                $balance_change = $is_won ? $potential_win : -$CONFIG['BET_LOSS_PENALTY'];
                $old_balance = $user['balance'];
                $new_balance = $old_balance + $balance_change;
                
                $stmt = $pdo->prepare("UPDATE users SET balance = ? WHERE user_id = ?");
                $stmt->execute([$new_balance, $_POST['user_id']]);
                
                // Записываем транзакцию баланса
                $stmt = $pdo->prepare("
                    INSERT INTO balance_transactions 
                    (user_id, amount, type, description, reference_id, balance_before, balance_after, created_by)
                    VALUES (?, ?, ?, ?, ?, ?, ?, 1)
                ");
                $stmt->execute([
                    $_POST['user_id'],
                    $balance_change,
                    $is_won ? 'bet_win' : 'bet_loss',
                    "Ставка от администратора",
                    $bet_id,
                    $old_balance,
                    $new_balance
                ]);
                
                // Обновляем статистику пользователя
                if ($is_won) {
                    $stmt = $pdo->prepare("
                        UPDATE users 
                        SET total_bets = total_bets + 1, 
                            correct_bets = correct_bets + 1,
                            total_winnings = total_winnings + ?,
                            win_streak = win_streak + 1,
                            max_win_streak = GREATEST(max_win_streak, win_streak + 1)
                        WHERE user_id = ?
                    ");
                    $stmt->execute([$potential_win, $_POST['user_id']]);
                } else {
                    $stmt = $pdo->prepare("
                        UPDATE users 
                        SET total_bets = total_bets + 1, 
                            win_streak = 0
                        WHERE user_id = ?
                    ");
                    $stmt->execute([$_POST['user_id']]);
                }
                
                // Добавляем уведомление в базу данных
                $stmt = $pdo->prepare("
                    INSERT INTO notifications (user_id, type, title, message, reference_id)
                    VALUES (?, ?, ?, ?, ?)
                ");
                
                $bet_type_names = [
                    'winner' => '🏆 Победитель',
                    'exact_score' => '⚽ Точный счет',
                    'first_goal' => '🥅 Первый гол',
                    'total_goals' => '📊 Тотал голов',
                    'red_card' => '🟥 Удаление',
                    'penalty' => '🎯 Пенальти',
                    'own_goal' => '🤦 Автогол',
                    'corners_winner' => '📐 Угловые'
                ];
                
                $bet_type_name = $bet_type_names[$_POST['bet_type']] ?? $_POST['bet_type'];
                $formatted_bet = formatBetDisplay($_POST['bet_type'], $_POST['bet_answer'], $event['team1'], $event['team2']);
                
                if ($is_won) {
                    $notification_title = '🎉 Ставка выиграла!';
                    $notification_message = "Ваша ставка '{$bet_type_name}: {$formatted_bet}' на событие '{$event['title']}' выиграла! Получено: +{$potential_win} баллов";
                } else {
                    $notification_title = '💸 Ставка проиграла';
                    $notification_message = "Ваша ставка '{$bet_type_name}: {$formatted_bet}' на событие '{$event['title']}' не прошла. Штраф: -{$CONFIG['BET_LOSS_PENALTY']} балла";
                }
                
                $stmt->execute([
                    $_POST['user_id'],
                    'bet_result',
                    $notification_title,
                    $notification_message,
                    $bet_id
                ]);
                
                $pdo->commit();
                
                // Отправляем уведомление в Telegram
                $telegram_message = "📝 <b>Обновление по ставке</b>\n\n";
                $telegram_message .= "🏟 <b>Событие:</b> {$event['title']}\n";
                $telegram_message .= "⚽ {$event['team1']} vs {$event['team2']}\n";
                $telegram_message .= "🎯 <b>Ставка:</b> {$bet_type_name}\n";
                $telegram_message .= "📝 <b>Прогноз:</b> {$formatted_bet}\n\n";
                
                if ($is_won) {
                    $telegram_message .= "🎉 <b>Поздравляем! Ваша ставка выиграла!</b>\n";
                    $telegram_message .= "💰 <b>Выигрыш:</b> +{$potential_win} баллов\n";
                    $telegram_message .= "💳 <b>Новый баланс:</b> {$new_balance} баллов\n\n";
                    $telegram_message .= "🔥 Отличная интуиция! Продолжайте в том же духе!";
                } else {
                    $telegram_message .= "😔 <b>К сожалению, ставка не прошла</b>\n";
                    $telegram_message .= "💸 <b>Штраф:</b> -{$CONFIG['BET_LOSS_PENALTY']} балла\n";
                    $telegram_message .= "💳 <b>Новый баланс:</b> {$new_balance} баллов\n\n";
                    $telegram_message .= "💪 Не расстраивайтесь! В следующий раз обязательно повезет!";
                }
                
                // Кнопки для Telegram
                $keyboard = [
                    'inline_keyboard' => [
                        [
                            ['text' => '⚽ Новые события', 'callback_data' => 'events'],
                            ['text' => '📋 История ставок', 'callback_data' => 'history']
                        ],
                        [
                            ['text' => '👤 Профиль', 'callback_data' => 'profile'],
                            ['text' => '🏆 Рейтинг', 'callback_data' => 'rating']
                        ]
                    ]
                ];
                
                $telegram_sent = sendTelegramMessage($_POST['user_id'], $telegram_message, $keyboard);
                
                $message = "✅ Ставка от лица пользователя успешно создана!<br>";
                $message .= "📊 Результат: " . ($is_won ? "Выиграла (+{$potential_win} баллов)" : "Проиграла (-{$CONFIG['BET_LOSS_PENALTY']} балла)") . "<br>";
                $message .= "💳 Новый баланс: {$new_balance} баллов<br>";
                $message .= "📱 Telegram уведомление: " . ($telegram_sent ? "✅ Отправлено" : "❌ Ошибка отправки");
                
            } catch (Exception $e) {
                $pdo->rollBack();
                $error = "Ошибка: " . $e->getMessage();
            }
        }
        break;
        
    case 'update_balance':
        if ($_POST && isset($_POST['user_id']) && isset($_POST['amount'])) {
            try {
                $stmt = $pdo->prepare("SELECT balance FROM users WHERE user_id = ?");
                $stmt->execute([$_POST['user_id']]);
                $user = $stmt->fetch();
                
                if ($user) {
                    $old_balance = $user['balance'];
                    $new_balance = $old_balance + (int)$_POST['amount'];
                    
                    $stmt = $pdo->prepare("UPDATE users SET balance = ? WHERE user_id = ?");
                    $stmt->execute([$new_balance, $_POST['user_id']]);
                    
                    // Записываем транзакцию
                    $stmt = $pdo->prepare("
                        INSERT INTO balance_transactions 
                        (user_id, amount, type, description, balance_before, balance_after, created_by)
                        VALUES (?, ?, 'admin_adjustment', ?, ?, ?, 1)
                    ");
                    $stmt->execute([
                        $_POST['user_id'],
                        (int)$_POST['amount'],
                        $_POST['reason'] ?? 'Корректировка администратором',
                        $old_balance,
                        $new_balance
                    ]);
                    
                    $message = "✅ Баланс пользователя обновлен!";
                } else {
                    $error = "Пользователь не найден!";
                }
            } catch (Exception $e) {
                $error = "Ошибка: " . $e->getMessage();
            }
        }
        break;
        
    case 'ban_user':
        if ($_POST && isset($_POST['user_id'])) {
            try {
                $stmt = $pdo->prepare("UPDATE users SET is_banned = 1, ban_reason = ? WHERE user_id = ?");
                $stmt->execute([$_POST['reason'] ?? 'Заблокирован администратором', $_POST['user_id']]);
                $message = "✅ Пользователь заблокирован!";
            } catch (Exception $e) {
                $error = "Ошибка: " . $e->getMessage();
            }
        }
        break;
        
    case 'unban_user':
        if ($_POST && isset($_POST['user_id'])) {
            try {
                $stmt = $pdo->prepare("UPDATE users SET is_banned = 0, ban_reason = NULL WHERE user_id = ?");
                $stmt->execute([$_POST['user_id']]);
                $message = "✅ Пользователь разблокирован!";
            } catch (Exception $e) {
                $error = "Ошибка: " . $e->getMessage();
            }
        }
        break;
}

// Получение данных для отображения
$users = getAllUsers($pdo);
$events = getAllEvents($pdo);
$active_events = getAllEvents($pdo, 'upcoming');
$finished_events = getAllEvents($pdo, 'finished');

$selected_event_id = $_GET['event_id'] ?? null;
$selected_event = null;
$event_bets = [];

if ($selected_event_id) {
    foreach ($events as $event) {
        if ($event['event_id'] == $selected_event_id) {
            $selected_event = $event;
            break;
        }
    }
    if ($selected_event) {
        $event_bets = getEventBets($pdo, $selected_event_id);
    }
}
?>

<!DOCTYPE html>
<html lang="ru">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Админская панель - Спортивные ставки</title>
    <style>
        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
        }
        
        body {
            font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
            line-height: 1.6;
            color: #333;
            background: linear-gradient(135deg, #667eea 0%, #764ba2 100%);
            min-height: 100vh;
            padding: 20px;
        }
        
        .container {
            max-width: 1600px;
            margin: 0 auto;
            background: white;
            border-radius: 15px;
            box-shadow: 0 10px 30px rgba(0,0,0,0.2);
            overflow: hidden;
        }
        
        .header {
            background: linear-gradient(45deg, #FF416C, #FF4B2B);
            color: white;
            padding: 30px;
            text-align: center;
        }
        
        .header h1 {
            font-size: 2.5em;
            margin-bottom: 10px;
            text-shadow: 2px 2px 4px rgba(0,0,0,0.3);
        }
        
        .nav-tabs {
            background: #f8f9fa;
            border-bottom: 1px solid #dee2e6;
            display: flex;
            flex-wrap: wrap;
        }
        
        .nav-tab {
            padding: 15px 25px;
            cursor: pointer;
            border-bottom: 3px solid transparent;
            transition: all 0.3s;
            user-select: none;
        }
        
        .nav-tab:hover {
            background: #e9ecef;
        }
        
        .nav-tab.active {
            background: white;
            border-bottom-color: #FF416C;
            font-weight: bold;
        }
        
        .tab-content {
            display: none;
            padding: 20px;
        }
        
        .tab-content.active {
            display: block;
        }
        
        .alert {
            padding: 15px;
            margin: 20px 0;
            border-radius: 5px;
        }
        
        .alert-success {
            background: #d4edda;
            color: #155724;
            border: 1px solid #c3e6cb;
        }
        
        .alert-error {
            background: #f8d7da;
            color: #721c24;
            border: 1px solid #f5c6cb;
        }
        
        .form-group {
            margin-bottom: 20px;
        }
        
        .form-group label {
            display: block;
            margin-bottom: 5px;
            font-weight: bold;
        }
        
        .form-group input,
        .form-group select,
        .form-group textarea {
            width: 100%;
            padding: 10px;
            border: 1px solid #ddd;
            border-radius: 5px;
            font-size: 14px;
            box-sizing: border-box;
        }
        
        .form-row {
            display: grid;
            grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
            gap: 20px;
        }
        
        .btn {
            background: linear-gradient(45deg, #FF416C, #FF4B2B);
            color: white;
            border: none;
            padding: 12px 24px;
            border-radius: 5px;
            cursor: pointer;
            font-weight: bold;
            text-decoration: none;
            display: inline-block;
            margin: 5px;
            transition: all 0.3s;
        }
        
        .btn:hover {
            transform: translateY(-2px);
            box-shadow: 0 4px 8px rgba(0,0,0,0.2);
        }
        
        .btn-secondary {
            background: linear-gradient(45deg, #6c757d, #495057);
        }
        
        .btn-success {
            background: linear-gradient(45deg, #28a745, #20c997);
        }
        
        .btn-danger {
            background: linear-gradient(45deg, #dc3545, #c82333);
        }
        
        .table {
            width: 100%;
            border-collapse: collapse;
            margin: 20px 0;
        }
        
        .table th,
        .table td {
            padding: 12px;
            text-align: left;
            border-bottom: 1px solid #dee2e6;
        }
        
        .table th {
            background: #f8f9fa;
            font-weight: bold;
        }
        
        .table tr:hover {
            background: #f8f9fa;
        }
        
        .stats-grid {
            display: grid;
            grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
            gap: 20px;
            margin: 20px 0;
        }
        
        .stat-card {
            background: linear-gradient(45deg, #667eea, #764ba2);
            color: white;
            padding: 20px;
            border-radius: 10px;
            text-align: center;
        }
        
        .stat-number {
            font-size: 2em;
            font-weight: bold;
            margin-bottom: 5px;
        }
        
        .modal {
            display: none;
            position: fixed;
            z-index: 1000;
            left: 0;
            top: 0;
            width: 100%;
            height: 100%;
            background: rgba(0,0,0,0.5);
        }
        
        .modal-content {
            background: white;
            margin: 5% auto;
            padding: 20px;
            border-radius: 10px;
            width: 90%;
            max-width: 600px;
            max-height: 80vh;
            overflow-y: auto;
        }
        
        .close {
            color: #aaa;
            float: right;
            font-size: 28px;
            font-weight: bold;
            cursor: pointer;
        }
        
        .close:hover {
            color: black;
        }
        
        .status-badge {
            padding: 4px 8px;
            border-radius: 12px;
            font-size: 0.8em;
            font-weight: bold;
        }
        
        .status-upcoming { background: #fff3cd; color: #856404; }
        .status-live { background: #f8d7da; color: #721c24; }
        .status-finished { background: #d4edda; color: #155724; }
        .status-cancelled { background: #f8f9fa; color: #6c757d; }
        
        .user-banned {
            background: #f8d7da !important;
        }
        
        @media (max-width: 768px) {
            .nav-tabs {
                flex-direction: column;
            }
            
            .form-row {
                grid-template-columns: 1fr;
            }
            
            .stats-grid {
                grid-template-columns: repeat(2, 1fr);
            }
            
            .modal-content {
                width: 95%;
                margin: 10% auto;
            }
        }
    </style>
</head>
<body>
    <div class="container">
        <div class="header">
            <h1>⚙️ Админская панель</h1>
            <p>Полное управление системой спортивных ставок</p>
            <a href="?action=logout" class="btn btn-secondary" onclick="return confirm('Выйти из админ панели?')">🚪 Выйти</a>
        </div>
        
        <?php if ($message): ?>
            <div class="alert alert-success"><?= htmlspecialchars($message) ?></div>
        <?php endif; ?>
        
        <?php if ($error): ?>
            <div class="alert alert-error"><?= htmlspecialchars($error) ?></div>
        <?php endif; ?>
        
        <div class="nav-tabs">
            <div class="nav-tab active" onclick="showTab('overview')">📊 Обзор</div>
            <div class="nav-tab" onclick="showTab('users')">👥 Пользователи</div>
            <div class="nav-tab" onclick="showTab('events')">⚽ События</div>
            <div class="nav-tab" onclick="showTab('create-past-event')">📅 Создать прошедшее событие</div>
            <div class="nav-tab" onclick="showTab('make-bet')">🎯 Сделать ставку от лица пользователя</div>
        </div>
        
        <!-- Вкладка: Обзор -->
        <div id="overview" class="tab-content active">
            <h2>📊 Общая статистика</h2>
            
            <div class="stats-grid">
                <div class="stat-card">
                    <div class="stat-number"><?= count($users) ?></div>
                    <div>Всего пользователей</div>
                </div>
                <div class="stat-card">
                    <div class="stat-number"><?= count(array_filter($users, function($u) { return $u['total_bets'] > 0; })) ?></div>
                    <div>Активных игроков</div>
                </div>
                <div class="stat-card">
                    <div class="stat-number"><?= count($events) ?></div>
                    <div>Всего событий</div>
                </div>
                <div class="stat-card">
                    <div class="stat-number"><?= count($active_events) ?></div>
                    <div>Активных событий</div>
                </div>
                <div class="stat-card">
                    <div class="stat-number"><?= array_sum(array_column($users, 'balance')) ?></div>
                    <div>Общий баланс игроков</div>
                </div>
                <div class="stat-card">
                    <div class="stat-number"><?= count(array_filter($users, function($u) { return $u['is_banned']; })) ?></div>
                    <div>Заблокированных</div>
                </div>
            </div>
            
            <h3>🏆 Топ игроки</h3>
            <table class="table">
                <thead>
                    <tr>
                        <th>Игрок</th>
                        <th>Баланс</th>
                        <th>Ставок</th>
                        <th>Выиграно</th>
                        <th>Винрейт</th>
                        <th>Статус</th>
                    </tr>
                </thead>
                <tbody>
                    <?php
                    $top_users = array_filter($users, function($u) { return !$u['is_banned'] && $u['total_bets'] > 0; });
                    usort($top_users, function($a, $b) { return $b['balance'] - $a['balance']; });
                    $top_users = array_slice($top_users, 0, 10);
                    ?>
                    <?php foreach ($top_users as $user): ?>
                        <tr>
                            <td>
                                <strong><?= htmlspecialchars($user['first_name']) ?></strong>
                                <?php if ($user['username']): ?>
                                    <br><small>@<?= htmlspecialchars($user['username']) ?></small>
                                <?php endif; ?>
                            </td>
                            <td><?= $user['balance'] ?> баллов</td>
                            <td><?= $user['total_bets'] ?></td>
                            <td><?= $user['correct_bets'] ?></td>
                            <td><?= $user['total_bets'] > 0 ? round(($user['correct_bets'] / $user['total_bets']) * 100, 1) : 0 ?>%</td>
                            <td>
                                <?php if ($user['is_banned']): ?>
                                    <span class="status-badge" style="background: #f8d7da; color: #721c24;">Заблокирован</span>
                                <?php else: ?>
                                    <span class="status-badge" style="background: #d4edda; color: #155724;">Активен</span>
                                <?php endif; ?>
                            </td>
                        </tr>
                    <?php endforeach; ?>
                </tbody>
            </table>
        </div>
        
        <!-- Вкладка: Пользователи -->
        <div id="users" class="tab-content">
            <h2>👥 Управление пользователями</h2>
            
            <div style="overflow-x: auto;">
                <table class="table">
                    <thead>
                        <tr>
                            <th>ID</th>
                            <th>Игрок</th>
                            <th>Баланс</th>
                            <th>Ставок</th>
                            <th>Выиграно</th>
                            <th>Регистрация</th>
                            <th>Статус</th>
                            <th>Действия</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php foreach ($users as $user): ?>
                            <tr class="<?= $user['is_banned'] ? 'user-banned' : '' ?>">
                                <td><?= $user['user_id'] ?></td>
                                <td>
                                    <strong><?= htmlspecialchars($user['first_name']) ?></strong>
                                    <?php if ($user['username']): ?>
                                        <br><small>@<?= htmlspecialchars($user['username']) ?></small>
                                    <?php endif; ?>
                                </td>
                                <td><?= $user['balance'] ?></td>
                                <td><?= $user['total_bets'] ?></td>
                                <td><?= $user['correct_bets'] ?></td>
                                <td><?= date('d.m.Y', strtotime($user['created_at'])) ?></td>
                                <td>
                                    <?php if ($user['is_banned']): ?>
                                        <span class="status-badge" style="background: #f8d7da; color: #721c24;">Заблокирован</span>
                                    <?php else: ?>
                                        <span class="status-badge" style="background: #d4edda; color: #155724;">Активен</span>
                                    <?php endif; ?>
                                </td>
                                <td>
                                    <button class="btn btn-secondary" onclick="openBalanceModal(<?= $user['user_id'] ?>, '<?= htmlspecialchars($user['first_name'], ENT_QUOTES) ?>', <?= $user['balance'] ?>)">
                                        💰 Баланс
                                    </button>
                                    <?php if ($user['is_banned']): ?>
                                        <button class="btn btn-success" onclick="unbanUser(<?= $user['user_id'] ?>)">
                                            ✅ Разблокировать
                                        </button>
                                    <?php else: ?>
                                        <button class="btn btn-danger" onclick="openBanModal(<?= $user['user_id'] ?>, '<?= htmlspecialchars($user['first_name'], ENT_QUOTES) ?>')">
                                            🚫 Заблокировать
                                        </button>
                                    <?php endif; ?>
                                </td>
                            </tr>
                        <?php endforeach; ?>
                    </tbody>
                </table>
            </div>
        </div>
        
        <!-- Вкладка: События -->
        <div id="events" class="tab-content">
            <h2>⚽ Управление событиями</h2>
            
            <div style="overflow-x: auto;">
                <table class="table">
                    <thead>
                        <tr>
                            <th>ID</th>
                            <th>Событие</th>
                            <th>Дата</th>
                            <th>Статус</th>
                            <th>Участников</th>
                            <th>Ставок</th>
                            <th>Действия</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php foreach ($events as $event): ?>
                            <tr>
                                <td><?= $event['event_id'] ?></td>
                                <td>
                                    <strong><?= htmlspecialchars($event['title']) ?></strong>
                                    <br><?= htmlspecialchars($event['team1']) ?> vs <?= htmlspecialchars($event['team2']) ?>
                                    <?php if ($event['league']): ?>
                                        <br><small>🏆 <?= htmlspecialchars($event['league']) ?></small>
                                    <?php endif; ?>
                                </td>
                                <td><?= date('d.m.Y H:i', strtotime($event['event_date'])) ?></td>
                                <td>
                                    <span class="status-badge status-<?= $event['status'] ?>">
                                        <?= ucfirst($event['status']) ?>
                                    </span>
                                </td>
                                <td><?= $event['participants_count'] ?></td>
                                <td><?= $event['total_bets'] ?></td>
                                <td>
                                    <a href="?event_id=<?= $event['event_id'] ?>" class="btn btn-secondary">
                                        👁️ Просмотр
                                    </a>
                                </td>
                            </tr>
                        <?php endforeach; ?>
                    </tbody>
                </table>
            </div>
            
            <?php if ($selected_event): ?>
                <h3>📋 Ставки на событие: <?= htmlspecialchars($selected_event['title']) ?></h3>
                
                <?php if ($selected_event['result']): ?>
                    <?php $result = json_decode($selected_event['result'], true); ?>
                    <div class="alert alert-success">
                        <strong>📊 Результат:</strong> 
                        Счет: <?= htmlspecialchars($result['score'] ?? 'Не указан') ?>, 
                        Победитель: <?= htmlspecialchars($result['winner'] ?? 'Не указан') ?>,
                        Голов: <?= htmlspecialchars($result['total_goals'] ?? 'Не указано') ?>
                    </div>
                <?php endif; ?>
                
                <div style="overflow-x: auto;">
                    <table class="table">
                        <thead>
                            <tr>
                                <th>Игрок</th>
                                <th>Тип ставки</th>
                                <th>Прогноз</th>
                                <th>Результат</th>
                                <th>Баллы</th>
                                <th>Дата</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php foreach ($event_bets as $bet): ?>
                                <tr>
                                    <td>
                                        <strong><?= htmlspecialchars($bet['first_name']) ?></strong>
                                        <?php if ($bet['username']): ?>
                                            <br><small>@<?= htmlspecialchars($bet['username']) ?></small>
                                        <?php endif; ?>
                                    </td>
                                    <td><?= getBetTypeName($bet['bet_type']) ?></td>
                                    <td><?= formatBetDisplay($bet['bet_type'], $bet['bet_answer'], $selected_event['team1'], $selected_event['team2']) ?></td>
                                    <td>
                                        <span class="status-badge status-<?= $bet['status'] ?>">
                                            <?= $bet['status'] === 'won' ? '✅ Выиграл' : ($bet['status'] === 'lost' ? '❌ Проиграл' : '⏳ Ожидание') ?>
                                        </span>
                                    </td>
                                    <td>
                                        <?php if ($bet['status'] === 'won'): ?>
                                            +<?= $bet['points_earned'] ?>
                                        <?php elseif ($bet['status'] === 'lost'): ?>
                                            -<?= $CONFIG['BET_LOSS_PENALTY'] ?>
                                        <?php else: ?>
                                            ±<?= $bet['potential_win'] ?>
                                        <?php endif; ?>
                                    </td>
                                    <td><?= date('d.m H:i', strtotime($bet['created_at'])) ?></td>
                                </tr>
                            <?php endforeach; ?>
                        </tbody>
                    </table>
                </div>
            <?php endif; ?>
        </div>
        
        <!-- Вкладка: Создание прошедшего события -->
        <div id="create-past-event" class="tab-content">
            <h2>📅 Создать прошедшее событие</h2>
            <p>Создайте событие которое уже завершилось с известным результатом</p>
            
            <form method="POST" action="?action=create_past_event">
                <div class="form-row">
                    <div class="form-group">
                        <label for="title">Название события</label>
                        <input type="text" id="title" name="title" required placeholder="Финал ЧМ 2024">
                    </div>
                    
                    <div class="form-group">
                        <label for="league">Лига/Турнир</label>
                        <input type="text" id="league" name="league" placeholder="Чемпионат мира">
                    </div>
                </div>
                
                <div class="form-row">
                    <div class="form-group">
                        <label for="team1">Команда 1</label>
                        <input type="text" id="team1" name="team1" required placeholder="Аргентина">
                    </div>
                    
                    <div class="form-group">
                        <label for="team2">Команда 2</label>
                        <input type="text" id="team2" name="team2" required placeholder="Франция">
                    </div>
                </div>
                
                <div class="form-row">
                    <div class="form-group">
                        <label for="event_date">Дата и время события</label>
                        <input type="datetime-local" id="event_date" name="event_date" required>
                    </div>
                    
                    <div class="form-group">
                        <label for="score">Счет</label>
                        <input type="text" id="score" name="score" required placeholder="3-3" pattern="^\d+-\d+$">
                    </div>
                </div>
                
                <div class="form-row">
                    <div class="form-group">
                        <label for="winner">Победитель</label>
                        <select id="winner" name="winner" required>
                            <option value="">Выберите победителя</option>
                            <option value="team1">Команда 1</option>
                            <option value="team2">Команда 2</option>
                            <option value="draw">Ничья</option>
                        </select>
                    </div>
                    
                    <div class="form-group">
                        <label for="total_goals">Общее количество голов</label>
                        <input type="number" id="total_goals" name="total_goals" required min="0" max="20">
                    </div>
                </div>
                
                <h3>Дополнительные параметры (опционально)</h3>
                
                <div class="form-row">
                    <div class="form-group">
                        <label for="first_goal">Первый гол</label>
                        <select id="first_goal" name="first_goal">
                            <option value="">Не указывать</option>
                            <option value="team1">Команда 1</option>
                            <option value="team2">Команда 2</option>
                        </select>
                    </div>
                    
                    <div class="form-group">
                        <label for="corners_winner">Больше угловых</label>
                        <select id="corners_winner" name="corners_winner">
                            <option value="">Не указывать</option>
                            <option value="team1">Команда 1</option>
                            <option value="team2">Команда 2</option>
                            <option value="draw">Поровну</option>
                        </select>
                    </div>
                </div>
                
                <div class="form-row">
                    <div class="form-group">
                        <label>
                            <input type="checkbox" name="red_card" value="1"> Было удаление
                        </label>
                    </div>
                    
                    <div class="form-group">
                        <label>
                            <input type="checkbox" name="penalty" value="1"> Был пенальти
                        </label>
                    </div>
                    
                    <div class="form-group">
                        <label>
                            <input type="checkbox" name="own_goal" value="1"> Был автогол
                        </label>
                    </div>
                </div>
                
                <button type="submit" class="btn">📅 Создать прошедшее событие</button>
            </form>
        </div>
        
        <!-- Вкладка: Сделать ставку от лица пользователя -->
        <div id="make-bet" class="tab-content">
            <h2>🎯 Сделать ставку от лица пользователя</h2>
            <p>Создайте ставку от имени пользователя на завершенное событие с автоматической отправкой уведомления в Telegram</p>
            
            <div class="alert" style="background: #e3f2fd; color: #1565c0; border: 1px solid #bbdefb; margin-bottom: 20px;">
                <strong>ℹ️ Как это работает:</strong><br>
                1. Выберите пользователя и завершенное событие<br>
                2. Укажите тип ставки и прогноз<br>
                3. Выберите результат (выиграла/проиграла)<br>
                4. Система автоматически изменит баланс и отправит уведомление в Telegram
            </div>
            
            <form method="POST" action="?action=make_bet_for_user">
                <div class="form-row">
                    <div class="form-group">
                        <label for="bet_user_id">👤 Пользователь</label>
                        <select id="bet_user_id" name="user_id" required>
                            <option value="">Выберите пользователя</option>
                            <?php foreach ($users as $user): ?>
                                <?php if (!$user['is_banned']): ?>
                                    <option value="<?= $user['user_id'] ?>">
                                        <?= htmlspecialchars($user['first_name']) ?>
                                        <?= $user['username'] ? ' (@' . htmlspecialchars($user['username']) . ')' : '' ?>
                                        - 💰 <?= $user['balance'] ?> баллов
                                    </option>
                                <?php endif; ?>
                            <?php endforeach; ?>
                        </select>
                    </div>
                    
                    <div class="form-group">
                        <label for="bet_event_id">⚽ Событие (только завершенные)</label>
                        <select id="bet_event_id" name="event_id" required>
                            <option value="">Выберите событие</option>
                            <?php foreach ($finished_events as $event): ?>
                                <option value="<?= $event['event_id'] ?>">
                                    📅 <?= htmlspecialchars($event['title']) ?> 
                                    (<?= htmlspecialchars($event['team1']) ?> vs <?= htmlspecialchars($event['team2']) ?>)
                                    - <?= date('d.m.Y', strtotime($event['event_date'])) ?>
                                </option>
                            <?php endforeach; ?>
                        </select>
                    </div>
                </div>
                
                <div class="form-row">
                    <div class="form-group">
                        <label for="bet_type">🎯 Тип ставки</label>
                        <select id="bet_type" name="bet_type" required>
                            <option value="">Выберите тип</option>
                            <option value="winner">🏆 Победитель</option>
                            <option value="exact_score">⚽ Точный счет</option>
                            <option value="first_goal">🥅 Первый гол</option>
                            <option value="total_goals">📊 Тотал голов</option>
                            <option value="red_card">🟥 Удаление</option>
                            <option value="penalty">🎯 Пенальти</option>
                            <option value="own_goal">🤦 Автогол</option>
                            <option value="corners_winner">📐 Угловые</option>
                        </select>
                    </div>
                    
                    <div class="form-group">
                        <label for="bet_answer">📝 Ответ ставки</label>
                        <input type="text" id="bet_answer" name="bet_answer" required 
                               placeholder="team1, team2, draw, yes, over, under, 2-1, other">
                        <small style="color: #666;">
                            <strong>Примеры:</strong><br>
                            • Победитель: <code>team1</code>, <code>team2</code>, <code>draw</code><br>
                            • Тотал: <code>over</code>, <code>under</code><br>
                            • События: <code>yes</code><br>
                            • Счет: <code>2-1</code> или <code>other</code>
                        </small>
                    </div>
                </div>
                
                <div class="form-row">
                    <div class="form-group">
                        <label for="bet_result">📊 Результат ставки</label>
                        <select id="bet_result" name="bet_result" required style="font-size: 16px; padding: 12px;">
                            <option value="">🤔 Выберите результат</option>
                            <option value="won">✅ Выиграла (начислить баллы)</option>
                            <option value="lost">❌ Проиграла (списать штраф)</option>
                        </select>
                        <small style="color: #666;">
                            Это определит изменение баланса и текст уведомления
                        </small>
                    </div>
                </div>
                
                <div style="background: #f8f9fa; padding: 15px; border-radius: 8px; margin: 20px 0;">
                    <h4 style="margin-top: 0;">💡 Что произойдет после создания ставки:</h4>
                    <ul style="margin-bottom: 0;">
                        <li>📱 Пользователь получит уведомление в Telegram</li>
                        <li>💰 Баланс изменится согласно результату</li>
                        <li>📊 Обновится статистика пользователя</li>
                        <li>💾 Добавится запись в историю транзакций</li>
                        <li>🔔 Создастся уведомление в базе данных</li>
                    </ul>
                </div>
                
                <button type="submit" class="btn" style="font-size: 16px; padding: 15px 30px;">
                    🎯 Создать ставку и отправить уведомление
                </button>
                
                <button type="button" class="btn btn-secondary" onclick="clearBetForm()">
                    🔄 Очистить форму
                </button>
            </form>
        </div>
    </div>
    
    <!-- Модальные окна -->
    
    <!-- Модальное окно изменения баланса -->
    <div id="balanceModal" class="modal">
        <div class="modal-content">
            <span class="close" onclick="closeModal('balanceModal')">&times;</span>
            <h3>💰 Изменение баланса</h3>
            <form method="POST" action="?action=update_balance">
                <input type="hidden" id="balance_user_id" name="user_id">
                
                <div class="form-group">
                    <label>Пользователь:</label>
                    <strong id="balance_user_name"></strong>
                </div>
                
                <div class="form-group">
                    <label>Текущий баланс:</label>
                    <strong id="balance_current"></strong> баллов
                </div>
                
                <div class="form-group">
                    <label for="balance_amount">Изменение (+ или -):</label>
                    <input type="number" id="balance_amount" name="amount" required placeholder="+10 или -5">
                </div>
                
                <div class="form-group">
                    <label for="balance_reason">Причина:</label>
                    <input type="text" id="balance_reason" name="reason" placeholder="Бонус от администратора">
                </div>
                
                <button type="submit" class="btn">💰 Изменить баланс</button>
                <button type="button" class="btn btn-secondary" onclick="closeModal('balanceModal')">Отмена</button>
            </form>
        </div>
    </div>
    
    <!-- Модальное окно блокировки -->
    <div id="banModal" class="modal">
        <div class="modal-content">
            <span class="close" onclick="closeModal('banModal')">&times;</span>
            <h3>🚫 Блокировка пользователя</h3>
            <form method="POST" action="?action=ban_user">
                <input type="hidden" id="ban_user_id" name="user_id">
                
                <div class="form-group">
                    <label>Пользователь:</label>
                    <strong id="ban_user_name"></strong>
                </div>
                
                <div class="form-group">
                    <label for="ban_reason">Причина блокировки:</label>
                    <textarea id="ban_reason" name="reason" required placeholder="Нарушение правил"></textarea>
                </div>
                
                <button type="submit" class="btn btn-danger">🚫 Заблокировать</button>
                <button type="button" class="btn btn-secondary" onclick="closeModal('banModal')">Отмена</button>
            </form>
        </div>
    </div>
    
    <script>
        // Управление вкладками
        function showTab(tabName) {
            // Скрываем все вкладки
            document.querySelectorAll('.tab-content').forEach(tab => {
                tab.classList.remove('active');
            });
            
            // Убираем активный класс у всех кнопок
            document.querySelectorAll('.nav-tab').forEach(tab => {
                tab.classList.remove('active');
            });
            
            // Показываем выбранную вкладку
            document.getElementById(tabName).classList.add('active');
            
            // Добавляем активный класс к кнопке
            event.target.classList.add('active');
        }
        
        // Управление модальными окнами
        function openBalanceModal(userId, userName, currentBalance) {
            document.getElementById('balance_user_id').value = userId;
            document.getElementById('balance_user_name').textContent = userName;
            document.getElementById('balance_current').textContent = currentBalance;
            document.getElementById('balanceModal').style.display = 'block';
        }
        
        function openBanModal(userId, userName) {
            document.getElementById('ban_user_id').value = userId;
            document.getElementById('ban_user_name').textContent = userName;
            document.getElementById('banModal').style.display = 'block';
        }
        
        function closeModal(modalId) {
            document.getElementById(modalId).style.display = 'none';
        }
        
        function unbanUser(userId) {
            if (confirm('Разблокировать пользователя?')) {
                const form = document.createElement('form');
                form.method = 'POST';
                form.action = '?action=unban_user';
                
                const input = document.createElement('input');
                input.type = 'hidden';
                input.name = 'user_id';
                input.value = userId;
                
                form.appendChild(input);
                document.body.appendChild(form);
                form.submit();
            }
        }
        
        // Закрытие модальных окон при клике вне их
        window.onclick = function(event) {
            if (event.target.classList.contains('modal')) {
                event.target.style.display = 'none';
            }
        }
        
        // Автозаполнение общего количества голов
        document.getElementById('score')?.addEventListener('input', function() {
            const score = this.value;
            const match = score.match(/^(\d+)-(\d+)$/);
            if (match) {
                const total = parseInt(match[1]) + parseInt(match[2]);
                document.getElementById('total_goals').value = total;
            }
        });
        
        // Функция очистки формы ставки
        function clearBetForm() {
            document.getElementById('bet_user_id').value = '';
            document.getElementById('bet_event_id').value = '';
            document.getElementById('bet_type').value = '';
            document.getElementById('bet_answer').value = '';
            document.getElementById('bet_result').value = '';
        }
        
        // Подсказки для типов ставок
        document.getElementById('bet_type')?.addEventListener('change', function() {
            const answerInput = document.getElementById('bet_answer');
            const examples = {
                'winner': 'team1 (первая команда), team2 (вторая команда), draw (ничья)',
                'exact_score': '2-1, 0-0, 3-2, other (любой другой счет)',
                'first_goal': 'team1 (первая команда), team2 (вторая команда)',
                'total_goals': 'over (больше 4.5), under (меньше 4.5)',
                'red_card': 'yes (было удаление)',
                'penalty': 'yes (был пенальти)',
                'own_goal': 'yes (был автогол)',
                'corners_winner': 'team1, team2, draw (поровну)'
            };
            
            if (examples[this.value]) {
                answerInput.placeholder = examples[this.value];
            }
        });
    </script>
</body>
</html>