<?php
// ========================================
// ПОЛНОФУНКЦИОНАЛЬНЫЙ СПОРТИВНЫЙ БОТ
// webhook_complete.php
// ========================================
header('Content-Type: text/html; charset=utf-8');
mb_internal_encoding('UTF-8');
mb_http_output('UTF-8');
mb_regex_encoding('UTF-8');
error_reporting(E_ALL);
ini_set('display_errors', 1);
ini_set('log_errors', 1);

// ========================================
// КОНФИГУРАЦИЯ
// ========================================
$CONFIG = [
    'BOT_TOKEN' => '7893265907:AAFN5SORIWrw_bLrffadUJCDlQWJH036uE4',
    'DB_HOST' => 'localhost',
    'DB_NAME' => 'stavka',
    'DB_USER' => 'stavka_usr',
    'DB_PASS' => 'a3vhGiC98aj3U1hP',
    'ADMIN_IDS' => [7351775721, 7128006917],
    'ADMIN_CHAT_ID' => '-4674452139',
    'START_BALANCE' => 10,
    'BET_LOSS_PENALTY' => 2,
    'MIN_BALANCE' => -10
];


// НОВАЯ ФУНКЦИЯ обработки кастомного счета для завершения события
function handle_finish_custom_score_input($user_id, $score_text, $state_data) {
    global $CONFIG;
    
    if (!in_array($user_id, $CONFIG['ADMIN_IDS'])) {
        return send_message($user_id, "❌ Нет прав доступа");
    }
    
    try {
        $db = SportsDatabase::getInstance();
        
        // Валидируем введенный счет (для админа используем формат X-Y)
        $score_text = trim($score_text);
        
        if (!preg_match('/^(\d{1,2})-(\d{1,2})$/', $score_text, $matches)) {
            $text = "❌ <b>Неверный формат счета!</b>\n\n";
            $text .= "Используйте формат X-Y (например: 2-1, 5-3)\n\n";
            $text .= "Попробуйте еще раз:";
            
            $keyboard = [
                'inline_keyboard' => [
                    [['text' => '❌ Отмена', 'callback_data' => "finish_winner_{$state_data['event_id']}_{$state_data['winner']}"]]
                ]
            ];
            
            return send_message($user_id, $text, $keyboard);
        }
        
        $team1_goals = (int)$matches[1];
        $team2_goals = (int)$matches[2];
        
        // Проверяем логику счета с выбранным победителем
        $winner = $state_data['winner'];
        $valid_score = false;
        
        if ($winner === 'team1' && $team1_goals > $team2_goals) {
            $valid_score = true;
        } elseif ($winner === 'team2' && $team2_goals > $team1_goals) {
            $valid_score = true;
        } elseif ($winner === 'draw' && $team1_goals === $team2_goals) {
            $valid_score = true;
        }
        
        if (!$valid_score) {
            $winner_text = '';
            if ($winner === 'team1') {
                $winner_text = "первая команда должна выиграть";
            } elseif ($winner === 'team2') {
                $winner_text = "вторая команда должна выиграть";
            } else {
                $winner_text = "должна быть ничья";
            }
            
            $text = "❌ <b>Счет не соответствует результату!</b>\n\n";
            $text .= "Вы выбрали результат где {$winner_text}.\n";
            $text .= "Введенный счет: {$score_text}\n\n";
            $text .= "Попробуйте еще раз:";
            
            $keyboard = [
                'inline_keyboard' => [
                    [['text' => '❌ Отмена', 'callback_data' => "finish_winner_{$state_data['event_id']}_{$winner}"]]
                ]
            ];
            
            return send_message($user_id, $text, $keyboard);
        }
        
        // Проверяем разумные пределы
        if ($team1_goals > 20 || $team2_goals > 20) {
            $text = "❌ <b>Слишком много голов!</b>\n\n";
            $text .= "Максимум 20 голов для каждой команды.\n\n";
            $text .= "Попробуйте еще раз:";
            
            $keyboard = [
                'inline_keyboard' => [
                    [['text' => '❌ Отмена', 'callback_data' => "finish_winner_{$state_data['event_id']}_{$winner}"]]
                ]
            ];
            
            return send_message($user_id, $text, $keyboard);
        }
        
        // Очищаем состояние
        $db->clearUserState($user_id);
        
        // Переходим к дополнительным параметрам
        show_additional_params($user_id, $state_data['event_id'], $winner, $score_text);
        
    } catch (Exception $e) {
        safe_log("handle_finish_custom_score_input error: " . $e->getMessage(), 'ERROR');
        
        $db = SportsDatabase::getInstance();
        $db->clearUserState($user_id);
        
        send_message($user_id, "❌ Ошибка обработки счета. Попробуйте еще раз.");
    }
}

// НОВАЯ функция для анализа всех ставок события
function handle_analyze_event_bets_command($user_id, $text) {
    global $CONFIG;
    
    if (!in_array($user_id, $CONFIG['ADMIN_IDS'])) {
        return;
    }
    
    $parts = explode(' ', str_replace('/analyze_bets ', '', $text));
    
    if (count($parts) < 1) {
        return send_message($user_id, 
            "❌ Используйте: <code>/analyze_bets EVENT_ID</code>\n\n" .
            "Пример: <code>/analyze_bets 1</code>"
        );
    }
    
    $event_id = (int)$parts[0];
    
    try {
        $db = SportsDatabase::getInstance();
        $event = $db->getEvent($event_id);
        
        if (!$event) {
            return send_message($user_id, "❌ Событие {$event_id} не найдено");
        }
        
        if ($event['status'] !== 'finished') {
            return send_message($user_id, "❌ Событие должно быть завершено");
        }
        
        $result = json_decode($event['result'], true);
        if (!$result) {
            return send_message($user_id, "❌ Нет результата события");
        }
        
        // Получаем все ставки на это событие
        $stmt = $db->getPdo()->prepare("
            SELECT 
                b.*,
                u.first_name, 
                u.username,
                u.balance
            FROM bets b 
            LEFT JOIN users u ON b.user_id = u.user_id 
            WHERE b.event_id = ? AND b.status IN ('won', 'lost')
            ORDER BY u.first_name, b.bet_type
        ");
        $stmt->execute([$event_id]);
        $bets = $stmt->fetchAll();
        
        $text = "📊 <b>Анализ ставок события #{$event_id}</b>\n\n";
        $text .= "🏟 <b>{$event['title']}</b>\n";
        $text .= "⚽ {$event['team1']} vs {$event['team2']}\n";
        $text .= "📋 Результат: " . json_encode($result, JSON_UNESCAPED_UNICODE) . "\n\n";
        
        $bet_type_names = [
            'winner' => '🏆 Победитель',
            'exact_score' => '⚽ Точный счет',
            'first_goal' => '🥅 Первый гол',
            'total_goals' => '📊 Тотал голов',
            'red_card' => '🟥 Удаление',
            'penalty' => '🎯 Пенальти',
            'own_goal' => '🤦 Автогол',
            'corners_winner' => '📐 Угловые'
        ];
        
        $correct_count = 0;
        $incorrect_count = 0;
        $issues = [];
        
        foreach ($bets as $bet) {
            // Проверяем правильность каждой ставки
            $should_win = check_bet_result_fixed($bet, $result);
            $current_status = $bet['status'];
            $is_correct = ($should_win && $current_status === 'won') || (!$should_win && $current_status === 'lost');
            
            $type_name = $bet_type_names[$bet['bet_type']] ?? $bet['bet_type'];
            $status_emoji = $current_status === 'won' ? '✅' : '❌';
            $user_name = $bet['first_name'] ?? 'Пользователь';
            
            if ($is_correct) {
                $correct_count++;
            } else {
                $incorrect_count++;
                $should_status = $should_win ? 'won' : 'lost';
                $issues[] = [
                    'user_id' => $bet['user_id'],
                    'user_name' => $user_name,
                    'bet_type' => $bet['bet_type'],
                    'bet_answer' => $bet['bet_answer'],
                    'current_status' => $current_status,
                    'should_status' => $should_status,
                    'bet_id' => $bet['bet_id']
                ];
            }
            
            $formatted_answer = format_bet_display($bet['bet_type'], $bet['bet_answer'], $event['team1'], $event['team2']);
            
            $correction_needed = $is_correct ? '' : ' ⚠️';
            $text .= "{$status_emoji} <b>{$user_name}</b>: {$type_name} - {$formatted_answer}{$correction_needed}\n";
        }
        
        $text .= "\n📈 <b>Статистика:</b>\n";
        $text .= "✅ Правильных: {$correct_count}\n";
        $text .= "⚠️ Неправильных: {$incorrect_count}\n";
        $text .= "📊 Всего ставок: " . count($bets) . "\n\n";
        
        if (!empty($issues)) {
            $text .= "⚠️ <b>Требуют исправления:</b>\n";
            foreach ($issues as $issue) {
                $text .= "• {$issue['user_name']}: {$issue['bet_type']} ({$issue['current_status']} → {$issue['should_status']})\n";
            }
            $text .= "\n💡 Используйте <code>/fix_balances {$event_id}</code> для исправления";
        } else {
            $text .= "✅ Все ставки обработаны правильно!";
        }
        
        // Если сообщение слишком длинное, разбиваем на части
        if (strlen($text) > 4000) {
            $parts = str_split($text, 4000);
            foreach ($parts as $part) {
                send_message($user_id, $part);
                usleep(500000); // 0.5 секунды между сообщениями
            }
        } else {
            send_message($user_id, $text);
        }
        
        return true;
        
    } catch (Exception $e) {
        safe_log("handle_analyze_event_bets_command error: " . $e->getMessage(), 'ERROR');
        return send_message($user_id, "❌ Ошибка анализа: " . $e->getMessage());
    }
}


// ЗАМЕНИТЕ НА ЭТУ ПРАВИЛЬНУЮ ВЕРСИЮ:
function handle_message($message) {
    $user_id = $message['from']['id'];
    $text = $message['text'] ?? '';
    $first_name = $message['from']['first_name'] ?? 'User';
    $username = $message['from']['username'] ?? '';
    
    safe_log("Message from {$user_id} ({$first_name}): {$text}");
    
    try {
        // КРИТИЧЕСКИ ВАЖНО: сначала проверяем состояние
        $db = SportsDatabase::getInstance();
        $user_state = $db->getUserState($user_id);
        
        safe_log("User state for {$user_id}: " . ($user_state ? json_encode($user_state) : 'null'));
        
        // ОБРАБОТКА СОСТОЯНИЙ (ДОБАВЛЕНО!)
// ОБРАБОТКА СОСТОЯНИЙ
if ($user_state && isset($user_state['state'])) {
    safe_log("Processing state: {$user_state['state']}");
    
    if ($user_state['state'] === 'waiting_finish_custom_score') {
        safe_log("Handling finish custom score input");
        handle_finish_custom_score_input($user_id, $text, $user_state['state_data']);
        return;
    }
    
    elseif ($user_state['state'] === 'creating_event') {
        safe_log("Handling event creation input");
        handle_event_creation_input($user_id, $text, $user_state['state_data']);
        return;
    }
    
    // УБЕДИТЕСЬ, ЧТО ЭТА СТРОКА ЕСТЬ:
    elseif ($user_state['state'] === 'waiting_custom_score') {
        safe_log("Handling custom score input");
        handle_custom_score_input($user_id, $text, $user_state['state_data']);
        return;
    }
}
        // Обработка команд (только если нет состояний)
        if ($text === '/start') {
            handle_start($user_id, $username, $first_name);
        } elseif (strpos($text, '/add_event') === 0) {
            handle_add_event_command($user_id, $text);
        } elseif (strpos($text, '/finish_event') === 0) {
            handle_finish_event_command($user_id, $text);	
        } elseif (strpos($text, '/balance') === 0) {
            handle_balance_command($user_id, $text);
        } elseif (strpos($text, '/update_bet') === 0) {
            handle_update_bet_command($user_id, $text);
        } elseif (strpos($text, '/ban') === 0) {
            handle_ban_command($user_id, $text);
			} elseif (strpos($text, '/check_event') === 0) {
     handle_check_event_command($user_id, $text);
        } elseif (strpos($text, '/unban') === 0) {
            handle_unban_command($user_id, $text);
			} elseif (strpos($text, '/analyze_bets') === 0) {
     handle_analyze_event_bets_command($user_id, $text);
			 } elseif (strpos($text, '/fix_balances') === 0) {
        handle_fix_balances_command($user_id, $text);
		 } elseif (strpos($text, '/debug_stats') === 0) {
    handle_debug_stats_command($user_id, $text);
} elseif (strpos($text, '/fix_user_stats') === 0) {
    handle_fix_user_stats_command($user_id, $text);
    } elseif (strpos($text, '/update_event_result') === 0) {
     handle_update_event_result_command($user_id, $text);
        } else {
            safe_log("Unknown command or no state, showing start menu");
            handle_start($user_id, $username, $first_name);
        }
        
    } catch (Exception $e) {
        safe_log("handle_message error: " . $e->getMessage(), 'ERROR');
        handle_start($user_id, $username, $first_name);
    }
}

// ДИАГНОСТИЧЕСКАЯ функция для проверки статистики
function handle_debug_stats_command($user_id, $text) {
    global $CONFIG;
    
    if (!in_array($user_id, $CONFIG['ADMIN_IDS'])) {
        return;
    }
    
    try {
        $db = SportsDatabase::getInstance();
        
        $text = "🔍 <b>Диагностика статистики базы данных</b>\n\n";
        
        // 1. Проверяем пользователей
        $stmt = $db->getPdo()->query("SELECT COUNT(*) as count FROM users");
        $users_count = $stmt->fetch()['count'];
        
        $stmt = $db->getPdo()->query("SELECT COUNT(*) as count FROM users WHERE total_bets > 0");
        $active_users = $stmt->fetch()['count'];
        
        $stmt = $db->getPdo()->query("SELECT COUNT(*) as count FROM users WHERE is_banned = 1");
        $banned_users = $stmt->fetch()['count'];
        
        $text .= "👥 <b>Пользователи:</b>\n";
        $text .= "• Всего в базе: {$users_count}\n";
        $text .= "• Активных (с ставками): {$active_users}\n";
        $text .= "• Заблокированных: {$banned_users}\n\n";
        
        // 2. Проверяем события
        $stmt = $db->getPdo()->query("SELECT status, COUNT(*) as count FROM events GROUP BY status");
        $events_by_status = $stmt->fetchAll();
        
        $text .= "⚽ <b>События:</b>\n";
        foreach ($events_by_status as $row) {
            $text .= "• {$row['status']}: {$row['count']}\n";
        }
        
        $stmt = $db->getPdo()->query("SELECT COUNT(*) as count FROM events");
        $total_events = $stmt->fetch()['count'];
        $text .= "• Всего: {$total_events}\n\n";
        
        // 3. Проверяем ставки
        $stmt = $db->getPdo()->query("SELECT status, COUNT(*) as count FROM bets GROUP BY status");
        $bets_by_status = $stmt->fetchAll();
        
        $text .= "🎯 <b>Ставки:</b>\n";
        foreach ($bets_by_status as $row) {
            $text .= "• {$row['status']}: {$row['count']}\n";
        }
        
        $stmt = $db->getPdo()->query("SELECT COUNT(*) as count FROM bets");
        $total_bets = $stmt->fetch()['count'];
        $text .= "• Всего: {$total_bets}\n\n";
        
        // 4. Проверяем сегодняшние данные
        $stmt = $db->getPdo()->query("SELECT COUNT(*) as count FROM bets WHERE DATE(created_at) = CURDATE()");
        $today_bets = $stmt->fetch()['count'];
        
        $stmt = $db->getPdo()->query("SELECT COUNT(*) as count FROM users WHERE DATE(created_at) = CURDATE()");
        $today_users = $stmt->fetch()['count'];
        
        $text .= "📅 <b>Сегодня:</b>\n";
        $text .= "• Новых ставок: {$today_bets}\n";
        $text .= "• Новых пользователей: {$today_users}\n\n";
        
        // 5. Проверяем согласованность данных
        $text .= "🔍 <b>Проверка согласованности:</b>\n";
        
        // Проверяем total_bets в таблице users
        $stmt = $db->getPdo()->query("
            SELECT 
                u.user_id, 
                u.first_name,
                u.total_bets as user_total,
                COUNT(b.bet_id) as actual_total
            FROM users u
            LEFT JOIN bets b ON u.user_id = b.user_id
            GROUP BY u.user_id
            HAVING u.total_bets != COUNT(b.bet_id)
            LIMIT 5
        ");
        $inconsistent_users = $stmt->fetchAll();
        
        if (!empty($inconsistent_users)) {
            $text .= "❌ Найдены несоответствия в total_bets:\n";
            foreach ($inconsistent_users as $user) {
                $text .= "• {$user['first_name']}: записано {$user['user_total']}, фактически {$user['actual_total']}\n";
            }
        } else {
            $text .= "✅ total_bets у пользователей корректны\n";
        }
        
        // Проверяем correct_bets
        $stmt = $db->getPdo()->query("
            SELECT 
                u.user_id, 
                u.first_name,
                u.correct_bets as user_correct,
                COUNT(CASE WHEN b.status = 'won' THEN 1 END) as actual_correct
            FROM users u
            LEFT JOIN bets b ON u.user_id = b.user_id
            GROUP BY u.user_id
            HAVING u.correct_bets != COUNT(CASE WHEN b.status = 'won' THEN 1 END)
            LIMIT 5
        ");
        $incorrect_correct = $stmt->fetchAll();
        
        if (!empty($incorrect_correct)) {
            $text .= "❌ Найдены несоответствия в correct_bets:\n";
            foreach ($incorrect_correct as $user) {
                $text .= "• {$user['first_name']}: записано {$user['user_correct']}, фактически {$user['actual_correct']}\n";
            }
        } else {
            $text .= "✅ correct_bets у пользователей корректны\n";
        }
        
        $text .= "\n💡 Используйте <code>/fix_user_stats</code> для исправления";
        
        return send_message($user_id, $text);
        
    } catch (Exception $e) {
        safe_log("handle_debug_stats_command error: " . $e->getMessage(), 'ERROR');
        return send_message($user_id, "❌ Ошибка диагностики: " . $e->getMessage());
    }
}


// ФУНКЦИЯ для исправления статистики пользователей
function handle_fix_user_stats_command($user_id, $text) {
    global $CONFIG;
    
    if (!in_array($user_id, $CONFIG['ADMIN_IDS'])) {
        return;
    }
    
    try {
        $db = SportsDatabase::getInstance();
        
        $text = "🔧 <b>Исправление статистики пользователей</b>\n\n";
        
        // Получаем всех пользователей с их реальной статистикой
        $stmt = $db->getPdo()->query("
            SELECT 
                u.user_id,
                u.first_name,
                u.total_bets as old_total,
                u.correct_bets as old_correct,
                u.win_streak as old_streak,
                u.max_win_streak as old_max_streak,
                u.total_winnings as old_winnings,
                COUNT(b.bet_id) as real_total,
                COUNT(CASE WHEN b.status = 'won' THEN 1 END) as real_correct,
                SUM(CASE WHEN b.status = 'won' THEN b.points_earned ELSE 0 END) as real_winnings
            FROM users u
            LEFT JOIN bets b ON u.user_id = b.user_id
            GROUP BY u.user_id
        ");
        $users = $stmt->fetchAll();
        
        $fixed_count = 0;
        $updates = [];
        
        foreach ($users as $user) {
            $needs_update = false;
            $update_fields = [];
            
            // Проверяем total_bets
            if ($user['old_total'] != $user['real_total']) {
                $update_fields[] = "total_bets = {$user['real_total']}";
                $needs_update = true;
            }
            
            // Проверяем correct_bets
            if ($user['old_correct'] != $user['real_correct']) {
                $update_fields[] = "correct_bets = {$user['real_correct']}";
                $needs_update = true;
            }
            
            // Проверяем total_winnings
            if ($user['old_winnings'] != $user['real_winnings']) {
                $update_fields[] = "total_winnings = {$user['real_winnings']}";
                $needs_update = true;
            }
            
            // Вычисляем текущую серию побед
            $stmt = $db->getPdo()->prepare("
                SELECT status 
                FROM bets 
                WHERE user_id = ? 
                ORDER BY created_at DESC
            ");
            $stmt->execute([$user['user_id']]);
            $recent_bets = $stmt->fetchAll(PDO::FETCH_COLUMN);
            
            $current_streak = 0;
            foreach ($recent_bets as $status) {
                if ($status === 'won') {
                    $current_streak++;
                } else {
                    break;
                }
            }
            
            if ($user['old_streak'] != $current_streak) {
                $update_fields[] = "win_streak = {$current_streak}";
                $needs_update = true;
            }
            
            // Вычисляем максимальную серию
            $max_streak = 0;
            $temp_streak = 0;
            foreach (array_reverse($recent_bets) as $status) {
                if ($status === 'won') {
                    $temp_streak++;
                    $max_streak = max($max_streak, $temp_streak);
                } else {
                    $temp_streak = 0;
                }
            }
            
            if ($user['old_max_streak'] < $max_streak) {
                $update_fields[] = "max_win_streak = {$max_streak}";
                $needs_update = true;
            }
            
            if ($needs_update) {
                $fixed_count++;
                $update_sql = "UPDATE users SET " . implode(', ', $update_fields) . " WHERE user_id = {$user['user_id']}";
                $db->getPdo()->exec($update_sql);
                
                $updates[] = [
                    'name' => $user['first_name'],
                    'changes' => $update_fields
                ];
            }
        }
        
        if ($fixed_count > 0) {
            $text .= "✅ Исправлено пользователей: {$fixed_count}\n\n";
            
            foreach (array_slice($updates, 0, 10) as $update) {
                $text .= "🔧 <b>{$update['name']}</b>:\n";
                foreach ($update['changes'] as $change) {
                    $text .= "  • {$change}\n";
                }
                $text .= "\n";
            }
            
            if (count($updates) > 10) {
                $text .= "... и еще " . (count($updates) - 10) . " пользователей\n\n";
            }
            
            notify_admins("🔧 Статистика пользователей исправлена: {$fixed_count} записей");
        } else {
            $text .= "✅ Статистика всех пользователей корректна!";
        }
        
        return send_message($user_id, $text);
        
    } catch (Exception $e) {
        safe_log("handle_fix_user_stats_command error: " . $e->getMessage(), 'ERROR');
        return send_message($user_id, "❌ Ошибка исправления: " . $e->getMessage());
    }
}


// НОВАЯ команда для проверки события перед завершением
function handle_check_event_command($user_id, $text) {
    global $CONFIG;
    
    if (!in_array($user_id, $CONFIG['ADMIN_IDS'])) {
        return;
    }
    
    $event_id = (int)str_replace('/check_event ', '', trim($text));
    
    if ($event_id <= 0) {
        return send_message($user_id, 
            "❌ Используйте: <code>/check_event EVENT_ID</code>\n\n" .
            "Пример: <code>/check_event 2</code>"
        );
    }
    
    try {
        $db = SportsDatabase::getInstance();
        $event = $db->getEvent($event_id);
        
        if (!$event) {
            return send_message($user_id, "❌ Событие с ID {$event_id} не найдено!");
        }
        
        // Получаем все типы ставок на это событие
        $stmt = $db->getPdo()->prepare("
            SELECT 
                bet_type, 
                COUNT(*) as count,
                GROUP_CONCAT(DISTINCT bet_answer) as answers
            FROM bets 
            WHERE event_id = ? AND status = 'pending'
            GROUP BY bet_type
            ORDER BY bet_type
        ");
        $stmt->execute([$event_id]);
        $bet_types = $stmt->fetchAll();
        
        if (empty($bet_types)) {
            return send_message($user_id, "📋 На событие #{$event_id} нет активных ставок");
        }
        
        $text = "📋 <b>Проверка события перед завершением</b>\n\n";
        $text .= "🏟 <b>{$event['title']}</b>\n";
        $text .= "⚽ {$event['team1']} vs {$event['team2']}\n";
        $text .= "📅 " . format_date($event['event_date']) . "\n";
        $text .= "📊 Статус: {$event['status']}\n\n";
        
        $text .= "🎯 <b>Типы ставок на событии:</b>\n";
        
        $required_data = [];
        
        foreach ($bet_types as $bet_type_info) {
            $bet_type = $bet_type_info['bet_type'];
            $count = $bet_type_info['count'];
            
            $bet_type_names = [
                'winner' => '🏆 Победитель',
                'exact_score' => '⚽ Точный счет',
                'first_goal' => '🥅 Первый гол',
                'total_goals' => '📊 Тотал голов',
                'red_card' => '🟥 Удаление',
                'penalty' => '🎯 Пенальти',
                'own_goal' => '🤦 Автогол',
                'corners_winner' => '📐 Угловые'
            ];
            
            $type_name = $bet_type_names[$bet_type] ?? $bet_type;
            $text .= "• {$type_name}: {$count} ставок\n";
            
            // Определяем какие данные нужны для завершения
            switch ($bet_type) {
                case 'first_goal':
                    $required_data[] = '"first_goal":"team1" или "team2"';
                    break;
                case 'corners_winner':
                    $required_data[] = '"corners_winner":"team1", "team2" или "draw"';
                    break;
                case 'red_card':
                    $required_data[] = '"red_card":true или false';
                    break;
                case 'penalty':
                    $required_data[] = '"penalty":true или false';
                    break;
                case 'own_goal':
                    $required_data[] = '"own_goal":true или false';
                    break;
            }
        }
        
        $text .= "\n📝 <b>Для завершения события нужны данные:</b>\n";
        $text .= "• \"winner\":\"team1\", \"team2\" или \"draw\"\n";
        $text .= "• \"score\":\"X-Y\" (например \"2-1\")\n"; 
        $text .= "• \"total_goals\":число\n";
        
        if (!empty($required_data)) {
            foreach ($required_data as $data) {
                $text .= "• " . $data . "\n";
            }
        }
        
        $text .= "\n📋 <b>Пример команды завершения:</b>\n";
        $text .= "<code>/finish_event {$event_id} {\"winner\":\"team1\",\"score\":\"2-0\",\"total_goals\":2";
        
        if (in_array('first_goal', array_column($bet_types, 'bet_type'))) {
            $text .= ",\"first_goal\":\"team1\"";
        }
        if (in_array('corners_winner', array_column($bet_types, 'bet_type'))) {
            $text .= ",\"corners_winner\":\"team1\"";
        }
        if (in_array('red_card', array_column($bet_types, 'bet_type'))) {
            $text .= ",\"red_card\":false";
        }
        if (in_array('penalty', array_column($bet_types, 'bet_type'))) {
            $text .= ",\"penalty\":false";
        }
        if (in_array('own_goal', array_column($bet_types, 'bet_type'))) {
            $text .= ",\"own_goal\":false";
        }
        
        $text .= "}</code>";
        
        return send_message($user_id, $text);
        
    } catch (Exception $e) {
        safe_log("handle_check_event_command error: " . $e->getMessage(), 'ERROR');
        return send_message($user_id, "❌ Ошибка: " . $e->getMessage());
    }
}

function show_add_event_menu($user_id) {
    global $CONFIG;
    
    if (!in_array($user_id, $CONFIG['ADMIN_IDS'])) {
        return send_message($user_id, "❌ Нет прав доступа");
    }
    
    $text = "➕ <b>Добавление нового события</b>\n\n";
    $text .= "📝 Выберите способ создания события:\n\n";
    $text .= "🔥 <b>Быстрое создание</b> - для популярных матчей\n";
    $text .= "⚙️ <b>Пошаговое создание</b> - полный контроль\n\n";
    $text .= "💡 <i>Рекомендуем пошаговое создание для точности</i>";
    
    $keyboard = [
        'inline_keyboard' => [
            [
                ['text' => '🔥 Быстрое создание', 'callback_data' => 'admin_add_event_quick'],
                ['text' => '⚙️ Пошаговое создание', 'callback_data' => 'admin_add_event_step']
            ],
            [
                ['text' => '📋 Шаблоны событий', 'callback_data' => 'admin_event_templates']
            ],
            [
                ['text' => '🔙 Админ панель', 'callback_data' => 'admin_panel']
            ]
        ]
    ];
    
    return send_message($user_id, $text, $keyboard);
}

// НОВАЯ функция - шаблоны популярных событий
function show_event_templates($user_id) {
    global $CONFIG;
    
    if (!in_array($user_id, $CONFIG['ADMIN_IDS'])) {
        return send_message($user_id, "❌ Нет прав доступа");
    }
    
    $text = "📋 <b>Шаблоны событий</b>\n\n";
    $text .= "Выберите тип события для быстрого создания:\n\n";
    $text .= "⚽ <b>Футбол</b> - чемпионаты, кубки\n";
    $text .= "🏀 <b>Баскетбол</b> - НБА, Евролига\n";
    $text .= "🏒 <b>Хоккей</b> - НХЛ, КХЛ\n";
    $text .= "🎾 <b>Теннис</b> - турниры ATP/WTA";
    
    $keyboard = [
        'inline_keyboard' => [
            [
                ['text' => '⚽ Футбол', 'callback_data' => 'admin_template_football'],
                ['text' => '🏀 Баскетбол', 'callback_data' => 'admin_template_basketball']
            ],
            [
                ['text' => '🏒 Хоккей', 'callback_data' => 'admin_template_hockey'],
                ['text' => '🎾 Теннис', 'callback_data' => 'admin_template_tennis']
            ],
            [
                ['text' => '⚙️ Пользовательское', 'callback_data' => 'admin_add_event_step']
            ],
            [
                ['text' => '🔙 Назад', 'callback_data' => 'admin_add_event_menu']
            ]
        ]
    ];
    
    return send_message($user_id, $text, $keyboard);
}

// НОВАЯ функция - шаблон футбола
function show_football_template($user_id) {
    global $CONFIG;
    
    if (!in_array($user_id, $CONFIG['ADMIN_IDS'])) {
        return send_message($user_id, "❌ Нет прав доступа");
    }
    
    $text = "⚽ <b>Футбольные турниры</b>\n\n";
    $text .= "Выберите турнир или лигу:";
    
    $templates = [
        ['name' => 'Премьер-лига', 'league' => 'Английская Премьер-лига'],
        ['name' => 'Ла Лига', 'league' => 'Испанская Ла Лига'],
        ['name' => 'Бундеслига', 'league' => 'Немецкая Бундеслига'],
        ['name' => 'Серия А', 'league' => 'Итальянская Серия А'],
        ['name' => 'Лига 1', 'league' => 'Французская Лига 1'],
        ['name' => 'РПЛ', 'league' => 'Российская Премьер-лига'],
        ['name' => 'Лига Чемпионов', 'league' => 'UEFA Champions League'],
        ['name' => 'Лига Европы', 'league' => 'UEFA Europa League']
    ];
    
    $keyboard = ['inline_keyboard' => []];
    
    // Группируем по 2 кнопки в ряд
    $rows = array_chunk($templates, 2);
    foreach ($rows as $row) {
        $keyboard_row = [];
        foreach ($row as $template) {
            $keyboard_row[] = [
                'text' => $template['name'],
                'callback_data' => 'admin_league_' . urlencode($template['league'])
            ];
        }
        $keyboard['inline_keyboard'][] = $keyboard_row;
    }
    
    $keyboard['inline_keyboard'][] = [
        ['text' => '🔙 К шаблонам', 'callback_data' => 'admin_event_templates']
    ];
    
    return send_message($user_id, $text, $keyboard);
}

// НОВАЯ функция - начало пошагового создания
function start_step_by_step_creation($user_id) {
    global $CONFIG;
    
    if (!in_array($user_id, $CONFIG['ADMIN_IDS'])) {
        return send_message($user_id, "❌ Нет прав доступа");
    }
    
    try {
        $db = SportsDatabase::getInstance();
        
        // Устанавливаем состояние ожидания названия события
        $state_data = [
            'step' => 'waiting_title',
            'event_data' => []
        ];
        
        $db->setUserState($user_id, 'creating_event', $state_data);
        
        $text = "📝 <b>Создание события - Шаг 1/5</b>\n\n";
        $text .= "🏟 <b>Введите название события</b>\n\n";
        $text .= "📋 <b>Примеры:</b>\n";
        $text .= "• <code>Финал Кубка мира</code>\n";
        $text .= "• <code>Матч 15-го тура</code>\n";
        $text .= "• <code>Четвертьфинал Лиги Чемпионов</code>\n";
        $text .= "• <code>Дерби</code>\n\n";
        $text .= "💡 <i>Название должно быть кратким и понятным</i>";
        
        $keyboard = [
            'inline_keyboard' => [
                [['text' => '❌ Отменить создание', 'callback_data' => 'admin_cancel_event_creation']]
            ]
        ];
        
        return send_message($user_id, $text, $keyboard);
        
    } catch (Exception $e) {
        safe_log("start_step_by_step_creation error: " . $e->getMessage(), 'ERROR');
        return send_message($user_id, "❌ Ошибка инициализации создания события");
    }
}

function handle_event_creation_input($user_id, $text, $state_data) {
    global $CONFIG;
    
    if (!in_array($user_id, $CONFIG['ADMIN_IDS'])) {
        return send_message($user_id, "❌ Нет прав доступа");
    }
    
    try {
        $db = SportsDatabase::getInstance();
        $step = $state_data['step'];
        $event_data = $state_data['event_data'];
        
        switch ($step) {
            case 'waiting_title':
                $title = trim($text);
                if (strlen($title) < 3 || strlen($title) > 100) {
                    $error_text = "❌ <b>Неверная длина названия!</b>\n\n";
                    $error_text .= "Название должно быть от 3 до 100 символов\n";
                    $error_text .= "Попробуйте еще раз:";
                    
                    $keyboard = [
                        'inline_keyboard' => [
                            [['text' => '❌ Отменить', 'callback_data' => 'admin_cancel_event_creation']]
                        ]
                    ];
                    
                    return send_message($user_id, $error_text, $keyboard);
                }
                
                $event_data['title'] = $title;
                
                // Переходим к следующему шагу - команда 1
                $new_state_data = [
                    'step' => 'waiting_team1',
                    'event_data' => $event_data
                ];
                
                $db->setUserState($user_id, 'creating_event', $new_state_data);
                
                $text = "📝 <b>Создание события - Шаг 2/5</b>\n\n";
                $text .= "✅ Название: <b>{$title}</b>\n\n";
                $text .= "🏠 <b>Введите название первой команды</b>\n";
                $text .= "<i>(обычно домашняя команда)</i>\n\n";
                $text .= "📋 <b>Примеры:</b>\n";
                $text .= "• <code>Реал Мадрид</code>\n";
                $text .= "• <code>Манчестер Сити</code>\n";
                $text .= "• <code>Барселона</code>";
                
                $keyboard = [
                    'inline_keyboard' => [
                        [['text' => '❌ Отменить создание', 'callback_data' => 'admin_cancel_event_creation']]
                    ]
                ];
                
                return send_message($user_id, $text, $keyboard);
                
            case 'waiting_team1':
                $team1 = trim($text);
                if (strlen($team1) < 2 || strlen($team1) > 50) {
                    $error_text = "❌ <b>Неверная длина названия команды!</b>\n\n";
                    $error_text .= "Название команды должно быть от 2 до 50 символов\n";
                    $error_text .= "Попробуйте еще раз:";
                    
                    $keyboard = [
                        'inline_keyboard' => [
                            [['text' => '❌ Отменить', 'callback_data' => 'admin_cancel_event_creation']]
                        ]
                    ];
                    
                    return send_message($user_id, $error_text, $keyboard);
                }
                
                $event_data['team1'] = $team1;
                
                // Переходим к команде 2
                $new_state_data = [
                    'step' => 'waiting_team2',
                    'event_data' => $event_data
                ];
                
                $db->setUserState($user_id, 'creating_event', $new_state_data);
                
                $text = "📝 <b>Создание события - Шаг 3/5</b>\n\n";
                $text .= "✅ Название: <b>{$event_data['title']}</b>\n";
                $text .= "✅ Первая команда: <b>{$team1}</b>\n\n";
                $text .= "🚌 <b>Введите название второй команды</b>\n";
                $text .= "<i>(обычно гостевая команда)</i>\n\n";
                $text .= "📋 <b>Примеры:</b>\n";
                $text .= "• <code>Ливерпуль</code>\n";
                $text .= "• <code>ПСЖ</code>\n";
                $text .= "• <code>Бавария</code>";
                
                $keyboard = [
                    'inline_keyboard' => [
                        [['text' => '❌ Отменить создание', 'callback_data' => 'admin_cancel_event_creation']]
                    ]
                ];
                
                return send_message($user_id, $text, $keyboard);
                
            case 'waiting_team2':
                $team2 = trim($text);
                if (strlen($team2) < 2 || strlen($team2) > 50) {
                    $error_text = "❌ <b>Неверная длина названия команды!</b>\n\n";
                    $error_text .= "Название команды должно быть от 2 до 50 символов\n";
                    $error_text .= "Попробуйте еще раз:";
                    
                    $keyboard = [
                        'inline_keyboard' => [
                            [['text' => '❌ Отменить', 'callback_data' => 'admin_cancel_event_creation']]
                        ]
                    ];
                    
                    return send_message($user_id, $error_text, $keyboard);
                }
                
                if (strcasecmp($team2, $event_data['team1']) == 0) {
                    $error_text = "❌ <b>Команды не могут быть одинаковыми!</b>\n\n";
                    $error_text .= "Введите название второй команды:";
                    
                    $keyboard = [
                        'inline_keyboard' => [
                            [['text' => '❌ Отменить', 'callback_data' => 'admin_cancel_event_creation']]
                        ]
                    ];
                    
                    return send_message($user_id, $error_text, $keyboard);
                }
                
                $event_data['team2'] = $team2;
                
                // Переходим к выбору даты
                $new_state_data = [
                    'step' => 'waiting_date',
                    'event_data' => $event_data
                ];
                
                $db->setUserState($user_id, 'creating_event', $new_state_data);
                
                $text = "📝 <b>Создание события - Шаг 4/5</b>\n\n";
                $text .= "✅ Название: <b>{$event_data['title']}</b>\n";
                $text .= "✅ Команды: <b>{$event_data['team1']}</b> vs <b>{$team2}</b>\n\n";
                $text .= "📅 <b>Введите дату и время события</b>\n\n";
                $text .= "📋 <b>Формат:</b> <code>YYYY-MM-DD HH:MM</code>\n\n";
                $text .= "📋 <b>Примеры:</b>\n";
                $text .= "• <code>2025-06-15 20:00</code> (15 июня в 20:00)\n";
                $text .= "• <code>2025-07-01 19:30</code> (1 июля в 19:30)\n";
                $text .= "• <code>2025-12-25 16:00</code> (25 декабря в 16:00)\n\n";
                $text .= "⏰ <i>Время указывайте местное (по серверу)</i>";
                
                // Добавляем кнопки быстрого выбора времени
                $keyboard = [
                    'inline_keyboard' => [
                        [
                            ['text' => '📅 Сегодня 20:00', 'callback_data' => 'admin_quick_date_today_20'],
                            ['text' => '📅 Завтра 19:00', 'callback_data' => 'admin_quick_date_tomorrow_19']
                        ],
                        [
                            ['text' => '📅 Завтра 20:00', 'callback_data' => 'admin_quick_date_tomorrow_20'],
                            ['text' => '📅 Послезавтра 18:00', 'callback_data' => 'admin_quick_date_after_tomorrow_18']
                        ],
                        [
                            ['text' => '❌ Отменить создание', 'callback_data' => 'admin_cancel_event_creation']
                        ]
                    ]
                ];
                
                return send_message($user_id, $text, $keyboard);
                
            // ИСПРАВЛЕНО: Добавлен отсутствующий case для waiting_date
            case 'waiting_date':
                // Очищаем текст от лишних символов и скобок
                $date_input = trim($text);
                $date_input = preg_replace('/\s*\([^)]*\)/', '', $date_input); // Убираем текст в скобках
                $date_input = trim($date_input);
                
                safe_log("Processing date input: '{$date_input}'");
                
                // Валидируем дату
                $date_obj = DateTime::createFromFormat('Y-m-d H:i', $date_input);
                if (!$date_obj || $date_obj->format('Y-m-d H:i') !== $date_input) {
                    $error_text = "❌ <b>Неверный формат даты!</b>\n\n";
                    $error_text .= "Используйте формат: <code>YYYY-MM-DD HH:MM</code>\n\n";
                    $error_text .= "Примеры:\n";
                    $error_text .= "• <code>2025-07-01 17:30</code>\n";
                    $error_text .= "• <code>2025-12-25 20:00</code>\n\n";
                    $error_text .= "Попробуйте еще раз:";
                    
                    $keyboard = [
                        'inline_keyboard' => [
                            [
                                ['text' => '📅 Сегодня 20:00', 'callback_data' => 'admin_quick_date_today_20'],
                                ['text' => '📅 Завтра 20:00', 'callback_data' => 'admin_quick_date_tomorrow_20']
                            ],
                            [
                                ['text' => '❌ Отменить', 'callback_data' => 'admin_cancel_event_creation']
                            ]
                        ]
                    ];
                    
                    return send_message($user_id, $error_text, $keyboard);
                }
                
                $event_data['event_date'] = $date_input;
                
                // Переходим к выбору лиги
                $new_state_data = [
                    'step' => 'waiting_league',
                    'event_data' => $event_data
                ];
                
                $db->setUserState($user_id, 'creating_event', $new_state_data);
                
                $text = "📝 <b>Создание события - Шаг 5/5</b>\n\n";
                $text .= "✅ Название: <b>{$event_data['title']}</b>\n";
                $text .= "✅ Команды: <b>{$event_data['team1']}</b> vs <b>{$event_data['team2']}</b>\n";
                $text .= "✅ Дата: <b>" . format_date($date_input, 'd.m.Y H:i') . "</b>\n\n";
                $text .= "🏆 <b>Введите название лиги/турнира</b>\n";
                $text .= "<i>(необязательно, можно пропустить)</i>\n\n";
                $text .= "📋 <b>Примеры:</b>\n";
                $text .= "• <code>Премьер-лига</code>\n";
                $text .= "• <code>Лига Чемпионов</code>\n";
                $text .= "• <code>Кубок России</code>\n";
                $text .= "• <code>Товарищеский матч</code>";
                
                $keyboard = [
                    'inline_keyboard' => [
                        [['text' => '➡️ Пропустить лигу', 'callback_data' => 'admin_skip_league']],
                        [['text' => '❌ Отменить создание', 'callback_data' => 'admin_cancel_event_creation']]
                    ]
                ];
                
                return send_message($user_id, $text, $keyboard);
                
            case 'waiting_league':
                $league = trim($text);
                if (strlen($league) > 100) {
                    $error_text = "❌ <b>Слишком длинное название лиги!</b>\n\n";
                    $error_text .= "Максимум 100 символов. Попробуйте еще раз:";
                    
                    $keyboard = [
                        'inline_keyboard' => [
                            [['text' => '➡️ Пропустить лигу', 'callback_data' => 'admin_skip_league']],
                            [['text' => '❌ Отменить', 'callback_data' => 'admin_cancel_event_creation']]
                        ]
                    ];
                    
                    return send_message($user_id, $error_text, $keyboard);
                }
                
                $event_data['league'] = $league;
                
                // Очищаем состояние и показываем подтверждение
                $db->clearUserState($user_id);
                show_event_creation_confirmation($user_id, $event_data);
                break;
                
            default:
                safe_log("Unknown event creation step: {$step}", 'ERROR');
                $db->clearUserState($user_id);
                return send_message($user_id, "❌ Ошибка создания события. Попробуйте заново.");
        }
        
    } catch (Exception $e) {
        safe_log("handle_event_creation_input error: " . $e->getMessage(), 'ERROR');
        
        $db = SportsDatabase::getInstance();
        $db->clearUserState($user_id);
        
        return send_message($user_id, "❌ Ошибка при создании события. Попробуйте заново.");
    }
}


// НОВАЯ функция - обработка быстрого выбора даты
function handle_quick_date_selection($user_id, $callback_data) {
    global $CONFIG;
    
    if (!in_array($user_id, $CONFIG['ADMIN_IDS'])) {
        return send_message($user_id, "❌ Нет прав доступа");
    }
    
    try {
        $db = SportsDatabase::getInstance();
        $user_state = $db->getUserState($user_id);
        
        if (!$user_state || $user_state['state'] !== 'creating_event') {
            return send_message($user_id, "❌ Сессия создания события не найдена");
        }
        
        $event_data = $user_state['state_data']['event_data'];
        
        // Парсим callback_data для получения даты
        $date_string = '';
        $current_date = new DateTime();
        
        if ($callback_data === 'admin_quick_date_today_20') {
            $date_string = $current_date->format('Y-m-d') . ' 20:00';
        } elseif ($callback_data === 'admin_quick_date_tomorrow_19') {
            $current_date->add(new DateInterval('P1D'));
            $date_string = $current_date->format('Y-m-d') . ' 19:00';
        } elseif ($callback_data === 'admin_quick_date_tomorrow_20') {
            $current_date->add(new DateInterval('P1D'));
            $date_string = $current_date->format('Y-m-d') . ' 20:00';
        } elseif ($callback_data === 'admin_quick_date_after_tomorrow_18') {
            $current_date->add(new DateInterval('P2D'));
            $date_string = $current_date->format('Y-m-d') . ' 18:00';
        }
        
        if ($date_string) {
            $event_data['event_date'] = $date_string;
            
            // Переходим к выбору лиги
            $new_state_data = [
                'step' => 'waiting_league',
                'event_data' => $event_data
            ];
            
            $db->setUserState($user_id, 'creating_event', $new_state_data);
            
            $text = "📝 <b>Создание события - Шаг 5/5</b>\n\n";
            $text .= "✅ Название: <b>{$event_data['title']}</b>\n";
            $text .= "✅ Команды: <b>{$event_data['team1']}</b> vs <b>{$event_data['team2']}</b>\n";
            $text .= "✅ Дата: <b>{$date_string}</b>\n\n";
            $text .= "🏆 <b>Введите название лиги/турнира</b>\n";
            $text .= "<i>(необязательно, можно пропустить)</i>\n\n";
            $text .= "📋 <b>Примеры:</b>\n";
            $text .= "• <code>Премьер-лига</code>\n";
            $text .= "• <code>Лига Чемпионов</code>\n";
            $text .= "• <code>Кубок России</code>\n";
            $text .= "• <code>Товарищеский матч</code>";
            
            $keyboard = [
                'inline_keyboard' => [
                    [['text' => '➡️ Пропустить лигу', 'callback_data' => 'admin_skip_league']],
                    [['text' => '❌ Отменить создание', 'callback_data' => 'admin_cancel_event_creation']]
                ]
            ];
            
            return send_message($user_id, $text, $keyboard);
        }
        
    } catch (Exception $e) {
        safe_log("handle_quick_date_selection error: " . $e->getMessage(), 'ERROR');
        return send_message($user_id, "❌ Ошибка выбора даты");
    }
}

// НОВАЯ функция - обработка пропуска лиги
function handle_skip_league($user_id) {
    global $CONFIG;
    
    if (!in_array($user_id, $CONFIG['ADMIN_IDS'])) {
        return send_message($user_id, "❌ Нет прав доступа");
    }
    
    try {
        $db = SportsDatabase::getInstance();
        $user_state = $db->getUserState($user_id);
        
        if (!$user_state || $user_state['state'] !== 'creating_event') {
            return send_message($user_id, "❌ Сессия создания события не найдена");
        }
        
        $event_data = $user_state['state_data']['event_data'];
        $event_data['league'] = null;
        
        show_event_creation_confirmation($user_id, $event_data);
        
    } catch (Exception $e) {
        safe_log("handle_skip_league error: " . $e->getMessage(), 'ERROR');
        return send_message($user_id, "❌ Ошибка пропуска лиги");
    }
}

function show_event_creation_confirmation($user_id, $event_data) {
    global $CONFIG;
    
    if (!in_array($user_id, $CONFIG['ADMIN_IDS'])) {
        return send_message($user_id, "❌ Нет прав доступа");
    }
    
    try {
        $db = SportsDatabase::getInstance();
        
        // ИСПРАВЛЕНО: Сохраняем состояние подтверждения
        $state_data = [
            'step' => 'confirmation',
            'event_data' => $event_data
        ];
        
        $db->setUserState($user_id, 'creating_event', $state_data);
        
        $text = "✅ <b>Подтверждение создания события</b>\n\n";
        $text .= "🏟 <b>Название:</b> {$event_data['title']}\n";
        $text .= "⚽ <b>Команды:</b> {$event_data['team1']} vs {$event_data['team2']}\n";
        $text .= "📅 <b>Дата:</b> " . format_date($event_data['event_date'], 'd.m.Y H:i') . "\n";
        
        if (!empty($event_data['league'])) {
            $text .= "🏆 <b>Лига:</b> {$event_data['league']}\n";
        }
        
        $text .= "\n❓ <b>Всё правильно? Создать событие?</b>";
        
        $keyboard = [
            'inline_keyboard' => [
                [
                    ['text' => '✅ Да, создать!', 'callback_data' => 'admin_confirm_event_creation'],
                    ['text' => '✏️ Редактировать', 'callback_data' => 'admin_edit_event_data']
                ],
                [
                    ['text' => '❌ Отменить', 'callback_data' => 'admin_cancel_event_creation']
                ]
            ]
        ];
        
        return send_message($user_id, $text, $keyboard);
        
    } catch (Exception $e) {
        safe_log("show_event_creation_confirmation error: " . $e->getMessage(), 'ERROR');
        return send_message($user_id, "❌ Ошибка показа подтверждения");
    }
}


// НОВАЯ функция - финальное создание события
function confirm_event_creation($user_id) {
    global $CONFIG;
    
    if (!in_array($user_id, $CONFIG['ADMIN_IDS'])) {
        return send_message($user_id, "❌ Нет прав доступа");
    }
    
    try {
        $db = SportsDatabase::getInstance();
        $user_state = $db->getUserState($user_id);
        
        if (!$user_state || $user_state['state'] !== 'creating_event') {
            return send_message($user_id, "❌ Сессия создания события не найдена");
        }
        
        $event_data = $user_state['state_data']['event_data'];
        
        // Валидируем дату еще раз
        $date_obj = DateTime::createFromFormat('Y-m-d H:i', $event_data['event_date']);
        if (!$date_obj) {
            $db->clearUserState($user_id);
            return send_message($user_id, "❌ Неверный формат даты. Попробуйте создать событие заново.");
        }
        
        // Проверяем, что дата в будущем
        $now = new DateTime();
        if ($date_obj <= $now) {
            $text = "⚠️ <b>Дата события в прошлом!</b>\n\n";
            $text .= "Событие должно быть запланировано на будущее время.\n";
            $text .= "Текущее время: " . $now->format('d.m.Y H:i') . "\n";
            $text .= "Время события: " . $date_obj->format('d.m.Y H:i') . "\n\n";
            $text .= "Создать событие всё равно?";
            
            $keyboard = [
                'inline_keyboard' => [
                    [
                        ['text' => '✅ Да, создать', 'callback_data' => 'admin_force_create_event'],
                        ['text' => '❌ Отменить', 'callback_data' => 'admin_cancel_event_creation']
                    ]
                ]
            ];
            
            return send_message($user_id, $text, $keyboard);
        }
        
        // Создаем событие
        $event_id = $db->addEvent(
            $event_data['title'],
            $event_data['team1'],
            $event_data['team2'],
            $event_data['event_date'],
            $user_id,
            $event_data['league']
        );
        
        // Очищаем состояние
        $db->clearUserState($user_id);
        
        if ($event_id) {
            $text = "🎉 <b>Событие успешно создано!</b>\n\n";
            $text .= "🆔 <b>ID события:</b> {$event_id}\n";
            $text .= "🏟 <b>Название:</b> {$event_data['title']}\n";
            $text .= "⚽ <b>Команды:</b> {$event_data['team1']} vs {$event_data['team2']}\n";
            $text .= "📅 <b>Дата:</b> " . format_date($event_data['event_date'], 'd.m.Y H:i') . "\n";
            
            if (!empty($event_data['league'])) {
                $text .= "🏆 <b>Лига:</b> {$event_data['league']}\n";
            }
            
            $text .= "\n✅ Событие доступно для ставок!\n";
            $text .= "👥 Пользователи могут делать ставки";
            
            $keyboard = [
                'inline_keyboard' => [
                    [
                        ['text' => '➕ Создать еще', 'callback_data' => 'admin_add_event_menu'],
                        ['text' => '⚙️ Управление событием', 'callback_data' => "admin_event_manage_{$event_id}"]
                    ],
                    [
                        ['text' => '📊 Все события', 'callback_data' => 'admin_events'],
                        ['text' => '🔙 Админ панель', 'callback_data' => 'admin_panel']
                    ]
                ]
            ];
            
            send_message($user_id, $text, $keyboard);
            
            // Уведомляем других админов
            notify_admins("🆕 Новое событие создано:\n{$event_data['title']}\n{$event_data['team1']} vs {$event_data['team2']}\n📅 " . format_date($event_data['event_date']));
            
            return true;
        } else {
            $db->clearUserState($user_id);
            return send_message($user_id, "❌ Ошибка при создании события в базе данных!");
        }
        
    } catch (Exception $e) {
        safe_log("confirm_event_creation error: " . $e->getMessage(), 'ERROR');
        
        $db = SportsDatabase::getInstance();
        $db->clearUserState($user_id);
        
        return send_message($user_id, "❌ Техническая ошибка при создании события");
    }
}

// НОВАЯ функция - отмена создания события
function cancel_event_creation($user_id) {
    global $CONFIG;
    
    if (!in_array($user_id, $CONFIG['ADMIN_IDS'])) {
        return send_message($user_id, "❌ Нет прав доступа");
    }
    
    try {
        $db = SportsDatabase::getInstance();
        $db->clearUserState($user_id);
        
        $text = "❌ <b>Создание события отменено</b>\n\n";
        $text .= "💡 Вы можете начать создание заново в любое время";
        
        $keyboard = [
            'inline_keyboard' => [
                [
                    ['text' => '➕ Создать событие', 'callback_data' => 'admin_add_event_menu'],
                    ['text' => '📊 Все события', 'callback_data' => 'admin_events']
                ],
                [
                    ['text' => '🔙 Админ панель', 'callback_data' => 'admin_panel']
                ]
            ]
        ];
        
        return send_message($user_id, $text, $keyboard);
        
    } catch (Exception $e) {
        safe_log("cancel_event_creation error: " . $e->getMessage(), 'ERROR');
        return send_message($user_id, "❌ Ошибка отмены создания события");
    }
}

// ИСПРАВЛЕННАЯ функция handle_custom_score_input
function handle_custom_score_input($user_id, $score_text, $state_data) {
    try {
        $db = SportsDatabase::getInstance();
        
        // Валидируем введенный счет
        $validation = validate_score($score_text);
        
        if (!$validation['valid']) {
            $text = "❌ <b>Ошибка ввода!</b>\n\n";
            $text .= $validation['error'] . "\n\n";
            $text .= "Попробуйте еще раз в формате X-Y (например: 2-1)";
            
            $keyboard = [
                'inline_keyboard' => [
                    [['text' => '❌ Отмена', 'callback_data' => "bet_{$state_data['event_id']}_exact_score"]]
                ]
            ];
            
            return send_message($user_id, $text, $keyboard);
        }
        
        // Очищаем состояние
        $db->clearUserState($user_id);
        
        // Показываем подтверждение ставки
        $event_id = $state_data['event_id'];
        $bet_type = 'exact_score';
        $bet_answer = $validation['score'];
        
        safe_log("Custom score validated: user={$user_id}, event={$event_id}, score={$bet_answer}");
        
        // Показываем подтверждение вместо прямого размещения
        show_bet_confirmation($user_id, $event_id, $bet_type, $bet_answer);
        
    } catch (Exception $e) {
        safe_log("handle_custom_score_input error: " . $e->getMessage(), 'ERROR');
        
        $db = SportsDatabase::getInstance();
        $db->clearUserState($user_id);
        
        send_message($user_id, "❌ Ошибка обработки счета. Попробуйте еще раз.");
    }
}


// ========================================
// ФУНКЦИИ ЛОГИРОВАНИЯ И УТИЛИТЫ
// ========================================
function safe_log($message, $level = 'INFO') {
    $log_dir = __DIR__ . '/logs';
    if (!is_dir($log_dir)) {
        @mkdir($log_dir, 0755, true);
    }
    
    $timestamp = date('Y-m-d H:i:s');
    $log_entry = "[{$timestamp}] {$level}: {$message}\n";
    
    @file_put_contents("{$log_dir}/debug.log", $log_entry, FILE_APPEND | LOCK_EX);
    error_log("SportsBot {$level}: {$message}");
}

function safe_get($array, $key, $default = null) {
    return isset($array[$key]) && $array[$key] !== null ? $array[$key] : $default;
}

function format_date($date, $format = 'd.m.Y H:i') {
    return date($format, strtotime($date));
}

function get_balance_emoji($balance) {
    if ($balance > 50) return '🟢';
    if ($balance > 10) return '🟡';
    if ($balance > 0) return '🟠';
    return '🔴';
}

function notify_admins($message) {
    global $CONFIG;
    if (!empty($CONFIG['ADMIN_CHAT_ID'])) {
        send_message($CONFIG['ADMIN_CHAT_ID'], "🔔 <b>Уведомление бота:</b>\n\n" . $message);
    }
}

// ========================================
// СИСТЕМА ПОДТВЕРЖДЕНИЯ СТАВОК
// ========================================
// НОВАЯ функция показа результатов для завершения события
function show_event_finish_options($user_id, $event_id) {
    global $CONFIG;
    
    if (!in_array($user_id, $CONFIG['ADMIN_IDS'])) {
        return send_message($user_id, "❌ Нет прав доступа");
    }
    
    try {
        $db = SportsDatabase::getInstance();
        $event = $db->getEvent($event_id);
        
        if (!$event) {
            return send_message($user_id, "❌ Событие не найдено");
        }
        
        if ($event['status'] !== 'upcoming' && $event['status'] !== 'live') {
            return send_message($user_id, "❌ Событие уже завершено или отменено");
        }
        
        // Получаем количество ставок
        $pending_bets = $db->getPendingBetsCount($event_id);
        
        $text = "🏁 <b>Завершение события</b>\n\n";
        $text .= "🏟 <b>{$event['title']}</b>\n";
        $text .= "⚽ {$event['team1']} vs {$event['team2']}\n";
        $text .= "📅 " . format_date($event['event_date']) . "\n\n";
        $text .= "🎯 Активных ставок: <b>{$pending_bets}</b>\n\n";
        $text .= "👇 <b>Сначала выберите победителя:</b>";
        
        $keyboard = [
            'inline_keyboard' => [
                [
                    ['text' => "🏆 {$event['team1']} победила", 'callback_data' => "finish_winner_{$event_id}_team1"],
                    ['text' => "🏆 {$event['team2']} победила", 'callback_data' => "finish_winner_{$event_id}_team2"]
                ],
                [
                    ['text' => "🤝 Ничья", 'callback_data' => "finish_winner_{$event_id}_draw"]
                ],
                [
                    ['text' => '🔙 Назад', 'callback_data' => "admin_event_manage_{$event_id}"]
                ]
            ]
        ];
        
        return send_message($user_id, $text, $keyboard);
        
    } catch (Exception $e) {
        safe_log("show_event_finish_options error: " . $e->getMessage(), 'ERROR');
        return send_message($user_id, "❌ Ошибка загрузки опций завершения");
    }
}

// НОВАЯ функция выбора счета после победителя
function show_score_selection($user_id, $event_id, $winner) {
    global $CONFIG;
    
    if (!in_array($user_id, $CONFIG['ADMIN_IDS'])) {
        return send_message($user_id, "❌ Нет прав доступа");
    }
    
    try {
        $db = SportsDatabase::getInstance();
        $event = $db->getEvent($event_id);
        
        if (!$event) {
            return send_message($user_id, "❌ Событие не найдено");
        }
        
        $winner_text = '';
        if ($winner === 'team1') {
            $winner_text = "🏆 {$event['team1']} победила";
        } elseif ($winner === 'team2') {
            $winner_text = "🏆 {$event['team2']} победила";
        } else {
            $winner_text = "🤝 Ничья";
        }
        
        $text = "⚽ <b>Укажите точный счет</b>\n\n";
        $text .= "🏟 <b>{$event['title']}</b>\n";
        $text .= "🎯 Результат: {$winner_text}\n\n";
        $text .= "👇 <b>Выберите счет:</b>";
        
        $keyboard = ['inline_keyboard' => []];
        
        // Генерируем популярные счета в зависимости от победителя
        if ($winner === 'team1') {
            // Счета где первая команда выигрывает
            $scores = ['1-0', '2-0', '2-1', '3-0', '3-1', '3-2', '4-0', '4-1', '4-2'];
        } elseif ($winner === 'team2') {
            // Счета где вторая команда выигрывает
            $scores = ['0-1', '0-2', '1-2', '0-3', '1-3', '2-3', '0-4', '1-4', '2-4'];
        } else {
            // Ничейные счета
            $scores = ['0-0', '1-1', '2-2', '3-3'];
        }
        
        // Группируем по 3 счета в ряд
        $score_rows = array_chunk($scores, 3);
        foreach ($score_rows as $row) {
            $keyboard_row = [];
            foreach ($row as $score) {
                $keyboard_row[] = [
                    'text' => $score,
                    'callback_data' => "finish_score_{$event_id}_{$winner}_{$score}"
                ];
            }
            $keyboard['inline_keyboard'][] = $keyboard_row;
        }
        
        // Кнопка "Другой счет"
        $keyboard['inline_keyboard'][] = [
            ['text' => '✏️ Другой счет', 'callback_data' => "finish_custom_score_{$event_id}_{$winner}"]
        ];
        
        $keyboard['inline_keyboard'][] = [
            ['text' => '🔙 К выбору победителя', 'callback_data' => "finish_event_{$event_id}"]
        ];
        
        return send_message($user_id, $text, $keyboard);
        
    } catch (Exception $e) {
        safe_log("show_score_selection error: " . $e->getMessage(), 'ERROR');
        return send_message($user_id, "❌ Ошибка выбора счета");
    }
}

function handle_status_change_callback($user_id, $event_id, $new_status) {
    global $CONFIG;
    
    safe_log("handle_status_change_callback called: user={$user_id}, event={$event_id}, status={$new_status}");
    
    if (!in_array($user_id, $CONFIG['ADMIN_IDS'])) {
        safe_log("Access denied for user {$user_id}", 'ERROR');
        return send_message($user_id, "❌ Нет прав доступа");
    }
    
    try {
        $db = SportsDatabase::getInstance();
        safe_log("Database instance created");
        
        $event = $db->getEvent($event_id);
        safe_log("Event retrieved: " . ($event ? json_encode($event) : 'null'));
        
        if (!$event) {
            safe_log("Event {$event_id} not found", 'ERROR');
            return send_message($user_id, "❌ Событие не найдено");
        }
        
        safe_log("Current event status: {$event['status']}");
        
        // ИСПРАВЛЕНО: Разрешаем смену статуса для любого состояния, не только 'upcoming'
        if ($event['status'] === 'finished') {
            safe_log("Event already finished", 'WARNING');
            return send_message($user_id, "❌ Событие уже завершено");
        }
        
        if ($event['status'] === 'cancelled') {
            safe_log("Event is cancelled", 'WARNING');
            return send_message($user_id, "❌ Событие отменено");
        }
        
        safe_log("Attempting to update event status to: {$new_status}");
        $result = $db->updateEventStatus($event_id, $new_status, $user_id);
        safe_log("Update result: " . ($result ? 'success' : 'failed'));
        
        if ($result) {
            $status_names = [
                'upcoming' => 'Предстоящее',
                'live' => 'В эфире',
                'finished' => 'Завершено',
                'cancelled' => 'Отменено'
            ];
            
            $status_name = $status_names[$new_status] ?? $new_status;
            safe_log("Status changed to: {$status_name}");
            
            $text = "✅ <b>Статус изменен!</b>\n\n";
            $text .= "🏟 Событие: {$event['title']}\n";
            $text .= "⚽ {$event['team1']} vs {$event['team2']}\n";
            $text .= "📊 Новый статус: {$status_name}";
            
            if ($new_status === 'cancelled') {
                $text .= "\n\n🚫 Все ставки на это событие отменены";
            }
            
            $keyboard = [
                'inline_keyboard' => [
                    [['text' => '⚙️ Управление событием', 'callback_data' => "admin_event_manage_{$event_id}"]],
                    [['text' => '📊 Все события', 'callback_data' => 'admin_events']]
                ]
            ];
            
            safe_log("Sending success message to user {$user_id}");
            $send_result = send_message($user_id, $text, $keyboard);
            safe_log("Message send result: " . ($send_result ? 'success' : 'failed'));
            
            // Уведомляем других админов
            $admin_message = "📊 Статус события изменен: {$event['title']} → {$status_name}";
            safe_log("Notifying admins: {$admin_message}");
            notify_admins($admin_message);
            
            safe_log("Status change completed successfully");
            return true;
            
        } else {
            safe_log("Failed to update event status in database", 'ERROR');
            return send_message($user_id, "❌ Ошибка изменения статуса события");
        }
        
    } catch (Exception $e) {
        safe_log("handle_status_change_callback error: " . $e->getMessage(), 'ERROR');
        safe_log("Stack trace: " . $e->getTraceAsString(), 'ERROR');
        return send_message($user_id, "❌ Техническая ошибка изменения статуса: " . $e->getMessage());
    }
}



// УЛУЧШЕННАЯ функция show_custom_score_input с дополнительной отладкой
function show_custom_score_input($user_id, $event_id, $winner) {
    global $CONFIG;
    
    if (!in_array($user_id, $CONFIG['ADMIN_IDS'])) {
        return send_message($user_id, "❌ Нет прав доступа");
    }
    
    try {
        $db = SportsDatabase::getInstance();
        $event = $db->getEvent($event_id);
        
        if (!$event) {
            return send_message($user_id, "❌ Событие не найдено");
        }
        
        $winner_text = '';
        if ($winner === 'team1') {
            $winner_text = "🏆 {$event['team1']} победила";
        } elseif ($winner === 'team2') {
            $winner_text = "🏆 {$event['team2']} победила";
        } else {
            $winner_text = "🤝 Ничья";
        }
        
        // Устанавливаем состояние ожидания ввода кастомного счета
        $state_data = [
            'event_id' => (int)$event_id,
            'winner' => $winner,
            'action' => 'finish_custom_score'
        ];
        
        safe_log("Setting user state for {$user_id}: waiting_finish_custom_score with data: " . json_encode($state_data));
        
        $result = $db->setUserState($user_id, 'waiting_finish_custom_score', $state_data);
        
        if (!$result) {
            safe_log("Failed to set user state for {$user_id}", 'ERROR');
            return send_message($user_id, "❌ Техническая ошибка. Попробуйте позже.");
        }
        
        safe_log("User state set successfully for {$user_id}");
        
        // Проверяем что состояние сохранилось
        $check_state = $db->getUserState($user_id);
        safe_log("Verification - saved state: " . ($check_state ? json_encode($check_state) : 'null'));
        
        $text = "✏️ <b>Введите кастомный счет</b>\n\n";
        $text .= "🏟 <b>{$event['title']}</b>\n";
        $text .= "🎯 Результат: {$winner_text}\n\n";
        $text .= "📝 <b>Введите счет в формате X-Y</b>\n";
        $text .= "Примеры: <code>5-2</code>, <code>0-4</code>, <code>6-1</code>\n\n";
        $text .= "⚠️ <b>Важно:</b> Используйте тире (-) между цифрами!";
        
        $keyboard = [
            'inline_keyboard' => [
                [['text' => '❌ Отмена', 'callback_data' => "finish_winner_{$event_id}_{$winner}"]]
            ]
        ];
        
        return send_message($user_id, $text, $keyboard);
        
    } catch (Exception $e) {
        safe_log("show_custom_score_input error: " . $e->getMessage(), 'ERROR');
        return send_message($user_id, "❌ Ошибка ввода кастомного счета");
    }
}


// НОВАЯ функция для сохранения выбранных параметров
function save_additional_param($user_id, $event_id, $winner, $score, $param_type, $param_value) {
    global $CONFIG;
    
    if (!in_array($user_id, $CONFIG['ADMIN_IDS'])) {
        return send_message($user_id, "❌ Нет прав доступа");
    }
    
    try {
        $db = SportsDatabase::getInstance();
        
        // Получаем текущие сохраненные параметры из состояния пользователя
        $user_state = $db->getUserState($user_id);
        $saved_params = [];
        
        if ($user_state && isset($user_state['state_data']['additional_params'])) {
            $saved_params = $user_state['state_data']['additional_params'];
        }
        
        // Добавляем новый параметр
        if ($param_type === 'first' && isset($param_value)) {
            $saved_params['first_goal'] = $param_value; // team1 или team2
        } elseif ($param_type === 'red') {
            $saved_params['red_card'] = true;
        } elseif ($param_type === 'penalty') {
            $saved_params['penalty'] = true;
        } elseif ($param_type === 'own') {
            $saved_params['own_goal'] = true;
        } elseif ($param_type === 'corners') {
            $saved_params['corners_winner'] = $param_value; // team1, team2, draw
        }
        
        // Сохраняем обновленные параметры в состоянии
        $state_data = [
            'event_id' => $event_id,
            'winner' => $winner,
            'score' => $score,
            'additional_params' => $saved_params
        ];
        
        $db->setUserState($user_id, 'event_finish_params', $state_data);
        
        // Показываем обновленные параметры
        show_selected_params($user_id, $event_id, $winner, $score, $saved_params);
        
    } catch (Exception $e) {
        safe_log("save_additional_param error: " . $e->getMessage(), 'ERROR');
        return send_message($user_id, "❌ Ошибка сохранения параметра");
    }
}

// НОВАЯ функция показа выбранных параметров
function show_selected_params($user_id, $event_id, $winner, $score, $additional_params = []) {
    global $CONFIG;
    
    if (!in_array($user_id, $CONFIG['ADMIN_IDS'])) {
        return send_message($user_id, "❌ Нет прав доступа");
    }
    
    try {
        $db = SportsDatabase::getInstance();
        $event = $db->getEvent($event_id);
        
        if (!$event) {
            return send_message($user_id, "❌ Событие не найдено");
        }
        
        $winner_text = '';
        if ($winner === 'team1') {
            $winner_text = "🏆 {$event['team1']}";
        } elseif ($winner === 'team2') {
            $winner_text = "🏆 {$event['team2']}";
        } else {
            $winner_text = "🤝 Ничья";
        }
        
        $score_parts = explode('-', $score);
        $total_goals = (int)$score_parts[0] + (int)$score_parts[1];
        
        $text = "✅ <b>Параметр добавлен!</b>\n\n";
        $text .= "🏟 <b>{$event['title']}</b>\n";
        $text .= "🎯 Победитель: {$winner_text}\n";
        $text .= "⚽ Счет: <b>{$score}</b>\n";
        $text .= "📊 Тотал голов: <b>{$total_goals}</b>\n\n";
        
        if (!empty($additional_params)) {
            $text .= "📋 <b>Выбранные события:</b>\n";
            foreach ($additional_params as $param => $value) {
                switch ($param) {
                    case 'first_goal':
                        $team_name = $value === 'team1' ? $event['team1'] : $event['team2'];
                        $text .= "🥅 Первый гол: {$team_name}\n";
                        break;
                    case 'red_card':
                        $text .= "🟥 Было удаление\n";
                        break;
                    case 'penalty':
                        $text .= "🎯 Был пенальти\n";
                        break;
                    case 'own_goal':
                        $text .= "🤦 Был автогол\n";
                        break;
                    case 'corners_winner':
                        if ($value === 'team1') {
                            $text .= "📐 Больше угловых: {$event['team1']}\n";
                        } elseif ($value === 'team2') {
                            $text .= "📐 Больше угловых: {$event['team2']}\n";
                        } else {
                            $text .= "📐 Угловых поровну\n";
                        }
                        break;
                }
            }
            $text .= "\n";
        }
        
        $text .= "👇 <b>Добавить еще или завершить:</b>";
        
        $keyboard = [
            'inline_keyboard' => [
                [
                    ['text' => '➕ Добавить еще', 'callback_data' => "finish_score_{$event_id}_{$winner}_{$score}"],
                    ['text' => '✅ Завершить событие', 'callback_data' => "finish_final_{$event_id}_{$winner}_{$score}"]
                ],
                [
                    ['text' => '🔙 К выбору счета', 'callback_data' => "finish_winner_{$event_id}_{$winner}"]
                ]
            ]
        ];
        
        return send_message($user_id, $text, $keyboard);
        
    } catch (Exception $e) {
        safe_log("show_selected_params error: " . $e->getMessage(), 'ERROR');
        return send_message($user_id, "❌ Ошибка отображения параметров");
    }
}




// ИСПРАВЛЕННАЯ функция show_additional_params
function show_additional_params($user_id, $event_id, $winner, $score) {
    global $CONFIG;
    
    if (!in_array($user_id, $CONFIG['ADMIN_IDS'])) {
        return send_message($user_id, "❌ Нет прав доступа");
    }
    
    try {
        $db = SportsDatabase::getInstance();
        $event = $db->getEvent($event_id);
        
        if (!$event) {
            return send_message($user_id, "❌ Событие не найдено");
        }
        
        $winner_text = '';
        if ($winner === 'team1') {
            $winner_text = "🏆 {$event['team1']}";
        } elseif ($winner === 'team2') {
            $winner_text = "🏆 {$event['team2']}";
        } else {
            $winner_text = "🤝 Ничья";
        }
        
        // Вычисляем тотал голов
        $score_parts = explode('-', $score);
        $total_goals = (int)$score_parts[0] + (int)$score_parts[1];
        
        $text = "⚙️ <b>Дополнительные параметры</b>\n\n";
        $text .= "🏟 <b>{$event['title']}</b>\n";
        $text .= "🎯 Победитель: {$winner_text}\n";
        $text .= "⚽ Счет: <b>{$score}</b>\n";
        $text .= "📊 Тотал голов: <b>{$total_goals}</b>\n\n";
        $text .= "👇 <b>Выберите дополнительные события или завершите:</b>";
        
        $keyboard = [
            'inline_keyboard' => [
                [
                    ['text' => '🥅 Первый гол - ' . $event['team1'], 'callback_data' => "add_param_{$event_id}_{$winner}_{$score}_first_goal_team1"],
                    ['text' => '🥅 Первый гол - ' . $event['team2'], 'callback_data' => "add_param_{$event_id}_{$winner}_{$score}_first_goal_team2"]
                ],
                [
                    ['text' => '🟥 Было удаление', 'callback_data' => "add_param_{$event_id}_{$winner}_{$score}_red_card_yes"],
                    ['text' => '🎯 Был пенальти', 'callback_data' => "add_param_{$event_id}_{$winner}_{$score}_penalty_yes"]
                ],
                [
                    ['text' => '🤦 Был автогол', 'callback_data' => "add_param_{$event_id}_{$winner}_{$score}_own_goal_yes"],
                    ['text' => '📐 Угловые - ' . $event['team1'], 'callback_data' => "add_param_{$event_id}_{$winner}_{$score}_corners_team1"]
                ],
                [
                    ['text' => '📐 Угловые - ' . $event['team2'], 'callback_data' => "add_param_{$event_id}_{$winner}_{$score}_corners_team2"],
                    ['text' => '📐 Угловых поровну', 'callback_data' => "add_param_{$event_id}_{$winner}_{$score}_corners_draw"]
                ],
                [
                    // ИСПРАВЛЕНО: теперь отдельная кнопка для финального завершения
                    ['text' => '✅ Завершить событие', 'callback_data' => "finish_final_{$event_id}_{$winner}_{$score}"]
                ],
                [
                    ['text' => '🔙 К выбору счета', 'callback_data' => "finish_winner_{$event_id}_{$winner}"]
                ]
            ]
        ];
        
        return send_message($user_id, $text, $keyboard);
        
    } catch (Exception $e) {
        safe_log("show_additional_params error: " . $e->getMessage(), 'ERROR');
        return send_message($user_id, "❌ Ошибка дополнительных параметров");
    }
}


// УЛУЧШЕННАЯ функция finish_event_final с детальной диагностикой
function finish_event_final($user_id, $event_id, $winner, $score, $additional_params = []) {
    global $CONFIG;
    
    if (!in_array($user_id, $CONFIG['ADMIN_IDS'])) {
        return send_message($user_id, "❌ Нет прав доступа");
    }
    
    try {
        $db = SportsDatabase::getInstance();
        
        // Получаем дополнительные параметры из состояния если они не переданы
        if (empty($additional_params)) {
            $user_state = $db->getUserState($user_id);
            if ($user_state && isset($user_state['state_data']['additional_params'])) {
                $additional_params = $user_state['state_data']['additional_params'];
            }
        }
        
        // Очищаем состояние
        $db->clearUserState($user_id);
        
        $event = $db->getEvent($event_id);
        
        if (!$event) {
            safe_log("Event {$event_id} not found", 'ERROR');
            return send_message($user_id, "❌ Событие не найдено");
        }
        
        safe_log("Event {$event_id} found with status: {$event['status']}");
        
        // ДОБАВЛЕНО: Проверяем статус события перед завершением
        if ($event['status'] === 'finished') {
            safe_log("Event {$event_id} already finished", 'WARNING');
            return send_message($user_id, "⚠️ Событие уже завершено!\n\nВозможно, оно было завершено другим администратором.");
        }
        
        if ($event['status'] === 'cancelled') {
            safe_log("Event {$event_id} is cancelled", 'WARNING');
            return send_message($user_id, "❌ Нельзя завершить отмененное событие");
        }
        
        if (!in_array($event['status'], ['upcoming', 'live'])) {
            safe_log("Event {$event_id} has invalid status for finishing: {$event['status']}", 'ERROR');
            return send_message($user_id, "❌ Нельзя завершить событие со статусом '{$event['status']}'");
        }
        
        // Формируем результат для базы данных
        $score_parts = explode('-', $score);
        $total_goals = (int)$score_parts[0] + (int)$score_parts[1];
        
        $result = [
            'winner' => $winner,
            'score' => $score,
            'total_goals' => $total_goals
        ];
        
        // Добавляем дополнительные параметры
        foreach ($additional_params as $param => $value) {
            $result[$param] = $value;
        }
        
        safe_log("Finishing event {$event_id} with result: " . json_encode($result));
        
        // НОВОЕ: Получаем всех участников ставок ДО завершения события
        $participants = $db->getEventParticipants($event_id);
        safe_log("Found " . count($participants) . " participants for event {$event_id}");
        
        // Завершаем событие
        safe_log("Calling finishEvent method");
        $finish_result = $db->finishEvent($event_id, $result, $user_id);
        safe_log("finishEvent result: " . ($finish_result ? 'success' : 'failed'));
        
        if ($finish_result) {
            $winner_text = '';
            if ($winner === 'team1') {
                $winner_text = "🏆 {$event['team1']} победила";
            } elseif ($winner === 'team2') {
                $winner_text = "🏆 {$event['team2']} победила";
            } else {
                $winner_text = "🤝 Ничья";
            }
            
            // Сообщение для админа
            $admin_text = "✅ <b>Событие успешно завершено!</b>\n\n";
            $admin_text .= "🏟 <b>{$event['title']}</b>\n";
            $admin_text .= "🎯 Результат: {$winner_text}\n";
            $admin_text .= "⚽ Счет: <b>{$score}</b>\n";
            $admin_text .= "📊 Тотал голов: <b>{$total_goals}</b>\n\n";
            
            if (!empty($additional_params)) {
                $admin_text .= "📋 <b>Дополнительные события:</b>\n";
                foreach ($additional_params as $param => $value) {
                    switch ($param) {
                        case 'first_goal':
                            $team_name = $value === 'team1' ? $event['team1'] : $event['team2'];
                            $admin_text .= "🥅 Первый гол: {$team_name}\n";
                            break;
                        case 'red_card':
                            $admin_text .= "🟥 Было удаление\n";
                            break;
                        case 'penalty':
                            $admin_text .= "🎯 Был пенальти\n";
                            break;
                        case 'own_goal':
                            $admin_text .= "🤦 Был автогол\n";
                            break;
                        case 'corners_winner':
                            if ($value === 'team1') {
                                $admin_text .= "📐 Больше угловых: {$event['team1']}\n";
                            } elseif ($value === 'team2') {
                                $admin_text .= "📐 Больше угловых: {$event['team2']}\n";
                            } else {
                                $admin_text .= "📐 Угловых поровну\n";
                            }
                            break;
                    }
                }
                $admin_text .= "\n";
            }
            
            $admin_text .= "🎯 <b>Все ставки обработаны автоматически!</b>\n";
            $admin_text .= "💰 Баллы начислены/списаны у всех участников\n";
            $admin_text .= "📨 Рассылка отправлена " . count($participants) . " участникам";
            
            $keyboard = [
                'inline_keyboard' => [
                    [['text' => '📊 Посмотреть результаты ставок', 'callback_data' => 'admin_bets']],
                    [['text' => '⚽ К событиям', 'callback_data' => 'admin_events']],
                    [['text' => '🔙 Админ панель', 'callback_data' => 'admin_panel']]
                ]
            ];
            
            send_message($user_id, $admin_text, $keyboard);
            
            // НОВОЕ: Рассылка результатов всем участникам
            if (!empty($participants)) {
                safe_log("Starting notification broadcast to participants");
                send_event_results_to_participants($event, $result, $participants, $additional_params);
            } else {
                safe_log("No participants to notify");
            }
            
            // Уведомляем всех админов
            notify_admins("✅ Событие завершено: {$event['title']} - {$winner_text} {$score}");
            
            return true;
        } else {
            safe_log("finishEvent returned false", 'ERROR');
            
            // Проверяем текущий статус события после попытки завершения
            $updated_event = $db->getEvent($event_id);
            if ($updated_event && $updated_event['status'] === 'finished') {
                safe_log("Event was actually finished but finishEvent returned false", 'WARNING');
                return send_message($user_id, "✅ Событие уже было завершено!\n\nВозможно, завершением занимался другой администратор.");
            }
            
            return send_message($user_id, "❌ Ошибка при завершении события!\n\nПроверьте статус события и попробуйте снова.");
        }
        
    } catch (Exception $e) {
        safe_log("finish_event_final error: " . $e->getMessage(), 'ERROR');
        safe_log("Stack trace: " . $e->getTraceAsString(), 'ERROR');
        return send_message($user_id, "❌ Ошибка финального завершения события: " . $e->getMessage());
    }
}


// НОВАЯ функция для получения участников события
function getEventParticipants($event_id) {
    try {
        $db = SportsDatabase::getInstance();
        return $db->getEventParticipants($event_id);
    } catch (Exception $e) {
        safe_log("getEventParticipants error: " . $e->getMessage(), 'ERROR');
        return [];
    }
}

// НОВАЯ функция рассылки результатов участникам
function send_event_results_to_participants($event, $result, $participants, $additional_params = []) {
    if (empty($participants)) {
        safe_log("No participants to notify");
        return;
    }
    
    safe_log("Sending results to " . count($participants) . " participants");
    
    // Формируем общую информацию о событии
    $winner_text = '';
    if ($result['winner'] === 'team1') {
        $winner_text = "🏆 {$event['team1']} победила";
    } elseif ($result['winner'] === 'team2') {
        $winner_text = "🏆 {$event['team2']} победила";
    } else {
        $winner_text = "🤝 Ничья";
    }
    
    // Базовый текст с результатами
    $base_text = "🏁 <b>Матч завершен!</b>\n\n";
    $base_text .= "🏟 <b>{$event['title']}</b>\n";
    $base_text .= "⚽ {$event['team1']} vs {$event['team2']}\n";
    $base_text .= "🎯 Результат: {$winner_text}\n";
    $base_text .= "📊 Счет: <b>{$result['score']}</b>\n";
    $base_text .= "🥅 Голов: <b>{$result['total_goals']}</b>\n";
    
    // Добавляем дополнительные события если есть
    if (!empty($additional_params)) {
        $base_text .= "\n📋 <b>События матча:</b>\n";
        foreach ($additional_params as $param => $value) {
            switch ($param) {
                case 'first_goal':
                    $team_name = $value === 'team1' ? $event['team1'] : $event['team2'];
                    $base_text .= "🥅 Первый гол: {$team_name}\n";
                    break;
                case 'red_card':
                    $base_text .= "🟥 Было удаление\n";
                    break;
                case 'penalty':
                    $base_text .= "🎯 Был пенальти\n";
                    break;
                case 'own_goal':
                    $base_text .= "🤦 Был автогол\n";
                    break;
                case 'corners_winner':
                    if ($value === 'team1') {
                        $base_text .= "📐 Больше угловых: {$event['team1']}\n";
                    } elseif ($value === 'team2') {
                        $base_text .= "📐 Больше угловых: {$event['team2']}\n";
                    } else {
                        $base_text .= "📐 Угловых поровну\n";
                    }
                    break;
            }
        }
    }
    
    $base_text .= "\n";
    
    // Отправляем персональные сообщения каждому участнику
    foreach ($participants as $participant) {
        try {
            $personal_text = $base_text;
            
            // Добавляем информацию о ставках пользователя
            if (!empty($participant['bets'])) {
                $personal_text .= "📝 <b>Ваши ставки:</b>\n";
                
                $total_winnings = 0;
                $total_losses = 0;
                
                foreach ($participant['bets'] as $bet) {
                    $bet_type_names = [
                        'winner' => '🏆 Победитель',
                        'exact_score' => '⚽ Точный счет',
                        'first_goal' => '🥅 Первый гол',
                        'total_goals' => '📊 Тотал голов',
                        'red_card' => '🟥 Удаление',
                        'penalty' => '🎯 Пенальти',
                        'own_goal' => '🤦 Автогол',
                        'corners_winner' => '📐 Угловые'
                    ];
                    
                    $type_name = $bet_type_names[$bet['bet_type']] ?? $bet['bet_type'];
                    $formatted_answer = format_bet_display($bet['bet_type'], $bet['bet_answer'], $event['team1'], $event['team2']);
                    
                    if ($bet['status'] === 'won') {
                        $personal_text .= "✅ {$type_name}: {$formatted_answer} (+{$bet['points_earned']})\n";
                        $total_winnings += $bet['points_earned'];
                    } else {
                        global $CONFIG;
                        $personal_text .= "❌ {$type_name}: {$formatted_answer} (-{$CONFIG['BET_LOSS_PENALTY']})\n";
                        $total_losses += $CONFIG['BET_LOSS_PENALTY'];
                    }
                }
                
                // Итого
                $net_result = $total_winnings - $total_losses;
                $personal_text .= "\n💰 <b>Итого:</b> ";
                if ($net_result > 0) {
                    $personal_text .= "📈 +{$net_result} баллов! 🎉";
                } elseif ($net_result < 0) {
                    $personal_text .= "📉 {$net_result} баллов";
                } else {
                    $personal_text .= "0 баллов (в ноль)";
                }
                
                // Показываем текущий баланс
                $db = SportsDatabase::getInstance();
                $user = $db->getUser($participant['user_id']);
                if ($user) {
                    $personal_text .= "\n💳 Баланс: {$user['balance']} баллов";
                }
            } else {
                $personal_text .= "📝 У вас не было ставок на этот матч";
            }
            
            // Кнопки для дальнейших действий
            $keyboard = [
                'inline_keyboard' => [
                    [
                        ['text' => '⚽ Новые события', 'callback_data' => 'events'],
                        ['text' => '📋 История', 'callback_data' => 'history']
                    ],
                    [
                        ['text' => '👤 Профиль', 'callback_data' => 'profile'],
                        ['text' => '🏆 Рейтинг', 'callback_data' => 'rating']
                    ]
                ]
            ];
            
            $send_result = send_message($participant['user_id'], $personal_text, $keyboard);
            
            if ($send_result) {
                safe_log("Results sent to user {$participant['user_id']} ({$participant['first_name']})");
            } else {
                safe_log("Failed to send results to user {$participant['user_id']}", 'WARNING');
            }
            
            // Небольшая задержка между отправками чтобы не спамить
            usleep(200000); // 0.2 секунды
            
        } catch (Exception $e) {
            safe_log("Error sending results to user {$participant['user_id']}: " . $e->getMessage(), 'ERROR');
        }
    }
    
    safe_log("Results broadcast completed");
}


// НОВАЯ функция для показа окна подтверждения
function show_bet_confirmation($user_id, $event_id, $bet_type, $bet_answer) {
    try {
        $db = SportsDatabase::getInstance();
        $event = $db->getEvent($event_id);
        
        if (!$event || $event['status'] != 'upcoming') {
            return send_message($user_id, "❌ Событие не найдено или недоступно");
        }
        
        if (!$db->canMakeBet($user_id)) {
            return send_message($user_id, "❌ Ставки недоступны!");
        }
        
        // Проверяем существующую ставку
        $existing_bet = $db->getUserBetOnEvent($user_id, $event_id, $bet_type);
        if ($existing_bet) {
            $bet_types = [
                'winner' => '🏆 Победитель',
                'exact_score' => '⚽ Точный счет',
                'first_goal' => '🥅 Первый гол',
                'total_goals' => '📊 Тотал голов',
                'red_card' => '🟥 Удаление',
                'penalty' => '🎯 Пенальти',
                'own_goal' => '🤦 Автогол',
                'corners_winner' => '📐 Угловые'
            ];
            
            $type_name = $bet_types[$bet_type] ?? $bet_type;
            $existing_answer = format_bet_display($bet_type, $existing_bet['bet_answer'], $event['team1'], $event['team2']);
            
            $text = "⚠️ <b>У вас уже есть ставка этого типа!</b>\n\n";
            $text .= "🏟 Событие: <b>{$event['title']}</b>\n";
            $text .= "🎯 Тип: {$type_name}\n";
            $text .= "📝 Ваша ставка: <b>{$existing_answer}</b>\n";
            $text .= "💰 Потенциальный выигрыш: +{$existing_bet['potential_win']} баллов\n\n";
            $text .= "💡 Вы можете сделать ставки других типов на это событие.";
            
            $keyboard = [
                'inline_keyboard' => [
                    [
                        ['text' => '📝 Другие ставки', 'callback_data' => "event_{$event_id}"],
                        ['text' => '📋 Мои ставки', 'callback_data' => 'history']
                    ],
                    [
                        ['text' => '⚽ К событиям', 'callback_data' => 'events'],
                        ['text' => '🔙 Главное меню', 'callback_data' => 'start']
                    ]
                ]
            ];
            
            return send_message($user_id, $text, $keyboard);
        }
        
        // Получаем информацию о награде
        $reward = $db->getBetReward($bet_type, $bet_answer);
        $formatted_answer = format_bet_display($bet_type, $bet_answer, $event['team1'], $event['team2']);
        
        $bet_types = [
            'winner' => '🏆 Победитель',
            'exact_score' => '⚽ Точный счет',
            'first_goal' => '🥅 Первый гол',
            'total_goals' => '📊 Тотал голов',
            'red_card' => '🟥 Удаление',
            'penalty' => '🎯 Пенальти',
            'own_goal' => '🤦 Автогол',
            'corners_winner' => '📐 Угловые'
        ];
        
        $type_info = $bet_types[$bet_type] ?? $bet_type;
        
        $user = $db->getUser($user_id);
        $current_balance = safe_get($user, 'balance', 0);
        
        global $CONFIG;
        
        $text = "🤔 <b>Подтвердите ставку</b>\n\n";
        $text .= "🏟 <b>Событие:</b> {$event['title']}\n";
        $text .= "⚽ {$event['team1']} vs {$event['team2']}\n\n";
        $text .= "🎯 <b>Тип ставки:</b> {$type_info}\n";
        $text .= "📝 <b>Ваш прогноз:</b> {$formatted_answer}\n\n";
        $text .= "💰 <b>Текущий баланс:</b> {$current_balance} баллов\n";
        $text .= "🏆 <b>При выигрыше:</b> +{$reward} баллов\n";
        $text .= "💸 <b>При проигрыше:</b> -{$CONFIG['BET_LOSS_PENALTY']} балла\n\n";
        $text .= "❓ <b>Вы уверены что хотите поставить на этот исход?</b>";
        
        // Создаем callback данные для подтверждения
        $confirm_data = "confirm_bet_{$event_id}_{$bet_type}_{$bet_answer}";
        $cancel_data = "bet_{$event_id}_{$bet_type}";
        
        $keyboard = [
            'inline_keyboard' => [
                [
                    ['text' => '✅ Да, подтверждаю!', 'callback_data' => $confirm_data],
                    ['text' => '❌ Отмена', 'callback_data' => $cancel_data]
                ],
                [
                    ['text' => '🔙 К событию', 'callback_data' => "event_{$event_id}"]
                ]
            ]
        ];
        
        return send_message($user_id, $text, $keyboard);
        
    } catch (Exception $e) {
        safe_log("show_bet_confirmation error: " . $e->getMessage(), 'ERROR');
        return send_message($user_id, "❌ Ошибка подтверждения ставки");
    }
}

// ========================================
// КЛАСС БАЗЫ ДАННЫХ
// ========================================
class SportsDatabase {
    private static $instance = null;
    private $pdo;
    public function getPdo() {
    return $this->pdo;
}

// Добавить в класс SportsDatabase эти методы:

public function getUserDetailedProfile($user_id) {
    try {
        $stmt = $this->pdo->prepare("
            SELECT 
                u.*,
                COUNT(DISTINCT b.event_id) as events_participated,
                COUNT(CASE WHEN b.status = 'won' THEN 1 END) as total_won,
                COUNT(CASE WHEN b.status = 'lost' THEN 1 END) as total_lost,
                SUM(CASE WHEN b.status = 'won' THEN b.points_earned ELSE 0 END) as total_earned,
                AVG(CASE WHEN b.status IN ('won', 'lost') THEN b.potential_win END) as avg_bet_size,
                MAX(b.points_earned) as biggest_win,
                MAX(b.created_at) as last_activity_bet
            FROM users u
            LEFT JOIN bets b ON u.user_id = b.user_id
            WHERE u.user_id = ?
            GROUP BY u.user_id
        ");
        $stmt->execute([$user_id]);
        return $stmt->fetch();
    } catch (Exception $e) {
        safe_log("getUserDetailedProfile error: " . $e->getMessage(), 'ERROR');
        return false;
    }
}

public function getUserBetHistory($user_id, $limit = 10, $offset = 0) {
    try {
        $stmt = $this->pdo->prepare("
            SELECT 
                b.*,
                e.title,
                e.team1,
                e.team2,
                e.event_date,
                e.status as event_status,
                e.result as event_result
            FROM bets b 
            LEFT JOIN events e ON b.event_id = e.event_id 
            WHERE b.user_id = ? 
            ORDER BY b.created_at DESC 
            LIMIT ? OFFSET ?
        ");
        $stmt->execute([$user_id, $limit, $offset]);
        return $stmt->fetchAll();
    } catch (Exception $e) {
        safe_log("getUserBetHistory error: " . $e->getMessage(), 'ERROR');
        return [];
    }
}

public function getUserBetsByEvent($user_id, $event_id) {
    try {
        $stmt = $this->pdo->prepare("
            SELECT 
                b.*,
                e.title,
                e.team1,
                e.team2,
                e.event_date,
                e.status as event_status,
                e.result as event_result
            FROM bets b 
            LEFT JOIN events e ON b.event_id = e.event_id 
            WHERE b.user_id = ? AND b.event_id = ?
            ORDER BY b.created_at ASC
        ");
        $stmt->execute([$user_id, $event_id]);
        return $stmt->fetchAll();
    } catch (Exception $e) {
        safe_log("getUserBetsByEvent error: " . $e->getMessage(), 'ERROR');
        return [];
    }
}

public function getUserEventsParticipated($user_id, $limit = 10) {
    try {
        $stmt = $this->pdo->prepare("
            SELECT 
                e.*,
                COUNT(b.bet_id) as user_bets_count,
                COUNT(CASE WHEN b.status = 'won' THEN 1 END) as user_won_bets,
                COUNT(CASE WHEN b.status = 'lost' THEN 1 END) as user_lost_bets,
                SUM(CASE WHEN b.status = 'won' THEN b.points_earned ELSE 0 END) as user_total_earned
            FROM events e
            INNER JOIN bets b ON e.event_id = b.event_id
            WHERE b.user_id = ?
            GROUP BY e.event_id
            ORDER BY e.event_date DESC
            LIMIT ?
        ");
        $stmt->execute([$user_id, $limit]);
        return $stmt->fetchAll();
    } catch (Exception $e) {
        safe_log("getUserEventsParticipated error: " . $e->getMessage(), 'ERROR');
        return [];
    }
}

public function getUsersByPattern($pattern, $limit = 10) {
    try {
        $stmt = $this->pdo->prepare("
            SELECT 
                user_id, 
                first_name, 
                username, 
                balance, 
                total_bets, 
                correct_bets,
                win_streak,
                max_win_streak,
                total_winnings,
                created_at
            FROM users 
            WHERE 
                first_name LIKE ? 
                OR username LIKE ? 
                OR user_id LIKE ?
            ORDER BY total_bets DESC, balance DESC
            LIMIT ?
        ");
        $pattern_sql = "%{$pattern}%";
        $stmt->execute([$pattern_sql, $pattern_sql, $pattern_sql, $limit]);
        return $stmt->fetchAll();
    } catch (Exception $e) {
        safe_log("getUsersByPattern error: " . $e->getMessage(), 'ERROR');
        return [];
    }
}

	// НОВЫЙ метод для класса SportsDatabase - добавить в класс SportsDatabase
public function getEventParticipants($event_id) {
    try {
        // Получаем всех пользователей, которые делали ставки на это событие
        $stmt = $this->pdo->prepare("
            SELECT DISTINCT 
                u.user_id, 
                u.first_name, 
                u.username,
                u.balance
            FROM users u
            INNER JOIN bets b ON u.user_id = b.user_id
            WHERE b.event_id = ? AND b.status IN ('pending', 'won', 'lost')
            ORDER BY u.first_name ASC
        ");
        $stmt->execute([$event_id]);
        $participants = $stmt->fetchAll();
        
        // Для каждого участника получаем его ставки на это событие
        foreach ($participants as &$participant) {
            $stmt = $this->pdo->prepare("
                SELECT 
                    bet_type,
                    bet_answer,
                    potential_win,
                    points_earned,
                    status,
                    created_at
                FROM bets 
                WHERE user_id = ? AND event_id = ? AND status IN ('pending', 'won', 'lost')
                ORDER BY created_at ASC
            ");
            $stmt->execute([$participant['user_id'], $event_id]);
            $participant['bets'] = $stmt->fetchAll();
        }
        
        safe_log("Retrieved " . count($participants) . " participants for event {$event_id}");
        return $participants;
        
    } catch (Exception $e) {
        safe_log("getEventParticipants error: " . $e->getMessage(), 'ERROR');
        return [];
    }
}
	
	
	
	// НОВЫЙ метод для класса SportsDatabase - проверка существующей ставки
public function getUserBetOnEvent($user_id, $event_id, $bet_type) {
    try {
        $stmt = $this->pdo->prepare("
            SELECT * FROM bets 
            WHERE user_id = ? AND event_id = ? AND bet_type = ? AND status = 'pending'
        ");
        $stmt->execute([$user_id, $event_id, $bet_type]);
        return $stmt->fetch();
    } catch (Exception $e) {
        safe_log("getUserBetOnEvent error: " . $e->getMessage(), 'ERROR');
        return false;
    }
}

	
	
public function setUserState($user_id, $state, $data = null) {
    try {
        // Создаем таблицу если её нет
        $this->pdo->exec("
            CREATE TABLE IF NOT EXISTS user_states (
                user_id BIGINT PRIMARY KEY,
                state VARCHAR(50),
                state_data JSON,
                created_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
                updated_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
            ) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4
        ");
        
        $stmt = $this->pdo->prepare("
            INSERT INTO user_states (user_id, state, state_data) 
            VALUES (?, ?, ?) 
            ON DUPLICATE KEY UPDATE 
                state = VALUES(state), 
                state_data = VALUES(state_data),
                updated_at = NOW()
        ");
        
        $json_data = null;
        if ($data !== null) {
            $json_data = json_encode($data);
            if ($json_data === false) {
                safe_log("Failed to encode state data to JSON for user {$user_id}", 'ERROR');
                return false;
            }
        }
        
        $result = $stmt->execute([$user_id, $state, $json_data]);
        
        if ($result) {
            safe_log("User state set successfully: user={$user_id}, state={$state}");
        } else {
            safe_log("Failed to set user state: user={$user_id}, state={$state}", 'ERROR');
        }
        
        return $result;
        
    } catch (Exception $e) {
        safe_log("setUserState error: " . $e->getMessage(), 'ERROR');
        return false;
    }
}

public function getUserState($user_id) {
    try {
        $stmt = $this->pdo->prepare("SELECT * FROM user_states WHERE user_id = ?");
        $stmt->execute([$user_id]);
        $result = $stmt->fetch();
        
        if ($result) {
            if ($result['state_data']) {
                $decoded = json_decode($result['state_data'], true);
                if ($decoded !== null) {
                    $result['state_data'] = $decoded;
                } else {
                    safe_log("Failed to decode state data JSON for user {$user_id}", 'WARNING');
                    $result['state_data'] = null;
                }
            }
            safe_log("Retrieved user state for {$user_id}: {$result['state']}");
        } else {
            safe_log("No state found for user {$user_id}");
        }
        
        return $result;
    } catch (Exception $e) {
        safe_log("getUserState error: " . $e->getMessage(), 'ERROR');
        return null;
    }
}

public function clearUserState($user_id) {
    try {
        $stmt = $this->pdo->prepare("DELETE FROM user_states WHERE user_id = ?");
        $result = $stmt->execute([$user_id]);
        
        if ($result) {
            safe_log("User state cleared for {$user_id}");
        }
        
        return $result;
    } catch (Exception $e) {
        safe_log("clearUserState error: " . $e->getMessage(), 'ERROR');
        return false;
    }
}
	
    public function __construct() {
        global $CONFIG;
        
        try {
            $dsn = "mysql:host={$CONFIG['DB_HOST']};dbname={$CONFIG['DB_NAME']};charset=utf8mb4";
            $this->pdo = new PDO($dsn, $CONFIG['DB_USER'], $CONFIG['DB_PASS'], [
                PDO::ATTR_ERRMODE => PDO::ERRMODE_EXCEPTION,
                PDO::ATTR_DEFAULT_FETCH_MODE => PDO::FETCH_ASSOC,
                PDO::ATTR_EMULATE_PREPARES => false
            ]);
            
            $this->createTablesIfNotExist();
            safe_log("Database connected successfully");
            
        } catch (PDOException $e) {
            safe_log("Database error: " . $e->getMessage(), 'ERROR');
            throw new Exception("Database connection failed");
        }
    }
    
    public static function getInstance() {
        if (self::$instance === null) {
            self::$instance = new self();
        }
        return self::$instance;
    }
    
    private function createTablesIfNotExist() {
        // Создаем таблицу пользователей
        $this->pdo->exec("
            CREATE TABLE IF NOT EXISTS users (
                user_id BIGINT PRIMARY KEY,
                username VARCHAR(255),
                first_name VARCHAR(255) NOT NULL,
                balance INT DEFAULT 10,
                total_bets INT DEFAULT 0,
                correct_bets INT DEFAULT 0,
                win_streak INT DEFAULT 0,
                max_win_streak INT DEFAULT 0,
                total_winnings INT DEFAULT 0,
                is_banned BOOLEAN DEFAULT FALSE,
                ban_reason TEXT,
                created_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
                updated_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
                last_bet_date TIMESTAMP NULL,
                last_activity TIMESTAMP NULL
            ) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4
        ");
        
        // Создаем таблицу событий
        $this->pdo->exec("
            CREATE TABLE IF NOT EXISTS events (
                event_id INT AUTO_INCREMENT PRIMARY KEY,
                title VARCHAR(255) NOT NULL,
                team1 VARCHAR(255) NOT NULL,
                team2 VARCHAR(255) NOT NULL,
                league VARCHAR(255),
                event_date TIMESTAMP NOT NULL,
                status ENUM('upcoming', 'live', 'finished', 'cancelled') DEFAULT 'upcoming',
                result JSON NULL,
                created_by BIGINT,
                created_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
                updated_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
            ) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4
        ");
        
        // Создаем таблицу настроек ставок
        $this->pdo->exec("
            CREATE TABLE IF NOT EXISTS bet_settings (
                setting_id INT AUTO_INCREMENT PRIMARY KEY,
                bet_type VARCHAR(50) NOT NULL,
                bet_option VARCHAR(50) NOT NULL,
                points_reward INT NOT NULL,
                description TEXT,
                is_active BOOLEAN DEFAULT TRUE,
                created_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
                UNIQUE KEY unique_bet_setting (bet_type, bet_option)
            ) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4
        ");
        
        // Создаем таблицу ставок
        $this->pdo->exec("
            CREATE TABLE IF NOT EXISTS bets (
                bet_id INT AUTO_INCREMENT PRIMARY KEY,
                user_id BIGINT NOT NULL,
                event_id INT NOT NULL,
                bet_type VARCHAR(50) NOT NULL,
                bet_answer VARCHAR(100) NOT NULL,
                potential_win INT DEFAULT 0,
                points_earned INT DEFAULT 0,
                status ENUM('pending', 'won', 'lost', 'cancelled') DEFAULT 'pending',
                result_details TEXT,
                created_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
                resolved_at TIMESTAMP NULL,
                resolved_by BIGINT NULL,
                UNIQUE KEY unique_user_event_bet (user_id, event_id, bet_type)
            ) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4
        ");
        
        // Создаем таблицу транзакций баланса
        $this->pdo->exec("
            CREATE TABLE IF NOT EXISTS balance_transactions (
                transaction_id INT AUTO_INCREMENT PRIMARY KEY,
                user_id BIGINT NOT NULL,
                amount INT NOT NULL,
                type ENUM('bet_win', 'bet_loss', 'admin_topup', 'admin_adjustment', 'bonus', 'penalty') NOT NULL,
                description TEXT,
                reference_id INT NULL,
                balance_before INT NOT NULL,
                balance_after INT NOT NULL,
                created_by BIGINT NULL,
                created_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP
            ) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4
        ");
        
        // Создаем таблицу уведомлений
        $this->pdo->exec("
            CREATE TABLE IF NOT EXISTS notifications (
                notification_id INT AUTO_INCREMENT PRIMARY KEY,
                user_id BIGINT NOT NULL,
                type ENUM('bet_result', 'balance_change', 'admin_message', 'system') NOT NULL,
                title VARCHAR(255) NOT NULL,
                message TEXT NOT NULL,
                is_read BOOLEAN DEFAULT FALSE,
                reference_id INT NULL,
                created_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
                read_at TIMESTAMP NULL
            ) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4
        ");
        
        $this->initializeBetSettings();
        safe_log("Database tables created/verified");
    }


// Исправленная функция инициализации настроек ставок
public function initializeBetSettings() {
    $stmt = $this->pdo->query("SELECT COUNT(*) as count FROM bet_settings");
    $count = $stmt->fetch()['count'];
    
    if ($count > 0) {
        safe_log("Bet settings already exist: {$count} records");
        return;
    }
    
    safe_log("Initializing bet settings...");
    
    $settings = [
        // Победитель
        ['winner', 'team1', 4, 'Победа первой команды'],
        ['winner', 'team2', 4, 'Победа второй команды'],
        ['winner', 'draw', 8, 'Ничья'],
        
        // Точный счет
        ['exact_score', '0-0', 10, 'Точный счет 0-0'],
        ['exact_score', '1-0', 10, 'Точный счет 1-0'],
        ['exact_score', '0-1', 10, 'Точный счет 0-1'],
        ['exact_score', '1-1', 10, 'Точный счет 1-1'],
        ['exact_score', '2-0', 10, 'Точный счет 2-0'],
        ['exact_score', '0-2', 10, 'Точный счет 0-2'],
        ['exact_score', '2-1', 10, 'Точный счет 2-1'],
        ['exact_score', '1-2', 10, 'Точный счет 1-2'],
        ['exact_score', '2-2', 10, 'Точный счет 2-2'],
        ['exact_score', '3-0', 10, 'Точный счет 3-0'],
        ['exact_score', '0-3', 10, 'Точный счет 0-3'],
        ['exact_score', '3-1', 10, 'Точный счет 3-1'],
        ['exact_score', '1-3', 10, 'Точный счет 1-3'],
        ['exact_score', '3-2', 10, 'Точный счет 3-2'],
        ['exact_score', '2-3', 10, 'Точный счет 2-3'],
        ['exact_score', 'other', 10, 'Другой точный счет'],
        
        // Первый гол
        ['first_goal', 'team1', 4, 'Первый гол забьет команда 1'],
        ['first_goal', 'team2', 4, 'Первый гол забьет команда 2'],
        
        // Тотал голов
        ['total_goals', 'over', 4, 'Больше 4.5 голов'],
        ['total_goals', 'under', 4, 'Меньше 4.5 голов'],
        
        // Специальные события
        ['red_card', 'yes', 5, 'Будет удаление'],
        ['penalty', 'yes', 5, 'Будет пенальти'],
        ['own_goal', 'yes', 5, 'Будет автогол'],
        
        // Угловые
        ['corners_winner', 'team1', 4, 'Больше угловых у команды 1'],
        ['corners_winner', 'draw', 8, 'Равное количество угловых'],
        ['corners_winner', 'team2', 4, 'Больше угловых у команды 2']
    ];
    
    $stmt = $this->pdo->prepare("
        INSERT INTO bet_settings (bet_type, bet_option, points_reward, description) 
        VALUES (?, ?, ?, ?)
    ");
    
    $success_count = 0;
    foreach ($settings as $setting) {
        if ($stmt->execute($setting)) {
            $success_count++;
        } else {
            safe_log("Failed to insert bet setting: " . json_encode($setting), 'WARNING');
        }
    }
    
    safe_log("Bet settings initialized successfully: {$success_count}/" . count($settings) . " records");
}

    // ========================================
    // МЕТОДЫ РАБОТЫ С ПОЛЬЗОВАТЕЛЯМИ
    // ========================================
    
    public function getUser($user_id) {
        $stmt = $this->pdo->prepare("SELECT * FROM users WHERE user_id = ?");
        $stmt->execute([$user_id]);
        return $stmt->fetch();
    }
    
    public function createUser($user_id, $username, $first_name) {
        global $CONFIG;
        
        try {
            $stmt = $this->pdo->prepare("
                INSERT INTO users (user_id, username, first_name, balance, last_activity) 
                VALUES (?, ?, ?, ?, NOW()) 
                ON DUPLICATE KEY UPDATE 
                    username = VALUES(username), 
                    first_name = VALUES(first_name),
                    last_activity = NOW()
            ");
            
            $result = $stmt->execute([$user_id, $username, $first_name, $CONFIG['START_BALANCE']]);
            safe_log("User created/updated: {$user_id} ({$first_name})");
            return $result;
        } catch (Exception $e) {
            safe_log("createUser error: " . $e->getMessage(), 'ERROR');
            return false;
        }
    }
    
    public function canMakeBet($user_id) {
        global $CONFIG;
        
        $user = $this->getUser($user_id);
        if (!$user) return false;
        
        $balance = safe_get($user, 'balance', 0);
        $is_banned = safe_get($user, 'is_banned', 0);
        
        return $balance > $CONFIG['MIN_BALANCE'] && !$is_banned;
    }
    
    public function needsTopup($user_id) {
        $user = $this->getUser($user_id);
        if (!$user) return true;
        
        return safe_get($user, 'balance', 0) <= 0;
    }
    
    public function getTopUsers($limit = 10) {
        try {
            $stmt = $this->pdo->prepare("
                SELECT 
                    user_id, first_name, username, balance, total_bets, correct_bets, 
                    win_streak, max_win_streak, total_winnings,
                    CASE 
                        WHEN total_bets > 0 THEN ROUND((correct_bets / total_bets) * 100, 1)
                        ELSE 0 
                    END as win_rate
                FROM users 
                WHERE total_bets > 0 AND is_banned = 0
                ORDER BY balance DESC, win_rate DESC, correct_bets DESC
                LIMIT ?
            ");
            $stmt->execute([(int)$limit]);
            return $stmt->fetchAll();
        } catch (Exception $e) {
            safe_log("getTopUsers error: " . $e->getMessage(), 'ERROR');
            return [];
        }
    }



public function updateBalance($user_id, $amount, $type, $description = '', $reference_id = null, $created_by = null) {
    try {
        // УБИРАЕМ beginTransaction() - пусть вызывающий метод управляет транзакцией
        
        $user = $this->getUser($user_id);
        if (!$user) {
            throw new Exception("User not found: {$user_id}");
        }
        
        $balance_before = $user['balance'];
        $balance_after = $balance_before + $amount;
        
        $stmt = $this->pdo->prepare("
            UPDATE users 
            SET balance = ?, updated_at = NOW() 
            WHERE user_id = ?
        ");
        $stmt->execute([$balance_after, $user_id]);
        
        $stmt = $this->pdo->prepare("
            INSERT INTO balance_transactions 
            (user_id, amount, type, description, reference_id, balance_before, balance_after, created_by)
            VALUES (?, ?, ?, ?, ?, ?, ?, ?)
        ");
        $stmt->execute([
            $user_id, $amount, $type, $description, $reference_id, 
            $balance_before, $balance_after, $created_by
        ]);
        
        // УБИРАЕМ commit() - пусть вызывающий метод управляет транзакцией
        
        safe_log("Balance updated for user {$user_id}: {$balance_before} -> {$balance_after} ({$type})");
        return true;
        
    } catch (Exception $e) {
        // УБИРАЕМ rollBack() - пусть вызывающий метод управляет транзакцией
        safe_log("updateBalance error: " . $e->getMessage(), 'ERROR');
        throw $e; // Пробрасываем исключение вверх
    }
}


    // ========================================
    // МЕТОДЫ РАБОТЫ С СОБЫТИЯМИ
    // ========================================
    
    public function getEvents($status = 'upcoming', $limit = 20) {
        try {
            $stmt = $this->pdo->prepare("
                SELECT * FROM events 
                WHERE status = ? 
                ORDER BY event_date ASC 
                LIMIT ?
            ");
            $stmt->execute([$status, (int)$limit]);
            return $stmt->fetchAll();
        } catch (Exception $e) {
            safe_log("getEvents error: " . $e->getMessage(), 'ERROR');
            return [];
        }
    }
    
    public function getEvent($event_id) {
        $stmt = $this->pdo->prepare("SELECT * FROM events WHERE event_id = ?");
        $stmt->execute([$event_id]);
        return $stmt->fetch();
    }
    
    public function addEvent($title, $team1, $team2, $event_date, $created_by, $league = null) {
        try {
            $stmt = $this->pdo->prepare("
                INSERT INTO events (title, team1, team2, league, event_date, created_by) 
                VALUES (?, ?, ?, ?, ?, ?)
            ");
            $result = $stmt->execute([$title, $team1, $team2, $league, $event_date, $created_by]);
            
            if ($result) {
                $id = $this->pdo->lastInsertId();
                safe_log("Event added: ID {$id} - {$title}");
                return $id;
            }
            return false;
        } catch (Exception $e) {
            safe_log("addEvent error: " . $e->getMessage(), 'ERROR');
            return false;
        }
    }


// ИСПРАВЛЕННЫЙ метод finishEvent в классе SportsDatabase
public function finishEvent($event_id, $result, $admin_id) {
    try {
        $this->pdo->beginTransaction();
        
        // ИСПРАВЛЕНО: Проверяем текущий статус события
        $event = $this->getEvent($event_id);
        if (!$event) {
            throw new Exception("Event not found: {$event_id}");
        }
        
        safe_log("Event {$event_id} current status: {$event['status']}");
        
        // ИСПРАВЛЕНО: Разрешаем завершать события в статусах 'upcoming' И 'live'
        if (!in_array($event['status'], ['upcoming', 'live'])) {
            throw new Exception("Cannot finish event in status '{$event['status']}'. Event must be 'upcoming' or 'live'");
        }
        
        // Обновляем статус события на 'finished'
        $stmt = $this->pdo->prepare("
            UPDATE events 
            SET status = 'finished', result = ?, updated_at = NOW() 
            WHERE event_id = ? AND status IN ('upcoming', 'live')
        ");
        $stmt->execute([json_encode($result), $event_id]);
        
        $affected_rows = $stmt->rowCount();
        safe_log("Event update affected {$affected_rows} rows");
        
        if ($affected_rows == 0) {
            throw new Exception("Failed to update event status. Event may already be finished or have wrong status");
        }
        
        safe_log("Event {$event_id} status updated to 'finished'");
        
        // Обрабатываем ставки
        safe_log("Processing bets for event {$event_id}");
        $this->processBetsForEvent($event_id, $result, $admin_id);
        
        $this->pdo->commit();
        
        safe_log("Event {$event_id} finished successfully by admin {$admin_id}");
        return true;
        
    } catch (Exception $e) {
        $this->pdo->rollBack();
        safe_log("finishEvent error: " . $e->getMessage(), 'ERROR');
        return false;
    }
}


    // ========================================
    // МЕТОДЫ РАБОТЫ СО СТАВКАМИ
    // ========================================





// УЛУЧШЕННАЯ ФУНКЦИЯ getBetSettings с отладкой
public function getBetSettings($bet_type = null) {
    safe_log("getBetSettings вызвана с типом: " . ($bet_type ?? 'все'));
    
    try {
        if ($bet_type) {
            $stmt = $this->pdo->prepare("
                SELECT * FROM bet_settings 
                WHERE bet_type = ? AND is_active = 1 
                ORDER BY bet_option
            ");
            $stmt->execute([$bet_type]);
            $results = $stmt->fetchAll();
            
            safe_log("Найдено {count} настроек для типа '{$bet_type}'", ['count' => count($results)]);
            
            // Дополнительная отладка если ничего не найдено
            if (empty($results)) {
                $stmt_all = $this->pdo->prepare("SELECT bet_type, bet_option, is_active FROM bet_settings WHERE bet_type LIKE ?");
                $stmt_all->execute(["%{$bet_type}%"]);
                $similar = $stmt_all->fetchAll();
                
                safe_log("Похожие записи: " . json_encode($similar));
            }
            
            return $results;
        } else {
            $stmt = $this->pdo->query("
                SELECT * FROM bet_settings 
                WHERE is_active = 1 
                ORDER BY bet_type, bet_option
            ");
            return $stmt->fetchAll();
        }
    } catch (Exception $e) {
        safe_log("Ошибка getBetSettings: " . $e->getMessage(), 'ERROR');
        return [];
    }
}



public function getRecentBets($limit = 10) {
    try {
        $stmt = $this->pdo->prepare("
            SELECT 
                b.*,
                u.first_name, 
                e.title, 
                e.team1, 
                e.team2,
                e.event_date
            FROM bets b 
            LEFT JOIN users u ON b.user_id = u.user_id 
            LEFT JOIN events e ON b.event_id = e.event_id 
            ORDER BY b.created_at DESC 
            LIMIT ?
        ");
        $stmt->execute([(int)$limit]);
        return $stmt->fetchAll();
    } catch (Exception $e) {
        safe_log("getRecentBets error: " . $e->getMessage(), 'ERROR');
        return [];
    }
}




// УЛУЧШЕННАЯ функция makeBet с более детальными ошибками
public function makeBet($user_id, $event_id, $bet_type, $bet_answer) {
    global $CONFIG;
    
    try {
        $this->pdo->beginTransaction();
        
        // Проверяем возможность ставки
        if (!$this->canMakeBet($user_id)) {
            safe_log("Cannot make bet - user {$user_id} blocked or insufficient balance");
            $this->pdo->rollBack();
            return false;
        }
        
        // Проверяем событие
        $event = $this->getEvent($event_id);
        if (!$event || $event['status'] != 'upcoming') {
            safe_log("Event {$event_id} not found or not available for betting");
            $this->pdo->rollBack();
            return false;
        }
        
        // Проверяем дублирующую ставку
        $stmt = $this->pdo->prepare("
            SELECT bet_id FROM bets 
            WHERE user_id = ? AND event_id = ? AND bet_type = ? AND status = 'pending'
        ");
        $stmt->execute([$user_id, $event_id, $bet_type]);
        if ($stmt->fetch()) {
            safe_log("Duplicate bet attempt - user {$user_id}, event {$event_id}, type {$bet_type}");
            $this->pdo->rollBack();
            return false;
        }
        
        $potential_win = $this->getBetReward($bet_type, $bet_answer);
        
        // Создаем ставку
        $stmt = $this->pdo->prepare("
            INSERT INTO bets (user_id, event_id, bet_type, bet_answer, potential_win) 
            VALUES (?, ?, ?, ?, ?)
        ");
        $stmt->execute([$user_id, $event_id, $bet_type, $bet_answer, $potential_win]);
        
        $bet_id = $this->pdo->lastInsertId();
        
        // Обновляем статистику пользователя
        $stmt = $this->pdo->prepare("
            UPDATE users SET 
                total_bets = total_bets + 1,
                last_bet_date = NOW(),
                last_activity = NOW()
            WHERE user_id = ?
        ");
        $stmt->execute([$user_id]);
        
        $this->pdo->commit();
        
        safe_log("Bet placed successfully: ID {$bet_id}, User {$user_id}, Event {$event_id}, Type {$bet_type}, Answer {$bet_answer}");
        return $bet_id;
        
    } catch (Exception $e) {
        $this->pdo->rollBack();
        safe_log("makeBet error: " . $e->getMessage(), 'ERROR');
        return false;
    }
}


    public function getUserBets($user_id, $limit = 20) {
        try {
            $stmt = $this->pdo->prepare("
                SELECT b.*, e.title, e.team1, e.team2, e.status as event_status 
                FROM bets b 
                LEFT JOIN events e ON b.event_id = e.event_id 
                WHERE b.user_id = ? 
                ORDER BY b.created_at DESC 
                LIMIT ?
            ");
            $stmt->execute([$user_id, (int)$limit]);
            return $stmt->fetchAll();
        } catch (Exception $e) {
            safe_log("getUserBets error: " . $e->getMessage(), 'ERROR');
            return [];
        }
    }
    
    public function getBetStatsByType($user_id) {
        try {
            $stmt = $this->pdo->prepare("
                SELECT 
                    bet_type,
                    COUNT(*) as total_bets,
                    SUM(CASE WHEN status = 'won' THEN 1 ELSE 0 END) as won_bets,
                    SUM(CASE WHEN status = 'lost' THEN 1 ELSE 0 END) as lost_bets
                FROM bets 
                WHERE user_id = ? 
                GROUP BY bet_type
                ORDER BY total_bets DESC
            ");
            $stmt->execute([$user_id]);
            return $stmt->fetchAll();
        } catch (Exception $e) {
            safe_log("getBetStatsByType error: " . $e->getMessage(), 'ERROR');
            return [];
        }
    }
    
    public function addNotification($user_id, $type, $title, $message, $reference_id = null) {
        try {
            $stmt = $this->pdo->prepare("
                INSERT INTO notifications (user_id, type, title, message, reference_id)
                VALUES (?, ?, ?, ?, ?)
            ");
            $stmt->execute([$user_id, $type, $title, $message, $reference_id]);
            
            safe_log("Notification added for user {$user_id}: {$title}");
            return $this->pdo->lastInsertId();
        } catch (Exception $e) {
            safe_log("addNotification error: " . $e->getMessage(), 'ERROR');
            return false;
        }
    }
    
    public function getUserNotifications($user_id, $unread_only = false, $limit = 10) {
        try {
            $where_clause = "user_id = ?";
            $params = [$user_id];
            
            if ($unread_only) {
                $where_clause .= " AND is_read = 0";
            }
            
            $stmt = $this->pdo->prepare("
                SELECT * FROM notifications 
                WHERE {$where_clause}
                ORDER BY created_at DESC 
                LIMIT ?
            ");
            $params[] = (int)$limit;
            $stmt->execute($params);
            
            return $stmt->fetchAll();
        } catch (Exception $e) {
            safe_log("getUserNotifications error: " . $e->getMessage(), 'ERROR');
            return [];
        }
    }
    
    public function markNotificationAsRead($notification_id, $user_id) {
        try {
            $stmt = $this->pdo->prepare("
                UPDATE notifications 
                SET is_read = 1, read_at = NOW() 
                WHERE notification_id = ? AND user_id = ?
            ");
            return $stmt->execute([$notification_id, $user_id]);
        } catch (Exception $e) {
            safe_log("markNotificationAsRead error: " . $e->getMessage(), 'ERROR');
            return false;
        }
    }


// УЛУЧШЕННАЯ функция getStatistics в классе SportsDatabase
public function getStatistics() {
    try {
        $stats = [];
        
        // 1. Статистика пользователей
        $stmt = $this->pdo->query("SELECT COUNT(*) as total_users FROM users");
        $stats['total_users'] = $stmt->fetch()['total_users'];
        
        $stmt = $this->pdo->query("SELECT COUNT(*) as active_users FROM users WHERE total_bets > 0");
        $stats['active_users'] = $stmt->fetch()['active_users'];
        
        $stmt = $this->pdo->query("SELECT COUNT(*) as banned_users FROM users WHERE is_banned = 1");
        $stats['banned_users'] = $stmt->fetch()['banned_users'];
        
        // 2. Статистика ставок (реальные данные из таблицы bets)
        $stmt = $this->pdo->query("SELECT COUNT(*) as total_bets FROM bets");
        $stats['total_bets'] = $stmt->fetch()['total_bets'];
        
        $stmt = $this->pdo->query("SELECT COUNT(*) as pending_bets FROM bets WHERE status = 'pending'");
        $stats['pending_bets'] = $stmt->fetch()['pending_bets'];
        
        $stmt = $this->pdo->query("SELECT COUNT(*) as won_bets FROM bets WHERE status = 'won'");
        $stats['won_bets'] = $stmt->fetch()['won_bets'];
        
        $stmt = $this->pdo->query("SELECT COUNT(*) as lost_bets FROM bets WHERE status = 'lost'");
        $stats['lost_bets'] = $stmt->fetch()['lost_bets'];
        
        $stmt = $this->pdo->query("SELECT COUNT(*) as cancelled_bets FROM bets WHERE status = 'cancelled'");
        $stats['cancelled_bets'] = $stmt->fetch()['cancelled_bets'];
        
        // 3. Статистика событий
        $stmt = $this->pdo->query("SELECT COUNT(*) as total_events FROM events");
        $stats['total_events'] = $stmt->fetch()['total_events'];
        
        $stmt = $this->pdo->query("SELECT COUNT(*) as upcoming_events FROM events WHERE status = 'upcoming'");
        $stats['upcoming_events'] = $stmt->fetch()['upcoming_events'];
        
        $stmt = $this->pdo->query("SELECT COUNT(*) as live_events FROM events WHERE status = 'live'");
        $stats['live_events'] = $stmt->fetch()['live_events'];
        
        $stmt = $this->pdo->query("SELECT COUNT(*) as finished_events FROM events WHERE status = 'finished'");
        $stats['finished_events'] = $stmt->fetch()['finished_events'];
        
        $stmt = $this->pdo->query("SELECT COUNT(*) as cancelled_events FROM events WHERE status = 'cancelled'");
        $stats['cancelled_events'] = $stmt->fetch()['cancelled_events'];
        
        // 4. Сегодняшняя активность
        $stmt = $this->pdo->query("SELECT COUNT(*) as today_bets FROM bets WHERE DATE(created_at) = CURDATE()");
        $stats['today_bets'] = $stmt->fetch()['today_bets'];
        
        $stmt = $this->pdo->query("SELECT COUNT(*) as today_users FROM users WHERE DATE(created_at) = CURDATE()");
        $stats['today_users'] = $stmt->fetch()['today_users'];
        
        // 5. Финансовая статистика
        $stmt = $this->pdo->query("SELECT SUM(balance) as total_balance FROM users");
        $stats['total_balance'] = $stmt->fetch()['total_balance'] ?? 0;
        
        $stmt = $this->pdo->query("SELECT SUM(points_earned) as total_winnings FROM bets WHERE status = 'won'");
        $stats['total_winnings'] = $stmt->fetch()['total_winnings'] ?? 0;
        
        $stmt = $this->pdo->query("SELECT COUNT(*) * 2 as total_penalties FROM bets WHERE status = 'lost'");
        $stats['total_penalties'] = $stmt->fetch()['total_penalties'] ?? 0;
        
        // 6. Статистика по типам ставок
        $stmt = $this->pdo->query("
            SELECT 
                bet_type,
                COUNT(*) as count,
                COUNT(CASE WHEN status = 'won' THEN 1 END) as won,
                COUNT(CASE WHEN status = 'lost' THEN 1 END) as lost
            FROM bets 
            GROUP BY bet_type
            ORDER BY count DESC
        ");
        $stats['bet_types'] = $stmt->fetchAll();
        
        // 7. Винрейт
        if ($stats['total_bets'] > 0) {
            $stats['win_rate'] = round(($stats['won_bets'] / $stats['total_bets']) * 100, 1);
        } else {
            $stats['win_rate'] = 0;
        }
        
        return $stats;
        
    } catch (Exception $e) {
        safe_log("getStatistics error: " . $e->getMessage(), 'ERROR');
        return [];
    }
}



    // ========================================
    // ОБРАБОТКА СТАВОК ПРИ ЗАВЕРШЕНИИ СОБЫТИЙ
    // ========================================
 
 private function processBetsForEvent($event_id, $result, $admin_id) {
    global $CONFIG;
    
    $stmt = $this->pdo->prepare("
        SELECT * FROM bets 
        WHERE event_id = ? AND status = 'pending'
    ");
    $stmt->execute([$event_id]);
    $bets = $stmt->fetchAll();
    
    foreach ($bets as $bet) {
        $is_won = $this->checkBetResult($bet, $result);
        $new_status = $is_won ? 'won' : 'lost';
        
        $stmt = $this->pdo->prepare("
            UPDATE bets 
            SET status = ?, points_earned = ?, resolved_at = NOW(), resolved_by = ?
            WHERE bet_id = ?
        ");
        $points_earned = $is_won ? $bet['potential_win'] : 0;
        $stmt->execute([$new_status, $points_earned, $admin_id, $bet['bet_id']]);
        
        if ($is_won) {
            // ИСПРАВЛЕНО: вызываем updateBalance БЕЗ собственной транзакции
            $this->updateBalance(
                $bet['user_id'], 
                $bet['potential_win'], 
                'bet_win', 
                "Выигрыш ставки #{$bet['bet_id']}", 
                $bet['bet_id'], 
                $admin_id
            );
            
            $stmt = $this->pdo->prepare("
                UPDATE users 
                SET correct_bets = correct_bets + 1,
                    win_streak = win_streak + 1,
                    max_win_streak = GREATEST(max_win_streak, win_streak + 1),
                    total_winnings = total_winnings + ?
                WHERE user_id = ?
            ");
            $stmt->execute([$bet['potential_win'], $bet['user_id']]);
            
            $this->addNotification(
                $bet['user_id'],
                'bet_result',
                '🎉 Ставка выиграла!',
                "Ваша ставка на '{$bet['bet_type']}' принесла {$bet['potential_win']} баллов!",
                $bet['bet_id']
            );
            
        } else {
            // ИСПРАВЛЕНО: вызываем updateBalance БЕЗ собственной транзакции
            $this->updateBalance(
                $bet['user_id'], 
                -$CONFIG['BET_LOSS_PENALTY'], 
                'bet_loss', 
                "Штраф за проигрыш ставки #{$bet['bet_id']}", 
                $bet['bet_id'], 
                $admin_id
            );
            
            $stmt = $this->pdo->prepare("
                UPDATE users 
                SET win_streak = 0
                WHERE user_id = ?
            ");
            $stmt->execute([$bet['user_id']]);
            
            $this->addNotification(
                $bet['user_id'],
                'bet_result',
                '💸 Ставка не прошла',
                "Ваша ставка на '{$bet['bet_type']}' не прошла. Штраф: -{$CONFIG['BET_LOSS_PENALTY']} балла",
                $bet['bet_id']
            );
        }
    }
    
    safe_log("Processed " . count($bets) . " bets for event {$event_id}");
}
 
 
    private function checkBetResult($bet, $result) {
        $bet_type = $bet['bet_type'];
        $bet_answer = $bet['bet_answer'];
        
        switch ($bet_type) {
            case 'winner':
                return isset($result['winner']) && $result['winner'] === $bet_answer;
                
            case 'exact_score':
                if ($bet_answer === 'other') {
                    $popular_scores = ['0-0', '1-0', '0-1', '1-1', '2-0', '0-2', '2-1', '1-2', '2-2', '3-0', '0-3', '3-1', '1-3', '3-2', '2-3', '3-3'];
                    return isset($result['score']) && !in_array($result['score'], $popular_scores);
                }
                return isset($result['score']) && $result['score'] === $bet_answer;
                
            case 'first_goal':
                return isset($result['first_goal']) && $result['first_goal'] === $bet_answer;
                
            case 'total_goals':
                if (isset($result['total_goals'])) {
                    $total = (int)$result['total_goals'];
                    return ($bet_answer === 'over' && $total > 4) || 
                           ($bet_answer === 'under' && $total <= 4);
                }
                break;
                
            case 'red_card':
                return isset($result['red_card']) && $result['red_card'] === true;
                
            case 'penalty':
                return isset($result['penalty']) && $result['penalty'] === true;
                
            case 'own_goal':
                return isset($result['own_goal']) && $result['own_goal'] === true;
                
            case 'corners_winner':
                return isset($result['corners_winner']) && $result['corners_winner'] === $bet_answer;
        }
        
        return false;
    }


public function getBetReward($bet_type, $bet_answer) {
    try {
        // ДОБАВЛЕНА ДИАГНОСТИКА
        safe_log("getBetReward called: type='{$bet_type}', answer='{$bet_answer}'");
        
        // Проверяем что параметры не пустые
        if (empty($bet_type)) {
            safe_log("ERROR: bet_type is empty!", 'ERROR');
            return 4;
        }
        
        if ($bet_answer === '' || $bet_answer === null) {
            safe_log("WARNING: bet_answer is empty for type '{$bet_type}'", 'WARNING');
        }
        
        // НОВАЯ ЛОГИКА: для exact_score проверяем специальные случаи
        if ($bet_type === 'exact_score') {
            // Сначала проверяем точное совпадение в таблице
            $stmt = $this->pdo->prepare("
                SELECT points_reward FROM bet_settings 
                WHERE bet_type = ? AND bet_option = ? AND is_active = 1
            ");
            $stmt->execute([$bet_type, $bet_answer]);
            $result = $stmt->fetch();
            
            if ($result) {
                safe_log("Found exact match for score {$bet_answer}: {$result['points_reward']} points");
                return $result['points_reward'];
            } else {
                // Если не нашли точное совпадение, это кастомный счет
                // Ищем настройку для "other" (кастомный счет)
                $stmt = $this->pdo->prepare("
                    SELECT points_reward FROM bet_settings 
                    WHERE bet_type = ? AND bet_option = 'other' AND is_active = 1
                ");
                $stmt->execute([$bet_type]);
                $other_result = $stmt->fetch();
                
                if ($other_result) {
                    safe_log("Using 'other' reward for custom score {$bet_answer}: {$other_result['points_reward']} points");
                    return $other_result['points_reward'];
                } else {
                    safe_log("No 'other' setting found for exact_score, using default 10");
                    return 10; // Дефолтная награда для кастомного счета
                }
            }
        }
        
        // Для всех остальных типов ставок - стандартная логика
        $stmt = $this->pdo->prepare("
            SELECT points_reward FROM bet_settings 
            WHERE bet_type = ? AND bet_option = ? AND is_active = 1
        ");
        $stmt->execute([$bet_type, $bet_answer]);
        $result = $stmt->fetch();
        
        if ($result) {
            safe_log("Found reward for {$bet_type}/{$bet_answer}: {$result['points_reward']} points");
            return $result['points_reward'];
        } else {
            safe_log("No reward found for {$bet_type}/{$bet_answer}, checking available options...");
            
            // ДОПОЛНИТЕЛЬНАЯ ДИАГНОСТИКА: показываем доступные варианты
            $stmt = $this->pdo->prepare("
                SELECT bet_option, points_reward FROM bet_settings 
                WHERE bet_type = ? AND is_active = 1
            ");
            $stmt->execute([$bet_type]);
            $available = $stmt->fetchAll();
            
            if (!empty($available)) {
                $options = [];
                foreach ($available as $option) {
                    $options[] = "'{$option['bet_option']}':{$option['points_reward']}";
                }
                safe_log("Available options for {$bet_type}: " . implode(', ', $options));
            } else {
                safe_log("No settings found for bet_type '{$bet_type}' at all!");
            }
            
            safe_log("Using default reward 4 for {$bet_type}/{$bet_answer}");
            return 4; // default reward
        }
        
    } catch (Exception $e) {
        safe_log("getBetReward error: " . $e->getMessage(), 'ERROR');
        return 4;
    }
}

public function getBetSetting($bet_type, $bet_option) {
    try {
        $stmt = $this->pdo->prepare("
            SELECT * FROM bet_settings 
            WHERE bet_type = ? AND bet_option = ?
        ");
        $stmt->execute([$bet_type, $bet_option]);
        return $stmt->fetch();
    } catch (Exception $e) {
        safe_log("getBetSetting error: " . $e->getMessage(), 'ERROR');
        return false;
    }
}

public function updateEventStatus($event_id, $status, $admin_id) {
    try {
        $valid_statuses = ['upcoming', 'live', 'finished', 'cancelled'];
        if (!in_array($status, $valid_statuses)) {
            throw new Exception("Invalid status: {$status}");
        }
        
        $stmt = $this->pdo->prepare("
            UPDATE events 
            SET status = ?, updated_at = NOW() 
            WHERE event_id = ?
        ");
        $result = $stmt->execute([$status, $event_id]);
        
        if ($result && $stmt->rowCount() > 0) {
            safe_log("Event {$event_id} status changed to {$status} by admin {$admin_id}");
            
            // Если событие отменено, отменяем все ставки
            if ($status === 'cancelled') {
                $stmt = $this->pdo->prepare("
                    UPDATE bets 
                    SET status = 'cancelled', resolved_at = NOW(), resolved_by = ?
                    WHERE event_id = ? AND status = 'pending'
                ");
                $stmt->execute([$admin_id, $event_id]);
                
                safe_log("Cancelled " . $stmt->rowCount() . " bets for event {$event_id}");
            }
        }
        
        return $result;
    } catch (Exception $e) {
        safe_log("updateEventStatus error: " . $e->getMessage(), 'ERROR');
        return false;
    }
}

public function deleteEvent($event_id, $admin_id) {
    try {
        $this->pdo->beginTransaction();
        
        // Сначала получаем информацию о событии
        $event = $this->getEvent($event_id);
        if (!$event) {
            throw new Exception("Event not found");
        }
        
        // Отменяем все ставки на событие
        $stmt = $this->pdo->prepare("
            UPDATE bets 
            SET status = 'cancelled', resolved_at = NOW(), resolved_by = ?
            WHERE event_id = ? AND status = 'pending'
        ");
        $stmt->execute([$admin_id, $event_id]);
        $cancelled_bets = $stmt->rowCount();
        
        // Удаляем событие
        $stmt = $this->pdo->prepare("DELETE FROM events WHERE event_id = ?");
        $stmt->execute([$event_id]);
        
        $this->pdo->commit();
        
        safe_log("Event {$event_id} deleted by admin {$admin_id}, cancelled {$cancelled_bets} bets");
        
        return [
            'success' => true,
            'cancelled_bets' => $cancelled_bets,
            'event_title' => $event['title']
        ];
        
    } catch (Exception $e) {
        $this->pdo->rollBack();
        safe_log("deleteEvent error: " . $e->getMessage(), 'ERROR');
        return [
            'success' => false,
            'error' => $e->getMessage()
        ];
    }
}

public function updateBetSetting($bet_type, $bet_option, $new_points) {
    try {
        $stmt = $this->pdo->prepare("
            UPDATE bet_settings 
            SET points_reward = ? 
            WHERE bet_type = ? AND bet_option = ?
        ");
        $result = $stmt->execute([$new_points, $bet_type, $bet_option]);
        
        if ($result && $stmt->rowCount() > 0) {
            safe_log("Bet setting updated: {$bet_type}/{$bet_option} = {$new_points} points");
            return true;
        }
        
        return false;
    } catch (Exception $e) {
        safe_log("updateBetSetting error: " . $e->getMessage(), 'ERROR');
        return false;
    }
}

public function banUser($user_id, $reason, $admin_id) {
    try {
        $stmt = $this->pdo->prepare("
            UPDATE users 
            SET is_banned = 1, ban_reason = ?, updated_at = NOW() 
            WHERE user_id = ?
        ");
        $result = $stmt->execute([$reason, $user_id]);
        
        if ($result) {
            $this->addNotification(
                $user_id,
                'admin_message',
                'Аккаунт заблокирован',
                "Ваш аккаунт заблокирован. Причина: {$reason}"
            );
            
            safe_log("User {$user_id} banned by admin {$admin_id}. Reason: {$reason}");
        }
        
        return $result;
    } catch (Exception $e) {
        safe_log("banUser error: " . $e->getMessage(), 'ERROR');
        return false;
    }
}

public function unbanUser($user_id, $admin_id) {
    try {
        $stmt = $this->pdo->prepare("
            UPDATE users 
            SET is_banned = 0, ban_reason = NULL, updated_at = NOW() 
            WHERE user_id = ?
        ");
        $result = $stmt->execute([$user_id]);
        
        if ($result) {
            $this->addNotification(
                $user_id,
                'admin_message',
                'Аккаунт разблокирован',
                'Ваш аккаунт разблокирован. Вы можете снова делать ставки!'
            );
            
            safe_log("User {$user_id} unbanned by admin {$admin_id}");
        }
        
        return $result;
    } catch (Exception $e) {
        safe_log("unbanUser error: " . $e->getMessage(), 'ERROR');
        return false;
    }
}
	
	public function getPendingBetsCount($event_id) {
    try {
        $stmt = $this->pdo->prepare("SELECT COUNT(*) as count FROM bets WHERE event_id = ? AND status = 'pending'");
        $stmt->execute([$event_id]);
        return $stmt->fetch()['count'];
    } catch (Exception $e) {
        safe_log("getPendingBetsCount error: " . $e->getMessage(), 'ERROR');
        return 0;
    }
}
public function getLastBalanceRequestTime($user_id) {
    try {
        $stmt = $this->pdo->prepare("
            SELECT created_at FROM notifications 
            WHERE user_id = ? AND title = 'Запрос пополнения отправлен' 
            ORDER BY created_at DESC LIMIT 1
        ");
        $stmt->execute([$user_id]);
        $result = $stmt->fetch();
        return $result ? $result['created_at'] : null;
    } catch (Exception $e) {
        safe_log("getLastBalanceRequestTime error: " . $e->getMessage(), 'ERROR');
        return null;
    }
}

public function recordBalanceRequest($user_id) {
    try {
        // Записываем в уведомления для отслеживания времени
        return $this->addNotification(
            $user_id,
            'system',
            'Запрос пополнения отправлен',
            'Системная запись времени запроса'
        );
    } catch (Exception $e) {
        safe_log("recordBalanceRequest error: " . $e->getMessage(), 'ERROR');
        return false;
    }
}
	
}

// ========================================
// ФУНКЦИЯ ОТПРАВКИ СООБЩЕНИЙ
// ========================================

function handle_user_profile($user_id, $target_user_id, $page = 0) {
    try {
        $db = SportsDatabase::getInstance();
        $profile = $db->getUserDetailedProfile($target_user_id);
        
        if (!$profile) {
            return send_message($user_id, "❌ Пользователь не найден");
        }
        
        $first_name = safe_get($profile, 'first_name', 'Пользователь');
        $username = safe_get($profile, 'username', '');
        $balance = safe_get($profile, 'balance', 0);
        $total_bets = safe_get($profile, 'total_bets', 0);
        $correct_bets = safe_get($profile, 'correct_bets', 0);
        $win_streak = safe_get($profile, 'win_streak', 0);
        $max_win_streak = safe_get($profile, 'max_win_streak', 0);
        $total_winnings = safe_get($profile, 'total_winnings', 0);
        $events_participated = safe_get($profile, 'events_participated', 0);
        $total_earned = safe_get($profile, 'total_earned', 0);
        $avg_bet_size = safe_get($profile, 'avg_bet_size', 0);
        $biggest_win = safe_get($profile, 'biggest_win', 0);
        $created_at = safe_get($profile, 'created_at', date('Y-m-d H:i:s'));
        $is_banned = safe_get($profile, 'is_banned', 0);
        
        $win_rate = $total_bets > 0 ? round(($correct_bets / $total_bets) * 100, 1) : 0;
        $balance_rubles = round($balance * 200);
        $lost_bets = $total_bets - $correct_bets;
        
        global $CONFIG;
        $total_lost_points = $lost_bets * $CONFIG['BET_LOSS_PENALTY'];
        $net_profit = $total_earned - $total_lost_points;
        
        // Определяем статус игрока
        $player_status = get_player_status($win_rate, $total_bets, $net_profit);
        
        $text = "👤 <b>Профиль игрока</b>\n\n";
        
        $text .= "🆔 ID: <code>{$target_user_id}</code>\n";
        $text .= "👋 Имя: {$first_name}";
        if ($username) {
            $text .= " (@{$username})";
        }
        $text .= "\n📅 В игре с: " . format_date($created_at, 'd.m.Y') . "\n";
        
        if ($is_banned) {
            $text .= "🚫 <b>ЗАБЛОКИРОВАН</b>\n";
        }
        
        $text .= "\n{$player_status}\n";
        
        $text .= "\n💰 <b>Баланс:</b> {$balance} баллов (~{$balance_rubles}₽) " . get_balance_emoji($balance) . "\n\n";
        
        $text .= "📊 <b>Основная статистика:</b>\n";
        $text .= "🎯 Всего ставок: <b>{$total_bets}</b>\n";
        $text .= "✅ Выиграно: <b>{$correct_bets}</b>\n";
        $text .= "❌ Проиграно: <b>{$lost_bets}</b>\n";
        $text .= "📈 Процент побед: <b>{$win_rate}%</b>\n";
        $text .= "🔥 Текущая серия: <b>{$win_streak}</b>\n";
        $text .= "🏅 Лучшая серия: <b>{$max_win_streak}</b>\n\n";
        
        $text .= "💎 <b>Финансовая статистика:</b>\n";
        $text .= "💰 Общий выигрыш: <b>{$total_earned}</b> баллов\n";
        $text .= "💸 Общие штрафы: <b>{$total_lost_points}</b> баллов\n";
        $text .= "📈 Чистая прибыль: ";
        
        if ($net_profit > 0) {
            $text .= "<b>+{$net_profit}</b> баллов 🔥";
        } elseif ($net_profit < 0) {
            $text .= "<b>{$net_profit}</b> баллов 💸";
        } else {
            $text .= "<b>0</b> баллов";
        }
        
        if ($avg_bet_size > 0) {
            $text .= "\n💎 Средняя ставка: <b>" . round($avg_bet_size, 1) . "</b> баллов";
        }
        if ($biggest_win > 0) {
            $text .= "\n🏆 Самый большой выигрыш: <b>{$biggest_win}</b> баллов";
        }
        
        $text .= "\n\n⚽ <b>Участие в событиях:</b> {$events_participated}\n";
        
        $keyboard = [
            'inline_keyboard' => [
                [
                    ['text' => '📋 История ставок', 'callback_data' => "user_bets_{$target_user_id}_0"],
                    ['text' => '⚽ События игрока', 'callback_data' => "user_events_{$target_user_id}_0"]
                ],
                [
                    ['text' => '📊 Детальная статистика', 'callback_data' => "user_detailed_stats_{$target_user_id}"]
                ]
            ]
        ];
        
        // Кнопка назад зависит от того, кто смотрит
        if ($user_id == $target_user_id) {
            $keyboard['inline_keyboard'][] = [
                ['text' => '🔙 Главное меню', 'callback_data' => 'start']
            ];
        } else {
            $keyboard['inline_keyboard'][] = [
                ['text' => '🔙 Назад', 'callback_data' => 'rating']
            ];
        }
        
        // Админские кнопки
        global $CONFIG;
        if (in_array($user_id, $CONFIG['ADMIN_IDS']) && $user_id != $target_user_id) {
            $admin_buttons = [];
            
            if ($is_banned) {
                $admin_buttons[] = ['text' => '✅ Разблокировать', 'callback_data' => "admin_unban_user_{$target_user_id}"];
            } else {
                $admin_buttons[] = ['text' => '🚫 Заблокировать', 'callback_data' => "admin_ban_user_{$target_user_id}"];
            }
            
            $admin_buttons[] = ['text' => '💰 Изменить баланс', 'callback_data' => "admin_balance_user_{$target_user_id}"];
            
            $keyboard['inline_keyboard'][] = $admin_buttons;
        }
        
        return send_message($user_id, $text, $keyboard);
        
    } catch (Exception $e) {
        safe_log("handle_user_profile error: " . $e->getMessage(), 'ERROR');
        return send_message($user_id, "❌ Ошибка загрузки профиля");
    }
}

function handle_user_bets_history($user_id, $target_user_id, $page = 0) {
    try {
        $db = SportsDatabase::getInstance();
        $profile = $db->getUserDetailedProfile($target_user_id);
        
        if (!$profile) {
            return send_message($user_id, "❌ Пользователь не найден");
        }
        
        $first_name = safe_get($profile, 'first_name', 'Пользователь');
        $limit = 5; // Показываем по 5 ставок на страницу
        $offset = $page * $limit;
        
        $bets = $db->getUserBetHistory($target_user_id, $limit + 1, $offset); // +1 чтобы понять есть ли еще
        $has_more = count($bets) > $limit;
        if ($has_more) {
            array_pop($bets); // Удаляем лишнюю ставку
        }
        
        $text = "📋 <b>История ставок - {$first_name}</b>\n";
        $text .= "📄 Страница " . ($page + 1) . "\n\n";
        
        if (empty($bets)) {
            if ($page == 0) {
                $text .= "🤷‍♂️ У игрока пока нет ставок";
            } else {
                $text .= "📄 Больше ставок нет";
            }
        } else {
            $bet_types = [
                'winner' => '🏆 Победитель',
                'exact_score' => '⚽ Точный счет',
                'first_goal' => '🥅 Первый гол',
                'total_goals' => '📊 Тотал голов',
                'red_card' => '🟥 Удаление',
                'penalty' => '🎯 Пенальти',
                'own_goal' => '🤦 Автогол',
                'corners_winner' => '📐 Угловые'
            ];
            
            foreach ($bets as $bet) {
                $status_emojis = [
                    'pending' => '⏳',
                    'won' => '✅',
                    'lost' => '❌',
                    'cancelled' => '🚫'
                ];
                $status_emoji = $status_emojis[$bet['status']] ?? '❓';
                
                $type_info = $bet_types[$bet['bet_type']] ?? $bet['bet_type'];
                $date = format_date($bet['created_at'], 'd.m H:i');
                
                // Формируем название события
                $event_title = '';
                if (!empty($bet['title'])) {
                    $event_title = $bet['title'];
                } elseif (!empty($bet['team1']) && !empty($bet['team2'])) {
                    $event_title = "{$bet['team1']} vs {$bet['team2']}";
                } else {
                    $event_title = 'Событие удалено';
                }
                
                // Формируем правильный исход ставки
                $formatted_bet = format_bet_display($bet['bet_type'], $bet['bet_answer'], $bet['team1'], $bet['team2']);
                
                $text .= "{$status_emoji} <b>{$event_title}</b>\n";
                $text .= "   {$type_info}: <b>{$formatted_bet}</b>\n";
                
                if ($bet['status'] == 'won') {
                    $text .= "   🏆 Выигрыш: +{$bet['points_earned']} баллов";
                } elseif ($bet['status'] == 'lost') {
                    global $CONFIG;
                    $text .= "   💸 Штраф: -{$CONFIG['BET_LOSS_PENALTY']} балла";
                } elseif ($bet['status'] == 'pending') {
                    $text .= "   ⏳ Потенциал: +{$bet['potential_win']} баллов";
                } else {
                    $text .= "   🚫 Отменена";
                }
                
                $text .= "\n   📅 {$date}\n\n";
            }
        }
        
        $keyboard = ['inline_keyboard' => []];
        
        // Навигация по страницам
        $nav_row = [];
        
        if ($page > 0) {
            $nav_row[] = ['text' => '⬅️ Предыдущая', 'callback_data' => "user_bets_{$target_user_id}_" . ($page - 1)];
        }
        
        if ($has_more) {
            $nav_row[] = ['text' => 'Следующая ➡️', 'callback_data' => "user_bets_{$target_user_id}_" . ($page + 1)];
        }
        
        if (!empty($nav_row)) {
            $keyboard['inline_keyboard'][] = $nav_row;
        }
        
        $keyboard['inline_keyboard'][] = [
            ['text' => '🔙 К профилю', 'callback_data' => "user_profile_{$target_user_id}"]
        ];
        
        return send_message($user_id, $text, $keyboard);
        
    } catch (Exception $e) {
        safe_log("handle_user_bets_history error: " . $e->getMessage(), 'ERROR');
        return send_message($user_id, "❌ Ошибка загрузки истории ставок");
    }
}

function handle_user_events_history($user_id, $target_user_id, $page = 0) {
    try {
        $db = SportsDatabase::getInstance();
        $profile = $db->getUserDetailedProfile($target_user_id);
        
        if (!$profile) {
            return send_message($user_id, "❌ Пользователь не найден");
        }
        
        $first_name = safe_get($profile, 'first_name', 'Пользователь');
        $events = $db->getUserEventsParticipated($target_user_id, 10);
        
        $text = "⚽ <b>События - {$first_name}</b>\n\n";
        
        if (empty($events)) {
            $text .= "🤷‍♂️ Игрок пока не участвовал в событиях";
        } else {
            foreach ($events as $event) {
                $date = format_date($event['event_date'], 'd.m H:i');
                $status_emoji = get_status_emoji($event['status']);
                
                $user_bets_count = $event['user_bets_count'];
                $user_won_bets = $event['user_won_bets'];
                $user_lost_bets = $event['user_lost_bets'];
                $user_total_earned = $event['user_total_earned'];
                
                $text .= "{$status_emoji} <b>{$event['title']}</b>\n";
                $text .= "⚽ {$event['team1']} vs {$event['team2']}\n";
                $text .= "📅 {$date}\n";
                $text .= "🎯 Ставок: {$user_bets_count} (✅{$user_won_bets} ❌{$user_lost_bets})";
                
                if ($user_total_earned > 0) {
                    $text .= " | 💰+{$user_total_earned}";
                }
                
                $text .= "\n\n";
            }
        }
        
        $keyboard = [
            'inline_keyboard' => [
                [
                    ['text' => '🔙 К профилю', 'callback_data' => "user_profile_{$target_user_id}"]
                ]
            ]
        ];
        
        return send_message($user_id, $text, $keyboard);
        
    } catch (Exception $e) {
        safe_log("handle_user_events_history error: " . $e->getMessage(), 'ERROR');
        return send_message($user_id, "❌ Ошибка загрузки событий");
    }
}

function handle_user_detailed_stats($user_id, $target_user_id) {
    try {
        $db = SportsDatabase::getInstance();
        $profile = $db->getUserDetailedProfile($target_user_id);
        
        if (!$profile) {
            return send_message($user_id, "❌ Пользователь не найден");
        }
        
        $first_name = safe_get($profile, 'first_name', 'Пользователь');
        
        // Получаем статистику по типам ставок
        $bet_stats = $db->getBetStatsByType($target_user_id);
        
        $text = "📊 <b>Детальная статистика - {$first_name}</b>\n\n";
        
        if (empty($bet_stats)) {
            $text .= "📈 Пока нет статистики по ставкам";
        } else {
            $bet_type_names = [
                'winner' => '🏆 Победитель',
                'exact_score' => '⚽ Точный счет',
                'first_goal' => '🥅 Первый гол',
                'total_goals' => '📊 Тотал голов',
                'red_card' => '🟥 Удаление',
                'penalty' => '🎯 Пенальти',
                'own_goal' => '🤦 Автогол',
                'corners_winner' => '📐 Угловые'
            ];
            
            $text .= "🎲 <b>Статистика по типам ставок:</b>\n";
            
            foreach ($bet_stats as $stat) {
                $type_name = $bet_type_names[$stat['bet_type']] ?? $stat['bet_type'];
                $type_total = $stat['total_bets'];
                $type_won = $stat['won_bets'];
                $type_lost = $stat['lost_bets'];
                $type_rate = $type_total > 0 ? round(($type_won / $type_total) * 100, 1) : 0;
                
                $text .= "\n{$type_name}:\n";
                $text .= "  📊 Всего: {$type_total} ставок\n";
                $text .= "  ✅ Выиграно: {$type_won}\n";
                $text .= "  ❌ Проиграно: {$type_lost}\n";
                $text .= "  📈 Успешность: {$type_rate}%\n";
            }
        }
        
        // Недавняя активность
        $recent_bets = $db->getUserBetHistory($target_user_id, 3, 0);
        if (!empty($recent_bets)) {
            $text .= "\n📅 <b>Последние ставки:</b>\n";
            
            foreach ($recent_bets as $bet) {
                $status_emoji = [
                    'pending' => '⏳', 
                    'won' => '✅', 
                    'lost' => '❌',
                    'cancelled' => '🚫'
                ][$bet['status']] ?? '❓';
                
                $event_title = $bet['title'] ?? ($bet['team1'] && $bet['team2'] ? "{$bet['team1']} vs {$bet['team2']}" : 'Событие');
                $date = format_date($bet['created_at'], 'd.m');
                
                $text .= "{$status_emoji} {$event_title} ({$date})\n";
            }
        }
        
        $keyboard = [
            'inline_keyboard' => [
                [
                    ['text' => '🔙 К профилю', 'callback_data' => "user_profile_{$target_user_id}"]
                ]
            ]
        ];
        
        return send_message($user_id, $text, $keyboard);
        
    } catch (Exception $e) {
        safe_log("handle_user_detailed_stats error: " . $e->getMessage(), 'ERROR');
        return send_message($user_id, "❌ Ошибка загрузки детальной статистики");
    }
}

function handle_user_search($user_id, $query) {
    try {
        $db = SportsDatabase::getInstance();
        $users = $db->getUsersByPattern($query, 10);
        
        $text = "🔍 <b>Поиск пользователей: \"{$query}\"</b>\n\n";
        
        if (empty($users)) {
            $text .= "🤷‍♂️ Пользователи не найдены\n\n";
            $text .= "💡 Попробуйте поиск по:\n";
            $text .= "• Имени пользователя\n";
            $text .= "• Username (без @)\n";
            $text .= "• ID пользователя";
        } else {
            $text .= "Найдено пользователей: " . count($users) . "\n\n";
            
            foreach ($users as $user) {
                $balance = safe_get($user, 'balance', 0);
                $total_bets = safe_get($user, 'total_bets', 0);
                $correct_bets = safe_get($user, 'correct_bets', 0);
                $win_rate = $total_bets > 0 ? round(($correct_bets / $total_bets) * 100, 1) : 0;
                $first_name = safe_get($user, 'first_name', 'Пользователь');
                $username = safe_get($user, 'username', '');
                
                $text .= "👤 <b>{$first_name}</b>";
                if ($username) {
                    $text .= " (@{$username})";
                }
                $text .= "\n";
                $text .= "💰 {$balance} баллов | 🎯 {$win_rate}% | 📊 {$total_bets} ставок\n";
                $text .= "🆔 <code>{$user['user_id']}</code>\n\n";
            }
        }
        
        $keyboard = ['inline_keyboard' => []];
        
        // Кнопки для найденных пользователей (показываем только первых 5)
        foreach (array_slice($users, 0, 5) as $user) {
            $first_name = safe_get($user, 'first_name', 'Пользователь');
            $short_name = mb_strlen($first_name) > 20 ? mb_substr($first_name, 0, 17) . '...' : $first_name;
            
            $keyboard['inline_keyboard'][] = [
                ['text' => "👤 {$short_name}", 'callback_data' => "user_profile_{$user['user_id']}"]
            ];
        }
        
        $keyboard['inline_keyboard'][] = [
            ['text' => '🔙 Назад', 'callback_data' => 'rating']
        ];
        
        return send_message($user_id, $text, $keyboard);
        
    } catch (Exception $e) {
        safe_log("handle_user_search error: " . $e->getMessage(), 'ERROR');
        return send_message($user_id, "❌ Ошибка поиска пользователей");
    }
}

// ========================================
// 3. ВСПОМОГАТЕЛЬНЫЕ ФУНКЦИИ
// ========================================

function get_player_status($win_rate, $total_bets, $net_profit) {
    if ($total_bets < 5) {
        return "🆕 <b>Новичок</b>";
    }
    
    if ($total_bets >= 100 && $win_rate >= 70 && $net_profit > 50) {
        return "👑 <b>Легенда бота</b> 🔥";
    }
    
    if ($total_bets >= 50 && $win_rate >= 65 && $net_profit > 30) {
        return "🏆 <b>Мастер ставок</b>";
    }
    
    if ($total_bets >= 30 && $win_rate >= 60) {
        return "⭐ <b>Эксперт</b>";
    }
    
    if ($total_bets >= 20 && $win_rate >= 55) {
        return "🥇 <b>Профи</b>";
    }
    
    if ($total_bets >= 10 && $win_rate >= 50) {
        return "🥈 <b>Опытный игрок</b>";
    }
    
    if ($win_rate >= 40) {
        return "🥉 <b>Развивающийся игрок</b>";
    }
    
    return "📈 <b>Изучает стратегии</b>";
}



// НОВАЯ функция для обработки кастомного счета
function handle_custom_score($user_id, $event_id) {
    try {
        $db = SportsDatabase::getInstance();
        $event = $db->getEvent($event_id);
        
        if (!$event || $event['status'] != 'upcoming') {
            return send_message($user_id, "❌ Событие не найдено или недоступно");
        }
        
        if (!$db->canMakeBet($user_id)) {
            return send_message($user_id, "❌ Ставки недоступны!");
        }
        
        // Устанавливаем состояние ожидания ввода счета
        $state_data = [
            'event_id' => $event_id,
            'bet_type' => 'exact_score'
        ];
        
        $db->setUserState($user_id, 'waiting_custom_score', $state_data);
        
        $text = "✏️ <b>Укажите точный счет</b>\n\n";
        $text .= "🏟 Событие: <b>{$event['title']}</b>\n";
        $text .= "⚽ {$event['team1']} vs {$event['team2']}\n\n";
        $text .= "📝 <b>Введите счет в формате X:Y</b>\n";
        $text .= "Примеры: <code>2:1</code>, <code>0:3</code>, <code>4:2</code>\n\n";
        $text .= "⚠️ <b>Важно:</b> Используйте только двоеточие (:) между цифрами!";
        
        $keyboard = [
            'inline_keyboard' => [
                [['text' => '❌ Отмена', 'callback_data' => "bet_{$event_id}_exact_score"]]
            ]
        ];
        
        return send_message($user_id, $text, $keyboard);
        
    } catch (Exception $e) {
        safe_log("handle_custom_score error: " . $e->getMessage(), 'ERROR');
        return send_message($user_id, "❌ Ошибка обработки кастомного счета");
    }
}



// ИСПРАВЛЕННАЯ функция валидации счета (с дефисом вместо двоеточия)
function validate_score($score_text) {
    // Убираем лишние пробелы
    $score_text = trim($score_text);
    
    // ИСПРАВЛЕНО: Проверяем формат X-Y с дефисом
    if (!preg_match('/^(\d{1,2})-(\d{1,2})$/', $score_text, $matches)) {
        return [
            'valid' => false,
            'error' => 'Неверный формат! Используйте формат X-Y с дефисом (например: 2-1)'
        ];
    }
    
    $team1_goals = (int)$matches[1];
    $team2_goals = (int)$matches[2];
    
    // Проверяем разумные пределы (0-20 голов)
    if ($team1_goals > 20 || $team2_goals > 20) {
        return [
            'valid' => false,
            'error' => 'Слишком много голов! Максимум 20 голов для каждой команды'
        ];
    }
    
    return [
        'valid' => true,
        'score' => $score_text,
        'team1_goals' => $team1_goals,
        'team2_goals' => $team2_goals
    ];
}


// Добавляем новую таблицу для состояний пользователей
function createUserStatesTable($pdo) {
    $pdo->exec("
        CREATE TABLE IF NOT EXISTS user_states (
            user_id BIGINT PRIMARY KEY,
            state VARCHAR(50),
            state_data JSON,
            created_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
            updated_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
        ) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4
    ");
}


function send_message($chat_id, $text, $keyboard = null) {
    global $CONFIG;
    
    safe_log("send_message called for chat {$chat_id}");
    
    $url = "https://api.telegram.org/bot{$CONFIG['BOT_TOKEN']}/sendMessage";
    
    // Улучшенная очистка UTF-8
    if (!mb_check_encoding($text, 'UTF-8')) {
        safe_log("Text encoding issue detected", 'WARNING');
        $text = mb_convert_encoding($text, 'UTF-8', 'UTF-8');
    }
    
    // Очищаем текст от проблемных символов
    $text = preg_replace('/[\x00-\x08\x0B\x0C\x0E-\x1F\x7F]/', '', $text);
    
    $data = [
        'chat_id' => $chat_id,
        'text' => $text,
        'parse_mode' => 'HTML'
    ];
    
    if ($keyboard) {
        // Проверяем структуру клавиатуры
        if (is_array($keyboard) && isset($keyboard['inline_keyboard']) && is_array($keyboard['inline_keyboard'])) {
            // Пробуем закодировать клавиатуру с проверкой UTF-8
            $keyboard_json = json_encode($keyboard, JSON_UNESCAPED_UNICODE);
            
            if ($keyboard_json !== false) {
                $data['reply_markup'] = $keyboard_json;
                safe_log("Keyboard JSON (first 100 chars): " . substr($keyboard_json, 0, 100));
            } else {
                $json_error = json_last_error_msg();
                safe_log("Keyboard JSON encoding failed: " . $json_error, 'ERROR');
                
                // Создаем минимальную безопасную клавиатуру
                $safe_keyboard = [
                    'inline_keyboard' => [
                        [
                            'text' => '🔙 Назад',
                            'callback_data' => 'admin_panel'
                        ]
                    ]
                ];
                
                $safe_json = json_encode($safe_keyboard);
                if ($safe_json !== false) {
                    $data['reply_markup'] = $safe_json;
                    safe_log("Using safe fallback keyboard");
                } else {
                    safe_log("Even safe keyboard failed, sending without keyboard", 'WARNING');
                }
            }
        } else {
            safe_log("Invalid keyboard structure, sending without keyboard: " . json_encode($keyboard), 'WARNING');
        }
    }
    
    safe_log("Sending message to {$chat_id}: " . substr($text, 0, 100));
    
    $ch = curl_init();
    curl_setopt_array($ch, [
        CURLOPT_URL => $url,
        CURLOPT_POST => true,
        CURLOPT_POSTFIELDS => http_build_query($data),
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_SSL_VERIFYPEER => false,
        CURLOPT_TIMEOUT => 15
    ]);
    
    $result = curl_exec($ch);
    $http_code = curl_getinfo($ch, CURLINFO_HTTP_CODE);
    $error = curl_error($ch);
    curl_close($ch);
    
    if ($error) {
        safe_log("cURL error: " . $error, 'ERROR');
        return false;
    }
    
    if ($http_code !== 200) {
        safe_log("HTTP error: {$http_code}, Response: {$result}", 'ERROR');
        safe_log("Request data was: " . json_encode($data), 'ERROR');
        return false;
    }
    
    $response = json_decode($result, true);
    if (!$response['ok']) {
        safe_log("Telegram API error: " . ($response['description'] ?? 'Unknown'), 'ERROR');
        safe_log("Request data was: " . json_encode($data), 'ERROR');
        return false;
    }
    
    safe_log("Message sent successfully");
    return $response;
}


// ========================================
// ОБРАБОТЧИКИ КОМАНД
// ========================================

function debug_events_list($user_id) {
    try {
        $db = SportsDatabase::getInstance();
        $events = $db->getEvents('upcoming', 10);
        
        $debug_text = "🔍 <b>Диагностика событий</b>\n\n";
        $debug_text .= "Найдено событий: " . count($events) . "\n\n";
        
        foreach ($events as $i => $event) {
            $debug_text .= "Событие #{$i}:\n";
            
            // Безопасно обрабатываем каждое поле
            $event_id = isset($event['event_id']) ? $event['event_id'] : 'NULL';
            $team1 = isset($event['team1']) ? mb_convert_encoding($event['team1'], 'UTF-8', 'UTF-8') : 'NULL';
            $team2 = isset($event['team2']) ? mb_convert_encoding($event['team2'], 'UTF-8', 'UTF-8') : 'NULL';
            $date = isset($event['event_date']) ? $event['event_date'] : 'NULL';
            $status = isset($event['status']) ? $event['status'] : 'NULL';
            
            // Очищаем от проблемных символов
            $team1 = preg_replace('/[\x00-\x08\x0B\x0C\x0E-\x1F\x7F]/', '', $team1);
            $team2 = preg_replace('/[\x00-\x08\x0B\x0C\x0E-\x1F\x7F]/', '', $team2);
            
            $debug_text .= "- ID: {$event_id}\n";
            $debug_text .= "- Team1: {$team1}\n";
            $debug_text .= "- Team2: {$team2}\n";
            $debug_text .= "- Date: {$date}\n";
            $debug_text .= "- Status: {$status}\n";
            
            // Проверяем UTF-8 валидность
            $team1_valid = mb_check_encoding($team1, 'UTF-8') ? 'OK' : 'INVALID';
            $team2_valid = mb_check_encoding($team2, 'UTF-8') ? 'OK' : 'INVALID';
            
            $debug_text .= "- Team1 UTF-8: {$team1_valid}\n";
            $debug_text .= "- Team2 UTF-8: {$team2_valid}\n\n";
        }
        
        // Проверяем весь текст на UTF-8 валидность
        if (!mb_check_encoding($debug_text, 'UTF-8')) {
            $debug_text = "🔍 <b>Диагностика событий</b>\n\n❌ Обнаружены проблемы с кодировкой UTF-8 в данных событий!";
        }
        
        return send_message($user_id, $debug_text);
        
    } catch (Exception $e) {
        return send_message($user_id, "❌ Ошибка диагностики: " . $e->getMessage());
    }
}
function handle_start($user_id, $username, $first_name) {
    try {
        $db = SportsDatabase::getInstance();
        $db->createUser($user_id, $username, $first_name);
        $user = $db->getUser($user_id);
        
        $balance = safe_get($user, 'balance', 10);
        $total_bets = safe_get($user, 'total_bets', 0);
        $correct_bets = safe_get($user, 'correct_bets', 0);
        $win_streak = safe_get($user, 'win_streak', 0);
        
        $win_rate = $total_bets > 0 ? round(($correct_bets / $total_bets) * 100, 1) : 0;
        $balance_rubles = round($balance * 200);
        
        $text = "💰 <b>Спортивный бот с реальной экономикой!</b>\n\n";
        $text .= "👤 Привет, {$first_name}!\n\n";
        $text .= "💎 Баланс: <b>{$balance}</b> баллов (~{$balance_rubles}₽) " . get_balance_emoji($balance) . "\n";
        $text .= "📊 Ставок: {$total_bets} | Угадано: {$correct_bets} ({$win_rate}%)\n";
        
        if ($win_streak > 0) {
            $text .= "🔥 Серия побед: {$win_streak}\n";
        }
        
        global $CONFIG;
        $text .= "\n<b>💡 Правила игры:</b>\n";
        $text .= "• Стартовый баланс: {$CONFIG['START_BALANCE']} баллов (2000₽)\n";
        $text .= "• За выигрыш: +4-8 баллов (зависит от типа)\n";
        $text .= "• За проигрыш: -{$CONFIG['BET_LOSS_PENALTY']} балла штраф\n";
        $text .= "• Минимальный баланс: {$CONFIG['MIN_BALANCE']} баллов\n\n";
        

        
        $text .= "Выберите действие:";
        
        $keyboard = [
            'inline_keyboard' => [
                [
                    ['text' => '⚽ События', 'callback_data' => 'events'],
                    ['text' => '👤 Профиль', 'callback_data' => 'profile']
                ],
                [
                    ['text' => '🏆 Рейтинг', 'callback_data' => 'rating'],
                    ['text' => '📋 История', 'callback_data' => 'history']
                ],
                [
                    ['text' => '📊 Таблица выигрышей', 'callback_data' => 'rewards']
                ]
            ]
        ];
        if ($db->needsTopup($user_id)) {
            $text .= "\n\n⚠️ <b>Баланс на нуле!</b>\n";
            $text .= "💡 Вы можете запросить еще 10 баллов у администратора:";
            
            // Добавляем кнопку запроса баланса
            $keyboard['inline_keyboard'][] = [
                ['text' => '💰 Запросить 10 баллов', 'callback_data' => 'request_10_balance']
            ];
        }
        // Кнопка уведомлений
        $unread_count = count($db->getUserNotifications($user_id, true, 5));
        if ($unread_count > 0) {
            $notification_text = "🔔 Уведомления ({$unread_count})";
            $keyboard['inline_keyboard'][] = [
                ['text' => $notification_text, 'callback_data' => 'notifications']
            ];
        } else {
            $keyboard['inline_keyboard'][] = [
                ['text' => '🔔 Уведомления', 'callback_data' => 'notifications']
            ];
        }
        
        // Админская кнопка
        if (in_array($user_id, $CONFIG['ADMIN_IDS'])) {
            $keyboard['inline_keyboard'][] = [
                ['text' => '⚙️ Админ панель', 'callback_data' => 'admin_panel']
            ];
        }
        
        return send_message($user_id, $text, $keyboard);
        
    } catch (Exception $e) {
        safe_log("handle_start error: " . $e->getMessage(), 'ERROR');
        return send_message($user_id, "❌ Ошибка инициализации. Попробуйте позже.");
    }
}

function handle_events($user_id) {
    try {
        $db = SportsDatabase::getInstance();
        $events = $db->getEvents();
        
        if (empty($events)) {
            $text = "🤷‍♂️ <b>Нет доступных событий</b>\n\n";
            $text .= "В данный момент нет предстоящих спортивных событий для ставок.\n\n";
            $text .= "💡 Следите за обновлениями или обратитесь к администратору.";
            
            $keyboard = [
                'inline_keyboard' => [
                    [['text' => '🔄 Обновить', 'callback_data' => 'events']],
                    [['text' => '🔙 Главное меню', 'callback_data' => 'start']]
                ]
            ];
            
            return send_message($user_id, $text, $keyboard);
        }
        
        $can_bet = $db->canMakeBet($user_id);
        $user = $db->getUser($user_id);
        $balance = safe_get($user, 'balance', 0);
        
        $text = "⚽ <b>Доступные события</b>\n\n";
        $text .= "📊 Найдено: " . count($events) . "\n";
        $text .= "💰 Ваш баланс: {$balance} баллов\n\n";
        
        if (!$can_bet) {
            global $CONFIG;
            $text .= "⚠️ <b>Ставки недоступны!</b>\n";
            $text .= "Баланс слишком низкий (мин: {$CONFIG['MIN_BALANCE']}) или вы заблокированы.\n\n";
        }
        
        $keyboard = ['inline_keyboard' => []];
        
        foreach ($events as $event) {
            $date = format_date($event['event_date'], 'd.m H:i');
            $text .= "🏟 <b>{$event['title']}</b>\n";
            $text .= "⚽ {$event['team1']} vs {$event['team2']}\n";
            
            if (!empty($event['league'])) {
                $text .= "🏆 {$event['league']}\n";
            }
            
            $text .= "📅 {$date}\n\n";
            
            if ($can_bet) {
                $keyboard['inline_keyboard'][] = [
                    ['text' => "📝 {$event['team1']} vs {$event['team2']}", 'callback_data' => "event_{$event['event_id']}"]
                ];
            }
        }
        
        $keyboard['inline_keyboard'][] = [['text' => '🔄 Обновить', 'callback_data' => 'events']];
        $keyboard['inline_keyboard'][] = [['text' => '🔙 Главное меню', 'callback_data' => 'start']];
        
        return send_message($user_id, $text, $keyboard);
        
    } catch (Exception $e) {
        safe_log("handle_events error: " . $e->getMessage(), 'ERROR');
        return send_message($user_id, "❌ Ошибка загрузки событий");
    }
}

function handle_profile($user_id) {
    try {
        $db = SportsDatabase::getInstance();
        $user = $db->getUser($user_id);
        
        if (!$user) {
            return send_message($user_id, "❌ Ошибка загрузки профиля");
        }
        
        $balance = safe_get($user, 'balance', 0);
        $total_bets = safe_get($user, 'total_bets', 0);
        $correct_bets = safe_get($user, 'correct_bets', 0);
        $win_streak = safe_get($user, 'win_streak', 0);
        $max_win_streak = safe_get($user, 'max_win_streak', 0);
        $total_winnings = safe_get($user, 'total_winnings', 0);
        $first_name = safe_get($user, 'first_name', 'Пользователь');
        $username = safe_get($user, 'username', '');
        $created_at = safe_get($user, 'created_at', date('Y-m-d H:i:s'));
        $last_bet_date = safe_get($user, 'last_bet_date', null);
        
        $win_rate = $total_bets > 0 ? round(($correct_bets / $total_bets) * 100, 1) : 0;
        $balance_rubles = round($balance * 200);
        $lost_bets = $total_bets - $correct_bets;
        
        global $CONFIG;
        $total_lost_points = $lost_bets * $CONFIG['BET_LOSS_PENALTY'];
        $net_profit = $total_winnings - $total_lost_points;
        
        $text = "👤 <b>Профиль игрока</b>\n\n";
        
        $text .= "🆔 ID: <code>{$user['user_id']}</code>\n";
        $text .= "👋 Имя: {$first_name}";
        if ($username) {
            $text .= " (@{$username})";
        }
        $text .= "\n📅 В игре с: " . format_date($created_at, 'd.m.Y') . "\n";
        
        if ($last_bet_date) {
            $days_since = floor((time() - strtotime($last_bet_date)) / 86400);
            $text .= "⏰ Последняя ставка: ";
            if ($days_since == 0) {
                $text .= "сегодня";
            } elseif ($days_since == 1) {
                $text .= "вчера";
            } else {
                $text .= "{$days_since} дн. назад";
            }
            $text .= "\n";
        }
        
        $text .= "\n💰 <b>Баланс:</b> {$balance} баллов (~{$balance_rubles}₽) " . get_balance_emoji($balance) . "\n\n";
        
        $text .= "📊 <b>Статистика ставок:</b>\n";
        $text .= "🎯 Всего ставок: {$total_bets}\n";
        $text .= "✅ Выиграно: {$correct_bets}\n";
        $text .= "❌ Проиграно: {$lost_bets}\n";
        $text .= "📈 Процент побед: <b>{$win_rate}%</b>";
        
        if ($total_bets >= 10) {
            if ($win_rate >= 70) {
                $text .= " 🏆 (Эксперт)";
            } elseif ($win_rate >= 60) {
                $text .= " 🥇 (Профи)";
            } elseif ($win_rate >= 50) {
                $text .= " 🥈 (Хорошо)";
            } elseif ($win_rate >= 40) {
                $text .= " 🥉 (Средне)";
            } else {
                $text .= " 📈 (Учимся)";
            }
        }
        
        $text .= "\n🔥 Текущая серия: {$win_streak}\n";
        $text .= "🏅 Лучшая серия: {$max_win_streak}\n";
        $text .= "💰 Общий выигрыш: {$total_winnings} баллов\n";
        $text .= "💸 Общие штрафы: {$total_lost_points} баллов\n";
        $text .= "📈 Чистая прибыль: ";
        
        if ($net_profit > 0) {
            $text .= "<b>+{$net_profit}</b> баллов 🔥";
        } elseif ($net_profit < 0) {
            $text .= "<b>{$net_profit}</b> баллов 💸";
        } else {
            $text .= "<b>0</b> баллов";
        }
        
        $bet_stats = $db->getBetStatsByType($user_id);
        if (!empty($bet_stats)) {
            $bet_types = [
                'winner' => '🏆 Победитель',
                'exact_score' => '⚽ Точный счет',
                'first_goal' => '🥅 Первый гол',
                'total_goals' => '📊 Тотал голов',
                'red_card' => '🟥 Удаление',
                'penalty' => '🎯 Пенальти',
                'own_goal' => '🤦 Автогол',
                'corners_winner' => '📐 Угловые'
            ];
            
            $text .= "\n\n🎲 <b>По типам ставок:</b>\n";
            foreach ($bet_stats as $stat) {
                $type_info = $bet_types[$stat['bet_type']] ?? $stat['bet_type'];
                $type_total = $stat['total_bets'];
                $type_won = $stat['won_bets'];
                $type_rate = $type_total > 0 ? round(($type_won / $type_total) * 100, 1) : 0;
                
                $text .= "  {$type_info}: {$type_won}/{$type_total} ({$type_rate}%)\n";
            }
        }
        
        $keyboard = [
            'inline_keyboard' => [
                [
                    ['text' => '📋 История ставок', 'callback_data' => 'history'],
                    ['text' => '🔔 Уведомления', 'callback_data' => 'notifications']
                ],
                [
                    ['text' => '⚽ К событиям', 'callback_data' => 'events'],
                    ['text' => '🔙 Главное меню', 'callback_data' => 'start']
                ]
            ]
        ];
        
        return send_message($user_id, $text, $keyboard);
        
    } catch (Exception $e) {
        safe_log("handle_profile error: " . $e->getMessage(), 'ERROR');
        return send_message($user_id, "❌ Ошибка загрузки профиля");
    }
}

function handle_history($user_id) {
    try {
        $db = SportsDatabase::getInstance();
        $bets = $db->getUserBets($user_id, 15);
        
        if (empty($bets)) {
            $text = "📋 <b>История ставок</b>\n\n";
            $text .= "🤷‍♂️ У вас пока нет ставок\n\n";
            $text .= "💡 Сделайте первую ставку на одно из спортивных событий!";
        } else {
            $text = "📋 <b>История ставок</b> (последние " . count($bets) . ")\n\n";
            
            $bet_types = [
                'winner' => '🏆 Победитель',
                'exact_score' => '⚽ Точный счет',
                'first_goal' => '🥅 Первый гол',
                'total_goals' => '📊 Тотал голов',
                'red_card' => '🟥 Удаление',
                'penalty' => '🎯 Пенальти',
                'own_goal' => '🤦 Автогол',
                'corners_winner' => '📐 Угловые'
            ];
            
            foreach ($bets as $bet) {
                $status_emojis = [
                    'pending' => '⏳',
                    'won' => '✅',
                    'lost' => '❌',
                    'cancelled' => '🚫'
                ];
                $status_emoji = $status_emojis[$bet['status']] ?? '❓';
                
                $type_info = $bet_types[$bet['bet_type']] ?? $bet['bet_type'];
                $date = format_date($bet['created_at'], 'd.m H:i');
                
                // Формируем правильное название события
                $event_title = '';
                if (!empty($bet['title'])) {
                    $event_title = $bet['title'];
                } elseif (!empty($bet['team1']) && !empty($bet['team2'])) {
                    $event_title = "{$bet['team1']} vs {$bet['team2']}";
                } else {
                    $event_title = 'Событие удалено';
                }
                
                // Формируем правильный исход ставки
                $formatted_bet = format_bet_display($bet['bet_type'], $bet['bet_answer'], $bet['team1'], $bet['team2']);
                
                $text .= "{$status_emoji} <b>{$event_title}</b>\n";
                $text .= "   {$type_info}: <b>{$formatted_bet}</b>\n";
                
                if ($bet['status'] == 'won') {
                    $text .= "   🏆 Выигрыш: +{$bet['points_earned']} баллов";
                } elseif ($bet['status'] == 'lost') {
                    global $CONFIG;
                    $text .= "   💸 Штраф: -{$CONFIG['BET_LOSS_PENALTY']} балла";
                } elseif ($bet['status'] == 'pending') {
                    $text .= "   ⏳ Потенциал: +{$bet['potential_win']} баллов";
                } else {
                    $text .= "   🚫 Отменена";
                }
                
                $text .= "\n   📅 {$date}\n\n";
            }
        }
        
        $keyboard = [
            'inline_keyboard' => [
                [['text' => '🔄 Обновить', 'callback_data' => 'history']],
                [
                    ['text' => '👤 Профиль', 'callback_data' => 'profile'],
                    ['text' => '🔙 Главное меню', 'callback_data' => 'start']
                ]
            ]
        ];
        
        return send_message($user_id, $text, $keyboard);
        
    } catch (Exception $e) {
        safe_log("handle_history error: " . $e->getMessage(), 'ERROR');
        return send_message($user_id, "❌ Ошибка загрузки истории");
    }
}
function handle_rating($user_id) {
    try {
        $db = SportsDatabase::getInstance();
        $users = $db->getTopUsers(10);
        
        $text = "🏆 <b>Рейтинг игроков</b>\n\n";
        
        if (empty($users)) {
            $text .= "🤷‍♂️ Пока нет активных игроков\n\n";
            $text .= "💡 Сделайте первую ставку и попадите в рейтинг!";
        } else {
            foreach ($users as $index => $user) {
                $position = $index + 1;
                $emojis = [1 => '🥇', 2 => '🥈', 3 => '🥉'];
                $emoji = $emojis[$position] ?? '👤';
                
                $balance = safe_get($user, 'balance', 0);
                $balance_rubles = round($balance * 200);
                $win_rate = safe_get($user, 'win_rate', 0);
                $first_name = safe_get($user, 'first_name', 'Пользователь');
                $correct_bets = safe_get($user, 'correct_bets', 0);
                $total_bets = safe_get($user, 'total_bets', 0);
                $win_streak = safe_get($user, 'win_streak', 0);
                
                $text .= "{$emoji} <b>{$position}.</b> {$first_name}\n";
                $text .= "   💎 {$balance} баллов (~{$balance_rubles}₽)\n";
                $text .= "   📊 {$win_rate}% побед | 🎯 {$correct_bets}/{$total_bets}";
                
                if ($win_streak > 0) {
                    $text .= " | 🔥 {$win_streak}";
                }
                
                $text .= "\n\n";
            }
        }
        
        $keyboard = [
            'inline_keyboard' => [
                [['text' => '🔄 Обновить', 'callback_data' => 'rating']],
                [
                    ['text' => '👤 Мой профиль', 'callback_data' => 'profile'],
                    ['text' => '🔙 Главное меню', 'callback_data' => 'start']
                ]
            ]
        ];
        
        return send_message($user_id, $text, $keyboard);
        
    } catch (Exception $e) {
        safe_log("handle_rating error: " . $e->getMessage(), 'ERROR');
        return send_message($user_id, "❌ Ошибка загрузки рейтинга");
    }
}

// ТАКЖЕ УЛУЧШИМ функцию handle_bet_rewards с логированием:

function handle_bet_rewards($user_id) {
    safe_log("handle_bet_rewards called for user {$user_id}");
    
    try {
        $db = SportsDatabase::getInstance();
        
        $text = "📊 <b>Таблица выигрышей</b>\n\n";
        $text .= "💡 <i>Баллы начисляются только при выигрыше</i>\n";
        
        global $CONFIG;
        $text .= "💸 <i>При проигрыше: -{$CONFIG['BET_LOSS_PENALTY']} балла штраф</i>\n\n";
        
        $all_settings = $db->getBetSettings();
        safe_log("Loaded " . count($all_settings) . " bet settings");
        
        if (empty($all_settings)) {
            safe_log("No bet settings found", 'WARNING');
            $text .= "❌ Настройки ставок не найдены";
        } else {
            $grouped = [];
            
            foreach ($all_settings as $setting) {
                $grouped[$setting['bet_type']][] = $setting;
            }
            
            $bet_types = [
                'winner' => '🏆 Победитель',
                'exact_score' => '⚽ Точный счет',
                'first_goal' => '🥅 Первый гол',
                'total_goals' => '📊 Тотал голов',
                'red_card' => '🟥 Удаление',
                'penalty' => '🎯 Пенальти',
                'own_goal' => '🤦 Автогол',
                'corners_winner' => '📐 Угловые'
            ];
            
            foreach ($grouped as $bet_type => $settings) {
                $type_info = $bet_types[$bet_type] ?? $bet_type;
                $text .= "<b>{$type_info}</b>\n";
                
                foreach ($settings as $setting) {
                    $option_name = format_bet_option($bet_type, $setting['bet_option']);
                    $text .= "  • {$option_name}: +{$setting['points_reward']}\n";
                }
                $text .= "\n";
            }
        }
        
        $text .= "<i>💰 1 балл ≈ 200₽</i>";
        
        $keyboard = [
            'inline_keyboard' => [
                [['text' => '⚽ К событиям', 'callback_data' => 'events']],
                [['text' => '🔙 Главное меню', 'callback_data' => 'start']]
            ]
        ];
        
        safe_log("Sending bet rewards table to user {$user_id}");
        return send_message($user_id, $text, $keyboard);
        
    } catch (Exception $e) {
        safe_log("handle_bet_rewards error: " . $e->getMessage(), 'ERROR');
        return send_message($user_id, "❌ Ошибка загрузки таблицы");
    }
}


function format_bet_option($bet_type, $bet_option, $team1 = '', $team2 = '') {
    switch ($bet_option) {
        case 'team1': return "П1" . ($team1 ? " - {$team1}" : "");
        case 'team2': return "П2" . ($team2 ? " - {$team2}" : "");
        case 'draw': return 'Ничья';
        case 'yes': return 'Да';
        case 'no': return 'Нет';
        case 'over': return $bet_type == 'total_goals' ? 'Больше 4.5' : 'Больше';
        case 'under': return $bet_type == 'total_goals' ? 'Меньше 4.5' : 'Меньше';
        case 'other': return 'Другой счет';
        default: return $bet_option;
    }
}

function handle_notifications($user_id) {
    try {
        $db = SportsDatabase::getInstance();
        $notifications = $db->getUserNotifications($user_id, false, 10);
        
        if (empty($notifications)) {
            $text = "🔔 <b>Уведомления</b>\n\n";
            $text .= "📭 У вас пока нет уведомлений";
        } else {
            $unread_count = count(array_filter($notifications, function($n) { return !$n['is_read']; }));
            
            $text = "🔔 <b>Уведомления</b>";
            if ($unread_count > 0) {
                $text .= " ({$unread_count} новых)";
            }
            $text .= "\n\n";
            
            foreach ($notifications as $notification) {
                $read_emoji = $notification['is_read'] ? '✅' : '🆕';
                $date = format_date($notification['created_at'], 'd.m H:i');
                
                $text .= "{$read_emoji} <b>{$notification['title']}</b>\n";
                $text .= "   {$notification['message']}\n";
                $text .= "   📅 {$date}\n\n";
                
                if (!$notification['is_read']) {
                    $db->markNotificationAsRead($notification['notification_id'], $user_id);
                }
            }
        }
        
        $keyboard = [
            'inline_keyboard' => [
                [['text' => '🔄 Обновить', 'callback_data' => 'notifications']],
                [['text' => '🔙 Главное меню', 'callback_data' => 'start']]
            ]
        ];
        
        return send_message($user_id, $text, $keyboard);
        
    } catch (Exception $e) {
        safe_log("handle_notifications error: " . $e->getMessage(), 'ERROR');
        return send_message($user_id, "❌ Ошибка загрузки уведомлений");
    }
}

function handle_admin_panel($user_id) {
    global $CONFIG;
    
    if (!in_array($user_id, $CONFIG['ADMIN_IDS'])) {
        return send_message($user_id, "❌ Нет прав доступа");
    }
    
    try {
        $db = SportsDatabase::getInstance();
        $stats = $db->getStatistics();
        
        $text = "⚙️ <b>Панель администратора</b>\n\n";
        $text .= "📊 <b>Быстрая статистика:</b>\n";
        $text .= "👥 Пользователей: " . safe_get($stats, 'total_users', 0) . " ";
        $text .= "(активных: " . safe_get($stats, 'active_users', 0) . ")\n";
        $text .= "🎯 Ставок: " . safe_get($stats, 'total_bets', 0) . " ";
        $text .= "(ожидают: " . safe_get($stats, 'pending_bets', 0) . ")\n";
        $text .= "⚽ События: " . safe_get($stats, 'total_events', 0) . " ";
        $text .= "(активных: " . safe_get($stats, 'upcoming_events', 0) . ")\n\n";
        
        $text .= "<b>💡 Доступные команды:</b>\n";
        $text .= "<code>/add_event Название|Команда1|Команда2|2025-06-25 20:00|Лига</code>\n";
        $text .= "<code>/finish_event EVENT_ID результат_JSON</code>\n";
        $text .= "<code>/balance USER_ID AMOUNT</code>\n";
        $text .= "<code>/ban USER_ID [причина]</code>\n";
        $text .= "<code>/unban USER_ID</code>\n\n";
        
        $text .= "Выберите действие:";
        
        $keyboard = [
            'inline_keyboard' => [
                [
                    ['text' => '👥 Пользователи', 'callback_data' => 'admin_users'],
                    ['text' => '⚽ События', 'callback_data' => 'admin_events']
                ],
                [
                    ['text' => '🎯 Ставки', 'callback_data' => 'admin_bets'],
                    ['text' => '📊 Статистика', 'callback_data' => 'admin_stats']
                ],
                [
                    ['text' => '🔍 Диагностика событий', 'callback_data' => 'debug_events']
                ],
                [
                    ['text' => '🔙 Главное меню', 'callback_data' => 'start']
                ]
            ]
        ];
        
        return send_message($user_id, $text, $keyboard);
        
    } catch (Exception $e) {
        safe_log("handle_admin_panel error: " . $e->getMessage(), 'ERROR');
        return send_message($user_id, "❌ Ошибка загрузки админ панели");
    }
}

// И добавить недостающие функции-обработчики:


// ИСПРАВЛЕННАЯ функция handle_admin_events - показывает события всех статусов
function handle_admin_events($user_id) {
    global $CONFIG;
    
    if (!in_array($user_id, $CONFIG['ADMIN_IDS'])) {
        return send_message($user_id, "❌ Нет прав доступа");
    }
    
    try {
        safe_log("handle_admin_events called for user {$user_id}");
        
        $db = SportsDatabase::getInstance();
        
        // ИСПРАВЛЕНО: Получаем события всех статусов
        $upcoming_events = $db->getEvents('upcoming', 10);
        $live_events = $db->getEvents('live', 10);
        $finished_events = $db->getEvents('finished', 5);
        
        $text = "⚽ <b>Управление событиями</b>\n\n";
        
        // Показываем живые события ПЕРВЫМИ (самые важные)
        if (!empty($live_events)) {
            $text .= "🔴 <b>В эфире (LIVE):</b>\n";
            foreach ($live_events as $event) {
                $date = format_date($event['event_date'], 'd.m H:i');
                $status_emoji = get_status_emoji($event['status']);
                $text .= "{$status_emoji} {$event['event_id']}: {$event['team1']} vs {$event['team2']} ({$date})\n";
            }
            $text .= "\n";
        }
        
        // Потом предстоящие события
        $text .= "📅 <b>Предстоящие события:</b>\n";
        if (empty($upcoming_events)) {
            $text .= "🤷‍♂️ Нет предстоящих событий\n";
        } else {
            foreach (array_slice($upcoming_events, 0, 8) as $event) {
                $date = format_date($event['event_date'], 'd.m H:i');
                $status_emoji = get_status_emoji($event['status']);
                $text .= "{$status_emoji} {$event['event_id']}: {$event['team1']} vs {$event['team2']} ({$date})\n";
            }
            if (count($upcoming_events) > 8) {
                $text .= "... и еще " . (count($upcoming_events) - 8) . " событий\n";
            }
        }
        
        // Последние завершенные события
        $text .= "\n🏁 <b>Последние завершенные:</b>\n";
        if (empty($finished_events)) {
            $text .= "🤷‍♂️ Нет завершенных событий\n";
        } else {
            foreach ($finished_events as $event) {
                $status_emoji = get_status_emoji($event['status']);
                $text .= "{$status_emoji} {$event['event_id']}: {$event['team1']} vs {$event['team2']}\n";
            }
        }
        
        $keyboard = [
            'inline_keyboard' => []
        ];

        // НОВАЯ КНОПКА: Добавить событие
        $keyboard['inline_keyboard'][] = [
            ['text' => '➕ Добавить событие', 'callback_data' => 'admin_add_event_menu']
        ];

        // ИСПРАВЛЕНО: Кнопка управления событиями если есть ЛЮБЫЕ активные события
        $active_events = array_merge($upcoming_events, $live_events);
        if (!empty($active_events)) {
            $keyboard['inline_keyboard'][] = [
                ['text' => '⚙️ Управление событиями', 'callback_data' => 'admin_events_manage']
            ];
            safe_log("Added 'admin_events_manage' button for " . count($active_events) . " active events");
        }

        $keyboard['inline_keyboard'][] = [
            ['text' => '⚙️ Настройки ставок', 'callback_data' => 'admin_bet_settings']
        ];

        $keyboard['inline_keyboard'][] = [
            ['text' => '🔄 Обновить', 'callback_data' => 'admin_events'],
            ['text' => '🔙 Админ панель', 'callback_data' => 'admin_panel']
        ];
        
        $text .= "\n\n<b>💡 Команды:</b>\n";
        $text .= "<code>/add_event Название|Команда1|Команда2|2025-06-25 20:00|Лига</code>\n";
        $text .= "<code>/finish_event EVENT_ID {\"winner\":\"team1\",\"score\":\"2-1\"}</code>\n";
        $text .= "<code>/update_bet winner team1 10</code> - изменить баллы";
        
        safe_log("Sending admin events page with live events support");
        return send_message($user_id, $text, $keyboard);
        
    } catch (Exception $e) {
        safe_log("handle_admin_events error: " . $e->getMessage(), 'ERROR');
        return send_message($user_id, "❌ Ошибка загрузки событий: " . $e->getMessage());
    }
}


function handle_admin_users($user_id) {
    global $CONFIG;
    
    if (!in_array($user_id, $CONFIG['ADMIN_IDS'])) {
        return send_message($user_id, "❌ Нет прав доступа");
    }
    
    try {
        $db = SportsDatabase::getInstance();
        $stats = $db->getStatistics();
        $top_users = $db->getTopUsers(10);
        
        $text = "👥 <b>Управление пользователями</b>\n\n";
        $text .= "📊 Всего: " . safe_get($stats, 'total_users', 0) . "\n";
        $text .= "🎯 Активных: " . safe_get($stats, 'active_users', 0) . "\n";
        $text .= "🚫 Заблокированных: " . safe_get($stats, 'banned_users', 0) . "\n\n";
        
        $text .= "<b>🏆 Топ пользователи:</b>\n";
        foreach ($top_users as $index => $user) {
            $position = $index + 1;
            $balance = safe_get($user, 'balance', 0);
            $first_name = safe_get($user, 'first_name', 'User');
            $text .= "{$position}. {$first_name} (ID: {$user['user_id']}) - {$balance} баллов\n";
        }
        
        $text .= "\n<b>💡 Команды:</b>\n";
        $text .= "<code>/balance USER_ID AMOUNT</code> - изменить баланс\n";
        $text .= "<code>/ban USER_ID причина</code> - заблокировать\n";
        $text .= "<code>/unban USER_ID</code> - разблокировать";
        
        $keyboard = [
            'inline_keyboard' => [
                [['text' => '🔄 Обновить', 'callback_data' => 'admin_users']],
                [['text' => '🔙 Админ панель', 'callback_data' => 'admin_panel']]
            ]
        ];
        
        return send_message($user_id, $text, $keyboard);
        
    } catch (Exception $e) {
        safe_log("handle_admin_users error: " . $e->getMessage(), 'ERROR');
        return send_message($user_id, "❌ Ошибка загрузки пользователей");
    }
}


// ИСПРАВЛЕННАЯ функция handle_admin_bets с понятными названиями ставок

function handle_admin_bets($user_id) {
    global $CONFIG;
    
    if (!in_array($user_id, $CONFIG['ADMIN_IDS'])) {
        return send_message($user_id, "❌ Нет прав доступа");
    }
    
    try {
        $db = SportsDatabase::getInstance();
        $stats = $db->getStatistics();
        $recent_bets = $db->getRecentBets(10);
        
        $text = "🎯 <b>Управление ставками</b>\n\n";
        $text .= "📊 Всего ставок: " . safe_get($stats, 'total_bets', 0) . "\n";
        $text .= "⏳ Ожидают: " . safe_get($stats, 'pending_bets', 0) . "\n";
        $text .= "✅ Выиграли: " . safe_get($stats, 'won_bets', 0) . "\n";
        $text .= "❌ Проиграли: " . safe_get($stats, 'lost_bets', 0) . "\n\n";
        
        $text .= "<b>📋 Последние ставки:</b>\n";
        if (empty($recent_bets)) {
            $text .= "🤷‍♂️ Нет ставок\n";
        } else {
            // Массив для перевода типов ставок
            $bet_types = [
                'winner' => '🏆 Победитель',
                'exact_score' => '⚽ Точный счет',
                'first_goal' => '🥅 Первый гол',
                'total_goals' => '📊 Тотал голов',
                'red_card' => '🟥 Удаление',
                'penalty' => '🎯 Пенальти',
                'own_goal' => '🤦 Автогол',
                'corners_winner' => '📐 Угловые'
            ];
            
            foreach ($recent_bets as $bet) {
                $status_emoji = [
                    'pending' => '⏳', 
                    'won' => '✅', 
                    'lost' => '❌',
                    'cancelled' => '🚫'
                ][$bet['status']] ?? '❓';
                
                $date = format_date($bet['created_at'], 'd.m H:i');
                $user_name = $bet['first_name'] ?? 'Пользователь';
                
                // Получаем понятное название типа ставки
                $bet_type_name = $bet_types[$bet['bet_type']] ?? $bet['bet_type'];
                
                // Формируем информацию о событии
                $event_info = '';
                if (!empty($bet['title'])) {
                    $event_info = $bet['title'];
                } elseif (!empty($bet['team1']) && !empty($bet['team2'])) {
                    $event_info = "{$bet['team1']} vs {$bet['team2']}";
                } else {
                    $event_info = 'Событие удалено';
                }
                
                // Формируем информацию о ставке
                $bet_details = format_bet_display($bet['bet_type'], $bet['bet_answer'], $bet['team1'], $bet['team2']);
                
                $text .= "{$status_emoji} <b>{$user_name}</b> - {$bet_type_name}\n";
                $text .= "   📅 {$event_info}\n";
                $text .= "   📝 {$bet_details}\n";
                
                // Добавляем информацию о результате
                if ($bet['status'] === 'won') {
                    $text .= "   💰 +{$bet['points_earned']} баллов\n";
                } elseif ($bet['status'] === 'lost') {
                    $text .= "   💸 -{$CONFIG['BET_LOSS_PENALTY']} балла\n";
                } elseif ($bet['status'] === 'pending') {
                    $text .= "   ⏳ Потенциал: +{$bet['potential_win']} баллов\n";
                }
                
                $text .= "   🕐 {$date}\n\n";
            }
        }
        
        $keyboard = [
            'inline_keyboard' => [
                [['text' => '🔄 Обновить', 'callback_data' => 'admin_bets']],
                [['text' => '🔙 Админ панель', 'callback_data' => 'admin_panel']]
            ]
        ];
        
        return send_message($user_id, $text, $keyboard);
        
    } catch (Exception $e) {
        safe_log("handle_admin_bets error: " . $e->getMessage(), 'ERROR');
        return send_message($user_id, "❌ Ошибка загрузки ставок");
    }
}


// УЛУЧШЕННАЯ функция handle_admin_stats
function handle_admin_stats($user_id) {
    global $CONFIG;
    
    if (!in_array($user_id, $CONFIG['ADMIN_IDS'])) {
        return send_message($user_id, "❌ Нет прав доступа");
    }
    
    try {
        $db = SportsDatabase::getInstance();
        $stats = $db->getStatistics();
        
        $text = "📊 <b>Подробная статистика</b>\n\n";
        
        // 1. Пользователи
        $text .= "👥 <b>Пользователи:</b>\n";
        $text .= "• Всего: " . safe_get($stats, 'total_users', 0) . "\n";
        $text .= "• Активных: " . safe_get($stats, 'active_users', 0) . "\n";
        $text .= "• Заблокированных: " . safe_get($stats, 'banned_users', 0) . "\n";
        $text .= "• Новых сегодня: " . safe_get($stats, 'today_users', 0) . "\n\n";
        
        // 2. События
        $text .= "⚽ <b>События:</b>\n";
        $text .= "• Всего: " . safe_get($stats, 'total_events', 0) . "\n";
        $text .= "• Предстоящих: " . safe_get($stats, 'upcoming_events', 0) . "\n";
        $text .= "• В эфире: " . safe_get($stats, 'live_events', 0) . "\n";
        $text .= "• Завершенных: " . safe_get($stats, 'finished_events', 0) . "\n";
        $text .= "• Отмененных: " . safe_get($stats, 'cancelled_events', 0) . "\n\n";
        
        // 3. Ставки
        $text .= "🎯 <b>Ставки:</b>\n";
        $text .= "• Всего: " . safe_get($stats, 'total_bets', 0) . "\n";
        $text .= "• Ожидают: " . safe_get($stats, 'pending_bets', 0) . "\n";
        $text .= "• Выиграли: " . safe_get($stats, 'won_bets', 0) . "\n";
        $text .= "• Проиграли: " . safe_get($stats, 'lost_bets', 0) . "\n";
        $text .= "• Отменены: " . safe_get($stats, 'cancelled_bets', 0) . "\n";
        $text .= "• Сегодня: " . safe_get($stats, 'today_bets', 0) . "\n\n";
        
        // 4. Финансы
        $total_balance = safe_get($stats, 'total_balance', 0);
        $total_winnings = safe_get($stats, 'total_winnings', 0);
        $total_penalties = safe_get($stats, 'total_penalties', 0);
        
        $text .= "💰 <b>Финансы:</b>\n";
        $text .= "• Общий баланс игроков: {$total_balance} баллов\n";
        $text .= "• Выплачено выигрышей: {$total_winnings} баллов\n";
        $text .= "• Собрано штрафов: {$total_penalties} баллов\n";
        $text .= "• Баланс системы: " . ($total_penalties - $total_winnings) . " баллов\n\n";
        
        // 5. Статистика эффективности
        $win_rate = safe_get($stats, 'win_rate', 0);
        $text .= "📈 <b>Эффективность:</b>\n";
        $text .= "• Общий винрейт: {$win_rate}%\n";
        
        if ($total_balance > 0) {
            $avg_balance = round($total_balance / safe_get($stats, 'active_users', 1), 1);
            $text .= "• Средний баланс: {$avg_balance} баллов\n";
        }
        
        // 6. Популярные типы ставок
        if (!empty($stats['bet_types'])) {
            $text .= "\n🎲 <b>Популярные ставки:</b>\n";
            
            $bet_type_names = [
                'winner' => '🏆 Победитель',
                'exact_score' => '⚽ Точный счет',
                'first_goal' => '🥅 Первый гол',
                'total_goals' => '📊 Тотал голов',
                'red_card' => '🟥 Удаление',
                'penalty' => '🎯 Пенальти',
                'own_goal' => '🤦 Автогол',
                'corners_winner' => '📐 Угловые'
            ];
            
            foreach (array_slice($stats['bet_types'], 0, 5) as $bet_type) {
                $type_name = $bet_type_names[$bet_type['bet_type']] ?? $bet_type['bet_type'];
                $type_win_rate = $bet_type['count'] > 0 ? round(($bet_type['won'] / $bet_type['count']) * 100, 1) : 0;
                $text .= "• {$type_name}: {$bet_type['count']} ({$type_win_rate}% побед)\n";
            }
        }
        
        $text .= "\n⏰ <b>Обновлено:</b> " . date('d.m.Y H:i');
        
        $keyboard = [
            'inline_keyboard' => [
                [
                    ['text' => '🔍 Диагностика', 'callback_data' => 'debug_stats'],
                    ['text' => '🔧 Исправить', 'callback_data' => 'fix_stats']
                ],
                [
                    ['text' => '🔄 Обновить', 'callback_data' => 'admin_stats'],
                    ['text' => '🔙 Админ панель', 'callback_data' => 'admin_panel']
                ]
            ]
        ];
        
        return send_message($user_id, $text, $keyboard);
        
    } catch (Exception $e) {
        safe_log("handle_admin_stats error: " . $e->getMessage(), 'ERROR');
        return send_message($user_id, "❌ Ошибка загрузки статистики");
    }
}

function handle_admin_bet_settings($user_id) {
    global $CONFIG;
    
    if (!in_array($user_id, $CONFIG['ADMIN_IDS'])) {
        return send_message($user_id, "❌ Нет прав доступа");
    }
    
    try {
        $db = SportsDatabase::getInstance();
        $all_settings = $db->getBetSettings();
        $grouped = [];
        
        foreach ($all_settings as $setting) {
            $grouped[$setting['bet_type']][] = $setting;
        }
        
        $text = "⚙️ <b>Настройки ставок</b>\n\n";
        
        $bet_types = [
            'winner' => '🏆 Победитель',
            'exact_score' => '⚽ Точный счет',
            'first_goal' => '🥅 Первый гол',
            'total_goals' => '📊 Тотал голов',
            'red_card' => '🟥 Удаление',
            'penalty' => '🎯 Пенальти',
            'own_goal' => '🤦 Автогол',
            'corners_winner' => '📐 Угловые'
        ];
        
        foreach ($grouped as $bet_type => $settings) {
            $type_info = $bet_types[$bet_type] ?? $bet_type;
            $text .= "{$type_info}: " . count($settings) . " вариантов\n";
        }
        
        $text .= "\n💡 Выберите тип для редактирования:";
        
        $keyboard = ['inline_keyboard' => []];
        
        foreach ($bet_types as $type => $name) {
            if (isset($grouped[$type])) {
                $keyboard['inline_keyboard'][] = [
                    ['text' => $name, 'callback_data' => "admin_bet_type_{$type}"]
                ];
            }
        }
       
        $keyboard['inline_keyboard'][] = [
            ['text' => '🔙 Админ панель', 'callback_data' => 'admin_panel']
        ];
        
        return send_message($user_id, $text, $keyboard);
        
    } catch (Exception $e) {
        safe_log("handle_admin_bet_settings error: " . $e->getMessage(), 'ERROR');
        return send_message($user_id, "❌ Ошибка загрузки настроек");
    }
}

// ИСПРАВЛЕННАЯ функция handle_admin_events_list - показывает события всех активных статусов
function handle_admin_events_list($user_id) {
    global $CONFIG;
    
    if (!in_array($user_id, $CONFIG['ADMIN_IDS'])) {
        return send_message($user_id, "❌ Нет прав доступа");
    }
    
    try {
        safe_log("handle_admin_events_list called for user {$user_id}");
        
        $db = SportsDatabase::getInstance();
        
        // ИСПРАВЛЕНО: Получаем события всех активных статусов
        $upcoming_events = $db->getEvents('upcoming', 15);
        $live_events = $db->getEvents('live', 15);
        
        // Объединяем активные события (live + upcoming)
        $active_events = array_merge($live_events, $upcoming_events);
        
        safe_log("Found " . count($live_events) . " live events and " . count($upcoming_events) . " upcoming events");
        
        $text = "⚽ <b>Управление событиями</b>\n\n";
        
        if (empty($active_events)) {
            $text .= "🤷‍♂️ Нет активных событий для управления\n\n";
            $text .= "💡 Добавьте события командой:\n";
            $text .= "<code>/add_event Название|Команда1|Команда2|2025-06-25 20:00|Лига</code>";
            
            $keyboard = [
                'inline_keyboard' => [
                    [
                        ['text' => '🔙 Админ панель', 'callback_data' => 'admin_panel']
                    ]
                ]
            ];
        } else {
            $text .= "Выберите событие для управления:\n\n";
            
            // Сначала показываем LIVE события (приоритет!)
            if (!empty($live_events)) {
                $text .= "🔴 <b>В эфире:</b>\n";
                foreach ($live_events as $event) {
                    $date = format_date($event['event_date'], 'd.m H:i');
                    $text .= "🔴 {$event['event_id']}: {$event['team1']} vs {$event['team2']} (LIVE)\n";
                }
                $text .= "\n";
            }
            
            // Потом предстоящие
            if (!empty($upcoming_events)) {
                $text .= "⏳ <b>Предстоящие:</b>\n";
                foreach ($upcoming_events as $event) {
                    $date = format_date($event['event_date'], 'd.m H:i');
                    $text .= "⏳ {$event['event_id']}: {$event['team1']} vs {$event['team2']} ({$date})\n";
                }
            }
            
            $keyboard = [
                'inline_keyboard' => []
            ];
            
            // Добавляем кнопки для всех активных событий
            foreach (array_slice($active_events, 0, 10) as $event) {
                if (isset($event['event_id']) && isset($event['team1']) && isset($event['team2'])) {
                    // Очищаем UTF-8 для названий команд
                    $team1_clean = mb_convert_encoding($event['team1'], 'UTF-8', 'UTF-8');
                    $team2_clean = mb_convert_encoding($event['team2'], 'UTF-8', 'UTF-8');
                    
                    // Удаляем проблемные символы
                    $team1_clean = preg_replace('/[\x00-\x08\x0B\x0C\x0E-\x1F\x7F]/', '', $team1_clean);
                    $team2_clean = preg_replace('/[\x00-\x08\x0B\x0C\x0E-\x1F\x7F]/', '', $team2_clean);
                    
                    // Добавляем эмодзи статуса
                    $status_emoji = ($event['status'] === 'live') ? '🔴' : '⏳';
                    $short_title = substr($team1_clean . ' vs ' . $team2_clean, 0, 20);
                    $callback_data = "admin_event_manage_{$event['event_id']}";
                    
                    if (strlen($callback_data) <= 64) {
                        $button = [
                            'text' => "{$status_emoji} #{$event['event_id']}: {$short_title}",
                            'callback_data' => $callback_data
                        ];
                        
                        // Проверяем кнопку перед добавлением
                        $button_json = json_encode($button);
                        if ($button_json !== false) {
                            $keyboard['inline_keyboard'][] = [$button];
                            safe_log("Added button for event {$event['event_id']}: {$callback_data}");
                        } else {
                            safe_log("Button JSON encoding failed for event {$event['event_id']}", 'WARNING');
                            // Создаем безопасную версию кнопки
                            $keyboard['inline_keyboard'][] = [[
                                'text' => "{$status_emoji} Событие #{$event['event_id']}",
                                'callback_data' => $callback_data
                            ]];
                        }
                    } else {
                        safe_log("Callback data too long for event {$event['event_id']}: {$callback_data}", 'WARNING');
                    }
                }
            }
            
            // Добавляем кнопку назад
            $keyboard['inline_keyboard'][] = [
                ['text' => '🔙 Админ панель', 'callback_data' => 'admin_panel']
            ];
        }
        
        // Проверки клавиатуры
        if (!isset($keyboard['inline_keyboard']) || !is_array($keyboard['inline_keyboard'])) {
            safe_log("Invalid keyboard structure detected", 'ERROR');
            return send_message($user_id, $text . "\n\n❌ Ошибка формирования клавиатуры");
        }
        
        // Проверяем JSON кодирование
        $json_test = json_encode($keyboard, JSON_UNESCAPED_UNICODE);
        if ($json_test === false) {
            $error_msg = json_last_error_msg();
            safe_log("Keyboard cannot be JSON encoded: " . $error_msg, 'ERROR');
            
            // Создаем минимальную безопасную клавиатуру
            $safe_keyboard = [
                'inline_keyboard' => [
                    [
                        ['text' => '🔙 Админ панель', 'callback_data' => 'admin_panel']
                    ]
                ]
            ];
            
            return send_message($user_id, $text . "\n\n❌ Ошибка кодирования клавиатуры: " . $error_msg, $safe_keyboard);
        }
        
        safe_log("Keyboard structure: " . substr($json_test, 0, 200) . "...");
        safe_log("Sending admin events list with " . count($keyboard['inline_keyboard']) . " buttons");
        
        return send_message($user_id, $text, $keyboard);
        
    } catch (Exception $e) {
        safe_log("handle_admin_events_list error: " . $e->getMessage(), 'ERROR');
        return send_message($user_id, "❌ Ошибка загрузки событий: " . $e->getMessage());
    }
}


// Функция для перевода статусов событий
function translate_event_status($status) {
    $translations = [
        'upcoming' => 'Предстоящее',
        'live' => 'В эфире',
        'finished' => 'Завершено',
        'cancelled' => 'Отменено'
    ];
    
    return isset($translations[$status]) ? $translations[$status] : $status;
}

// Функция для получения эмодзи статуса
function get_status_emoji($status) {
    $emojis = [
        'upcoming' => '⏳',
        'live' => '🔴',
        'finished' => '✅',
        'cancelled' => '🚫'
    ];
    
    return isset($emojis[$status]) ? $emojis[$status] : '❓';
}


// ОБНОВЛЯЕМ handle_admin_event_manage для кнопки завершения
function handle_admin_event_manage($user_id, $event_id) {
    global $CONFIG;
    
    if (!in_array($user_id, $CONFIG['ADMIN_IDS'])) {
        return send_message($user_id, "❌ Нет прав доступа");
    }
    
    try {
        $db = SportsDatabase::getInstance();
        $event = $db->getEvent($event_id);
        
        if (!$event) {
            return send_message($user_id, "❌ Событие не найдено");
        }
        
        $status_emoji = get_status_emoji($event['status']);
        $status_text = translate_event_status($event['status']);
        
        $text = "⚙️ <b>Управление событием</b>\n\n";
        $text .= "🆔 ID: {$event['event_id']}\n";
        $text .= "🏟 Название: {$event['title']}\n";
        $text .= "⚽ Команды: {$event['team1']} vs {$event['team2']}\n";
        $text .= "📅 Дата: " . format_date($event['event_date']) . "\n";
        $text .= "📊 Статус: {$status_emoji} {$status_text}\n";
        
        if (!empty($event['league'])) {
            $text .= "🏆 Лига: {$event['league']}\n";
        }
        
        $bets_count = $db->getPendingBetsCount($event_id);
        $text .= "🎯 Активных ставок: {$bets_count}\n\n";
        $text .= "💡 Выберите действие:";
        
        $keyboard = ['inline_keyboard' => []];
        
        if ($event['status'] == 'upcoming') {
            $keyboard['inline_keyboard'][] = [
                ['text' => '▶️ Начать событие', 'callback_data' => "admin_event_status_{$event_id}_live"]
            ];
            // ИЗМЕНЕНО: теперь ведет на интерфейс завершения
            $keyboard['inline_keyboard'][] = [
                ['text' => '🏁 Завершить событие', 'callback_data' => "finish_event_{$event_id}"]
            ];
            $keyboard['inline_keyboard'][] = [
                ['text' => '🚫 Отменить событие', 'callback_data' => "admin_event_status_{$event_id}_cancelled"]
            ];
        } elseif ($event['status'] == 'live') {
            // ИЗМЕНЕНО: теперь ведет на интерфейс завершения
            $keyboard['inline_keyboard'][] = [
                ['text' => '🏁 Завершить событие', 'callback_data' => "finish_event_{$event_id}"]
            ];
            $keyboard['inline_keyboard'][] = [
                ['text' => '🚫 Отменить событие', 'callback_data' => "admin_event_status_{$event_id}_cancelled"]
            ];
        }
        
        $keyboard['inline_keyboard'][] = [
            ['text' => '🗑 Удалить событие', 'callback_data' => "admin_event_delete_confirm_{$event_id}"]
        ];
        
        $keyboard['inline_keyboard'][] = [
            ['text' => '🔙 К списку событий', 'callback_data' => 'admin_events_manage']
        ];
        
        return send_message($user_id, $text, $keyboard);
        
    } catch (Exception $e) {
        safe_log("handle_admin_event_manage error: " . $e->getMessage(), 'ERROR');
        return send_message($user_id, "❌ Ошибка загрузки события");
    }
}


function handle_admin_bet_type_settings($user_id, $bet_type) {
    global $CONFIG;
    
    if (!in_array($user_id, $CONFIG['ADMIN_IDS'])) {
        return send_message($user_id, "❌ Нет прав доступа");
    }
    
    try {
        $db = SportsDatabase::getInstance();
        $settings = $db->getBetSettings($bet_type);
        
        $bet_types = [
            'winner' => '🏆 Победитель',
            'exact_score' => '⚽ Точный счет',
            'first_goal' => '🥅 Первый гол',
            'total_goals' => '📊 Тотал голов',
            'red_card' => '🟥 Удаление',
            'penalty' => '🎯 Пенальти',
            'own_goal' => '🤦 Автогол',
            'corners_winner' => '📐 Угловые'
        ];
        
        $type_info = $bet_types[$bet_type] ?? $bet_type;
        
        $text = "⚙️ <b>Настройки: {$type_info}</b>\n\n";
        
        if (empty($settings)) {
            $text .= "🤷‍♂️ Нет настроек для этого типа";
        } else {
            foreach ($settings as $setting) {
                $option_name = format_bet_option($bet_type, $setting['bet_option']);
                $text .= "• {$option_name}: {$setting['points_reward']} баллов\n";
            }
        }
        
        $text .= "\n💡 Используйте команду для изменения:\n";
        $text .= "<code>/update_bet {$bet_type} ВАРИАНТ БАЛЛЫ</code>";
        
        $keyboard = ['inline_keyboard' => []];
        
        foreach ($settings as $setting) {
            $option_name = format_bet_option($bet_type, $setting['bet_option']);
            $short_name = strlen($option_name) > 20 ? substr($option_name, 0, 17) . '...' : $option_name;
            $keyboard['inline_keyboard'][] = [
                ['text' => "✏️ {$short_name} ({$setting['points_reward']})", 
                 'callback_data' => "admin_bet_edit_{$bet_type}_{$setting['bet_option']}"]
            ];
        }
        
        $keyboard['inline_keyboard'][] = [
            ['text' => '🔙 К настройкам', 'callback_data' => 'admin_bet_settings']
        ];
        
        return send_message($user_id, $text, $keyboard);
        
    } catch (Exception $e) {
        safe_log("handle_admin_bet_type_settings error: " . $e->getMessage(), 'ERROR');
        return send_message($user_id, "❌ Ошибка загрузки настроек");
    }
}

function handle_event_details($user_id, $event_id) {
    try {
        $db = SportsDatabase::getInstance();
        $event = $db->getEvent($event_id);
        
        if (!$event || $event['status'] != 'upcoming') {
            return send_message($user_id, "❌ Событие не найдено или недоступно для ставок");
        }
        
        $can_bet = $db->canMakeBet($user_id);
        $user = $db->getUser($user_id);
        $balance = safe_get($user, 'balance', 0);
        
        $text = "🏟 <b>{$event['title']}</b>\n\n";
        $text .= "⚽ <b>{$event['team1']}</b> vs <b>{$event['team2']}</b>\n";
        
        if (!empty($event['league'])) {
            $text .= "🏆 {$event['league']}\n";
        }
        
        $text .= "📅 " . format_date($event['event_date'], 'd.m.Y H:i') . "\n\n";
        $text .= "💰 Ваш баланс: {$balance} баллов\n\n";
        
        if (!$can_bet) {
            global $CONFIG;
            $text .= "⚠️ <b>Ставки недоступны!</b>\n";
            $text .= "Баланс слишком низкий (мин: {$CONFIG['MIN_BALANCE']}) или вы заблокированы.\n\n";
            
            $keyboard = [
                'inline_keyboard' => [
                    [['text' => '🔙 К событиям', 'callback_data' => 'events']]
                ]
            ];
        } else {
            $text .= "<b>💡 Выберите тип ставки:</b>\n";
            global $CONFIG;
            $text .= "<i>При проигрыше: -{$CONFIG['BET_LOSS_PENALTY']} балла штраф</i>";
            
            $keyboard = [
                'inline_keyboard' => [
                    [
                        ['text' => '🏆 Победитель', 'callback_data' => "bet_{$event_id}_winner"],
                        ['text' => '⚽ Точный счет', 'callback_data' => "bet_{$event_id}_exact_score"]
                    ],
                    [
                        ['text' => '🥅 Первый гол', 'callback_data' => "bet_{$event_id}_first_goal"],
                        ['text' => '📊 Тотал 4.5', 'callback_data' => "bet_{$event_id}_total_goals"]
                    ],
                    [
                        ['text' => '🟥 Удаление', 'callback_data' => "bet_{$event_id}_red_card"],
                        ['text' => '🎯 Пенальти', 'callback_data' => "bet_{$event_id}_penalty"]
                    ],
                    [
                        ['text' => '🤦 Автогол', 'callback_data' => "bet_{$event_id}_own_goal"],
                        ['text' => '📐 Угловые', 'callback_data' => "bet_{$event_id}_corners_winner"]
                    ],
                    [
                        ['text' => '🔙 К событиям', 'callback_data' => 'events']
                    ]
                ]
            ];
        }
        
        return send_message($user_id, $text, $keyboard);
        
    } catch (Exception $e) {
        safe_log("handle_event_details error: " . $e->getMessage(), 'ERROR');
        return send_message($user_id, "❌ Ошибка загрузки события");
    }
}

function handle_bet_type($user_id, $event_id, $bet_type) {
    try {
        $db = SportsDatabase::getInstance();
        $event = $db->getEvent($event_id);
        
        if (!$event || $event['status'] != 'upcoming') {
            return send_message($user_id, "❌ Событие не найдено или недоступно");
        }
        
        if (!$db->canMakeBet($user_id)) {
            return send_message($user_id, "❌ Ставки недоступны!");
        }
        
        $bet_types = [
            'winner' => '🏆 Победитель',
            'exact_score' => '⚽ Точный счет',
            'first_goal' => '🥅 Первый гол',
            'total_goals' => '📊 Тотал голов',
            'red_card' => '🟥 Удаление',
            'penalty' => '🎯 Пенальти',
            'own_goal' => '🤦 Автогол',
            'corners_winner' => '📐 Угловые'
        ];
        
        $type_info = $bet_types[$bet_type] ?? $bet_type;
        $settings = $db->getBetSettings($bet_type);
        
        if (empty($settings)) {
            return send_message($user_id, "❌ Настройки для этого типа ставки не найдены!");
        }
        
        $text = "🏟 <b>{$event['title']}</b>\n";
        $text .= "⚽ {$event['team1']} vs {$event['team2']}\n\n";
        $text .= "{$type_info}\n\n";
        
        global $CONFIG;
        $text .= "💰 При проигрыше: -{$CONFIG['BET_LOSS_PENALTY']} балла\n";
        $text .= "🏆 При выигрыше: баллы указаны у каждого варианта\n\n";
        $text .= "<b>Выберите ваш прогноз:</b>";
        
        $keyboard = ['inline_keyboard' => []];
        
        build_bet_options_keyboard($keyboard, $bet_type, $event, $settings);
        
        $keyboard['inline_keyboard'][] = [
            ['text' => '🔙 Назад', 'callback_data' => "event_{$event_id}"]
        ];
        
        return send_message($user_id, $text, $keyboard);
        
    } catch (Exception $e) {
        safe_log("handle_bet_type error: " . $e->getMessage(), 'ERROR');
        return send_message($user_id, "❌ Ошибка обработки ставки");
    }
}


function build_bet_options_keyboard(&$keyboard, $bet_type, $event, $settings) {
    switch ($bet_type) {
        case 'winner':
            foreach ($settings as $setting) {
                $label = '';
                if ($setting['bet_option'] == 'team1') {
                    $label = "🏆 П1 - {$event['team1']} (+{$setting['points_reward']})";
                } elseif ($setting['bet_option'] == 'team2') {
                    $label = "🏆 П2 - {$event['team2']} (+{$setting['points_reward']})";
                } elseif ($setting['bet_option'] == 'draw') {
                    $label = "🤝 Ничья (+{$setting['points_reward']})";
                }
                
                if ($label) {
                    $keyboard['inline_keyboard'][] = [
                        ['text' => $label, 'callback_data' => "confirm_bet_ask_{$event['event_id']}_{$bet_type}_{$setting['bet_option']}"]
                    ];
                }
            }
            break;
            
        case 'exact_score':
            $popular_scores = [];
            $custom_option = null;
            
            foreach ($settings as $setting) {
                if ($setting['bet_option'] == 'other') {
                    $custom_option = $setting;
                } else {
                    $popular_scores[] = $setting;
                }
            }
            
            // Популярные счета по 3 в ряд
            $rows = array_chunk($popular_scores, 3);
            foreach ($rows as $row) {
                $keyboard_row = [];
                foreach ($row as $setting) {
                    $keyboard_row[] = [
                        'text' => "{$setting['bet_option']} (+{$setting['points_reward']})",
                        'callback_data' => "confirm_bet_ask_{$event['event_id']}_{$bet_type}_{$setting['bet_option']}"
                    ];
                }
                if (!empty($keyboard_row)) {
                    $keyboard['inline_keyboard'][] = $keyboard_row;
                }
            }
            
            // ИСПРАВЛЕНО: Кнопка "Указать свой счет" вместо "Другой счет"
            if ($custom_option) {
                $keyboard['inline_keyboard'][] = [
                    ['text' => "✏️ Указать свой счет (+{$custom_option['points_reward']})", 
                     'callback_data' => "bet_custom_score_{$event['event_id']}"]
                ];
            }
            break;
            
        case 'first_goal':
            foreach ($settings as $setting) {
                $label = '';
                if ($setting['bet_option'] == 'team1') {
                    $label = "🥅 П1 - {$event['team1']} (+{$setting['points_reward']})";
                } elseif ($setting['bet_option'] == 'team2') {
                    $label = "🥅 П2 - {$event['team2']} (+{$setting['points_reward']})";
                }
                
                if ($label) {
                    $keyboard['inline_keyboard'][] = [
                        ['text' => $label, 'callback_data' => "confirm_bet_ask_{$event['event_id']}_{$bet_type}_{$setting['bet_option']}"]
                    ];
                }
            }
            break;
            
        case 'total_goals':
            foreach ($settings as $setting) {
                $label = '';
                if ($setting['bet_option'] == 'over') {
                    $label = "⬆️ Больше 4.5 голов (+{$setting['points_reward']})";
                } elseif ($setting['bet_option'] == 'under') {
                    $label = "⬇️ Меньше 4.5 голов (+{$setting['points_reward']})";
                }
                
                if ($label) {
                    $keyboard['inline_keyboard'][] = [
                        ['text' => $label, 'callback_data' => "confirm_bet_ask_{$event['event_id']}_{$bet_type}_{$setting['bet_option']}"]
                    ];
                }
            }
            break;
            
        case 'red_card':
        case 'penalty':
        case 'own_goal':
            $bet_emojis = [
                'red_card' => '🟥',
                'penalty' => '🎯', 
                'own_goal' => '🤦'
            ];
            
            foreach ($settings as $setting) {
                if ($setting['bet_option'] == 'yes') {
                    $emoji = $bet_emojis[$bet_type] ?? '🎯';
                    $keyboard['inline_keyboard'][] = [
                        ['text' => "{$emoji} Да, будет (+{$setting['points_reward']})", 
                         'callback_data' => "confirm_bet_ask_{$event['event_id']}_{$bet_type}_yes"]
                    ];
                }
            }
            break;
            
        case 'corners_winner':
            foreach ($settings as $setting) {
                $label = '';
                if ($setting['bet_option'] == 'team1') {
                    $label = "📐 П1 - {$event['team1']} (+{$setting['points_reward']})";
                } elseif ($setting['bet_option'] == 'team2') {
                    $label = "📐 П2 - {$event['team2']} (+{$setting['points_reward']})";
                } elseif ($setting['bet_option'] == 'draw') {
                    $label = "🤝 Поровну угловых (+{$setting['points_reward']})";
                }
                
                if ($label) {
                    $keyboard['inline_keyboard'][] = [
                        ['text' => $label, 'callback_data' => "confirm_bet_ask_{$event['event_id']}_{$bet_type}_{$setting['bet_option']}"]
                    ];
                }
            }
            break;
    }
}

// НОВАЯ функция - обработка кнопки "Указать свой счет"
function handle_custom_score_request($user_id, $event_id) {
    try {
        $db = SportsDatabase::getInstance();
        $event = $db->getEvent($event_id);
        
        if (!$event || $event['status'] != 'upcoming') {
            return send_message($user_id, "❌ Событие не найдено или недоступно");
        }
        
        if (!$db->canMakeBet($user_id)) {
            return send_message($user_id, "❌ Ставки недоступны!");
        }
        
        // Устанавливаем состояние ожидания ввода счета
        $state_data = [
            'event_id' => $event_id,
            'bet_type' => 'exact_score'
        ];
        
        $result = $db->setUserState($user_id, 'waiting_custom_score', $state_data);
        
        if (!$result) {
            return send_message($user_id, "❌ Техническая ошибка. Попробуйте позже.");
        }
        
        $text = "✏️ <b>Укажите точный счет</b>\n\n";
        $text .= "🏟 Событие: <b>{$event['title']}</b>\n";
        $text .= "⚽ {$event['team1']} vs {$event['team2']}\n\n";
        $text .= "📝 <b>Введите счет в формате X-Y</b>\n";
        $text .= "Используйте дефис (-) между цифрами!\n\n";
        $text .= "📋 <b>Примеры:</b>\n";
        $text .= "• <code>2-1</code> (2 голов первая команда, 1 гол вторая)\n";
        $text .= "• <code>0-3</code> (0 голов первая команда, 3 гола вторая)\n";
        $text .= "• <code>4-2</code> (4 гола первая команда, 2 гола вторая)\n";
        $text .= "• <code>1-1</code> (ничья 1:1)\n\n";
        $text .= "⚠️ <b>Важно:</b> Обязательно используйте дефис (-)!";
        
        $keyboard = [
            'inline_keyboard' => [
                [['text' => '❌ Отмена', 'callback_data' => "bet_{$event_id}_exact_score"]]
            ]
        ];
        
        return send_message($user_id, $text, $keyboard);
        
    } catch (Exception $e) {
        safe_log("handle_custom_score_request error: " . $e->getMessage(), 'ERROR');
        return send_message($user_id, "❌ Ошибка обработки запроса");
    }
}


// ИСПРАВЛЕННАЯ функция place_bet с правильной обработкой ошибок
function place_bet($user_id, $event_id, $bet_type, $bet_answer) {
    try {
        $db = SportsDatabase::getInstance();
        
        // Сначала проверяем, можно ли делать ставку
        if (!$db->canMakeBet($user_id)) {
            return send_message($user_id, "❌ Ставки недоступны! Недостаточно баланса или аккаунт заблокирован.");
        }
        
        // Проверяем событие
        $event = $db->getEvent($event_id);
        if (!$event || $event['status'] != 'upcoming') {
            return send_message($user_id, "❌ Событие не найдено или недоступно для ставок.");
        }
        
        // НОВАЯ ПРОВЕРКА: есть ли уже ставка этого типа
        $existing_bet = $db->getUserBetOnEvent($user_id, $event_id, $bet_type);
        if ($existing_bet) {
            $bet_types = [
                'winner' => '🏆 Победитель',
                'exact_score' => '⚽ Точный счет',
                'first_goal' => '🥅 Первый гол',
                'total_goals' => '📊 Тотал голов',
                'red_card' => '🟥 Удаление',
                'penalty' => '🎯 Пенальти',
                'own_goal' => '🤦 Автогол',
                'corners_winner' => '📐 Угловые'
            ];
            
            $type_name = $bet_types[$bet_type] ?? $bet_type;
            $existing_answer = format_bet_display($bet_type, $existing_bet['bet_answer'], $event['team1'], $event['team2']);
            
            $text = "⚠️ <b>У вас уже есть ставка!</b>\n\n";
            $text .= "🏟 Событие: <b>{$event['title']}</b>\n";
            $text .= "🎯 Тип: {$type_name}\n";
            $text .= "📝 Ваша ставка: <b>{$existing_answer}</b>\n";
            $text .= "💰 Потенциальный выигрыш: +{$existing_bet['potential_win']} баллов\n\n";
            $text .= "💡 Вы можете сделать ставки других типов на это событие.";
            
            $keyboard = [
                'inline_keyboard' => [
                    [
                        ['text' => '📝 Другие ставки', 'callback_data' => "event_{$event_id}"],
                        ['text' => '📋 Мои ставки', 'callback_data' => 'history']
                    ],
                    [
                        ['text' => '⚽ К событиям', 'callback_data' => 'events'],
                        ['text' => '🔙 Главное меню', 'callback_data' => 'start']
                    ]
                ]
            ];
            
            return send_message($user_id, $text, $keyboard);
        }
        
        // Пытаемся создать ставку
        $bet_id = $db->makeBet($user_id, $event_id, $bet_type, $bet_answer);
        
        if (!$bet_id) {
            // Если ставка не создалась, показываем общую ошибку
            $text = "❌ <b>Не удалось создать ставку</b>\n\n";
            $text .= "Возможные причины:\n";
            $text .= "• Недостаточно баланса\n";
            $text .= "• Событие недоступно\n";
            $text .= "• Техническая ошибка\n\n";
            $text .= "Попробуйте еще раз или обратитесь к администратору.";
            
            $keyboard = [
                'inline_keyboard' => [
                    [
                        ['text' => '🔄 Попробовать снова', 'callback_data' => "event_{$event_id}"],
                        ['text' => '👤 Профиль', 'callback_data' => 'profile']
                    ],
                    [
                        ['text' => '⚽ К событиям', 'callback_data' => 'events'],
                        ['text' => '🔙 Главное меню', 'callback_data' => 'start']
                    ]
                ]
            ];
            
            return send_message($user_id, $text, $keyboard);
        }
        
        // Ставка успешно создана
        $bet_types = [
            'winner' => '🏆 Победитель',
            'exact_score' => '⚽ Точный счет',
            'first_goal' => '🥅 Первый гол',
            'total_goals' => '📊 Тотал голов',
            'red_card' => '🟥 Удаление',
            'penalty' => '🎯 Пенальти',
            'own_goal' => '🤦 Автогол',
            'corners_winner' => '📐 Угловые'
        ];
        
        $type_info = $bet_types[$bet_type] ?? $bet_type;
        $reward = $db->getBetReward($bet_type, $bet_answer);
        $formatted_answer = format_bet_display($bet_type, $bet_answer, $event['team1'], $event['team2']);
        
        $user = $db->getUser($user_id);
        $balance = safe_get($user, 'balance', 0);
        
        $text = "✅ <b>Ставка принята!</b>\n\n";
        $text .= "🏟 Событие: <b>{$event['title']}</b>\n";
        $text .= "⚽ {$event['team1']} vs {$event['team2']}\n";
        $text .= "🎯 Тип: {$type_info}\n";
        $text .= "📝 Прогноз: <b>{$formatted_answer}</b>\n\n";
        
        global $CONFIG;
        $text .= "💰 При проигрыше: <b>-{$CONFIG['BET_LOSS_PENALTY']}</b> балла\n";
        $text .= "🏆 При выигрыше: <b>+{$reward}</b> баллов\n\n";
        $text .= "💳 Ваш баланс: <b>{$balance}</b> баллов";
        
        $keyboard = [
            'inline_keyboard' => [
                [
                    ['text' => '📝 Еще ставка', 'callback_data' => "event_{$event_id}"],
                    ['text' => '📋 История', 'callback_data' => 'history']
                ],
                [
                    ['text' => '⚽ К событиям', 'callback_data' => 'events'],
                    ['text' => '🔙 Главное меню', 'callback_data' => 'start']
                ]
            ]
        ];
        
        send_message($user_id, $text, $keyboard);
        
        // Уведомляем админов
        notify_admins("📝 Новая ставка от пользователя {$user['first_name']} (ID: {$user_id})\nСобытие: {$event['title']}\nСтавка: {$type_info} - {$formatted_answer}");
        
        return true;
        
    } catch (Exception $e) {
        safe_log("place_bet error: " . $e->getMessage(), 'ERROR');
        return send_message($user_id, "❌ Техническая ошибка при размещении ставки. Попробуйте позже.");
    }
}
// ========================================
// АДМИНСКИЕ КОМАНДЫ
// ========================================

function handle_add_event_command($user_id, $text) {
    global $CONFIG;
    
    if (!in_array($user_id, $CONFIG['ADMIN_IDS'])) {
        return;
    }
    
    $command_text = str_replace('/add_event ', '', $text);
    $parts = explode('|', $command_text);
    
    if (count($parts) < 4) {
        return send_message($user_id, 
            "❌ Неверный формат!\n\n" .
            "Используйте: <code>/add_event Название|Команда1|Команда2|YYYY-MM-DD HH:MM|Лига</code>\n\n" .
            "Пример: <code>/add_event Финал ЧМ|Аргентина|Франция|2025-07-15 21:00|ЧМ 2026</code>"
        );
    }
    
    $title = trim($parts[0]);
    $team1 = trim($parts[1]);
    $team2 = trim($parts[2]);
    $event_date = trim($parts[3]);
    $league = isset($parts[4]) ? trim($parts[4]) : null;
    
    $date_obj = DateTime::createFromFormat('Y-m-d H:i', $event_date);
    if (!$date_obj || $date_obj->format('Y-m-d H:i') !== $event_date) {
        return send_message($user_id, 
            "❌ Неверный формат даты!\n\n" .
            "Используйте формат: YYYY-MM-DD HH:MM\n" .
            "Пример: 2025-07-15 21:00"
        );
    }
    
    try {
        $db = SportsDatabase::getInstance();
        $result = $db->addEvent($title, $team1, $team2, $event_date, $user_id, $league);
        
        if ($result) {
            $text = "✅ <b>Событие добавлено!</b>\n\n";
            $text .= "🆔 ID: {$result}\n";
            $text .= "🏟 Название: {$title}\n";
            $text .= "⚽ Команды: {$team1} vs {$team2}\n";
            $text .= "📅 Дата: " . format_date($event_date);
            if ($league) {
                $text .= "\n🏆 Лига: {$league}";
            }
            
            notify_admins("🆕 Добавлено новое событие: {$title} ({$team1} vs {$team2})");
            return send_message($user_id, $text);
        } else {
            return send_message($user_id, "❌ Ошибка при добавлении события!");
        }
    } catch (Exception $e) {
        safe_log("handle_add_event_command error: " . $e->getMessage(), 'ERROR');
        return send_message($user_id, "❌ Ошибка: " . $e->getMessage());
    }
}

function handle_finish_event_command($user_id, $text) {
    global $CONFIG;
    
    if (!in_array($user_id, $CONFIG['ADMIN_IDS'])) {
        return;
    }
    
    $parts = explode(' ', str_replace('/finish_event ', '', $text), 2);
    
    if (count($parts) < 2) {
        return send_message($user_id, 
            "❌ Неверный формат!\n\n" .
            "Используйте: <code>/finish_event EVENT_ID результат_JSON</code>\n\n" .
            "Пример: <code>/finish_event 123 {\"winner\":\"team1\",\"score\":\"2-1\"}</code>"
        );
    }
    
    $event_id = (int)$parts[0];
    $result_json = $parts[1];
    
    $result = json_decode($result_json, true);
    if (json_last_error() !== JSON_ERROR_NONE) {
        return send_message($user_id, 
            "❌ Неверный формат JSON!\n\n" .
            "Ошибка: " . json_last_error_msg() . "\n\n" .
            "Пример: <code>{\"winner\":\"team1\",\"score\":\"2-1\",\"total_goals\":3}</code>"
        );
    }
    
    try {
        $db = SportsDatabase::getInstance();
        $event = $db->getEvent($event_id);
        
        if (!$event) {
            return send_message($user_id, "❌ Событие с ID {$event_id} не найдено!");
        }
        
        if ($event['status'] !== 'upcoming') {
            return send_message($user_id, "❌ Событие уже завершено или отменено!");
        }
        
        $finish_result = $db->finishEvent($event_id, $result, $user_id);
        
        if ($finish_result) {
            $text = "✅ <b>Событие завершено!</b>\n\n";
            $text .= "🏟 {$event['title']}\n";
            $text .= "⚽ {$event['team1']} vs {$event['team2']}\n";
            $text .= "📊 Результат: " . json_encode($result, JSON_UNESCAPED_UNICODE) . "\n\n";
            $text .= "🎯 Все ставки обработаны автоматически.";
            
            notify_admins("✅ Событие завершено: {$event['title']} - все ставки обработаны");
            return send_message($user_id, $text);
        } else {
            return send_message($user_id, "❌ Ошибка при завершении события!");
        }
    } catch (Exception $e) {
        safe_log("handle_finish_event_command error: " . $e->getMessage(), 'ERROR');
        return send_message($user_id, "❌ Ошибка: " . $e->getMessage());
    }
}

function handle_balance_command($user_id, $text) {
    global $CONFIG;
    
    if (!in_array($user_id, $CONFIG['ADMIN_IDS'])) {
        return;
    }
    
    $parts = explode(' ', str_replace('/balance ', '', $text));
    
    if (count($parts) < 2) {
        return send_message($user_id, 
            "❌ Неверный формат!\n\n" .
            "Используйте: <code>/balance USER_ID AMOUNT</code>\n\n" .
            "Примеры:\n" .
            "• <code>/balance 123456789 10</code> - добавить 10 баллов\n" .
            "• <code>/balance 123456789 -5</code> - снять 5 баллов"
        );
    }
    
    $target_user_id = (int)$parts[0];
    $amount = (int)$parts[1];
    
    if ($target_user_id <= 0) {
        return send_message($user_id, "❌ Неверный ID пользователя!");
    }
    
    if ($amount == 0) {
        return send_message($user_id, "❌ Сумма не может быть равна нулю!");
    }
    
    try {
        $db = SportsDatabase::getInstance();
        $target_user = $db->getUser($target_user_id);
        
        if (!$target_user) {
            return send_message($user_id, "❌ Пользователь с ID {$target_user_id} не найден!");
        }
        
        $balance_before = $target_user['balance'];
        $description = $amount > 0 ? 
            "Пополнение баланса администратором" : 
            "Списание баланса администратором";
        
        $result = $db->updateBalance(
            $target_user_id, 
            $amount, 
            'admin_adjustment', 
            $description,
            null, 
            $user_id
        );
        
        if ($result) {
            $balance_after = $balance_before + $amount;
            $first_name = $target_user['first_name'] ?? 'Пользователь';
            
            $text = "✅ <b>Баланс изменен!</b>\n\n";
            $text .= "👤 Пользователь: {$first_name} (ID: {$target_user_id})\n";
            $text .= "💰 Было: {$balance_before} баллов\n";
            $text .= "💰 Стало: {$balance_after} баллов\n";
            $text .= "📊 Изменение: " . ($amount > 0 ? "+{$amount}" : "{$amount}") . " баллов";
            
            send_message($user_id, $text);
            
            if ($amount > 0) {
                send_message($target_user_id, 
                    "💰 <b>Баланс пополнен!</b>\n\n" .
                    "Администратор пополнил ваш баланс на {$amount} баллов.\n" .
                    "Новый баланс: {$balance_after} баллов"
                );
                
                $db->addNotification(
                    $target_user_id,
                    'balance_change',
                    'Баланс пополнен',
                    "Ваш баланс пополнен на {$amount} баллов администратором"
                );
            } else {
                send_message($target_user_id, 
                    "💸 <b>Баланс изменен</b>\n\n" .
                    "Администратор списал с вашего баланса " . abs($amount) . " баллов.\n" .
                    "Новый баланс: {$balance_after} баллов"
                );
                
                $db->addNotification(
                    $target_user_id,
                    'balance_change',
                    'Баланс изменен',
                    "С вашего баланса списано " . abs($amount) . " баллов администратором"
                );
            }
        } else {
            return send_message($user_id, "❌ Ошибка при изменении баланса!");
        }
    } catch (Exception $e) {
        safe_log("handle_balance_command error: " . $e->getMessage(), 'ERROR');
        return send_message($user_id, "❌ Ошибка: " . $e->getMessage());
    }
}

// СРОЧНАЯ команда для исправления балансов - добавить в handle_message
function handle_fix_balances_command($user_id, $text) {
    global $CONFIG;
    
    if (!in_array($user_id, $CONFIG['ADMIN_IDS'])) {
        return;
    }
    
    $parts = explode(' ', str_replace('/fix_balances ', '', $text));
    
    if (count($parts) < 1) {
        return send_message($user_id, 
            "❌ Используйте: <code>/fix_balances EVENT_ID</code>\n\n" .
            "Это исправит балансы всех участников последнего завершенного события"
        );
    }
    
    $event_id = (int)$parts[0];
    
    try {
        $db = SportsDatabase::getInstance();
        $event = $db->getEvent($event_id);
        
        if (!$event) {
            return send_message($user_id, "❌ Событие {$event_id} не найдено");
        }
        
        if ($event['status'] !== 'finished') {
            return send_message($user_id, "❌ Событие должно быть завершено");
        }
        
        $result = json_decode($event['result'], true);
        if (!$result) {
            return send_message($user_id, "❌ Нет результата события");
        }
        
        // Получаем все ставки на это событие
        $stmt = $db->getPdo()->prepare("
            SELECT b.*, u.first_name, u.balance 
            FROM bets b 
            LEFT JOIN users u ON b.user_id = u.user_id 
            WHERE b.event_id = ? AND b.status IN ('won', 'lost')
            ORDER BY b.user_id
        ");
        $stmt->execute([$event_id]);
        $bets = $stmt->fetchAll();
        
        $text = "🔧 <b>Исправление балансов события #{$event_id}</b>\n\n";
        $fixed_count = 0;
        
        foreach ($bets as $bet) {
            // Проверяем правильный результат ставки
            $should_win = check_bet_result_fixed($bet, $result);
            $current_status = $bet['status'];
            
            if (($should_win && $current_status === 'lost') || (!$should_win && $current_status === 'won')) {
                $fixed_count++;
                
                if ($should_win) {
                    // Ставка должна была выиграть, но помечена как проигрыш
                    $compensation = $bet['potential_win'] + $CONFIG['BET_LOSS_PENALTY'];
                    
                    $db->updateBalance(
                        $bet['user_id'], 
                        $compensation, 
                        'admin_adjustment', 
                        "Исправление неверного результата ставки #{$bet['bet_id']}", 
                        $bet['bet_id'], 
                        $user_id
                    );
                    
                    // Обновляем статус ставки
                    $stmt = $db->getPdo()->prepare("
                        UPDATE bets 
                        SET status = 'won', points_earned = ? 
                        WHERE bet_id = ?
                    ");
                    $stmt->execute([$bet['potential_win'], $bet['bet_id']]);
                    
                    $text .= "✅ {$bet['first_name']}: +{$compensation} (ставка должна была выиграть)\n";
                    
                } else {
                    // Ставка должна была проиграть, но помечена как выигрыш
                    $compensation = -($bet['points_earned'] + $CONFIG['BET_LOSS_PENALTY']);
                    
                    $db->updateBalance(
                        $bet['user_id'], 
                        $compensation, 
                        'admin_adjustment', 
                        "Исправление неверного результата ставки #{$bet['bet_id']}", 
                        $bet['bet_id'], 
                        $user_id
                    );
                    
                    // Обновляем статус ставки
                    $stmt = $db->getPdo()->prepare("
                        UPDATE bets 
                        SET status = 'lost', points_earned = 0 
                        WHERE bet_id = ?
                    ");
                    $stmt->execute([$bet['bet_id']]);
                    
                    $text .= "❌ {$bet['first_name']}: {$compensation} (ставка должна была проиграть)\n";
                }
            }
        }
        
        if ($fixed_count > 0) {
            $text .= "\n✅ Исправлено ставок: {$fixed_count}";
            notify_admins("🔧 Исправлены балансы для события #{$event_id}: {$fixed_count} ставок");
        } else {
            $text .= "\n✅ Все ставки были правильными, исправлений не требуется";
        }
        
        return send_message($user_id, $text);
        
    } catch (Exception $e) {
        safe_log("handle_fix_balances_command error: " . $e->getMessage(), 'ERROR');
        return send_message($user_id, "❌ Ошибка исправления: " . $e->getMessage());
    }
}


// ИСПРАВЛЕННАЯ функция проверки результата ставки
function check_bet_result_fixed($bet, $result) {
    $bet_type = $bet['bet_type'];
    $bet_answer = $bet['bet_answer'];
    
    safe_log("Checking bet: type={$bet_type}, answer={$bet_answer}, result=" . json_encode($result));
    
    switch ($bet_type) {
        case 'winner':
            $is_correct = isset($result['winner']) && $result['winner'] === $bet_answer;
            safe_log("Winner bet: expected={$bet_answer}, actual={$result['winner']}, correct=" . ($is_correct ? '1' : '0'));
            return $is_correct;
            
        case 'exact_score':
            if ($bet_answer === 'other') {
                $popular_scores = ['0-0', '1-0', '0-1', '1-1', '2-0', '0-2', '2-1', '1-2', '2-2', '3-0', '0-3', '3-1', '1-3', '3-2', '2-3', '3-3'];
                $is_correct = isset($result['score']) && !in_array($result['score'], $popular_scores);
            } else {
                $is_correct = isset($result['score']) && $result['score'] === $bet_answer;
            }
            safe_log("Exact score bet: expected={$bet_answer}, actual={$result['score']}, correct=" . ($is_correct ? '1' : '0'));
            return $is_correct;
            
        case 'first_goal':
            // ИСПРАВЛЕНО: если нет данных о первом голе, считаем ставку проигрышной
            if (!isset($result['first_goal']) || $result['first_goal'] === null || $result['first_goal'] === '') {
                safe_log("First goal bet: NO DATA in result, marking as LOST");
                return false;
            }
            $is_correct = $result['first_goal'] === $bet_answer;
            safe_log("First goal bet: expected={$bet_answer}, actual={$result['first_goal']}, correct=" . ($is_correct ? '1' : '0'));
            return $is_correct;
            
        case 'total_goals':
            if (isset($result['total_goals'])) {
                $total = (int)$result['total_goals'];
                $is_correct = ($bet_answer === 'over' && $total > 4) || 
                             ($bet_answer === 'under' && $total <= 4);
                safe_log("Total goals bet: expected={$bet_answer}, total={$total}, correct=" . ($is_correct ? '1' : '0'));
                return $is_correct;
            }
            break;
            
        case 'red_card':
            // ИСПРАВЛЕНО: если нет данных об удалении, считаем что удаления не было
            if (!isset($result['red_card'])) {
                safe_log("Red card bet: NO DATA in result, assuming NO red card");
                return false; // Ставка "да, будет удаление" проигрывает если данных нет
            }
            $is_correct = $result['red_card'] === true;
            safe_log("Red card bet: result=" . ($result['red_card'] ? 'true' : 'false') . ", correct=" . ($is_correct ? '1' : '0'));
            return $is_correct;
            
        case 'penalty':
            // ИСПРАВЛЕНО: если нет данных о пенальти, считаем что пенальти не было
            if (!isset($result['penalty'])) {
                safe_log("Penalty bet: NO DATA in result, assuming NO penalty");
                return false;
            }
            $is_correct = $result['penalty'] === true;
            safe_log("Penalty bet: result=" . ($result['penalty'] ? 'true' : 'false') . ", correct=" . ($is_correct ? '1' : '0'));
            return $is_correct;
            
        case 'own_goal':
            // ИСПРАВЛЕНО: если нет данных об автоголе, считаем что автогола не было
            if (!isset($result['own_goal'])) {
                safe_log("Own goal bet: NO DATA in result, assuming NO own goal");
                return false;
            }
            $is_correct = $result['own_goal'] === true;
            safe_log("Own goal bet: result=" . ($result['own_goal'] ? 'true' : 'false') . ", correct=" . ($is_correct ? '1' : '0'));
            return $is_correct;
            
        case 'corners_winner':
            // ИСПРАВЛЕНО: если нет данных об угловых, считаем ставку проигрышной
            if (!isset($result['corners_winner']) || $result['corners_winner'] === null || $result['corners_winner'] === '') {
                safe_log("Corners bet: NO DATA in result, marking as LOST");
                return false;
            }
            $is_correct = $result['corners_winner'] === $bet_answer;
            safe_log("Corners bet: expected={$bet_answer}, actual={$result['corners_winner']}, correct=" . ($is_correct ? '1' : '0'));
            return $is_correct;
    }
    
    safe_log("Unknown bet type or missing result data");
    return false;
}


function handle_update_event_result_command($user_id, $text) {
    global $CONFIG;
    
    if (!in_array($user_id, $CONFIG['ADMIN_IDS'])) {
        return;
    }
    
    $parts = explode(' ', str_replace('/update_event_result ', '', $text), 2);
    
    if (count($parts) < 2) {
        return send_message($user_id, 
            "❌ Неверный формат!\n\n" .
            "Используйте: <code>/update_event_result EVENT_ID результат_JSON</code>\n\n" .
            "Пример: <code>/update_event_result 1 {\"winner\":\"team1\",\"score\":\"2-0\",\"total_goals\":2,\"first_goal\":\"team1\",\"red_card\":false,\"penalty\":false,\"own_goal\":true,\"corners_winner\":\"team1\"}</code>"
        );
    }
    
    $event_id = (int)$parts[0];
    $result_json = $parts[1];
    
    $result = json_decode($result_json, true);
    if (json_last_error() !== JSON_ERROR_NONE) {
        return send_message($user_id, 
            "❌ Неверный формат JSON!\n\n" .
            "Ошибка: " . json_last_error_msg() . "\n\n" .
            "Пример: <code>{\"winner\":\"team1\",\"score\":\"2-0\",\"total_goals\":2,\"first_goal\":\"team1\",\"red_card\":false,\"penalty\":false,\"own_goal\":true,\"corners_winner\":\"team1\"}</code>"
        );
    }
    
    try {
        $db = SportsDatabase::getInstance();
        $event = $db->getEvent($event_id);
        
        if (!$event) {
            return send_message($user_id, "❌ Событие с ID {$event_id} не найдено!");
        }
        
        if ($event['status'] !== 'finished') {
            return send_message($user_id, "❌ Событие должно быть завершено для обновления результата!");
        }
        
        // Обновляем результат события
        $stmt = $db->getPdo()->prepare("
            UPDATE events 
            SET result = ?, updated_at = NOW() 
            WHERE event_id = ?
        ");
        $update_result = $stmt->execute([json_encode($result), $event_id]);
        
        if ($update_result) {
            $text = "✅ <b>Результат события обновлен!</b>\n\n";
            $text .= "🏟 {$event['title']}\n";
            $text .= "⚽ {$event['team1']} vs {$event['team2']}\n";
            $text .= "📊 Новый результат: " . json_encode($result, JSON_UNESCAPED_UNICODE) . "\n\n";
            $text .= "💡 Теперь можно запустить <code>/fix_balances {$event_id}</code> для пересчета ставок";
            
            notify_admins("📊 Результат события #{$event_id} обновлен администратором");
            return send_message($user_id, $text);
        } else {
            return send_message($user_id, "❌ Ошибка при обновлении результата события!");
        }
    } catch (Exception $e) {
        safe_log("handle_update_event_result_command error: " . $e->getMessage(), 'ERROR');
        return send_message($user_id, "❌ Ошибка: " . $e->getMessage());
    }
}

function handle_update_bet_command($user_id, $text) {
    global $CONFIG;
    
    if (!in_array($user_id, $CONFIG['ADMIN_IDS'])) {
        return;
    }
    
    $parts = explode(' ', str_replace('/update_bet ', '', $text));
    
    if (count($parts) < 3) {
        return send_message($user_id, 
            "❌ Неверный формат!\n\n" .
            "Используйте: <code>/update_bet БЕТ_ТИП ВАРИАНТ БАЛЛЫ</code>\n\n" .
            "Примеры:\n" .
            "• <code>/update_bet winner team1 10</code>\n" .
            "• <code>/update_bet exact_score 1-0 12</code>\n" .
            "• <code>/update_bet total_goals over 6</code>"
        );
    }
    
    $bet_type = $parts[0];
    $bet_option = $parts[1];
    $new_points = (int)$parts[2];
    
    if ($new_points <= 0 || $new_points > 50) {
        return send_message($user_id, "❌ Количество баллов должно быть от 1 до 50!");
    }
    
    try {
        $db = SportsDatabase::getInstance();
        $result = $db->updateBetSetting($bet_type, $bet_option, $new_points);
        
        if ($result) {
            $option_name = format_bet_option($bet_type, $bet_option);
            
            $text = "✅ <b>Настройка обновлена!</b>\n\n";
            $text .= "🎯 Тип: {$bet_type}\n";
            $text .= "📝 Вариант: {$option_name}\n";
            $text .= "💰 Новые баллы: {$new_points}";
            
            notify_admins("⚙️ Настройка ставки обновлена: {$bet_type}/{$bet_option} = {$new_points} баллов");
            return send_message($user_id, $text);
        } else {
            return send_message($user_id, "❌ Настройка не найдена или не изменена!");
        }
    } catch (Exception $e) {
        safe_log("handle_update_bet_command error: " . $e->getMessage(), 'ERROR');
        return send_message($user_id, "❌ Ошибка: " . $e->getMessage());
    }
}

function handle_ban_command($user_id, $text) {
    global $CONFIG;
    
    if (!in_array($user_id, $CONFIG['ADMIN_IDS'])) {
        return;
    }
    
    $parts = explode(' ', str_replace('/ban ', '', $text), 2);
    
    if (count($parts) < 1) {
        return send_message($user_id, 
            "❌ Неверный формат!\n\n" .
            "Используйте: <code>/ban USER_ID [причина]</code>\n\n" .
            "Примеры:\n" .
            "• <code>/ban 123456789</code>\n" .
            "• <code>/ban 123456789 Нарушение правил</code>"
        );
    }
    
    $target_user_id = (int)$parts[0];
    $reason = isset($parts[1]) ? $parts[1] : 'Нарушение правил';
    
    if ($target_user_id <= 0) {
        return send_message($user_id, "❌ Неверный ID пользователя!");
    }
    
    if (in_array($target_user_id, $CONFIG['ADMIN_IDS'])) {
        return send_message($user_id, "❌ Нельзя заблокировать администратора!");
    }
    
    try {
        $db = SportsDatabase::getInstance();
        $target_user = $db->getUser($target_user_id);
        
        if (!$target_user) {
            return send_message($user_id, "❌ Пользователь с ID {$target_user_id} не найден!");
        }
        
        if ($target_user['is_banned']) {
            return send_message($user_id, "❌ Пользователь уже заблокирован!");
        }
        
        $result = $db->banUser($target_user_id, $reason, $user_id);
        
        if ($result) {
            $first_name = $target_user['first_name'] ?? 'Пользователь';
            
            $text = "🚫 <b>Пользователь заблокирован!</b>\n\n";
            $text .= "👤 Пользователь: {$first_name} (ID: {$target_user_id})\n";
            $text .= "📝 Причина: {$reason}";
            
            send_message($user_id, $text);
            
            send_message($target_user_id, 
                "🚫 <b>Ваш аккаунт заблокирован</b>\n\n" .
                "📝 Причина: {$reason}\n\n" .
                "Для разблокировки обратитесь к администратору."
            );
            
            notify_admins("🚫 Пользователь {$first_name} (ID: {$target_user_id}) заблокирован. Причина: {$reason}");
        } else {
            return send_message($user_id, "❌ Ошибка при блокировке пользователя!");
        }
    } catch (Exception $e) {
        safe_log("handle_ban_command error: " . $e->getMessage(), 'ERROR');
        return send_message($user_id, "❌ Ошибка: " . $e->getMessage());
    }
}

function handle_unban_command($user_id, $text) {
    global $CONFIG;
    
    if (!in_array($user_id, $CONFIG['ADMIN_IDS'])) {
        return;
    }
    
    $target_user_id = (int)str_replace('/unban ', '', trim($text));
    
    if ($target_user_id <= 0) {
        return send_message($user_id, 
            "❌ Неверный формат!\n\n" .
            "Используйте: <code>/unban USER_ID</code>\n\n" .
            "Пример: <code>/unban 123456789</code>"
        );
    }
    
    try {
        $db = SportsDatabase::getInstance();
        $target_user = $db->getUser($target_user_id);
        
        if (!$target_user) {
            return send_message($user_id, "❌ Пользователь с ID {$target_user_id} не найден!");
        }
        
        if (!$target_user['is_banned']) {
            return send_message($user_id, "❌ Пользователь не заблокирован!");
        }
        
        $result = $db->unbanUser($target_user_id, $user_id);
        
        if ($result) {
            $first_name = $target_user['first_name'] ?? 'Пользователь';
            
            $text = "✅ <b>Пользователь разблокирован!</b>\n\n";
            $text .= "👤 Пользователь: {$first_name} (ID: {$target_user_id})";
            
            send_message($user_id, $text);
            
            send_message($target_user_id, 
                "✅ <b>Ваш аккаунт разблокирован</b>\n\n" .
                "Теперь вы снова можете делать ставки!"
            );
            
            notify_admins("✅ Пользователь {$first_name} (ID: {$target_user_id}) разблокирован");
        } else {
            return send_message($user_id, "❌ Ошибка при разблокировке пользователя!");
        }
    } catch (Exception $e) {
        safe_log("handle_unban_command error: " . $e->getMessage(), 'ERROR');
        return send_message($user_id, "❌ Ошибка: " . $e->getMessage());
    }
}


// ========================================
// ОБРАБОТКА CALLBACK И КОМАНД
// ========================================
function format_bet_display($bet_type, $bet_answer, $team1 = '', $team2 = '') {
    switch ($bet_type) {
        case 'winner':
            switch ($bet_answer) {
                case 'team1':
                    return $team1 ? "П1 ({$team1})" : "П1";
                case 'team2':
                    return $team2 ? "П2 ({$team2})" : "П2";
                case 'draw':
                    return "Ничья";
                default:
                    return $bet_answer;
            }
            
        case 'exact_score':
            return $bet_answer === 'other' ? "Другой счет" : "Счет {$bet_answer}";
            
        case 'first_goal':
            switch ($bet_answer) {
                case 'team1':
                    return $team1 ? "Первый гол - {$team1}" : "Первый гол - П1";
                case 'team2':
                    return $team2 ? "Первый гол - {$team2}" : "Первый гол - П2";
                default:
                    return $bet_answer;
            }
            
        case 'total_goals':
            switch ($bet_answer) {
                case 'over':
                    return "Больше 4.5 голов";
                case 'under':
                    return "Меньше 4.5 голов";
                default:
                    return $bet_answer;
            }
            
        case 'red_card':
            return $bet_answer === 'yes' ? "Будет удаление" : "Не будет удаления";
            
        case 'penalty':
            return $bet_answer === 'yes' ? "Будет пенальти" : "Не будет пенальти";
            
        case 'own_goal':
            return $bet_answer === 'yes' ? "Будет автогол" : "Не будет автогола";
            
        case 'corners_winner':
            switch ($bet_answer) {
                case 'team1':
                    return $team1 ? "Больше угловых - {$team1}" : "Больше угловых - П1";
                case 'team2':
                    return $team2 ? "Больше угловых - {$team2}" : "Больше угловых - П2";
                case 'draw':
                    return "Равное количество угловых";
                default:
                    return $bet_answer;
            }
            
        default:
            return $bet_answer;
    }
}

function format_event_history($events, $show_status = true) {
    if (empty($events)) {
        return "🤷‍♂️ Нет событий для отображения";
    }
    
    $text = "";
    foreach ($events as $event) {
        $date = format_date($event['event_date'], 'd.m H:i');
        
        if ($show_status) {
            $status_emoji = get_status_emoji($event['status']);
            $status_text = translate_event_status($event['status']);
            $text .= "{$status_emoji} ";
        }
        
        $text .= "🆔 {$event['event_id']}: {$event['team1']} vs {$event['team2']}";
        
        if ($show_status) {
            $text .= " ({$status_text})";
        }
        
        $text .= " - {$date}\n";
        
        if (!empty($event['league'])) {
            $text .= "   🏆 {$event['league']}\n";
        }
    }
    
    return $text;
}


// ИСПРАВЛЕННАЯ функция handle_callback БЕЗ дублирования
function handle_callback($callback_query) {
    $user_id = $callback_query['from']['id'];
    $data = $callback_query['data'];
    $username = $callback_query['from']['username'] ?? '';
    $first_name = $callback_query['from']['first_name'] ?? 'User';
    
    safe_log("Callback: {$data} from {$user_id}");
    safe_log("=== CALLBACK PROCESSING START ===");
    safe_log("Processing callback: {$data}");
    
    // Диагностика маршрутизации
    if (strpos($data, 'admin_event_status_') === 0) {
        safe_log("ROUTE: admin_event_status found");
    } elseif (strpos($data, 'confirm_bet_ask_') === 0) {
        safe_log("ROUTE: confirm_bet_ask found");
    } elseif (strpos($data, 'confirm_bet_') === 0) {
        safe_log("ROUTE: confirm_bet found");
    } elseif (strpos($data, 'bet_custom_score_') === 0) {
        safe_log("ROUTE: bet_custom_score found");
    } elseif (strpos($data, 'bet_') === 0) {
        safe_log("ROUTE: bet_ found");
    } else {
        safe_log("ROUTE: Other");
    }
    
    safe_log("=== CALLBACK PROCESSING CONTINUE ===");
    
    // 1. ИЗМЕНЕНИЕ СТАТУСА СОБЫТИЯ (ПРИОРИТЕТ!)
    if (strpos($data, 'admin_event_status_') === 0) {
        safe_log("ROUTE: admin_event_status found");
        
        // Парсим callback формата: admin_event_status_EVENT_ID_NEW_STATUS
        $pattern = '/^admin_event_status_(\d+)_(.+)$/';
        if (preg_match($pattern, $data, $matches)) {
            $event_id = (int)$matches[1];
            $new_status = $matches[2];
            
            safe_log("Parsed status change: event_id={$event_id}, new_status={$new_status}");
            handle_status_change_callback($user_id, $event_id, $new_status);
        } else {
            safe_log("Failed to parse admin_event_status callback: {$data}", 'ERROR');
            send_message($user_id, "❌ Ошибка обработки изменения статуса");
        }
        return;
    }

    // 2. ПОДТВЕРЖДЕНИЕ СТАВКИ (запрос)
    if (strpos($data, 'confirm_bet_ask_') === 0) {
        $parts = explode('_', $data);
        safe_log("Confirm bet ask parts: " . json_encode($parts));
        
        if (count($parts) >= 5) {
            $event_id = (int)$parts[3];
            
            // Логика для составных типов
            if ($parts[4] === 'exact' && isset($parts[5]) && $parts[5] === 'score') {
                $bet_type = 'exact_score';
                $bet_answer = $parts[6] ?? '';
            } elseif ($parts[4] === 'total' && isset($parts[5]) && $parts[5] === 'goals') {
                $bet_type = 'total_goals';
                $bet_answer = $parts[6] ?? '';
            } elseif ($parts[4] === 'first' && isset($parts[5]) && $parts[5] === 'goal') {
                $bet_type = 'first_goal';
                $bet_answer = $parts[6] ?? '';
            } elseif ($parts[4] === 'red' && isset($parts[5]) && $parts[5] === 'card') {
                $bet_type = 'red_card';
                $bet_answer = $parts[6] ?? '';
            } elseif ($parts[4] === 'own' && isset($parts[5]) && $parts[5] === 'goal') {
                $bet_type = 'own_goal';
                $bet_answer = $parts[6] ?? '';
            } elseif ($parts[4] === 'corners' && isset($parts[5]) && $parts[5] === 'winner') {
                $bet_type = 'corners_winner';
                $bet_answer = $parts[6] ?? '';
            } else {
                // Простые типы
                $bet_type = $parts[4];
                $bet_answer = $parts[5] ?? '';
            }
            
            safe_log("PARSED: event_id={$event_id}, bet_type={$bet_type}, answer='{$bet_answer}'");
            show_bet_confirmation($user_id, $event_id, $bet_type, $bet_answer);
        }
        return;
    }

    // 3. ПОДТВЕРЖДЕНИЕ СТАВКИ (финальное)
    if (strpos($data, 'confirm_bet_') === 0) {
        $parts = explode('_', $data);
        safe_log("Confirm bet parts: " . json_encode($parts));
        
        if (count($parts) >= 5) {
            $event_id = (int)$parts[2];
            
            // Логика для составных типов
            if ($parts[3] === 'exact' && isset($parts[4]) && $parts[4] === 'score') {
                $bet_type = 'exact_score';
                $bet_answer = $parts[5] ?? '';
            } elseif ($parts[3] === 'total' && isset($parts[4]) && $parts[4] === 'goals') {
                $bet_type = 'total_goals';
                $bet_answer = $parts[5] ?? '';
            } elseif ($parts[3] === 'first' && isset($parts[4]) && $parts[4] === 'goal') {
                $bet_type = 'first_goal';
                $bet_answer = $parts[5] ?? '';
            } elseif ($parts[3] === 'red' && isset($parts[4]) && $parts[4] === 'card') {
                $bet_type = 'red_card';
                $bet_answer = $parts[5] ?? '';
            } elseif ($parts[3] === 'own' && isset($parts[4]) && $parts[4] === 'goal') {
                $bet_type = 'own_goal';
                $bet_answer = $parts[5] ?? '';
            } elseif ($parts[3] === 'corners' && isset($parts[4]) && $parts[4] === 'winner') {
                $bet_type = 'corners_winner';
                $bet_answer = $parts[5] ?? '';
            } else {
                // Простые типы
                $bet_type = $parts[3];
                $bet_answer = $parts[4] ?? '';
            }
            
            safe_log("FINAL PARSED: event_id={$event_id}, bet_type={$bet_type}, answer='{$bet_answer}'");
            place_bet($user_id, $event_id, $bet_type, $bet_answer);
        }
        return;
    }
        
    // 4. КАСТОМНЫЙ СЧЕТ
    if (strpos($data, 'bet_custom_score_') === 0) {
        $event_id = (int)str_replace('bet_custom_score_', '', $data);
        safe_log("Processing custom score request for event {$event_id}");
        handle_custom_score_request($user_id, $event_id);
        return;
    }
    
    // 5. ОБЩИЕ СТАВКИ
    if (strpos($data, 'bet_') === 0) {
        $parts = explode('_', $data);
        safe_log("Processing general bet callback, parts: " . json_encode($parts));
        
        if (count($parts) >= 3) {
            $event_id = (int)$parts[1];
            $bet_type_parts = array_slice($parts, 2);
            $bet_type = implode('_', $bet_type_parts);
            
            safe_log("Calling handle_bet_type: event_id={$event_id}, bet_type={$bet_type}");
            handle_bet_type($user_id, $event_id, $bet_type);
        } else {
            safe_log("Invalid bet callback format: {$data}", 'ERROR');
            send_message($user_id, "❌ Ошибка обработки ставки");
        }
        return;
    }
    
    // 6. СОБЫТИЯ
    if (strpos($data, 'event_') === 0) {
        $event_id = (int)str_replace('event_', '', $data);
        handle_event_details($user_id, $event_id);
        return;
    }
    
    // 7. СОЗДАНИЕ СОБЫТИЙ
    if (strpos($data, 'admin_add_event') === 0) {
        if ($data === 'admin_add_event_menu') {
            show_add_event_menu($user_id);
        } elseif ($data === 'admin_add_event_quick') {
            start_step_by_step_creation($user_id);
        } elseif ($data === 'admin_add_event_step') {
            start_step_by_step_creation($user_id);
        }
        return;
    }
    
    if (strpos($data, 'admin_event_templates') === 0) {
        show_event_templates($user_id);
        return;
    }
    
    if (strpos($data, 'admin_template_') === 0) {
        if ($data === 'admin_template_football') {
            show_football_template($user_id);
        } elseif ($data === 'admin_template_basketball') {
            send_message($user_id, "🏀 Шаблоны баскетбола в разработке. Используйте пошаговое создание.");
            show_add_event_menu($user_id);
        } elseif ($data === 'admin_template_hockey') {
            send_message($user_id, "🏒 Шаблоны хоккея в разработке. Используйте пошаговое создание.");
            show_add_event_menu($user_id);
        } elseif ($data === 'admin_template_tennis') {
            send_message($user_id, "🎾 Шаблоны тенниса в разработке. Используйте пошаговое создание.");
            show_add_event_menu($user_id);
        }
        return;
    }
    
    if (strpos($data, 'admin_league_') === 0) {
        $league = urldecode(str_replace('admin_league_', '', $data));
        start_step_by_step_creation($user_id);
        return;
    }
    
    if (strpos($data, 'admin_quick_date_') === 0) {
        handle_quick_date_selection($user_id, $data);
        return;
    }
    
    if ($data === 'admin_skip_league') {
        handle_skip_league($user_id);
        return;
    }
    
    if ($data === 'admin_confirm_event_creation') {
        confirm_event_creation($user_id);
        return;
    }
    
    if ($data === 'admin_force_create_event') {
        confirm_event_creation($user_id);
        return;
    }
    
    if ($data === 'admin_cancel_event_creation') {
        cancel_event_creation($user_id);
        return;
    }
    
    if ($data === 'admin_edit_event_data') {
        send_message($user_id, "✏️ Редактирование пока недоступно. Отмените и создайте заново.");
        return;
    }

    // 8. УПРАВЛЕНИЕ СОБЫТИЯМИ
    if (strpos($data, 'admin_event_manage_') === 0) {
        $event_id = (int)str_replace('admin_event_manage_', '', $data);
        handle_admin_event_manage($user_id, $event_id);
        return;
    }
    
    if (strpos($data, 'admin_event_delete_confirm_') === 0) {
        $event_id = (int)str_replace('admin_event_delete_confirm_', '', $data);
        
        $text = "⚠️ <b>Подтверждение удаления</b>\n\n";
        $text .= "Вы действительно хотите удалить событие #{$event_id}?\n";
        $text .= "Все связанные ставки будут отменены!";
        
        $keyboard = [
            'inline_keyboard' => [
                [
                    ['text' => '✅ Да, удалить', 'callback_data' => "admin_event_delete_{$event_id}"],
                    ['text' => '❌ Отмена', 'callback_data' => "admin_event_manage_{$event_id}"]
                ]
            ]
        ];
        
        send_message($user_id, $text, $keyboard);
        return;
    }
    
    if (strpos($data, 'admin_event_delete_') === 0) {
        $event_id = (int)str_replace('admin_event_delete_', '', $data);
        
        $db = SportsDatabase::getInstance();
        $result = $db->deleteEvent($event_id, $user_id);
        
        if ($result['success']) {
            $text = "✅ <b>Событие удалено!</b>\n\n";
            $text .= "🗑 Событие #{$event_id} успешно удалено\n";
            $text .= "🚫 Отменено ставок: {$result['cancelled_bets']}";
            
            notify_admins("🗑 Событие #{$event_id} удалено администратором");
            send_message($user_id, $text);
            handle_admin_events($user_id);
        } else {
            send_message($user_id, "❌ Ошибка удаления: " . $result['error']);
        }
        return;
    }
    
    // 9. НАСТРОЙКИ СТАВОК
    if (strpos($data, 'admin_bet_type_') === 0) {
        $bet_type = str_replace('admin_bet_type_', '', $data);
        handle_admin_bet_type_settings($user_id, $bet_type);
        return;
    }
    
    if (strpos($data, 'admin_bet_edit_') === 0) {
        $parts = explode('_', str_replace('admin_bet_edit_', '', $data), 2);
        if (count($parts) >= 2) {
            $bet_type = $parts[0];
            $bet_option = $parts[1];
            
            $db = SportsDatabase::getInstance();
            $setting = $db->getBetSetting($bet_type, $bet_option);
            
            if ($setting) {
                $option_name = format_bet_option($bet_type, $bet_option);
                $current_points = $setting['points_reward'];
                
                $text = "⚙️ <b>Изменение настройки</b>\n\n";
                $text .= "🎯 Тип: {$bet_type}\n";
                $text .= "📝 Вариант: {$option_name}\n";
                $text .= "💰 Текущие баллы: {$current_points}\n\n";
                $text .= "Используйте команду:\n";
                $text .= "<code>/update_bet {$bet_type} {$bet_option} НОВЫЕ_БАЛЛЫ</code>\n\n";
                $text .= "Пример: <code>/update_bet {$bet_type} {$bet_option} " . ($current_points + 2) . "</code>";
                
                $keyboard = [
                    'inline_keyboard' => [
                        [['text' => '🔙 Назад', 'callback_data' => "admin_bet_type_{$bet_type}"]]
                    ]
                ];
                
                send_message($user_id, $text, $keyboard);
            }
        }
        return;
    }
    
    // 10. ЗАВЕРШЕНИЕ СОБЫТИЙ
    if (strpos($data, 'finish_event_') === 0) {
        $event_id = (int)str_replace('finish_event_', '', $data);
        show_event_finish_options($user_id, $event_id);
        return;
    }
    
    if (strpos($data, 'finish_winner_') === 0) {
        $parts = explode('_', $data);
        if (count($parts) >= 4) {
            $event_id = (int)$parts[2];
            $winner = $parts[3];
            show_score_selection($user_id, $event_id, $winner);
        }
        return;
    }
    
    if (strpos($data, 'finish_score_') === 0) {
        $parts = explode('_', $data);
        if (count($parts) >= 5) {
            $event_id = (int)$parts[2];
            $winner = $parts[3];
            $score = $parts[4];
            show_additional_params($user_id, $event_id, $winner, $score);
        }
        return;
    }
    
    if (strpos($data, 'finish_custom_score_') === 0) {
        $parts = explode('_', $data);
        if (count($parts) >= 4) {
            $event_id = (int)$parts[3];
            $winner = $parts[4];
            show_custom_score_input($user_id, $event_id, $winner);
        }
        return;
    }
    
    if (strpos($data, 'finish_final_') === 0) {
        $parts = explode('_', $data);
        if (count($parts) >= 5) {
            $event_id = (int)$parts[2];
            $winner = $parts[3]; 
            $score = $parts[4];
            finish_event_final($user_id, $event_id, $winner, $score);
        }
        return;
    }
    
    if (strpos($data, 'add_param_') === 0) {
        $parts = explode('_', $data);
        if (count($parts) >= 7) {
            $event_id = (int)$parts[2];
            $winner = $parts[3];
            $score = $parts[4];
            $param_type = $parts[5];
            $param_value = $parts[6];
            
            if ($param_type === 'first' && isset($parts[7])) {
                $param_value = $parts[7];
            }
            
            save_additional_param($user_id, $event_id, $winner, $score, $param_type, $param_value);
        }
        return;
    }

    // 11. АДМИН ФУНКЦИИ
    if (strpos($data, 'admin_topup_') === 0) {
        global $CONFIG;
        if (!in_array($user_id, $CONFIG['ADMIN_IDS'])) {
            send_message($user_id, "❌ Нет прав доступа");
            return;
        }
        
        $parts = explode('_', $data);
        if (count($parts) >= 4) {
            $target_user_id = (int)$parts[2];
            $amount = (int)$parts[3];
            
            $db = SportsDatabase::getInstance();
            $result = $db->updateBalance(
                $target_user_id, 
                $amount, 
                'admin_topup', 
                'Пополнение по запросу пользователя',
                null, 
                $user_id
            );
            
            if ($result) {
                $target_user = $db->getUser($target_user_id);
                $name = $target_user['first_name'] ?? 'Пользователь';
                
                send_message($user_id, "✅ Баланс пополнен!\n{$name}: +{$amount} баллов");
                send_message($target_user_id, "💰 <b>Баланс пополнен!</b>\n\nАдминистратор добавил вам {$amount} баллов.\nТеперь можете делать ставки!");
                
                $db->addNotification(
                    $target_user_id,
                    'balance_change',
                    'Баланс пополнен',
                    "Администратор добавил {$amount} баллов"
                );
            } else {
                send_message($user_id, "❌ Ошибка пополнения баланса");
            }
        }
        return;
    }
    
    if (strpos($data, 'admin_decline_') === 0) {
        global $CONFIG;
        if (!in_array($user_id, $CONFIG['ADMIN_IDS'])) {
            send_message($user_id, "❌ Нет прав доступа");
            return;
        }
        
        $target_user_id = (int)str_replace('admin_decline_', '', $data);
        
        send_message($user_id, "✅ Запрос отклонен");
        send_message($target_user_id, "❌ <b>Запрос отклонен</b>\n\nВаш запрос на пополнение баланса отклонен администратором.");
        return;
    }

    // 12. ПРОСТЫЕ КОМАНДЫ
    switch ($data) {
        case 'start':
            handle_start($user_id, $username, $first_name);
            break;
        case 'events':
            handle_events($user_id);
            break;
        case 'profile':
            handle_profile($user_id);
            break;
        case 'history':
            handle_history($user_id);
            break;
        case 'rating':
            handle_rating($user_id);
            break;
        case 'bet_rewards':
        case 'rewards':
            handle_bet_rewards($user_id);
            break;
        case 'notifications':
            handle_notifications($user_id);
            break;
        case 'admin_panel':
            handle_admin_panel($user_id);
            break;
        case 'admin_events':
            handle_admin_events($user_id);
            break;
        case 'admin_users':
            handle_admin_users($user_id);
            break;
        case 'admin_bets':
            handle_admin_bets($user_id);
            break;
        case 'admin_stats':
            handle_admin_stats($user_id);
            break;
        case 'admin_bet_settings':
            handle_admin_bet_settings($user_id);
            break;
        case 'admin_events_manage':
            handle_admin_events_list($user_id);
            break;
        case 'debug_events':
            debug_events_list($user_id);
            break;
		case 'debug_stats':
			handle_debug_stats_command($user_id, '');
			break;
		case 'fix_stats':
			handle_fix_user_stats_command($user_id, '');
			break;
        case 'request_10_balance':
            handle_balance_request_10($user_id);
            break;
        default:
            send_message($user_id, "❌ Неизвестная команда: {$data}");
            safe_log("Unknown callback data: {$data}", 'WARNING');
    }
}

// ========================================
// ОСНОВНАЯ ОБРАБОТКА WEBHOOK
// ========================================
function handle_balance_request_10($user_id) {
    try {
        $db = SportsDatabase::getInstance();
        $user = $db->getUser($user_id);
        
        if (!$user) {
            return send_message($user_id, "❌ Ошибка получения данных пользователя");
        }
        
        // Проверяем, можно ли делать запрос (не чаще раза в час)
        $last_request = $db->getLastBalanceRequestTime($user_id);
        if ($last_request && (time() - strtotime($last_request)) < 3600) {
            $minutes_left = 60 - floor((time() - strtotime($last_request)) / 60);
            
            $text = "⏰ <b>Слишком частые запросы</b>\n\n";
            $text .= "Вы можете запрашивать баланс не чаще раза в час\n";
            $text .= "Попробуйте через {$minutes_left} минут";
            
            $keyboard = [
                'inline_keyboard' => [
                    [['text' => '🔙 Главное меню', 'callback_data' => 'start']]
                ]
            ];
            
            return send_message($user_id, $text, $keyboard);
        }
        
        // Записываем время запроса
        $db->recordBalanceRequest($user_id);
        
        // Отправляем запрос на 10 баллов
        send_balance_request_to_admins($user_id, 10);
        
    } catch (Exception $e) {
        safe_log("handle_balance_request_10 error: " . $e->getMessage(), 'ERROR');
        return send_message($user_id, "❌ Ошибка обработки запроса");
    }
}

function send_balance_request_to_admins($user_id, $amount) {
    global $CONFIG;
    
    try {
        $db = SportsDatabase::getInstance();
        $user = $db->getUser($user_id);
        
        if (!$user) return false;
        
        $first_name = safe_get($user, 'first_name', 'Пользователь');
        $username = safe_get($user, 'username', '');
        $current_balance = safe_get($user, 'balance', 0);
        
        // Сообщение для админов
        $admin_text = "💰 <b>Запрос пополнения баланса</b>\n\n";
        $admin_text .= "👤 Пользователь: {$first_name}";
        if ($username) {
            $admin_text .= " (@{$username})";
        }
        $admin_text .= "\n🆔 ID: <code>{$user_id}</code>\n";
        $admin_text .= "💳 Текущий баланс: {$current_balance} баллов\n";
        $admin_text .= "💎 Запрашивает: +{$amount} баллов\n\n";
        $admin_text .= "💡 Для пополнения используйте:\n";
        $admin_text .= "<code>/balance {$user_id} {$amount}</code>";
        
        $admin_keyboard = [
            'inline_keyboard' => [
                [
                    ['text' => "✅ Пополнить +{$amount}", 'callback_data' => "admin_topup_{$user_id}_{$amount}"],
                    ['text' => '❌ Отклонить', 'callback_data' => "admin_decline_{$user_id}"]
                ]
            ]
        ];
        
        // Отправляем всем админам
        foreach ($CONFIG['ADMIN_IDS'] as $admin_id) {
            send_message($admin_id, $admin_text, $admin_keyboard);
        }
        
        // Также в админ чат если есть
        if (!empty($CONFIG['ADMIN_CHAT_ID'])) {
            send_message($CONFIG['ADMIN_CHAT_ID'], $admin_text, $admin_keyboard);
        }
        
        // Подтверждение пользователю
        $user_text = "✅ <b>Запрос отправлен администратору!</b>\n\n";
        $user_text .= "💰 Вы запросили 10 баллов\n";
        $user_text .= "⏳ Обычно запросы обрабатываются быстро\n\n";
        $user_text .= "📱 Как только баланс пополнят, вы получите уведомление\n";
        $user_text .= "💡 Пока можете изучить таблицу выигрышей";
        
        $user_keyboard = [
            'inline_keyboard' => [
                [['text' => '📊 Таблица выигрышей', 'callback_data' => 'bet_rewards']],
                [['text' => '🔙 Главное меню', 'callback_data' => 'start']]
            ]
        ];
        
        send_message($user_id, $user_text, $user_keyboard);
        
        // Сохраняем уведомление
        $db->addNotification(
            $user_id,
            'system',
            'Запрос пополнения отправлен',
            "Запрошено пополнение на {$amount} баллов"
        );
        
        safe_log("Balance request sent: user={$user_id}, amount={$amount}");
        return true;
        
    } catch (Exception $e) {
        safe_log("send_balance_request_to_admins error: " . $e->getMessage(), 'ERROR');
        return false;
    }
}


function handle_webhook() {
    global $CONFIG;
    
    try {
        safe_log("=== WEBHOOK STARTED ===");
        
        $input = file_get_contents('php://input');
        safe_log("Input length: " . strlen($input));
        
        if (empty($input)) {
            echo "🤖 Complete Sports Bot v1.0\n";
            echo "=============================\n";
            echo "Time: " . date('Y-m-d H:i:s') . "\n";
            echo "Status: ✅ FULLY ACTIVE\n\n";
            
            echo "✅ Features included:\n";
            echo "- Full betting system with 8 bet types\n";
            echo "- User profiles and statistics\n";
            echo "- Admin panel with commands\n";
            echo "- Event management\n";
            echo "- Balance transactions\n";
            echo "- Notifications system\n";
            echo "- Rating and history\n\n";
            
            echo "Token: " . (empty($CONFIG['BOT_TOKEN']) ? "❌ NOT SET" : "✅ OK") . "\n";
            echo "Admins: " . implode(', ', $CONFIG['ADMIN_IDS']) . "\n";
            
            try {
                $db = SportsDatabase::getInstance();
                echo "Database: ✅ Connected\n";
                
                $stats = $db->getStatistics();
                echo "Users: " . safe_get($stats, 'total_users', 0) . "\n";
                echo "Events: " . safe_get($stats, 'total_events', 0) . "\n";
                echo "Bets: " . safe_get($stats, 'total_bets', 0) . "\n";
                
            } catch (Exception $e) {
                echo "Database: ❌ " . $e->getMessage() . "\n";
            }
            
            echo "\n🚀 Bot is fully ready!\n";
            return;
        }
        
        safe_log("Raw input: " . substr($input, 0, 500));
        
        $update = json_decode($input, true);
        if (!$update) {
            safe_log("Invalid JSON: " . json_last_error_msg(), 'ERROR');
            http_response_code(400);
            echo "Invalid JSON";
            return;
        }
        
        if (isset($update['callback_query'])) {
            safe_log("Processing callback query");
            
            $callback_id = $update['callback_query']['id'];
            $url = "https://api.telegram.org/bot{$CONFIG['BOT_TOKEN']}/answerCallbackQuery";
            
            $ch = curl_init();
            curl_setopt_array($ch, [
                CURLOPT_URL => $url,
                CURLOPT_POST => true,
                CURLOPT_POSTFIELDS => http_build_query(['callback_query_id' => $callback_id]),
                CURLOPT_RETURNTRANSFER => true,
                CURLOPT_TIMEOUT => 5
            ]);
            curl_exec($ch);
            curl_close($ch);
            
            handle_callback($update['callback_query']);
            
        } elseif (isset($update['message'])) {
            safe_log("Processing message");
            
            // ИСПРАВЛЕНО: теперь вызываем handle_message вместо прямой обработки
            handle_message($update['message']);
            
        } else {
            safe_log("Unknown update type", 'WARNING');
        }
        
        echo "OK";
        safe_log("=== WEBHOOK COMPLETED ===");
        
    } catch (Exception $e) {
        safe_log("CRITICAL ERROR: " . $e->getMessage(), 'ERROR');
        safe_log("Stack trace: " . $e->getTraceAsString(), 'ERROR');
        http_response_code(500);
        echo "Error: " . $e->getMessage();
    }
}

// ========================================
// CLI КОМАНДЫ
// ========================================

if (php_sapi_name() === 'cli') {
    if (!isset($argv[1])) {
        echo "Complete Sports Bot CLI\n";
        echo "Commands: test, setup, webhook, send, stats\n";
        exit;
    }
    
    switch ($argv[1]) {
        case 'test':
            echo "🧪 Testing complete bot...\n\n";
            
            if (empty($CONFIG['BOT_TOKEN'])) {
                echo "❌ BOT_TOKEN not set\n";
                exit(1);
            }
            echo "✅ BOT_TOKEN configured\n";
            
            try {
                $db = SportsDatabase::getInstance();
                echo "✅ Database connected\n";
                
                $stats = $db->getStatistics();
                echo "✅ Statistics loaded\n";
                echo "   Users: " . safe_get($stats, 'total_users', 0) . "\n";
                echo "   Events: " . safe_get($stats, 'total_events', 0) . "\n";
                echo "   Bets: " . safe_get($stats, 'total_bets', 0) . "\n";
            } catch (Exception $e) {
                echo "❌ Database error: " . $e->getMessage() . "\n";
                exit(1);
            }
            
            if (isset($argv[2]) && is_numeric($argv[2])) {
                $test_user = $argv[2];
                echo "📤 Sending test message to {$test_user}...\n";
                
                $result = send_message($test_user, "🧪 <b>Полный тест бота</b>\n\nВсе функции работают!");
                
                if ($result) {
                    echo "✅ Test message sent successfully\n";
                } else {
                    echo "❌ Failed to send test message\n";
                    exit(1);
                }
            }
            
            echo "\n🎉 Complete bot is working perfectly!\n";
            break;
            
        case 'setup':
            if (!isset($argv[2])) {
                echo "Usage: php webhook_complete.php setup https://yourdomain.com/webhook_complete.php\n";
                exit(1);
            }
            
            $webhook_url = $argv[2];
            $url = "https://api.telegram.org/bot{$CONFIG['BOT_TOKEN']}/setWebhook";
            
            $ch = curl_init();
            curl_setopt_array($ch, [
                CURLOPT_URL => $url,
                CURLOPT_POST => true,
                CURLOPT_POSTFIELDS => http_build_query([
                    'url' => $webhook_url,
                    'allowed_updates' => json_encode(['message', 'callback_query'])
                ]),
                CURLOPT_RETURNTRANSFER => true,
                CURLOPT_TIMEOUT => 10
            ]);
            
            $result = curl_exec($ch);
            $response = json_decode($result, true);
            curl_close($ch);
            
            if ($response['ok']) {
                echo "✅ Complete bot webhook set to: {$webhook_url}\n";
                echo "🚀 All features are now active!\n";
            } else {
                echo "❌ Error: " . $response['description'] . "\n";
                exit(1);
            }
            break;
            
        case 'stats':
            try {
                $db = SportsDatabase::getInstance();
                $stats = $db->getStatistics();
                
                echo "📊 Complete Bot Statistics:\n\n";
                echo "👥 Total users: " . safe_get($stats, 'total_users', 0) . "\n";
                echo "🎯 Total bets: " . safe_get($stats, 'total_bets', 0) . "\n";
                echo "⚽ Total events: " . safe_get($stats, 'total_events', 0) . "\n";
                echo "⏳ Pending bets: " . safe_get($stats, 'pending_bets', 0) . "\n";
                echo "✅ Won bets: " . safe_get($stats, 'won_bets', 0) . "\n";
                echo "❌ Lost bets: " . safe_get($stats, 'lost_bets', 0) . "\n";
                echo "📈 Today bets: " . safe_get($stats, 'today_bets', 0) . "\n";
                echo "🆕 Today users: " . safe_get($stats, 'today_users', 0) . "\n";
                
            } catch (Exception $e) {
                echo "❌ Error getting stats: " . $e->getMessage() . "\n";
                exit(1);
            }
            break;
            
        default:
            echo "Unknown command: {$argv[1]}\n";
            echo "Available: test, setup, webhook, send, stats\n";
    }
    
    exit(0);
}

// Обработка webhook
handle_webhook();
?>